<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

class JoomcrmControllerAjax extends JoomcrmController
{
	public function testImapConnection()
	{

		$imap_found    = function_exists('imap_open') ? true : false;
		if(!$imap_found){

			$return = array('success' => false, 'msg' => Text::_('COM_JOOMCRM_WARNING_IMAP_NOT_ENABLED'));

			header('Content-Type: application/json');
			$this->app->close(json_encode($return));

		}

		$return = array('success' => false, 'msg' => Text::_('COM_JOOMCRM_CONNETION_FAILURE'));


		$host    = $this->app->input->get('host');
		$user    = $this->app->input->getRaw('user');
		$pass    = $this->app->input->getRaw('pass');
		$service = $this->app->input->get('service');
		$port    = $this->app->input->get("port");
		$security    = $this->app->input->get("security",'');
		$validateCert    = $this->app->input->get("validateCert",0);
		$result  = false;


		$model = new JoomcrmModelMail;

		try
		{
		    $result = $model->testConnection($host, $user, $pass, $service, $port,$security,$validateCert);

		    if ($result)
			{
				$return['success'] = true;
				$return['msg']     = Text::_('COM_JOOMCRM_CONNECTION_SUCCESS');
			}
			else
			{
				$return['success'] = false;
				$return['msg']     = Text::_('COM_JOOMCRM_CONNETION_FAILURE');
				$return['error']   = $model->getError();
			}
		}
		catch (Exception $e)
		{
			$return['error'] = $e->getMessage();
		}

		header('Content-Type: application/json');
		$this->app->close(json_encode($return));
	}

	public function saveOrderAjax()
	{
		// Check for request forgeries.
		$this->checkToken();

		// Get the input
		$pks   = (array) $this->input->post->get('cid', array(), 'int');
		$order = (array) $this->input->post->get('order', array(), 'int');

		// Remove zero PKs and corresponding order values resulting from input filter for PK
		foreach ($pks as $i => $pk) {
			if ($pk === 0) {
				unset($pks[$i]);
				unset($order[$i]);
			}
		}

		// get model
		$modelName = 'JoomcrmModel' . ucfirst($this->app->input->getWord('view'));


		$model 	= new $modelName;


		// Save the ordering
		$return = $model->saveorder($pks, $order);

		if ($return) {
			echo '1';
		}

		// Close the application
		$this->app->close();
	}

	public function saveOrderAjaxdd()
	{
		// Check for request forgeries.
		$this->checkToken();

		// Get the input
		$pks   = (array) $this->input->post->get('cid', array(), 'int');
		$order = (array) $this->input->post->get('order', array(), 'int');

		// Remove zero PKs and corresponding order values resulting from input filter for PK
		foreach ($pks as $i => $pk) {
			if ($pk === 0) {
				unset($pks[$i]);
				unset($order[$i]);
			}
		}

		// Get the model
		$model = $this->getModel();

		// Save the ordering
		$return = $model->saveorder($pks, $order);

		if ($return) {
			echo '1';
		}

		// Close the application
		$this->app->close();
	}

	public function keepUpdated()
	{
		$updater = new JoomcrmHelperUpdate;
		$updater->run();
		$return = $updater->getAlert();
		header('Content-Type: application/json');
		$this->app->close(json_encode($return));
	}
}
