<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Component\ComponentHelper;

// load config helper class
JLoader::register('JoomcrmHelperConfig',JPATH_COMPONENT_ADMINISTRATOR.'/helper/config.php');

class JoomcrmControllerJoomcrm extends JoomcrmController
{

    public function launch(){

	    $input = Factory::getApplication()->input;

	    $launch_default = $input->get('launch_default',0);
	    $show_launch_message = $input->get('show_launch_message',0);

	    $config = ComponentHelper::getParams('com_joomcrm');

	    $config->set('launch_default',$launch_default);
	    $config->set('show_launch_message',$show_launch_message);

	    // update config
	    JoomcrmHelperConfig::storeConfig($config);

	    $url  = 'index.php?option=com_joomcrm&view=joomcrm';

	    if ($this->app->input->getString('show_launch_message'))
	    {
		    $url .= '&launch=1';
	    }

	    $this->setRedirect($url, Text::_('COM_JOOMCRM_SUCCESS'));

    }





}
