<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

class JoomcrmControllerStages extends JoomcrmControllerAdmin
{
	/**
	 * [edit description]
	 *
	 * @return  [type]  [description]
	 */
	public function edit()
	{
		// Set layout
		$view = $this->getView('Stages', 'html');
		$view->setLayout('edit');

		// Add javascript
		$this->doc->addScript(Uri::base() . 'components/com_joomcrm/media/js/stage_manager.js');

		// Get stage info
		if ($this->id)
		{
			$stage  = $this->getModel('Stages')->getStages($this->id);
			$view->stage  = $stage[0];
			$view->header = Text::_('COM_JOOMCRM_EDITING_STAGE') . $view->stage['name'];
		}
		else
		{
			$view->header = Text::_('COM_JOOMCRM_ADDING_STAGE');
		}

		// Display view
		$view->display();
	}

	/**
	 * [cancel description]
	 *
	 * @return  [type]  [description]
	 */
	public function cancel()
	{
		$msg = Text::_('Stage entry cancelled!');
		$this->setRedirect('index.php?option=com_joomcrm&view=stages', $msg);
	}

	/**
	 * [save description]
	 *
	 * @return  [type]  [description]
	 */
	public function save()
	{
		if ($this->getModel('Stages')->store())
		{
			$msg = Text::_('COM_JOOMCRM_SUCCESS');
		}
		else
		{
			$msg = Text::_('COM_JOOMCRM_ERROR');
		}

		$this->setRedirect('index.php?option=com_joomcrm&view=stages', $msg);
	}

	/**
	 * [remove description]
	 *
	 * @return  [type]  [description]
	 */
	public function remove()
	{
		$model = $this->getModel('Stages');

		if (is_array($this->id))
		{
			foreach ($this->id as $id)
			{
				$model->remove($id);
			}
		}
		else
		{
			$model->remove($this->id);
		}

		$msg = Text::_('COM_JOOMCRM_STAGES_REMOVED');
		$this->setRedirect('index.php?option=com_joomcrm&view=stages', $msg);
	}
}
