<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

class JoomcrmControllerStatuses extends JoomcrmControllerAdmin
{
	/**
	 * [edit description]
	 *
	 * @return  [type]  [description]
	 */
	public function edit()
	{
		// Set layout
		$view = $this->getView('Statuses', 'html');
		$view->setLayout('edit');

		// Add javascript
		$this->doc->addScript(Uri::base() . 'components/com_joomcrm/media/js/status_manager.js');

		// Get stage info
		if ($this->id)
		{
			$status = $this->getModel('Statuses')->getStatuses($this->id);
			$view->status = $status[0];
			$header = Text::_('COM_JOOMCRM_EDITING_STATUS') . $view->status['name'];
		}
		else
		{
			$source = null;
			$header = Text::_('COM_JOOMCRM_ADDING_STATUS');
		}

		$view->header = $header;

		// Display view
		$view->display();
	}

	/**
	 * [cancel description]
	 *
	 * @return  [type]  [description]
	 */
	public function cancel()
	{
		$msg = Text::_('Status entry cancelled!');
		$this->setRedirect('index.php?option=com_joomcrm&view=statuses', $msg);
	}

	/**
	 * [save description]
	 *
	 * @return  [type]  [description]
	 */
	public function save()
	{
		$model = $this->getModel('Statuses');

		if ($model->store())
		{
			$msg = Text::_('COM_JOOMCRM_SUCCESS');
		}
		else
		{
			$msg = Text::_('COM_JOOMCRM_ERROR');
		}

		$this->setRedirect('index.php?option=com_joomcrm&view=statuses', $msg);
	}

	/**
	 * [remove description]
	 *
	 * @return  [type]  [description]
	 */
	public function remove()
	{
		$model = $this->getModel('Statuses');

		if (is_array($this->id))
		{
			foreach ($this->id as $id)
			{
				$model->remove($id);
			}
		}
		else
		{
			$model->remove($this->id);
		}

		$msg = Text::_('COM_JOOMCRM_STATUS_REMOVED');
		$this->setRedirect('index.php?option=com_joomcrm&view=statuses', $msg);
	}
}
