<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

class JoomcrmControllerTeams extends JoomcrmController
{
    /**
     * [edit description]
     *
     * @return  [type]  [description]
     */
    public function edit()
    {
        $model = $this->getModel('Teams');

        // Set layout
        $view = $this->getView('Teams', 'html');
        $view->setLayout('edit');
        $view->setModel($model, true);

        // Add javascript
        // $this->doc->addScript(Uri::base() . 'components/com_joomcrm/media/js/user_manager.js');

        // If we get post data generate data for view
        if ($this->id)
        {
            // Get user info
            $view->team   = $this->getModel('Teams')->getTeam($this->id);
            $view->header = Text::_('COM_JOOMCRM_EDITING_TEAM') . $view->team['name'];
        }
        else
        {
            $view->header = Text::_('COM_JOOMCRM_ADDING_TEAM');
        }

        $view->display();
    }

    /**
     * [cancel description]
     *
     * @return  [type]  [description]
     */
    public function cancel()
    {
        $msg = Text::_('Team entry cancelled!');
        $this->setRedirect('index.php?option=com_joomcrm&view=teams', $msg);
    }

    /**
     * [save description]
     *
     * @return  [type]  [description]
     */
    public function save()
    {
        if ($this->getModel('Teams')->store())
        {
            $msg = "Successfully saved!";
            $type = 'message';
        }
        else
        {
            $msg = "Error Saving!";
            $type = 'error';
        }

        $this->setRedirect('index.php?option=com_joomcrm&view=teams', $msg, $type);
    }

    /**
     * [delete description]
     *
     * @return  [type]  [description]
     */
    public function delete()
    {
        if ($this->getModel('Teams')->delete($this->id))
        {
            $msg = Text::_('COM_JOOMCRM_DELETED_TEAM');
        }
        else
        {
            $msg = Text::_('COM_JOOMCRM_ERROR_DELETING_TEAM');
        }

        $this->setRedirect('index.php?option=com_joomcrm&view=teams', $msg);
    }
}
