<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

class JoomcrmControllerUsers extends JoomcrmController
{
	/**
	 * [edit description]
	 *
	 * @return  [type]  [description]
	 */
	public function edit()
	{
		// Set layout
		$view = $this->getView('Users', 'html');
		$view->setLayout('edit');

		// Add javascript
		$this->doc->addScript(Uri::base() . 'components/com_joomcrm/media/js/user_manager.js');

		// If we get post data generate data for view
		if ($this->id)
		{
			// Get user info
			$user         = $this->getModel('Users')->getUsers($this->id);
			$view->user   = $user[0];
			$view->header = Text::_('COM_JOOMCRM_EDITING_USER') . $view->user['first_name'] .$view->user['last_name'];
			$this->doc->addScriptDeclaration('var user_id=' . $view->user['id'] . ';');
		}
		else
		{
			// Get joomla users to add
			$model           = $this->getModel('Users');
			$view->users     = $model->getJoomlaUsersToAdd();
			$user_list_names = $model->getJoomlaUsersToAddList(true);

			$this->doc->addScriptDeclaration('var user_list=' . json_encode($view->users) . ';');
			$this->doc->addScriptDeclaration('var user_list_names=' . json_encode($user_list_names) . ';');

			$view->header = Text::_('COM_JOOMCRM_ADDING_USER');
		}

		$view->display();
	}

	/**
	 * [cancel description]
	 *
	 * @return  [type]  [description]
	 */
	public function cancel()
	{
		$msg = Text::_('User entry cancelled!');
		$this->setRedirect('index.php?option=com_joomcrm&view=users', $msg);
	}

	/**
	 * [save description]
	 *
	 * @return  [type]  [description]
	 */
	public function save()
	{

		$model = $this->getModel('Users');

		if ($model->store())
		{
			$msg = "Successfully saved!";
		}
		else
		{

			$errors = $model->getErrors();

			$msg = implode('<br>',$errors);
		}

		$this->setRedirect('index.php?option=com_joomcrm&view=users', $msg);
	}

	/**
	 * [delete description]
	 *
	 * @return  [type]  [description]
	 */
	public function delete()
	{
		if ($this->getModel('Users')->delete($this->id))
		{
			$msg = Text::_('COM_JOOMCRM_DELETED_USER');
		}
		else
		{
			$msg = Text::_('COM_JOOMCRM_ERROR_DELETING_USER');
		}

		$this->setRedirect('index.php?option=com_joomcrm&view=users', $msg);
	}
}
