<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Component\ComponentHelper;

abstract class JoomcrmHelperConfig
{

	// update config params
	public static function storeConfig($config) {
		$config = $config->toString();

		$db = Factory::getDBO();
		$db->setQuery('UPDATE `#__extensions` SET `params` = '.$db->Quote($config).' WHERE `element` = "com_joomcrm" AND `type` = "component"');
		$db->execute();
	}

	// get login redirect
	public static function getLoginRedirect()
	{
		$config     = ComponentHelper::getParams('com_joomcrm');

		$return = $config->get('login_redirect','index.php?option=com_users&amp;view=login');

		if ($return == "" || is_null($return))
		{
			$return = Route::_('index.php?option=com_users&view=login');
		}

		return $return;
	}

	public static function getVersion()
	{
		if (file_exists(JPATH_SITE . '/administrator/components/com_joomcrm/joomcrm.xml'))
		{
			$xml = simplexml_load_file(JPATH_SITE . '/administrator/components/com_joomcrm/joomcrm.xml');
			return (string) $xml->version;
		}
		else
		{
			return 0;
		}
	}


	public static function getCurrency()
	{
		$config     = ComponentHelper::getParams('com_joomcrm');
		return $config->get('currency','$');
	}

}
