<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

abstract class JoomcrmHelperCpanel
{
	// Load the navigation menu
	public static function getUsers()
	{
		return array(array('link' => Route::_('index.php?option=com_joomcrm&view=users'), 'image' =>Uri::base() . 'components/com_joomcrm/media/images/cpanel/users.png', 'text' => Text::_('Manage Users'), 'access' => array()));
	}

	public static function getCustom()
	{
		return array(array('link' => Route::_('index.php?option=com_joomcrm&view=stages'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/stages.png', 'text' => Text::_('Deal Stages'), 'access' => array()), array('link' => Route::_('index.php?option=com_joomcrm&view=categories'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/categories.png', 'text' => Text::_('Note Categories'), 'access' => array()), array('link' => Route::_('index.php?option=com_joomcrm&view=sources'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/sources.png', 'text' => Text::_('Sources'), 'access' => array()), array('link' => Route::_('index.php?option=com_joomcrm&view=custom'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/custom.png', 'text' => Text::_('Deal Custom Fields'), 'access' => array()), array('link' => Route::_('index.php?option=com_joomcrm&view=statuses'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/statuses.png', 'text' => Text::_('People Statuses'), 'access' => array()), array('link' => Route::_('index.php?option=com_joomcrm&view=templates'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/templates.png', 'text' => Text::_('Templates'), 'access' => array()), array('link' => Route::_('index.php?option=com_joomcrm&view=documents'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/documents.png', 'text' => Text::_('Shared Documents'), 'access' => array()), array('link' => Route::_('index.php?option=com_joomcrm&view=menu'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/menu.png', 'text' => Text::_('Menu'), 'access' => array()), array('link' => Route::_('index.php?option=com_joomcrm&view=config'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/config.png', 'text' => Text::_('Config'), 'access' => array()),);
	}

	public static function getMenu()
	{
		return array(array('link' => Route::_('index.php?option=com_joomcrm&view=joomcrm'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/home.png', 'text' => Text::_(''), 'access' => array()), array('link' => Route::_('index.php?option=com_joomcrm&view=users'), 'image' => Uri::base() . 'components/com_joomcrm/media/images/cpanel/users.png', 'text' => Text::_(''), 'access' => array()));
	}

	public static function button($button)
	{
		$html = '<div class="icon-wrapper">';
		$html .= '<div class="icon">';
		$html .= '<a href="' . $button['link'] . '">';
		$html .=HTMLHelper::_('image', $button['image'], null, null, true);
		$html .= '<span>' . $button['text'] . '</span></a>';
		$html .= '</div>';
		$html .= '</div>';

		return $html;
	}
}
