<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Component\ComponentHelper;

abstract class JoomcrmHelperMigrate
{
	// Process to migrate legacy config to Joomla config system
	static public function migrateConfig(){

		$db = Factory::getDbo();
		$tablesList = $db->setQuery('SHOW TABLES')->loadColumn();
		$cConfig = ComponentHelper::getParams('com_joomcrm');

		// check config table dropped value
		if(!$cConfig->get('config_table_dropped',0)){

			// check table exist
			if(in_array($db->getPrefix().'joomcrm_config', $tablesList)){

				// get config row data
				$query = $db->getQuery(true)
					->select("*")
					->from("#__joomcrm_config")
					->where("id=1");
				$config = $db->setQuery($query)->loadObject();

				// imaps pass base64 decode
				$config->imap_pass = base64_decode($config->imap_pass);

				// set config_table_dropped to 1
				$config->config_table_dropped = 1;

				// transform to json
				$config = json_encode($config);

				// store to component config
				$db->setQuery('UPDATE `#__extensions` SET `params` = '.$db->Quote($config).' WHERE `element` = "com_joomcrm" AND `type` = "component"');
				$db->execute();

				// drop table
				$db->dropTable('#__joomcrm_config');


			}
		}
	}

}