<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Component\ComponentHelper;
abstract class JoomcrmHelperWizard
{

    public static function users($owner_id = false)
    {

        // Get a db connection.
        $db = Factory::getDbo();

        // Create a new query object.
        $query = $db->getQuery(true);

        if(!$owner_id){
            $query->select('*')
                ->from("#__joomcrm_users")
                ->where('published = 1');
            $db->setQuery($query);
            $result = $db->loadObjectList();
        }else{
                $query->select('owner_id')
                ->from("#__joomcrm_formwizard")
                ->where('owner_id = '.$owner_id);
            $db->setQuery($query);
            $result = $db->loadResult();
        }

        return $result;

    }

	public static function checkIfUsersExist()
	{

		// Get a db connection.
		$db = Factory::getDbo();

		// Create a new query object.
		$query = $db->getQuery(true);

		$query->select('*')
			->from("#__joomcrm_users")
			->where('published = 1');

		$db->setQuery($query);

		$result = $db->loadObjectList();


		return !is_null($result) && count($result) > 0 ? 1 : 0;

	}

	public static function checkIfConfigAdjusted()
	{
		return ComponentHelper::getParams('com_joomcrm')->get('config_default',0);
	}

	public static function checkIfWorkflowAdded()
	{

		$db = \Joomla\CMS\Factory::getDbo();
		$query = $db->getQuery(true);
		$query->select('*')->from('#__joomcrm_templates');
		$db->setQuery($query);

		$result = $db->loadResult();


		return is_null($result) ? 0 : 1;



	}


	public static function checkIfInstallSampleData()
	{

		$db = \Joomla\CMS\Factory::getDbo();
		$query = $db->getQuery(true);
		$query->select('*')->from('#__joomcrm_companies');
		$db->setQuery($query);

		$result = $db->loadResult();

		return is_null($result) ? 0 : 1;

	}


	/*
	 * This method helps wizard to be sure if user did update the config, used by system plugin
	 */
	public static function updateConfig()
	{
		// load config helper class
		JLoader::register('JoomcrmHelperConfig', JPATH_ADMINISTRATOR . '/components/com_joomcrm/helper/config.php');

		// inits
		$input     = Factory::getApplication()->input;
		$task      = $input->get('task', '', 'string');
		$component = $input->get('component', '', 'string');
		$option    = $input->get('option', '', 'string');
		$config    = ComponentHelper::getParams('com_joomcrm');

		// do only from backend
		if (!Factory::getApplication()->isClient('administrator'))
			return false;

		// don't continue if task, component and option not correct
		if ($task != 'config.save.component.apply' && $component != 'com_joomcrm' && $option != 'com_config')
			return false;

		// dont continue if config_default already has value 1, which mean user already adjusted config
		if ($config->get('config_default', 0))
			return false;

		// set value
		$config->set('config_default', 1);

		// update config
		JoomcrmHelperConfig::storeConfig($config);


	}
}