<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;


use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\MVC\Controller\BaseController;

// load migration class helper
JLoader::register('JoomcrmHelperMigrate', __DIR__ . '/helper/migration.php');

// version
JLoader::register('JoomcrmHelperVersion', __DIR__ . '/helper/version.php');
JLoader::register('JoomcrmHelperArray', __DIR__ . '/helper/array.php');



// remove non use files
$filesToRemove = [
	'/administrator/components/com_joomcrm/model/dealcustom.php',
	'/administrator/components/com_joomcrm/model/peoplecustom.php',
	'/administrator/components/com_joomcrm/model/companycustom.php',
	'/administrator/components/com_joomcrm/model/eventcategories.php',
	'/administrator/components/com_joomcrm/model/companycategories.php',
	'/administrator/components/com_joomcrm/model/documentcategories.php',
	'/administrator/components/com_joomcrm/model/companycategories.php',
	'/administrator/components/com_joomcrm/controller/dealcustom.php',
	'/administrator/components/com_joomcrm/controller/peoplecustom.php',
	'/administrator/components/com_joomcrm/controller/companycustom.php',
	'/administrator/components/com_joomcrm/controller/eventcategories.php',
	'/administrator/components/com_joomcrm/controller/companycategories.php',
	'/administrator/components/com_joomcrm/controller/documentcategories.php',
	'/administrator/components/com_joomcrm/controller/companycategories.php',

];


foreach ($filesToRemove as $file){

	$filePath = JPATH_ROOT.$file;

	if(!file_exists($filePath))
		continue;


	\Joomla\Filesystem\File::delete($filePath);

}


// Access check: is this user allowed to access the backend of this component?
if (!Factory::getApplication()->getIdentity()->authorise('core.manage', 'com_joomcrm'))
{
    \Joomla\CMS\Factory::getApplication()->enqueueMessage( Text::_('JERROR_ALERTNOAUTHOR'),'warning');
}

if (version_compare(JVERSION, '3.0', 'lt'))
{
	// Require files for 2.5 to work properly
	require_once 'libraries/jquery.php';
	//require_once 'libraries/bootstrap.php';
	require_once 'libraries/inflector.php';

    HTMLHelper::_('bootstrap.loadcss');
}


JLoader::registerPrefix('Joomcrm', __DIR__);
JLoader::registerPrefix('Joomcrm', JPATH_SITE . '/components/com_joomcrm');



// Setup CSS & JS
HTMLHelper::_('jquery.framework');
HTMLHelper::_('bootstrap.framework');

$views = ['manageuser','managestatuse','dealsstatuse','dealsstage'];
Factory::getDocument()->addScriptDeclaration("

      $(document).ready(function(){  
	    $('body').on('input', '#jform_percent', function() {
             $('#percent_value').html( $(this).val()+' %');
        });
       });
");
$view = Factory::getApplication()->input->getWord('view','');


if (!in_array($view,$views)){
Factory::getDocument()
	->addStylesheet(Uri::base() . 'components/com_joomcrm/media/css/admin.css')
	->addStylesheet(Uri::base() . 'components/com_joomcrm/media/css/jquery.css')
    ->addScript(Uri::base() . 'components/com_joomcrm/media/js/jquery-ui.min.js')
	->addScript(Uri::base() . 'components/com_joomcrm/media/js/joomcrm.js')
	->addScriptDeclaration("var base_url='" .Uri::root() . "';")
	->addStylesheet(Uri::base() . 'components/com_joomcrm/media/css/jquery.minicolors.css');
	}

JoomcrmHelperTemplate::loadJavascriptLanguage();

// Load plugins
PluginHelper::importPlugin('joomcrm');

$app = Factory::getApplication();


JLoader::register('JoomcrmController', __DIR__.'/controller/controller.php');

$controller = \Joomla\CMS\MVC\Controller\BaseController::getInstance('Joomcrm');
$controller = BaseController::getInstance('Joomcrm');

$controller->execute($app->input->get('task'));
$controller->redirect();
