<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;

extract($displayData);

$type = Factory::getApplication()->input->get('view','','word');

$current->custom['type'] = !isset($current->custom['type']) ? '' : $current->custom['type'];


?>
<form action="<?php echo Route::_("index.php?option=com_joomcrm&view=$type"); ?>" method="post" name="adminForm"
      id="adminForm" class="form-validate">
    <div class="main-card p-4">
        <?php if(isset( $current->header)): ?>
        <h3><?php echo $current->header; ?></h3>
        <?php endif; ?>
        <div class="form-group">
            <label>Name</label>
            <input type="text" class="form-control required" name="name"
                   value="<?php echo isset($current->custom['name']) ? $current->custom['name'] : ''; ?>"/>
        </div>
        <div class="form-group">
            <label><b>Type</b></label>
            <select class="form-select required" name="type" id="type">
                <option value="">- Select Custom Field Type -</option>
                <?php echo HTMLHelper::_('select.options', $current->custom_types, 'value', 'text', $current->custom['type'], true); ?>
            </select>
        </div>
        <legend>Field Settings</legend>
        <div id="custom_field_data">
        </div>
        <div>
            <?php if (isset($current->custom['id'])) : ?>
                <input type="hidden" name="id" value="<?php echo $current->custom['id']; ?>"/>
            <?php endif; ?>
            <input type="hidden" name="task" value=""/>
            <?php echo HTMLHelper::_('form.token'); ?>
        </div>
    </div>
</form>
<div style="display:none;" id="custom_field_templates">
	<?php foreach ($current->custom_types as $ckey => $custom_type) : ?>
		<?php echo LayoutHelper::render("customfields.settings.$ckey",['current' => $current]) ?>
	<?php endforeach; ?>
</div>