<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

extract($displayData);

?>
<div id="custom_field_picklist">
    <p class="alert alert-info">
        Picklist fields allow you to specify a list of pre-defined values for a user to pick from. Examples: Industry, Competitor, Regions, Product or Service Interest.
    </p>
    <div id="choices">
		<?php if (is_array($current->custom) && array_key_exists('values', $current->custom) && $current->custom['values'] != null)
		{
			$values = $current->custom['values'];
			if (count($values) > 0)
			{
				foreach ($values as $value)
				{
					?>
                    <div class="choices">
                        <table class="table">
                            <tr>
                                <td>Enter Choice</td>
                                <td>
                                    <input class="form-control required" type="text" name="values[]" value="<?php echo $value; ?>"/>
                                </td>
                                <td><a class="btn btn-danger remove_values">Remove</a></td>
                            </tr>
                        </table>
                    </div>
					<?php
				}
			}
		}
		else
		{
			?>
            <div class="choices">
                <table class="table">
                    <tr>
                        <td>Enter Choice</td>
                        <td>
                            <input class="form-control required" type="text" name="values[]" value=""/>
                        </td>
                        <td><a class="btn btn-danger remove_values">Remove</a></td>
                    </tr>
                </table>
            </div>
		<?php } ?>
    </div>
    <table>
        <tr>
            <td><a class="btn btn-primary" id="add_values">Add More Choices</a></td>
        </tr>
    </table>
    <br>
    <table class="table">
        <tr>
            <td width="10px">
                <input type="checkbox" class="form-check-input" name="multiple_selections" <?php echo isset($current->custom['multiple_selections']) && $current->custom['multiple_selections'] ? 'checked' : ''; ?> />
            </td>
            <td>Users can select more than one value</td>
        </tr>
        <tr>
            <td width="10px">
                <input type="checkbox" class="form-check-input"  name="required" <?php echo isset($current->custom['required']) && $current->custom['required'] ? 'checked' : '' ?> />
            </td>
            <td>Make this field a required entry.</td>
        </tr>
    </table>
</div>
<div id="choice_template">
    <div class="choices">
        <table class="table">
            <tr>
                <td>Enter Choice</td>
                <td><input class="form-control required" type="text" name="values[]" value=""/></td>
                <td><a class="btn btn-danger remove_values">Remove</a></td>
            </tr>
        </table>
    </div>
</div>
