<?php
/**
 * @package        JoomRecipe
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Layout\LayoutHelper;

$links = [
	[
		'icon' => 'fas fa-eye',
		'title' => 'COM_JOOMCRM_DISPLAY',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#display'
	],
	[
		'icon' => 'fas fa-users',
		'title' => 'COM_JOOMCRM_PEOPLE',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#people'
	],
	[
		'icon' => 'fas fa-building',
		'title' => 'COM_JOOMCRM_COMPANIES',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#companies'
	],
	[
		'icon' => 'fas fa-handshake',
		'title' => 'COM_JOOMCRM_DEALS',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#deals'
	],
	[
		'icon' => 'fas fa-tags',
		'title' => 'COM_JOOMCRM_EVENTS',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#events'
	],
	[
		'icon' => 'fas fa-flag',
		'title' => 'COM_JOOMCRM_LOCALE',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#localization'
	],
	[
		'icon' => 'fas fa-users-cog',
		'title' => 'COM_JOOMCRM_TEAMS',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#teams'
	],
	[
		'icon' => 'fas fa-dollar-sign',
		'title' => 'COM_JOOMCRM_CURRENCY',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#currency'
	],
	[
		'icon' => 'fas fa-inbox',
		'title' => 'COM_JOOMCRM_INBOX_EMAIL',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#email'
	],
	[
		'icon' => 'fas fa-life-ring',
		'title' => 'COM_JOOMCRM_HELP',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#help'
	],
	[
		'icon' => 'fas fa-lock',
		'title' => 'COM_JOOMCRM_PERMISSIONS',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#permissions'
	],
	[
		'icon' => 'fas fa-envelope',
		'title' => 'COM_JOOMCRM_MAILING',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#acymailing'
	],
	[
		'icon' => 'fas fa-sign-in-alt',
		'title' => 'COM_JOOMCRM_AUTHENTICATION',
		'url' => 'index.php?option=com_config&view=component&component=com_joomcrm#auth'
	],
	[
		'icon' => 'fas fa-envelope-open-text',
		'title' => 'COM_JOOMCRM_EMAILS',
		'url' => 'i ndex.php?option=com_config&view=component&component=com_joomcrm#emails'
	],
	[
        'icon' => 'fas fa-plus',
        'title' => 'COM_JOOMCRM_OTHERS',
        'url' => 'i ndex.php?option=com_config&view=component&component=com_joomcrm#others'
    ]
];

?>
<div class="row gx-2">
	<?php foreach ($links as $link): ?>
		<?php echo LayoutHelper::render(
			'dashboard.skeleton.buttonLink',
			[
				'title' => $link['title'],
				'icon'  => $link['icon'],
				'url'   => $link['url']
			]
		) ?>
	<?php endforeach; ?>
</div>
