<?php
/**
 * @package        JoomRecipe
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

extract($displayData);

if(count($recent) == 0){
	echo '<p class="alert alert-warning"><i class="fas fa-exclamation-triangle"></i> '.Text::_('COM_JOOMCRM_NO_DATA_FOUND_YET').'</p>';
	return;
}

?>

<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script type="text/javascript">

    google.charts.load('current', {'packages':['line']});
    google.charts.setOnLoadCallback(drawChart);

    function drawChart() {
        var data = new google.visualization.DataTable();
        data.addColumn('date', '<?php echo Text::_('COM_JOOMCRM_GRAPH_DATE'); ?>');
        data.addColumn('number', '<?php echo Text::_('COM_JOOMCRM_GRAPH_PEOPLE'); ?>');
        data.addColumn('number', '<?php echo Text::_('COM_JOOMCRM_GRAPH_DEALS'); ?>');
        data.addColumn('number', '<?php echo Text::_('COM_JOOMCRM_GRAPH_GOALS'); ?>');
        data.addColumn('number', '<?php echo Text::_('COM_JOOMCRM_GRAPH_EVENTS'); ?>');
        data.addColumn('number', '<?php echo Text::_('COM_JOOMCRM_GRAPH_NOTES'); ?>');

        data.addRows([
			<?php



            foreach($recent as $item):
			$item = $item[0];
			?>
            [new Date('<?php echo date("Y", strtotime($item['created'])); ?>, <?php echo date("m", strtotime($item['created'])); ?>, <?php echo date("d", strtotime($item['created'])); ?>'),
				<?php echo isset($item['total_people']) ? $item['total_people'] : 0 ?>,
				<?php echo isset($item['total_deals']) ? $item['total_deals'] : 0 ?>,
				<?php echo isset($item['total_goals']) ? $item['total_goals'] : 0; ?>,
				<?php echo isset($item['total_events']) ? $item['total_events'] : 0 ?>,
				<?php echo isset($item['total_notes']) ? $item['total_notes'] : 0 ?>
            ],
			<?php
            endforeach;            ?>

        ]);

        var options = {
            width: '100%',
            height: 300,
            backgroundColor: 'white',
            hAxis: {format:'MMM d',gridlines: {count: 4}}
        };

        var chart = new google.charts.Line(document.getElementById('chart_div'));
        chart.draw(data, google.charts.Line.convertOptions(options));
    }

</script>
<div id="chart_div" style="width: 100%; height: 300px;"></div>