jQuery(document).ready(function ($) {

    // Assign new custom area depending on radio select
    $('input[name=id]').each(function (index) {
        var base = $(this);

        base.bind('click', function () {
            if (base.is(':checked')) {
                changeTheme(base.val());
            }
        });

        if (base.is(':checked')) {
            changeTheme(base.val());
        }
    });
});


/**
 * function to change theme
 */
function changeTheme(id) {
    var $ = jQuery,
        custom_content = $('#customization_content');

    // Update page html
    $.when(custom_content.html($("#" + id).html()))
        // Define new areas
        .then(function () {
            var custom_content_li = custom_content.children('ul').children('li'),
                customization_area = custom_content_li.children('input:text');

            // Assign input binds
            $.each(customization_area, function (index, area) {
                bindColorInputs(area);
            });

        })
        .then(function () {
            var base,
                customization_content = $('#customization_content'),
                joomcrm_toolbar = $('#com_joomcrm_toolbar'),
                joomcrm_toolbar_links = joomcrm_toolbar.find('ul.joomcrm_menu').find('a'),
                old_tabs_hover_text = joomcrm_toolbar_links.css('color'),
                table_headers = $('.com_joomcrm').find('table').find('th');

            // Update page css
            joomcrm_toolbar.css({'backgroundColor': "#" + customization_content.find('input[name=header]').val()});
            joomcrm_toolbar_links.hover(
                function () {
                    $(this).css({'backgroundColor': "#" + customization_content.find('input[name=tabs_hover]').val()});
                },
                function () {
                    var cssObj = {
                        'background-color': 'transparent'
                    };
                    $(this).css(cssObj);
                }
            );

            joomcrm_toolbar_links.hover(
                function () {
                    $(this).css({'color': "#" + customization_content.find('input[name=tabs_hover_text]').val()});
                },
                function () {
                    var cssObj = {
                        'color': old_tabs_hover_text
                    };
                    $(this).css(cssObj);
                }
            );

            table_headers.css({'backgroundColor': "#" + customization_content.find('input[name=table_header_row]').val()});
            table_headers.css({'color': "#" + customization_content.find('input[name=table_header_text]').val()});
        });


}

// bind color input events
function bindColorInputs(ele) {
    var $ = jQuery,
        base = $(ele),
        name = base.attr('name');

    base.minicolors({
        control: base.attr('data-control') || 'hue',
        position: base.attr('data-position') || 'right',
        theme: 'bootstrap',
        change: function (hex, opacity) {
            updateCss(name, hex);
        }
    });
}

/**
 * dynamically updates the css on the page
 */
function updateCss(name, hex) {
    var $ = jQuery,
        user_functions = $('#user_functions'),
        user_functions_links = user_functions.find('a'),
        joomcrm_toolbar = $('#com_joomcrm_toolbar'),
        joomcrm_toolbar_links = joomcrm_toolbar.find('ul.joomcrm_menu').find('a'),
        joomcrm_table_headers = $('.com_joomcrm_table').find('th');

    // Change the radio button
    $('input:radio[name=id]')[1].checked = true;

    // Update page css
    if (name == 'header') {
        joomcrm_toolbar.css({'backgroundColor': hex});
    }

    if (name == 'tabs_hover') {
        joomcrm_toolbar_links.hover(
            function () {
                $(this).attr('style', 'background-color: ' + hex + '!important');
            },
            function () {
                $(this).attr('style', '');
            }
        );
    }

    if (name == 'tabs_hover_text') {
        var old_tabs_hover_text = joomcrm_toolbar_links.css('color');
        joomcrm_toolbar_links.hover(
            function () {
                $(this).css({'color': hex});
            },
            function () {
                $(this).css({'color': old_tabs_hover_text});
            }
        );
    }

    if (name == 'table_header_row') {
        joomcrm_table_headers.css({'background-color': hex});
    }

    if (name == 'table_header_text') {
        joomcrm_table_headers.css({'color': hex});
    }

    if (name == "link") {
        $('#com_joomcrm').find('a').attr('style', 'color: ' + hex + ' !important;');
    }

    if (name == "link_hover") {
        var old_link_style = user_functions_links.css('color');
        user_functions_links.hover(
            function () {
                $(this).css({'color': hex});
            },
            function () {
                $(this).css({'color': old_link_style});
            }
        );
    }
}
