jQuery(document).ready(function ($) {

    // Assign type
    if (typeof(type) !== 'undefined') {
        changeCustomType(type.value);
    }

    // Bind custom type dropdown
    $("select[name=type]").bind('change', function () {
        changeCustomType(this.value);
    });

    // Bind button to add more choices for picklists
    bindPicklistAdd();
    // Bind remove value button
    bindPicklistRemove();
    //
    Joomla.submitbutton = function (task) {
        if (task == "Custom.cancel") {
            Joomla.submitform(task);
            return;
        }
        if (save()) {
            Joomla.submitform(task);
        }
    }

});

function save() {
    var $ = jQuery,
        valid = true,
        choiceCount = 0,
        inputs = $('#adminForm').find(':input');

    inputs.each(function (index, ele) {
        var base = $(this);

        if (ele.name == "values[]") {
            choiceCount++;
        }
        if (base.hasClass('required') && ( base.val() == "" || base.val() == 0 )) {
            base.focus();
            valid = false;
        }
    });

    if ($("input[name=type]").val() == "picklist" && choiceCount == 0) {
        valid = false;
    }

    return valid;
}

// Change the custom field type
function changeCustomType(area) {
    var $ = jQuery;

    // Change the html data on the page to reflect the correct type selected
    $("#custom_field_data").empty().html($("#custom_field_" + area).html());

    // If we select a picklist we must bind the links for custom choices
    if (area == 'picklist') {
        bindPicklistAdd();
        bindPicklistRemove();
    }
}

// Bind add to picklist
function bindPicklistAdd() {
    var $ = jQuery,
        add_values = $('#add_values');

    add_values.unbind();
    add_values.bind('click', function () {
        addValue();
    });
}

// Bind picklist areas
function bindPicklistRemove() {
    var $ = jQuery;

    $('#choices .remove_values').bind('click', function (e) {
        e.preventDefault();
        $(this).closest('.choices').remove();
    });
}

// Add choices to the picklist
function addValue() {
    var $ = jQuery;

    // Append template
    $("#choices").append($("#choice_template").html());
    // Get the new entry
    bindPicklistRemove();
}
