jQuery(document).ready(function ($) {

    let type = $('#type'),
        status = $('#status_id'),
        source = $('#source_id'),
        return_url = $('#return_url'),
        owner_id = $('input#owner_id'),
        owner_id_hidden = $('input#owner_id_hidden');

    type.change(function () {
        updateFields();
    });

    status.change(function () {
        updateFields();
    });

    source.change(function () {
        updateFields();
    });

    return_url.blur(function () {
        updateFields();
    });

    $('#owner_id').on('change', function() {
        console.log($(this).val())
        $('#owner_id_hidden').val($(this).val());
    });


    owner_id.autocomplete({
        source: function (request, response) {
            var results = $.ui.autocomplete.filter(user_list, request.term);

            response(results.slice(0, 10));
        },
        select: function (event, ui) {
            owner_id.val(ui.item.label);
            owner_id_hidden.val(ui.item.value);
            updateFields();
        },
        search: function (event, ui) {
            owner_id_hidden.val('');
            updateFields();
        },
        change: function (event, ui) {

            if (ui.item == null || ui.item.value == 0) {
                owner_id.val('');
                owner_id_hidden.val('');
            }

            updateFields();
        },
        close: function (event, ui) {
            updateFields();
        }
    });


    htmlEditField();


})

function showFieldCheckboxes() {
    var $ = jQuery,
        type = $('#type');

    $("div.field_checkbox_container").hide();
    $("#" + type.val() + "_fields").show();
}

function htmlEditField(){
    var $ = jQuery,
        isCustom = parseInt($('#is_custom').val());

    if(isCustom){
        $('#htmlEdit').show();
    }else{
        $('#htmlEdit').hide();
    }
}

function updateFields() {

    return false;

    let $ = jQuery,
        html = '<form class="validate-form" action="' + Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=ajax.saveWizardForm" method="post">\n',
        type = $("#type"),
        status = $("#status_id"),
        source = $("#source_id"),
        type_val = type.val(),
        status_val = status.val(),
        source_val = source.val(),
        return_url = $.base64.encode($('#return_url').val()),
        owner_id_hidden_val = $('#owner_id_hidden').val(),
        form_id = $('#form_id').val();

    $.each(fields[type_val], function (fieldIndex, field) {
        if ($("#" + type_val + "_field_" + fieldIndex).is(":checked")) {

            jQuery.ajax({
                url: ajaxUrl,
                type: "get",
                success: function(response) {
                    jQuery('#experience_container').html(response)
                }
            });


            switch (field.type) {
                case "text":
                case "number":
                case "currency":
                    html += "\t<div class='row'>\n\t\t<label>" + field.display + "</label>\n\t\t<input class='form-control' type='text' name='" + field.name + "' />\n\t</div>\n";
                    break;
                case "picklist":
                    html += "\t<div class='row'>\n\t\t<label>" + field.display + "</label>\n";

                    if (field.multiple_selections == 1) {
                        html += "\t\t<ul class='unstyled'>\n";
                        $.each(field.values, function (valueIndex, value) {
                            html += "\t\t\t<li><input class='form-control' name='" + field.name + "[" + valueIndex + "]' type='checkbox' value='1'> - " + value + "</li>\n";
                        });
                        html += "\t\t</ul>\n";
                    } else {
                        html += "\t\t<select class='form-control' name='" + field.name + "'>\n";
                        $.each(field.values, function (valueIndex, value) {
                            html += "\t\t\t<option value='" + valueIndex + "'>" + value + '</option>\n';
                        });
                        html += "\t\t</select>\n";
                    }
                    html += "\t</div>\n";
                    break;
                case "date":
                    html += "\t<div class='row'>\n\t\t<label>" + field.display + "</label>\n\t\t<input class='form-control' type='date' name='" + field.name + "' />\n\t</div>\n";
                    break;
            }
        }
    });

    html += '\t<div id="dynamic_recaptcha_1"></div>\n';
    html += '\t<input type="hidden" name="owner_id" value="' + owner_id_hidden_val + '" />\n';
    html += '\t<input type="submit" value="Submit" />\n';
    html += '\t<input type="hidden" name="save_type" value="' + type_val + '" />\n';
    if (type_val == "contact" || type_val == "lead") {
        html += '\t<input type="hidden" name="type" value="' + type_val + '" />\n';
    }
    if (status_val > 0) {
        html += '\t<input type="hidden" name="status_id" value="' + status_val + '" />\n';
    }
    if (source_val > 0) {
        html += '\t<input type="hidden" name="source_id" value="' + source_val + '" />\n';
    }
    html += '\t<input type="hidden" name="return" value="' + return_url + '" />\n';
    html += '\t<input type="hidden" name="form_id" value="' + form_id + '" />\n';
    html += '</form>\n';

    $("#fields").val(html);
}	

