var current_import = 0;

jQuery(document).ready(function ($) {
    $(":checkbox").tooltip({
        placement: 'right',
        trigger: 'hover'
    });
    $(":input[rel=tooltip]").tooltip({
        placement: 'right',
        trigger: 'focus'
    });
    $("select[rel=tooltip]").tooltip({
        placement: 'right',
        trigger: 'focus'
    });
    $("a[rel=tooltip]").tooltip({
        placement: 'right',
    });

    // Make people scrollable
    var importEntries = $('#import_entries');

    if (importEntries.length)
    {
        $("#import_entries").scrollable({

        });
    }

    if (typeof window.show_tab !== 'undefined') {
        showTab(show_tab);
    }

    $('.minicolors').each(function() {
        var base = $(this);

        base.minicolors({
            control: base.attr('data-control') || 'hue',
            position: base.attr('data-position') || 'bottom',
            theme: 'bootstrap'
        });
    });
});

function selectTextarea(ele) {
    var $ = jQuery
        base = $(ele);

    if (typeof ele == 'object') {
        base.select();
    } else {
        base = $('#' + ele);

        if (base.is(":visible")) {
            base.select();
        } else {
            setTimeout(function () {
                base.select();
            }, 1);
        }
    }
}

function showTooltip(idOrName) {
    var $ = jQuery,
        idToolTip = $('#' + idOrName),
        nameToolTip = $('[name=' + idOrName +']');

    if (idToolTip.length > 0) {
        idToolTip.tooltip({
            placement: 'right',
            trigger: 'manual'
        });
        idToolTip.tooltip('show');
    } else if (nameToolTip.length > 0) {
        nameToolTip.tooltip({
            placement: 'right',
            trigger: 'focus'
        });
        nameToolTip.tooltip('show');
    }

    idToolTip.parent('a').tooltip('show');
}

function showTab(name) {
    jQuery("a[href=#" + name + "]").tab('show');
}

function updateConfig(config_type, config_value) {
    var $ = jQuery;

    if (config_value == 1) {
        var config_type_element = $('#' + config_type.replace('.', '\\.'));

        config_type_element.addClass('completed').removeClass('uncompleted');
        config_type_element.find('span.uncompleted').addClass('completed').removeClass('uncompleted');
        config_type_element.find('span.uncompleted-inner').addClass('completed-inner').removeClass('uncompleted-inner');
        $.ajax({
            type: 'POST',
            url: 'index.php?option=com_joomcrm&task=config.updateConfig&format=raw&tmpl=component',
            data: 'show_help=1&' + config_type + "=" + config_value,
            dataType: ' JSON',
            success: function (data) {

            }
        })
    }

    $("#help_actions").fadeOut('fast');
}

function disableHelp() {
    var $ = jQuery;

    $.ajax({
        type: 'POST',
        url: 'index.php?option=com_joomcrm&task=config.updateConfig&format=raw&tmpl=component',
        data: 'show_help=0',
        dataType: 'JSON',
        success: function (data) {
            // $("#disable_help_hidden").modal();
            $("#help_description_action").slideUp('fast');
        }
    })
}

function downloadImportTemplate(ele) {
    var $ = jQuery,
        form = jQuery(ele).parent('form'),
        old_action = jQuery(form).attr('action');

    $(form).attr('action', 'index.php?option=com_joomcrm&task=import.downloadImportTemplate&tmpl=component&format=raw');
    $(form).submit();
    $(form).attr('action', old_action);

}

function seekImport(seek) {
    var $ = jQuery,
        beginning = ( current_import == 0 && seek == -1 ) ? true : false,
        end = ( current_import >= import_length - 1 && seek == 1 ) ? true : false,
        viewing_entry = $('#viewing_entry');

    $("#editForm").innerHeight(jQuery("#editForm").css('height').replace('px', ''));

    if (!beginning && !end) {
        $("#import_entry_" + current_import).fadeOut('fast', function () {
            current_import += seek;
            viewing_entry.fadeOut('fast', function () {
                viewing_entry.html(current_import + 1)
                viewing_entry.fadeIn('fast');
            })
            $("#import_entry_" + current_import).fadeIn('fast');
        });

    }
}

function testImapConnection() {
    var $ = jQuery,
        dataObj = {
            host: $("input[name='jform[imap_host]']").val(),
            user: $("input[name='jform[imap_user]']").val(),
            pass: $("input[name='jform[imap_pass]']").val(),
            port: $("input[name='jform[imap_port]']").val(),
            service: $("select[name='jform[imap_service]']").val(),
            security: $("select[name='jform[imap_security]']").val(),
            validateCert: $("select[name='jform[imap_validate_cert]']").val()
        },
        connection_results = $('#connection_results');

    console.log(dataObj)

    connection_results.empty();
    connection_results.append("<br><div class='imap-connection alert alert-info'><span class='loading'>Checking ... please wait</span></div>");

    $.ajax({
        url: 'index.php?option=com_joomcrm&task=ajax.testImapConnection&format=raw&tmpl=component',
        type: 'POST',
        data: dataObj,
        dataType: 'JSON',
        success: function (data) {
            connection_results.empty();

            if (data.success) {
                connection_results.append('<br><div class="imap-connection alert alert-success"><b>' + data.msg + "</b></div>");
            } else {
                var error = "";

                if (typeof data.error !== 'undefined' && data.error) {
                    error += '<p>' + data.error + '</p>';
                }

                connection_results.append('<br><div class="imap-connection alert alert-danger"><b>' + data.msg + "</b>" + error + "</div>");
            }
        }
    });
}
