<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\Form\Field\SpacerField;

FormHelper::loadFieldClass('spacer');


/**
 * Voteradio Field class.
 *
 * @since  3.8.0
 */
class JFormFieldImapcheck extends SpacerField
{

	protected $type = 'Imapcheck';

	protected function getInput()
	{
		return '';
	}

	public function getLabel(){

		$html = [];

		$imap_found    = function_exists('imap_open') ? true : false;

		if(!$imap_found){
			$html[] = "<div class='alert alert-error iMapCheck'>".Text::_("COM_JOOMCRM_WARNING_IMAP_NOT_ENABLED")."</div>";
		}

		Factory::getDocument()->addScriptDeclaration("	
		
		jQuery(document).ready(function(){
			
			jQuery('.iMapCheck').parent().css('width','100%')
		
		});
		"
		);

		Factory::getDocument()->addStyleDeclaration(".field-spacer{margin-bottom: 0px !important;}");


		return implode('', $html);
	}


	protected function getTitle()
	{
		return $this->getLabel();
	}

}
