<?php
/*
 * @package		Joomla 3.0
 * @subpackage	EasyJobsManager
 * @author		JoomBoost
 * @license		GNU/GPL
 */
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\Form\Field\ListField;


FormHelper::loadFieldClass('list');

class JFormFieldManagers extends ListField{

	protected $type = 'managers';


	public function getOptions($isFilter = false){


		$options = array();

		$db    = Factory::getDbo();
		$query = $db->getQuery(true)
			->select("CONCAT(`u.first_name`, ' ', `u.last_name`) AS text, u.first_name, u.last_name, u.id, u.team_id, t.name AS team_name")
			->leftJoin('#__joomcrm_teams t USING(team_id)')
			->from("#__joomcrm_users AS u")
			->where("u.published = 1")
			->order('u.last_name');

			$query->where("u.role_type = manager");
			$query->where('(u.team_id < 1 OR u.id = ' . $leaderId . ')');



		$records = $db->setQuery($query)->loadAssocList();


		foreach ($records as $record){
			$options[$record->value] = $record->text;
		}

		return $options;
	}


}
