<?php
/*
 * @package		Joomla 3.0
 * @subpackage	EasyJobsManager
 * @author		JoomBoost
 * @license		GNU/GPL
 */
defined('_JEXEC') or die('Restricted access');


use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\Form\Field\ListField;

FormHelper::loadFieldClass('list');

class JFormFieldTeams extends ListField{

	protected $type = 'teams';


	public function getOptions($isFilter = false){


		$options = array();

		$db    = Factory::getDbo();
		$query = $db->getQuery(true)
			->select("t.team_id AS id,u.first_name,u.last_name,u.team_id,IF(t.name!='',t.name,CONCAT(u.first_name,' ',u.last_name)) AS team_name")
			->from("#__joomcrm_users AS u")
			->leftJoin("#__joomcrm_teams AS t on t.leader_id = u.id")
			->where("u.role_type='manager'");

		// $query->where("u.published=1");

		$records = $db->setQuery($query)->loadAssocList();
		$users   = array();

		if (is_array($records) && count($records) > 0)
		{
			foreach ($records as $key => $user)
			{
				$users[$user['id']] = $user['team_name'];
			}
		}


		foreach ($records as $record){
			$options[$record->value] = $record->text;
		}

		return $options;
	}


}
