<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\MVC\Model\AdminModel;

jimport('joomla.application.component.modeladmin');

class JoomcrmModelMenu extends AdminModel
{
	public function store()
	{
		// Load Tables
		$row  = new JoomcrmTableMenu;
		$data = \Joomla\CMS\Factory::getApplication()->input->post->getArray();

		// Date generation
		$date             = date('Y-m-d H:i:s');
		$data['modified'] = $date;

		// Serialize menu items for storage
		$data['menu_items'] = serialize($data['menu_items']);

		// Bind the form fields to the table
		if (!$row->bind($data))
		{
			$this->setError($row->getError());

			return false;
		}

		// Make sure the record is valid
		if (!$row->check())
		{
			$this->setError($row->getError());

			return false;
		}

		// Store the web link table to the database
		if (!$row->store())
		{
			$this->setError($row->getError());

			return false;
		}

		return true;
	}

	public function getForm($data = array(), $loadData = true)
	{
		return false;
	}

	public function getTable($name = '', $prefix = 'Table', $options = array())
	{
		return new JoomcrmTableMenu;
	}

	public function getMenu()
	{
		$db    = $this->getDbo();
		$query = $db->getQuery(true)
			->select("*")
			->from("#__joomcrm_menu")
			->order('ordering ASC');

		$published = $this->getState('filter.published', 0);

		if ($published)
		{
			$query->where('published = 1');
		}

		$menuItems = $db->setQuery($query)->loadObjectList();

		if(is_null($menuItems))
			return [];

		foreach ($menuItems as &$menuItem){

			$method = 'get'.ucfirst($menuItem->title).'Route';
			$menuItem->link = JoomcrmHelperRoute::$method(2);


		}

		return $menuItems;
	}

	public function getMenuTemplate()
	{
		return array('dashboard', 'deals', 'people', 'companies', 'calendar', 'documents', 'goals', 'reports','myteam');
	}

}
