<?php
/*
 * @subpackage	JoomCRM
 * @author		JoomBoost
 * @license		GNU/GPL
 */
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Form\Field\ListField;


class JFormFieldCustomfieldlist extends ListField {

	protected $type = 'customfieldlist';

	public function getOptions(){

		$context = $this->getAttribute('context','com_users.user');

		$options = array();
		$rows = $this->getFields($context);

		// add default
		$options[] = ['value' => '','text' => '- Select Custom Field -'];

		if(empty($rows)){
			return parent::getOptions();
		}

		foreach($rows as $row){

			$records[] = (object) array('value' => $row->id, 'text' => $row->title);

		}

		$options = array_merge( $options, $records);

		return $options;
	}


	public function getFields($context = 'com_users.user')
	{

		$db = Factory::getDbo();
		$query = $db->getQuery(true);

		$query->select("id,title,name");
		$query->from('#__fields');
		$query->where("context = ".$db->quote($context));
		$query->where("state = 1");
		$query->where("type IN('text','textarea')");
		$db->setQuery($query);
		return $db->loadObjectList();

	}


}
