CREATE TABLE IF NOT EXISTS `#__joomcrm_shared`
(
    `item_id`   int(11) NOT NULL DEFAULT 0,
    `item_type` enum ('deal','person','company') DEFAULT NULL,
    `user_id`   int(11)                          NOT NULL DEFAULT 0,
    KEY `item_id` (`item_id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_banter_rooms`
(
    `room_id`          int(11)                          DEFAULT NULL,
    `association_id`   int(11)                          DEFAULT NULL,
    `association_type` enum ('deal','person','company') DEFAULT NULL
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_formwizard`
(
    `id`          int(11) unsigned NOT NULL AUTO_INCREMENT,
    `name`        varchar(255)                             DEFAULT NULL,
    `description` text DEFAULT NULL,
    `type`        enum ('contact','lead','deal','company') DEFAULT NULL,
    `modified`    datetime                                 DEFAULT NULL,
    `created`     datetime                                 DEFAULT NULL,
    `modified_by` int(11)                                  DEFAULT NULL,
    `created_by`  int(11)                                  DEFAULT NULL,
    `source_id`   int(11)                                  DEFAULT NULL,
    `status_id`   int(11)                                  DEFAULT NULL,
    `fields`      text DEFAULT NULL,
    `html`        text DEFAULT NULL,
    `is_custom` tinyint(2) NOT NULL DEFAULT 0,
    `return_url`  text DEFAULT NULL,
    `owner_id`    int(11)                                 NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);

DROP TABLE IF EXISTS `#__joomcrm_menu`;
CREATE TABLE IF NOT EXISTS `#__joomcrm_menu`
(
    `id`        int(11) unsigned NOT NULL AUTO_INCREMENT,
    `published` tinyint(3)       NOT NULL DEFAULT '1',
    `title`     varchar(255)     NOT NULL DEFAULT '',
    `ordering`  int(11)          NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);

INSERT IGNORE INTO `#__joomcrm_menu` (`id`, `published`, `title`, `ordering`)
VALUES (1, 1, 'dashboard', 1),
       (2, 1, 'deals', 2),
       (3, 1, 'people', 3),
       (4, 1, 'companies', 4),
       (5, 1, 'calendar', 5),
       (6, 1, 'documents', 6),
       (7, 1, 'goals', 7),
       (8, 1, 'reports', 8),
       (9, 1, 'myteam', 9);

CREATE TABLE IF NOT EXISTS `#__joomcrm_companies`
(
    `id`              int(11)      NOT NULL AUTO_INCREMENT,
    `category_id`     int(11)               DEFAULT NULL DEFAULT '0',
    `owner_id`        int(11)      NOT NULL DEFAULT '0',
    `name`            varchar(255) NOT NULL DEFAULT '',
    `description`     text         DEFAULT NULL,
    `address_1`       varchar(255) NOT NULL DEFAULT '',
    `address_2`       varchar(255) NOT NULL DEFAULT '',
    `address_city` varchar(255) NOT NULL DEFAULT '',
    `address_state`   varchar(255) NOT NULL DEFAULT '',
    `address_zip`     varchar(255) NOT NULL DEFAULT '',
    `address_country` varchar(255) NOT NULL DEFAULT '',
    `website`         varchar(255) NOT NULL DEFAULT '',
    `created`         datetime     DEFAULT NULL,
    `notes`           text         DEFAULT  NULL,
    `phone`           varchar(255) NOT NULL DEFAULT '',
    `modified`        datetime     DEFAULT NULL,
    `avatar`          varchar(255) NOT NULL DEFAULT '',
    `published`       tinyint(2)            DEFAULT '1',
    `fax`             varchar(255) NOT NULL DEFAULT '',
    `email`           varchar(255) NOT NULL DEFAULT '',
    `twitter_user`    varchar(255) NOT NULL DEFAULT '',
    `facebook_url`    varchar(255) NOT NULL DEFAULT '',
    `flickr_url`      varchar(255) NOT NULL DEFAULT '',
    `youtube_url`     varchar(255) NOT NULL DEFAULT '',
    `linkedin_url`    varchar(255) NOT NULL DEFAULT '',
    `public`          tinyint(2)   NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_conversations`
(
    `id`           int(11)  NOT NULL AUTO_INCREMENT,
    `deal_id`      int(11)  NOT NULL DEFAULT '0',
    `author`       int(11)  NOT NULL DEFAULT '0',
    `created`      datetime DEFAULT NULL ,
    `conversation` longtext DEFAULT NULL,
    `modified`     datetime DEFAULT NULL,
    `published`    tinyint(2) DEFAULT '1',
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_deal_custom`
(
    `id`                  int(11)                                                        NOT NULL AUTO_INCREMENT,
    `name`                varchar(255)                                                   NOT NULL DEFAULT '',
    `values`              varchar(1000)                                                  NOT NULL DEFAULT '',
    `type`                enum('number','text','textarea','currency','picklist','forecast','date'),
    `required`            tinyint(2)                                                     NOT NULL DEFAULT '0',
    `reported`            tinyint(2)                                                     NOT NULL DEFAULT '0',
    `multiple_selections` tinyint(2)                                                     NOT NULL DEFAULT '0',
    `created`             datetime                                                       DEFAULT NULL,
    `modified`            datetime                                                       DEFAULT NULL,
    `ordering`            int(11)                                                        NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_deal_custom_cf`
(
    `deal_id`         int(11)  NOT NULL DEFAULT '0',
    `custom_field_id` int(11)  NOT NULL DEFAULT '0',
    `value`           text     DEFAULT NULL,
    `modified`        datetime DEFAULT NULL,
    KEY `deal_id` (`deal_id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_deal_status`
(
    `id`       int(11)      NOT NULL AUTO_INCREMENT,
    `name`     varchar(255) NOT NULL DEFAULT '',
    `color`    varchar(255) DEFAULT NULL,
    `ordering` int(11)      NOT NULL DEFAULT '0',
    `created`  datetime     DEFAULT NULL,
    `modified` datetime     DEFAULT NULL,
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_deals`
(
    `id`                 int(11)      NOT NULL AUTO_INCREMENT,
    `name`               varchar(255) NOT NULL DEFAULT '',
    `summary`            text         DEFAULT NULL,
    `company_id`         int(11)      NOT NULL DEFAULT '0',
    `amount`             double        NOT NULL DEFAULT '0',
    `stage_id`           int(11)      NOT NULL DEFAULT '0',
    `source_id`          int(11)      NOT NULL DEFAULT '0',
    `probability`        varchar(255) NOT NULL DEFAULT '',
    `status_id`          int(11)      NOT NULL DEFAULT '0',
    `expected_close`     date         DEFAULT NULL,
    `created`            datetime     DEFAULT NULL,
    `notes`              text         DEFAULT NULL,
    `category`           varchar(255) NOT NULL DEFAULT '',
    `owner_id`           int(11)      NOT NULL DEFAULT '0',
    `modified`           datetime     DEFAULT NULL ,
    `archived`           tinyint(4) DEFAULT '0',
    `actual_close`       datetime     DEFAULT NULL,
    `primary_contact_id` int(11)      NOT NULL DEFAULT '0',
    `published`          tinyint(2) DEFAULT '1',
    `last_viewed`        datetime    DEFAULT NULL,
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_documents`
(
    `id`               int(11)      NOT NULL AUTO_INCREMENT,
    `filename`         varchar(255) NOT NULL DEFAULT '',
    `name`             varchar(255) NOT NULL DEFAULT '',
    `description`      text DEFAULT NULL,
    `category_id` int(11)      NOT NULL DEFAULT '0',
    `association_id`   int(11)      NOT NULL DEFAULT '0',
    `association_type` enum ('company','person','deal') DEFAULT 'deal',
    `created`          datetime     DEFAULT NULL,
    `filetype`         varchar(255) NOT NULL DEFAULT '',
    `size`             int(11)      NOT NULL DEFAULT '0',
    `owner_id`         int(11)      NOT NULL DEFAULT '0',
    `modified`         datetime     DEFAULT NULL,
    `shared`           tinyint(2)   NOT NULL DEFAULT '0',
    `email`            tinyint(2)   NOT NULL DEFAULT '0',
    `is_image` tinyint(2) NOT NULL DEFAULT 0,
    `published` tinyint(2) NOT NULL DEFAULT 1,
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_events`
(
    `id`           int(11)               NOT NULL AUTO_INCREMENT,
    `owner_id`     int(11)               NOT NULL DEFAULT '0',
    `name`         varchar(255)          NOT NULL DEFAULT '',
    `description`  text                  DEFAULT NULL,
    `created`      datetime              NOT NULL,
    `type`         enum ('task','event') NOT NULL DEFAULT 'task',
    `assignee_id`  int(11)               NOT NULL DEFAULT '0',
    `due_date`     datetime              DEFAULT NULL,
    `end_date`     date                  DEFAULT NULL,
    `repeats`      varchar(255)          NOT NULL DEFAULT '',
    `repeat_end`   datetime              DEFAULT NULL,
    `start_time`   datetime              DEFAULT NULL,
    `end_time`     datetime              DEFAULT NULL,
    `all_day`      int(11)               NOT NULL DEFAULT '0',
    `category_id`  int(11)               NOT NULL DEFAULT '0',
    `modified`     datetime              DEFAULT NULL,
    `completed`    tinyint(2)            NOT NULL DEFAULT '0',
    `actual_close` datetime              DEFAULT NULL,
    `excludes`     mediumtext            DEFAULT NULL,
    `parent_id`    int(11)               NOT NULL DEFAULT '0',
    `published`    tinyint(2)                     DEFAULT '1',
    `public`       tinyint(2)                     DEFAULT '0',
    PRIMARY KEY (`id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_events_categories`
(
    `id`          int(11)      NOT NULL AUTO_INCREMENT,
    `name`        varchar(255) NOT NULL DEFAULT '',
    `description` text DEFAULT NULL,
    `created`     datetime     DEFAULT NULL,
    `created_by`  int(11)    NOT NULL DEFAULT '0',
    `modified`    datetime     DEFAULT NULL,
    `modified_by` int(11)    NOT NULL DEFAULT '0',
    `milestone`   tinyint(2) NOT NULL DEFAULT '0',
    `ordering`    int(11)    NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
) ENGINE = MyISAM
  AUTO_INCREMENT = 8
  DEFAULT CHARSET = utf8;


INSERT IGNORE INTO `#__joomcrm_events_categories` (`id`, `name`)
VALUES (1, 'Call'),
       (2, 'Milestone'),
       (3, 'Appointment'),
       (4, 'Email'),
       (5, 'Todo'),
       (6, 'Fax');


CREATE TABLE IF NOT EXISTS `#__joomcrm_events_cf`
(
    `association_id`   int(11)                          NOT NULL DEFAULT '0',
    `event_id`         int(11)                          NOT NULL DEFAULT '0',
    `association_type` enum ('person','deal','company') NOT NULL DEFAULT 'deal',
    KEY `association_id` (`association_id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_goals`
(
    `id`            int(11)  NOT NULL AUTO_INCREMENT,
    `owner_id`      int(11)  NOT NULL DEFAULT '0',
    `name`          varchar(255)   NOT NULL DEFAULT '',
    `goal_type`     enum ('win_cash','win_deals','move_deals','complete_tasks','write_notes','create_deals') NOT NULL DEFAULT 'win_cash',
    `assigned_type` enum ('member','team','company')                                                         NOT NULL DEFAULT 'member',
    `assigned_id`   int(11)                                                                                  NOT NULL DEFAULT '0',
    `stage_id`      int(11)                                                                                  NOT NULL DEFAULT '0',
    `category_id`   int(11)                                                                                  NOT NULL DEFAULT '0',
    `amount` float NOT NULL DEFAULT 0.0,
    `leaderboard`   tinyint(2)                                                                               NOT NULL DEFAULT '0',
    `goal_date`     enum ('this_week','next_week','this_month','next_month','this_quarter','next_quarter','this_year','custom') DEFAULT NULL,
    `start_date`    datetime                                                                                 DEFAULT NULL,
    `end_date`      datetime                                                                                 DEFAULT NULL,
    `created`       datetime                                                                                 DEFAULT NULL,
    `published`     tinyint(2)                                                                               DEFAULT '1',
    PRIMARY KEY (`id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_history`
(
    `id`          int(11) unsigned NOT NULL AUTO_INCREMENT,
    `type`        enum ('deal','person','company','event','task','goal','report','document','note','quote','quote_product') DEFAULT NULL,
    `type_id`     int(11)                                                                                                   DEFAULT NULL,
    `user_id`     int(11)                                                                                                   DEFAULT NULL,
    `date`        datetime                                                                                                  DEFAULT NULL,
    `old_value`   text DEFAULT NULL,
    `new_value`   text DEFAULT NULL,
    `action_type` enum ('created','deleted','updated','uploaded','postponed','cancelled','completed')                       DEFAULT NULL,
    `field`       varchar(255)                                                                                              DEFAULT NULL,
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_login_history`
(
    `id`      int(11) unsigned NOT NULL AUTO_INCREMENT,
    `user_id` int(11) DEFAULT NULL,
    `date`    date    DEFAULT NULL,
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_notes`
(
    `id`          int(11)      NOT NULL AUTO_INCREMENT,
    `deal_id`     int(11)      NOT NULL DEFAULT '0',
    `person_id`   int(11)      NOT NULL DEFAULT '0',
    `name`        varchar(255) NOT NULL DEFAULT '',
    `note`        longtext     DEFAULT NULL,
    `category_id` int(11)      NOT NULL DEFAULT '0',
    `company_id`  int(11)      NOT NULL DEFAULT '0',
    `created`     datetime     DEFAULT NULL,
    `modified`    datetime     DEFAULT NULL,
    `owner_id`    int(11)      NOT NULL DEFAULT '0',
    `published`   tinyint(2) DEFAULT '1',
    `event_id`    int(11)    NOT NULL DEFAULT 0,
    PRIMARY KEY (`id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_notes_categories`
(
    `id`       int(11)      NOT NULL AUTO_INCREMENT,
    `name`     varchar(255) NOT NULL DEFAULT '',
    `created`  datetime     DEFAULT NULL,
    `modified` datetime     DEFAULT NULL,
    `ordering` int(11) NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);


INSERT IGNORE INTO `#__joomcrm_notes_categories` (`id`, `name`, `created`, `modified`)
VALUES (1, 'Phone Call', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
       (2, 'Voicemail', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
       (3, 'Appointments', '0000-00-00 00:00:00', '2012-02-14 10:38:24'),
       (4, 'Cold Call', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
       (5, 'Concerns', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
       (6, 'Emails', '0000-00-00 00:00:00', '0000-00-00 00:00:00');


CREATE TABLE IF NOT EXISTS `#__joomcrm_people`
(
    `id`              int(11)                 NOT NULL AUTO_INCREMENT,
    `uid`             int(11)                 NOT NULL DEFAULT '0',
    `owner_id`        int(11)                 NOT NULL DEFAULT '0',
    `first_name`      varchar(255)            NOT NULL DEFAULT '',
    `last_name`       varchar(255)            NOT NULL DEFAULT '',
    `company_id`      int(11)                 NOT NULL DEFAULT '0',
    `position`        varchar(255)            NOT NULL DEFAULT '',
    `phone`           varchar(255)            NOT NULL DEFAULT '',
    `email`           varchar(255)            NOT NULL DEFAULT '',
    `source_id`       varchar(255)            NOT NULL DEFAULT '',
    `home_address_1`  varchar(255)            NOT NULL DEFAULT '',
    `home_address_2`  varchar(255)            NOT NULL DEFAULT '',
    `home_city`       varchar(255)            NOT NULL DEFAULT '',
    `home_state`      varchar(255)            NOT NULL DEFAULT '',
    `home_zip`        VARCHAR(255) NOT NULL,
    `home_country`    varchar(255)            NOT NULL DEFAULT '',
    `assignee_id`     int(11)                 NOT NULL DEFAULT '0',
    `fax`             varchar(255)            NOT NULL DEFAULT '',
    `website`         varchar(255)            NOT NULL DEFAULT '',
    `facebook_url`    varchar(255)            NOT NULL DEFAULT '',
    `twitter_user`    varchar(255)            NOT NULL DEFAULT '',
    `linkedin_url`    varchar(255)            NOT NULL DEFAULT '',
    `created`         datetime                DEFAULT NULL,
    `status_id`       int(11)                 NOT NULL DEFAULT '0',
    `type`            enum ('contact','lead') NOT NULL DEFAULT 'contact',
    `info`            varchar(255)            NOT NULL DEFAULT '',
    `modified`        datetime                DEFAULT NULL,
    `work_address_1`  varchar(255)            NOT NULL DEFAULT '',
    `work_address_2`  varchar(255)            NOT NULL DEFAULT ' ',
    `work_city`       varchar(255)            NOT NULL DEFAULT ' ',
    `work_state`      varchar(255)            NOT NULL DEFAULT ' ',
    `work_zip`        VARCHAR(255) NOT NULL,
    `work_country`    varchar(255)            NOT NULL DEFAULT '',
    `assignment_note` varchar(255)            NOT NULL DEFAULT '',
    `mobile_phone`    varchar(255)            NOT NULL DEFAULT '',
    `home_email`      varchar(255)            NOT NULL DEFAULT '',
    `other_email`     varchar(255)            NOT NULL DEFAULT '',
    `home_phone`      varchar(255)            NOT NULL DEFAULT '',
    `avatar`          varchar(255)                     DEFAULT NULL,
    `aim`             varchar(255)                     DEFAULT NULL,
    `published`       tinyint(2)                       DEFAULT '1',
    PRIMARY KEY (`id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_people_cf`
(
    `association_id`   int(11)       NOT NULL DEFAULT '0',
    `association_type` enum ('deal') NOT NULL DEFAULT 'deal',
    `created`          datetime      DEFAULT NULL,
    `person_id`        int(11)                DEFAULT NULL,
    KEY `association_id` (`association_id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_people_status`
(
    `id`       int(11)      NOT NULL AUTO_INCREMENT,
    `name`     varchar(255) NOT NULL DEFAULT '',
    `color`    varchar(255) NOT NULL DEFAULT '',
    `created`  datetime     DEFAULT NULL,
    `modified` datetime     DEFAULT NULL,
    `ordering` int(11) NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);


INSERT IGNORE INTO `#__joomcrm_people_status` (`id`, `name`, `color`, `created`, `modified`, `ordering`)
VALUES (1, 'Archived', '199e76', '0000-00-00 00:00:00', '2012-02-21 00:44:15', 1),
       (2, 'Hot', 'ff0004', '0000-00-00 00:00:00', '2012-02-17 10:59:07', 2),
       (3, 'Warm', '5510b5', '0000-00-00 00:00:00', '2012-02-16 19:58:14', 3),
       (4, 'Follow-Up', '52b354', '0000-00-00 00:00:00', '2012-02-17 01:46:57', 4),
       (5, 'Cold', 'bababa', '0000-00-00 00:00:00', '2012-02-16 19:58:36', 5);


CREATE TABLE IF NOT EXISTS `#__joomcrm_reports`
(
    `id`       int(11)      NOT NULL AUTO_INCREMENT,
    `owner_id` int(11)      NOT NULL DEFAULT '0',
    `name`     varchar(255) NOT NULL DEFAULT '',
    `fields`   text         DEFAULT NULL,
    `created`  datetime     DEFAULT NULL,
    `modified` datetime     DEFAULT NULL,
    PRIMARY KEY (`id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_sources`
(
    `id`       int(11)             NOT NULL AUTO_INCREMENT,
    `name`     varchar(255)        NOT NULL DEFAULT '',
    `type`     enum ('per','flat') NOT NULL DEFAULT 'per',
    `created`  datetime            DEFAULT NULL,
    `modified` datetime            DEFAULT NULL,
    `cost` float NOT NULL DEFAULT 0.00,
    `ordering` int(11) NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);


INSERT IGNORE INTO `#__joomcrm_sources` (`id`, `name`, `type`, `created`, `modified`, `cost`, `ordering`)
VALUES (1, 'Cold Call', 'flat', '0000-00-00 00:00:00', '2012-02-16 13:16:55', 20, 1),
       (2, 'Import', 'per', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 2),
       (3, 'None', 'per', '0000-00-00 00:00:00', '2012-02-14 10:59:48', 26, 3),
       (4, 'Referral', 'per', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 4),
       (5, 'Trade', 'flat', '0000-00-00 00:00:00', '2012-03-01 14:51:27', 20, 5),
       (6, 'Website', 'per', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 6);


CREATE TABLE IF NOT EXISTS `#__joomcrm_stages`
(
    `id`       int(11)      NOT NULL AUTO_INCREMENT,
    `name`     varchar(255) NOT NULL DEFAULT '',
    `percent`  int(11)      NOT NULL DEFAULT '0',
    `created`  datetime     DEFAULT NULL,
    `modified` datetime     DEFAULT NULL,
    `color`    varchar(255) DEFAULT NULL,
    `ordering` int(11)      NOT NULL DEFAULT '0',
    `won`      tinyint(2)   DEFAULT '0',
    PRIMARY KEY (`id`)
);


INSERT IGNORE INTO `#__joomcrm_stages` (`id`, `name`, `percent`, `created`, `modified`, `color`, `won`, `ordering`)
VALUES (1, 'Qualified Lead', 12, '0000-00-00 00:00:00', '2012-07-11 15:24:01', 'ffa200', 0, 1),
       (2, 'Request for Info', 9, '0000-00-00 00:00:00', '2012-07-11 15:24:14', '00ffea', 0, 2),
       (3, 'Presentation', 27, '0000-00-00 00:00:00', '2012-07-11 15:23:43', '009dff', 0, 3),
       (4, 'Negotiation', 50, '0000-00-00 00:00:00', '2012-07-11 15:23:33', 'ebe238', 0, 4),
       (5, 'Won', 100, '0000-00-00 00:00:00', '2012-07-11 15:24:20', '12d900', 1, 5),
       (6, 'Lost', 0, '0000-00-00 00:00:00', '2012-07-11 15:23:19', 'cc2121', 0, 6);


CREATE TABLE IF NOT EXISTS `#__joomcrm_teams`
(
    `team_id`   int(11) NOT NULL AUTO_INCREMENT,
    `leader_id` int(11) NOT NULL,
    `name`      varchar(255) DEFAULT NULL,
    PRIMARY KEY (`team_id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_template_data`
(
    `id`          int(11)      NOT NULL AUTO_INCREMENT,
    `template_id` int(11)      NOT NULL DEFAULT '0',
    `created`     datetime     DEFAULT NULL,
    `modified`    datetime     DEFAULT NULL,
    `name`        varchar(255) NOT NULL DEFAULT '',
    `day`         int(11)      NOT NULL DEFAULT '0',
    `type`        varchar(255) NOT NULL DEFAULT '',
    PRIMARY KEY (`id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_templates`
(
    `id`       int(11)      NOT NULL AUTO_INCREMENT,
    `name`     varchar(255) NOT NULL DEFAULT '',
    `type`     enum ('deal','person','company') DEFAULT 'deal',
    `created`  datetime     DEFAULT NULL,
    `modified` datetime     DEFAULT NULL,
    `default`  tinyint(2)   NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_users`
(
    `id`                           int(11)                         NOT NULL AUTO_INCREMENT,
    `uid`                          int(11)                         NOT NULL DEFAULT '0',
    `role_type`                    enum ('exec','manager','basic') NOT NULL  DEFAULT 'exec',
    `admin`                        tinyint(2)                      NOT NULL  DEFAULT '0',
    `exports`                      tinyint(2)                      NOT NULL DEFAULT '0',
    `can_delete`                   tinyint(2)                      NOT NULL DEFAULT '0',
    `team_id`                      int(11)                         NOT NULL DEFAULT '0',
    `first_name`                   varchar(255)                    NOT NULL DEFAULT '',
    `last_name`                    varchar(255)                    NOT NULL DEFAULT '',
    `modified`                     datetime                        DEFAULT NULL,
    `created`                      datetime                        DEFAULT NULL,
    `time_zone`                    varchar(255)                    NOT NULL DEFAULT 'America/New_York',
    `date_format`                  varchar(255)                    NOT NULL DEFAULT 'm/d/y',
    `time_format`                  varchar(255)                    NOT NULL DEFAULT 'g:i A',
    `daily_agenda`                 tinyint(2)                      NOT NULL DEFAULT '0',
    `morning_coffee`               tinyint(2)                      NOT NULL DEFAULT '0',
    `weekly_team_report`           tinyint(2)                      NOT NULL DEFAULT '0',
    `weekly_personal_report`       tinyint(2)                      NOT NULL DEFAULT '0',
    `reminder_notifications`       tinyint(2)                      NOT NULL DEFAULT '0',
    `sms_number`                   int(11)                         NOT NULL DEFAULT '0',
    `text_messages`                tinyint(2)                      NOT NULL DEFAULT '0',
    `home_page_chart`              varchar(255)                    NOT NULL DEFAULT '',
    `commission_rate` float(6,3) NOT NULL DEFAULT 0,
    `deals_columns`                text                            DEFAULT NULL,
    `people_columns`               text                            DEFAULT NULL,
    `companies_columns`            text                            DEFAULT NULL,
    `fullscreen`                   tinyint(2)                               DEFAULT '0',
    `color`                        varchar(255)                             DEFAULT NULL,
    `published`                    tinyint(2)                               DEFAULT '1',
    `document_bypass`              text                            DEFAULT NULL ,
    `dashboard_graph_date_start`   date                                     DEFAULT NULL,
    `dashboard_graph_date_end`     date                                     DEFAULT NULL,
    `report_graph_date_start`      date                                     DEFAULT NULL,
    `report_graph_date_end`        date                                     DEFAULT NULL,
    `dashboard_floats_left`        varchar(255)                    NOT NULL DEFAULT 'tasks_events_float,deals_float',
    `dashboard_floats_right`       varchar(255)                    NOT NULL DEFAULT 'sales_float,inbox_float,latest_float',
    `goal_floats_left`             varchar(255)                    NOT NULL DEFAULT 'leaderboard_float',
    `goal_floats_right`            varchar(255)                    NOT NULL DEFAULT 'individual_goals_float,team_goals_float,company_goals_float',
    `sales_dashboard_floats_left`  varchar(255)                    NOT NULL DEFAULT 'deal_stage_float,deal_status_float',
    `sales_dashboard_floats_right` varchar(255)                    NOT NULL DEFAULT 'yearly_commission_float,yearly_revenue_float,monthly_commission_float,monthly_revenue_float',
    `api`                          varchar(255)                             DEFAULT NULL,
    `team_access`                  int(11)                         NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_users_email_cf`
(
    `member_id` int(11)      NOT NULL DEFAULT '0',
    `email`     varchar(255) NOT NULL DEFAULT ''
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_people_custom`
(
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `name` varchar(255) NOT NULL DEFAULT '',
    `values` varchar(1000) NOT NULL DEFAULT '',
    `type` enum('number','text','textarea','currency','picklist','forecast','date','company'),
    `required` tinyint(2) NOT NULL DEFAULT '0',
    `multiple_selections` tinyint(2) NOT NULL DEFAULT '0',
    `created` datetime DEFAULT NULL,
    `modified` datetime DEFAULT NULL,
    `ordering` int(11) NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_people_custom_cf`
(
    `people_id`       int(11)  NOT NULL DEFAULT '0',
    `custom_field_id` int(11)  NOT NULL DEFAULT '0',
    `value`           text     DEFAULT NULL,
    `modified`        datetime DEFAULT NULL,
    KEY `people_id` (`people_id`)
);


CREATE TABLE IF NOT EXISTS `#__joomcrm_company_custom`
(
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `name` varchar(255) NOT NULL DEFAULT '',
    `values` varchar(1000) NOT NULL DEFAULT '',
    `type` enum('number','text','textarea','currency','picklist','forecast','date','person'),
    `required` tinyint(2) NOT NULL DEFAULT '0',
    `multiple_selections` tinyint(2) NOT NULL DEFAULT '0',
    `created` datetime DEFAULT NULL,
    `modified` datetime DEFAULT NULL,
    `ordering` int(11) NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_company_custom_cf`
(
    `company_id`      int(11)  NOT NULL  DEFAULT '0',
    `custom_field_id` int(11)  NOT NULL DEFAULT '0',
    `value`           text     DEFAULT NULL,
    `modified`        datetime DEFAULT NULL,
    KEY `company_id` (`company_id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_company_categories`
(
    `id`       int(11) unsigned NOT NULL AUTO_INCREMENT,
    `name`     varchar(255) DEFAULT NULL,
    `created`  datetime     DEFAULT NULL,
    `modified` datetime     DEFAULT NULL,
    `ordering`  int(11) NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_document_categories`
(
    `id`       int(11) unsigned NOT NULL AUTO_INCREMENT,
    `name`     varchar(255) DEFAULT NULL,
    `created`  datetime     DEFAULT NULL,
    `modified` datetime     DEFAULT NULL,
    `ordering`  int(11) NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_invites`
(
    `id`        int(11)     NOT NULL AUTO_INCREMENT,
    `team_id`   int(11)     NOT NULL DEFAULT '0',
    `email`     varchar(255) DEFAULT NULL,
    `token`     varchar(32) NOT NULL DEFAULT '',
    `sent_date` datetime     DEFAULT NULL,
    `params`    varchar(255) DEFAULT NULL,
    PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS `#__joomcrm_import`
(
    `id`       int(10) NOT NULL AUTO_INCREMENT,
    `name`     varchar(40) DEFAULT NULL,
    `params`   text DEFAULT NULL,
    `user_id`  int(11)     DEFAULT '0',
    `crossids` text DEFAULT NULL,
    `type_id`  int(11)     DEFAULT '0',
    `ctime`    datetime    DEFAULT NULL,
    PRIMARY KEY (`id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8;

CREATE TABLE IF NOT EXISTS `#__joomcrm_import_rows`
(
    `id`     int(10) NOT NULL AUTO_INCREMENT,
    `import` int(11)  DEFAULT '0',
    `text`   text DEFAULT NULL,
    `ctime`  datetime DEFAULT NULL,
    PRIMARY KEY (`id`),
    KEY `idx_import` (`import`)
) ENGINE = MyISAM
  DEFAULT CHARSET = utf8;