<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

class JoomcrmTableUsers extends Table
{
	/**
	 * Constructor
	 *
	 * @param   object Database connector object
	 **/
	public function __construct()
	{
		$db = Factory::getDbo();

		parent::__construct('#__joomcrm_users', 'id', $db);
	}


	public function store($updateNulls = false)
	{

		$this->sms_number                   = (int) $this->sms_number;
		$this->text_messages                = (int) $this->text_messages;
		$this->home_page_chart              = (string) $this->home_page_chart;
		$this->commission_rate              = (float) $this->commission_rate;
		$this->fullscreen                   = (int) $this->fullscreen;
		$this->team_access                  = (int) $this->team_access;
		$this->deals_columns                = (string) $this->deals_columns;
		$this->people_columns               = (string) $this->people_columns;
		$this->companies_columns            = (string) $this->companies_columns;
		$this->document_bypass              = (string) $this->document_bypass;
		$this->color                        = (string) $this->color;
		$this->dashboard_floats_left        = is_null($this->dashboard_floats_left) ? 'tasks_events_float,deals_float' : $this->dashboard_floats_left;
		$this->dashboard_floats_right       = is_null($this->dashboard_floats_right) ? 'sales_float,inbox_float,latest_float' : $this->dashboard_floats_right;
		$this->goal_floats_left             = is_null($this->goal_floats_left) ? 'leaderboard_float' : $this->goal_floats_left;
		$this->goal_floats_right            = is_null($this->goal_floats_right) ? 'individual_goals_float,team_goals_float,company_goals_float' : $this->goal_floats_right;
		$this->sales_dashboard_floats_left  = is_null($this->sales_dashboard_floats_left) ? 'deal_stage_float,deal_status_float' : $this->sales_dashboard_floats_left;
		$this->sales_dashboard_floats_right = is_null($this->sales_dashboard_floats_right) ? 'yearly_commission_float,yearly_revenue_float,monthly_commission_float,monthly_revenue_float' : $this->sales_dashboard_floats_right;


		return parent::store($updateNulls); // TODO: Change the autogenerated stub
	}

}
