<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
class JoomcrmViewCategoriesHtml extends JoomcrmView
{
	public $category;
	public $categories;
	public $pagination;

	/**
	 * display method
	 *
	 * @return  void
	 **/
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
        ToolBarHelper::title('<i class="fas fa-folder-open"></i> JoomCRM: Note Categories');

        if ($this->getLayout() == 'edit')
		{
            $toolbar->cancel('Categories.cancel');
            $toolbar->save('Categories.save');
		}
		else
		{
			// Buttons
            $toolbar->addNew('Categories.add');
            $toolbar->delete('Categories.remove')
                ->text('JTOOLBAR_EMPTY_TRASH')
                ->message('JGLOBAL_CONFIRM_DELETE')
                ->listCheck(true);

			$this->categories = $this->get('Categories');
			$this->state      = $this->get('State');
		}
        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');

		$this->pagination = $this->get('Pagination');

		parent::display($tpl);
	}
}
