<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

$user = Factory::getApplication()->getIdentity();
$listOrder = $this->state->get('Categories.filter_order');
$listDirn = $this->state->get('Categories.filter_order_Dir');
$saveOrder = $listOrder == 'c.ordering';
$canChange = $user->authorise('core.edit.state', 'com_joomcrm');
$orderKeys = array(0);

if ($saveOrder) {
    $saveOrderingUrl = 'index.php?option=com_joomcrm&task=ajax.saveOrderAjax&tmpl=component';
   HTMLHelper::_('sortablelist.sortable', 'itemList', 'adminForm', strtolower($listDirn), $saveOrderingUrl, false, true);
}

?>

<div class="row">
    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
        <?php echo $this->menu['help_info']->display(); ?>
        <div id="system-message-container"></div>

        <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=categories'); ?>" method="post"
              name="adminForm" id="adminForm">
            <table class="table table-striped" id="itemList">
                <thead>
                <tr>
                    <th width="10%" class="hidden-phone">
                        <?php echo HTMLHelper::_('grid.sort', 'JGRID_HEADING_ORDERING', 'c.ordering', $listDirn, $listOrder); ?>
                    </th>
                    <th width="1%">
                        <input type="checkbox" name="checkall-toggle" value=""
                               title="<?php echo Text::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)"/>
                    </th>
                    <th class="left">
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_NOTE_CATEGORY', 'c.name', $listDirn, $listOrder); ?>
                    </th>
                    <th width="1%">
                        <?php echo HTMLHelper::_('grid.sort', 'JGLOBAL_FIELD_ID_LABEL', 'c.id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
                </thead>
                <tfoot>
                <tr>
                    <td colspan="13">
                        <!-- pagination -->
                    </td>
                </tr>
                </tfoot>
                <tbody>
                <?php if (count($this->categories)) {
                    $ordering = ($listOrder == 'c.ordering');
                    $i = 0;
                    foreach ($this->categories as $key => $category) {
                        if (is_numeric($category['ordering']) && !in_array($category['ordering'], $orderKeys)) {
                            $orderKey = $category['ordering'];
                        } else {
                            $orderKey = (max($orderKeys) + 1);
                        }
                        $orderKeys[] = $orderKey;
                        ?>
                        <tr class="row<?php echo $i % 2; ?>">
                            <td class="order nowrap center hidden-phone">
                                <?php
                                $iconClass = '';
                                if (!$canChange) {
                                    $iconClass = ' inactive';
                                } elseif (!$saveOrder) {
                                    $iconClass = ' inactive tip-top hasTooltip" title="' .HTMLHelper::tooltipText('JORDERINGDISABLED');
                                }
                                ?>
                                <span class="sortable-handler<?php echo $iconClass ?>">
												<i class="icon-menu"></i>
											</span>
                                <?php if ($canChange && $saveOrder) : ?>
                                    <input type="text" style="display:none" name="order[]" size="5"
                                           value="<?php echo $orderKey; ?>"/>
                                <?php endif; ?>
                            </td>
                            <td class="center">
                                <?php echo HTMLHelper::_('grid.id', $key, $category['id']); ?>
                            </td>
                            <td class="left">
                                <?php echo HTMLHelper::_('link', 'index.php?option=com_joomcrm&task=Categories.edit&id=' . $category['id'], $category['name']); ?>
                            </td>
                            <td class="left">
                                <?php echo $category['id']; ?>
                            </td>
                        </tr>

                        <?php $i++;
                    }
                } ?>
                </tbody>
            </table>
            <div>
                <input type="hidden" name="task" value=""/>
                <input type="hidden" name="boxchecked" value="0"/>
                <input type="hidden" name="view" value="categories"/>
                <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
                <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
                <?php echo HTMLHelper::_('form.token'); ?>
            </div>
        </form>
    </div>
</div>

<script type="text/javascript">
    Joomla.orderTable = function () {
        table = document.getElementById("sortTable");
        direction = document.getElementById("directionTable");
        order = table.options[table.selectedIndex].value;
        if (order != '<?php echo $listOrder; ?>') {
            dirn = 'asc';
        } else {
            dirn = direction.options[direction.selectedIndex].value;
        }
        Joomla.tableOrdering(order, dirn, '');
    }
</script>