<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');


use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');
$this->useCoreUI = true;
?>

<div class="row">
	<div  class="col-md-2">
		<?php echo $this->sidebar; ?>
	</div>
<div class="col-md-10">
		<?php echo $this->menu['help_info']->display(); ?>
		<div id="system-message-container"></div>
    <div class="main-card p-4">
        <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=categories'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
            <div class="main-card p-4">
                <h3><?php echo $this->header; ?></h3>
                <div class="form-group">
                    <label>Name</label>
                    <input type="text" class="form-control" name="name" value="<?php echo !empty($this->category) ? $this->category['name'] : ''; ?>"/>
                </div>
                <div>
                    <?php if (isset($this->category['id'])) : ?>
                        <input type="hidden" name="id" value="<?php echo $this->category['id']; ?>"/>
                    <?php endif; ?>
                    <input type="hidden" name="task" value=""/>
                    <?php echo HTMLHelper::_('form.token'); ?>
                </div>
            </div>
        </form>
    </div>

	</div>

<?php $this->menu['quick_menu']->display(); ?>
</div>

