<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
class JoomcrmViewDealstatusesHtml extends JoomcrmView
{
	public $pagination;
	public $statuses;
	public $state;
	public $status;

	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
        ToolBarHelper::title('<i class="fas fa-signup"></i> JoomCRM: Deal Statuses');


		$this->pagination = $this->get('Pagination');

		if ($this->getLayout() == 'edit')
		{
			// Toolbar buttons
            $toolbar->cancel('Dealstatuses.cancel');
            $toolbar->save('Dealstatuses.save');

			//Factory::getDocument()->addScript(Uri::base() . 'components/com_joomcrm/media/js/colorpicker.js')
			//->addStylesheet(Uri::base() . 'components/com_joomcrm/media/css/colorpicker.css');
		}
		else
		{
			// Buttons
            $toolbar->addNew('Dealstatuses.add');
            $toolbar->delete( 'Dealstatuses.remove')
                ->text('JTOOLBAR_EMPTY_TRASH')
                ->message('JGLOBAL_CONFIRM_DELETE')
                ->listCheck(true);

			$this->statuses = $this->get('Statuses');
			$this->state    = $this->get('State');
		}
        ToolbarHelper::help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');
		parent::display($tpl);
	}
}
