<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/


defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Uri\Uri;

class JoomcrmViewDocumentsHtml extends JoomcrmView
{
	public $document;
	public $documents;
	public $state;

	/**
	 * display method
	 *
	 * @return  void
	 **/
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
        // Display title
        ToolBarHelper::title('<i class="fas fa-copy"></i> JoomCRM: Shared Documents');



        Factory::getDocument()->addScript(Uri::root() . 'administrator/components/com_joomcrm/media/js/document_manager.js');

		// if ( $this->getLayout() != "upload" )
		// {
		// 	$this->menu = JoomcrmHelperMenu::getMenuModules();
		// }

		// Determine layout type
		if ($this->getLayout() == 'edit')
		{
            $toolbar->cancel('Documents.cancel');
            $toolbar->save('Documents.save');
		}
		else
		{
			// Buttons

            $toolbar->popupButton()
                ->url(Route::_('index.php?option=com_joomcrm&view=documents&layout=upload&tmpl=component'))
                ->text('Upload')
                ->selector('uploadModal')
                ->icon('icon-download')
                ->footer('<button class="btn btn-secondary" data-bs-dismiss="modal" type="button"'
                    . ' onclick="window.parent.Joomla.Modal.getCurrent().close();">'
                    . Text::_('CANCEL') . '</button>'
                );
            $toolbar->delete('Documents.remove')
                ->text('JTOOLBAR_EMPTY_TRASH')
                ->message('JGLOBAL_CONFIRM_DELETE')
                ->listCheck(true);

			Factory::getDocument()->addStyleDeclaration("			
			    #toolbar-popup-upload > button{			        
			        padding-right: 0px;
                    min-width: 89px;
                    padding-left: 0px;			    
			    }
			");

			$this->documents = $this->get('Documents');
			$this->state     = $this->get('State');
		}
        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');
		parent::display($tpl);
	}
}
