<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

?>
<div class="row">
    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
        <?php echo $this->menu['help_info']->display(); ?>
        <div id="system-message-container"></div>
        <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=documents'); ?>" method="post"
              name="adminForm" id="adminForm">
            <?php
            $listOrder = $this->state->get('Documents.filter_order');
            $listDirn = $this->state->get('Documents.filter_order_Dir');
            ?>
            <table class="table table-striped">
                <thead>
                <tr>
                    <th width="1%">
                        <input type="checkbox" name="checkall-toggle" value=""
                               title="<?php echo Text::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)"/>
                    </th>
                    <th>
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_DOCUMENT_TYPE', 'd.filetype', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_DOCUMENT_FILENAME', 'd.name', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_DOCUMENT_SIZE', 'd.size', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_DOCUMENT_UPLOADED', 'd.created', $listDirn, $listOrder); ?>
                    </th>
                </tr>
                </thead>
                <tfoot>
                <tr>
                    <td colspan="13">
                        <!-- pagination -->
                    </td>
                </tr>
                </tfoot>
                <tbody>
                <?php if (count($this->documents)) {
                    foreach ($this->documents as $key => $document) { ?>

                        <tr class="row<?php echo $i % 2; ?>">
                            <td class="center">
                                <?php echo HTMLHelper::_('grid.id', $key, $document['id']); ?>
                            </td>
                            <td class="order"><?php echo '<img width="30px" height="30px" src="' . Uri::base() . 'components/com_joomcrm/media/images/' . $document['filetype'] . '.png' . '" /><br /><b>' . strtoupper($document['filetype']) . '<b></td>'; ?></td>
                            <td class="order"><?php echo HTMLHelper::_('link', Uri::root() . 'components/com_joomcrm/documents/' . $document['filename'], $document['name'], array('target' => '_blank')); ?></td>
                            <td class="order"><?php echo $document['size']; ?>kb</td>
                            <td class="order"><?php echo $document['created']; ?></td>
                        </tr>

                    <?php }
                } ?>
                </tbody>
            </table>
            <div>
                <input type="hidden" name="task" value=""/>
                <input type="hidden" name="boxchecked" value="0"/>
                <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
                <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
                <?php echo HTMLHelper::_('form.token'); ?>
            </div>
        </form>
    </div>
</div>

