<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');
$this->useCoreUI = true;
?>
<div class="container-fluid">
	<?php echo $this->menu['help_info']->display(); ?>
    <div class="main-card p-4">
		<div  id="content">
			<div id="system-message-container"></div>
			<div class="row-fluid">

				<h3><?php echo $this->header; ?></h3>

				<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=documents'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
					<table>
						<tr>
							<td><b><?php echo Text::_('COM_JOOMCRM_NAME'); ?></b></td>
							<td>
								<input type="text" class="form-control" name="filename" value="<?php echo $this->document['filename']; ?>"/>
							</td>
						</tr>
					</table>
					<div>
						<?php if (isset($this->document['id'])) : ?>
						<input type="hidden" name="id" value="<?php echo $this->document['id']; ?>"/>
						<?php endif; ?>
						<input type="hidden" name="task" value=""/>
						<?php echo HTMLHelper::_('form.token'); ?>
					</div>
				</form>
			</div>
		</div>
	</div>
	<?php $this->menu['quick_menu']->display(); ?>
</div>

