<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Uri\Uri;

class JoomcrmViewFormwizardHtml extends JoomcrmView
{
	public $state;
	public $form;
	public $forms;
	public $form_id;

	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
        // Display title
        ToolBarHelper::title('<i class="fas fa-edit"></i> JoomCRM: Form Builder');


        // Add toolbar buttons to manage users
		if ($this->getLayout() == 'default')
		{
			// Buttons
            $toolbar->addNew('Formwizard.add');
            $toolbar->delete('Formwizard.delete')
                ->text('JTOOLBAR_EMPTY_TRASH')
                ->message('JGLOBAL_CONFIRM_DELETE')
                ->listCheck(true);

			// Initialise variables.
			$this->state = $this->get('State');
			$this->forms = $this->get('Forms');
		}

		if ($this->getLayout() == 'edit')
		{
			// Buttons
            $toolbar->cancel('Formwizard.cancel');
            $toolbar->save('Formwizard.save');

			$this->form_id = $this->get('TempFormId');
		}

        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');

		Factory::getDocument()
			->addScript(Uri::base() . 'components/com_joomcrm/media/js/jquery.base64.js')
			->addScript(Uri::base() . 'components/com_joomcrm/media/js/formwizard.js');

		parent::display($tpl);
	}

}
