<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

?>
<div class="row">
	<?php if (!empty($this->sidebar)): ?>
    <div  class="col-md-2">
		<?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
		<?php else : ?>
        <div id="j-main-container">
			<?php endif; ?>
			<?php echo $this->menu['help_info']->display(); ?>
            <div class="row-fluid">
                <div id="system-message-container"></div>
                <div class="row-fluid">

                    <h3><?php echo Text::_('COM_JOOMCRM_FORM_WIZARD_HEADER'); ?></h3>

                    <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=formwizard'); ?>"
                          method="post" name="adminForm" id="adminForm">
						<?php
						$listOrder = $this->state->get('Formwizard.filter_order');
						$listDirn  = $this->state->get('Formwizard.filter_order_Dir');
						?>
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th width="1%">
                                    <input type="checkbox" name="checkall-toggle" value=""
                                           title="<?php echo Text::_('JGLOBAL_CHECK_ALL'); ?>"
                                           onclick="Joomla.checkAll(this)"/>
                                </th>
                                <th>
									<?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_FORM_HEADER_NAME', 'f.name', $listDirn, $listOrder); ?>
                                </th>
                                <th><?php echo Text::_('COM_JOOMCRM_FORM_HEADER_DESCRIPTION'); ?></th>
                                <th><?php echo Text::_('COM_JOOMCRM_FORM_HEADER_HTML'); ?></th>
                                <th><?php echo Text::_('COM_JOOMCRM_FORM_HEADER_SHORTCODE'); ?></th>
                            </tr>
                            </thead>
                            <tfoot>
                            <tr>
                                <td colspan="13">
                                    <!-- pagination -->
                                </td>
                            </tr>
                            </tfoot>
                            <tbody>
							<?php if (count($this->forms))
							{
								$i = 0;
								foreach ($this->forms as $key => $form)
								{ ?>

                                    <tr class="row<?php echo $i % 2; ?>">
                                        <td class="center">
											<?php echo HTMLHelper::_('grid.id', $key, $form['id']); ?>
                                        </td>
                                        <td class="order"><?php echo HTMLHelper::_('link', 'index.php?option=com_joomcrm&task=Formwizard.edit&id=' . $form['id'], $form['name']); ?></td>
                                        <td><?php echo $form['description']; ?></td>
                                        <td>
											<?php if ($form['is_custom']): ?>
                                                <input onclick="selectTextarea('html_text_<?php echo $form['id']; ?>')"
                                                       type="button" class="btn-mini btn-primary" data-toggle="modal"
                                                       href="#form_<?php echo $form['id']; ?>" id="show_fields_button"
                                                       value="<?php echo Text::_('COM_JOOMCRM_VIEW_HTML'); ?>"/>

                                                <div class="modal hide" id="form_<?php echo $form['id']; ?>">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal">×
                                                        </button>
                                                        <h3><?php echo Text::_('COM_JOOMCRM_FORM_HTML'); ?></h3>
                                                    </div>
                                                    <div class="modal-body">
                                                        <textarea rel="tooltip"
                                                                  data-original-title="<?php echo Text::_('COM_JOOMCRM_FORM_HTML_TOOLTIP'); ?>"
                                                                  wrap="off" cols="20" rows="15"
                                                                  style="width:500px !important;"
                                                                  onclick="selectTextarea(this);" rel=""
                                                                  id="html_text_<?php echo $form['id']; ?>"><?php echo $form['html']; ?></textarea>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <a href="#" class="btn btn-primary"
                                                           data-dismiss="modal">Close</a>
                                                    </div>
                                                </div>
											<?php else: ?>
                                                <button disabled class="btn btn-mini btn-success">Auto-generated</button>
											<?php endif; ?>
                                        </td>
                                        <td><code>[joomcrmform<?php echo $form['id']; ?>]</code></td>
                                    </tr>

									<?php $i++;
								}
							} ?>
                            </tbody>
                        </table>
                        <div>
                            <input type="hidden" name="task" value=""/>
                            <input type="hidden" name="boxchecked" value="0"/>
                            <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
                            <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
							<?php echo HTMLHelper::_('form.token'); ?>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
