<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');


use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();


$wa->useScript('keepalive')
    ->useScript('form.validate')
    ->usePreset('choicesjs')
    ->useScript('webcomponent.field-fancy-select');;
$this->useCoreUI = true;


?>
<div class="row">

    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>

    <div class="col-md-10">
        <?php echo $this->menu['help_info']->display(); ?>
        <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=formwizard'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
            <h3><?php echo $this->header; ?></h3>

            <div class="mb-3">
                <label class="form-label"><?php echo Text::_('COM_JOOMCRM_FORM_TYPE'); ?></label>
                <?php echo $this->form_types; ?>
            </div>

            <div class="mb-3">
                <label class="form-label"><?php echo Text::_('COM_JOOMCRM_FORM_NAME'); ?></label>
                <input type="text" id="name" name="name" class=form-control required" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_NAME_YOUR_FORM'); ?>" value="<?php if (isset($this->form))
                {
                    echo $this->form['name'];
                } ?>">
            </div>

            <div class="mb-3">
                <label for="" class="form-label"><?php echo Text::_('COM_JOOMCRM_FORM_DESCRIPTION'); ?></label>
                <textarea id="description" class="form-control" name="description"><?php if (isset($this->form))
                    {
                        echo $this->form['description'];
                    } ?></textarea>
            </div>

            <div class="mb-3">
                <label for="" class="form-label"><?php echo Text::_('COM_JOOMCRM_FORM_RETURN_URL'); ?></label>
                <input type="text" class="form-control" id="return_url" name="return_url" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_RETURN_URL_TOOLTIP'); ?>" value="<?php if (isset($this->form))
                {
                    echo $this->form['return_url'];
                } ?>">
            </div>


            <div class="mb-3">
                <label for="" class="form-label"><?php echo Text::_('COM_JOOMCRM_OWNER'); ?></label>
                <input required class="required form-control" type="text" id="owner_id" name="owner_id_input" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_OWNER_TOOLTIP'); ?>" value="<?php if (isset($this->form))
                {
                    echo $this->form['owner_name'];
                } ?>">
                <input required class="required form-control" type="hidden" id="owner_id_hidden" name="owner_id" value="<?php if (isset($this->form))
                {
                    echo $this->form['owner_id'];
                } ?>"/>
            </div>

            <div class="mb-3">
                <label for="status_id" class="form-label">
                    <span rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_PERSON_STATUS_FORM_WIZARD_TOOLTIP'); ?>">
                        <?php echo Text::_('COM_JOOMCRM_PERSON_STATUS'); ?>
                    </span>
                </label>
                <?php echo $this->form_statuses; ?>

            </div>

            <div class="mb-3">
                <label for="source_id" class="form-label">
                    <span rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_PERSON_SOURCE_FORM_WIZARD_TOOLTIP'); ?>">
                        <?php echo Text::_('COM_JOOMCRM_PERSON_SOURCE'); ?>
                    </span>
                </label>
                <?php echo $this->form_sources; ?>
            </div>

            <div class="mb-3">
                <label for="" class="form-label"><?php echo Text::_('COM_JOOMCRM_FORM_FIELDS'); ?></label>
                <div>
                    <button onclick="showFieldCheckboxes()" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#show_fields_button_modal">
                        <?php echo Text::_('COM_JOOMCRM_SELECT_FIELDS'); ?>
                    </button>
                </div>
            </div>

            <div class="mb-3">
                <label for="" class="form-label">
                    <span rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_USE_CUSTOM_HTML'); ?>">
                        <?php echo Text::_('COM_JOOMCRM_USE_CUSTOM_HTML'); ?>
                    </span>
                </label>
                <?php echo $this->form_is_custom; ?>
            </div>

            <div id="htmlEdit" class="mb-3">
                <label for="" class="form-label"><?php echo Text::_('COM_JOOMCRM_FORM_HTML'); ?></label>
                <textarea  class="form-control" style="width:80%; min-height:300px;<?php if (empty($this->form['id'])) : ?>display:none<?php endif; ?>" id="fields" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_FORM_HTML_TOOLTIP'); ?>" name="html"><?php if (isset($this->form))
                    {
                        echo $this->form['html'];
                    } ?></textarea>
                <?php if (empty($this->form['id'])) : ?>
                    <p class="alert alert-warning">
                        <i class="fas fa-exclamation-triangle"></i> <?php echo Text::_('COM_JOOMCRM_SAVE_FORM_FIRST'); ?>
                    </p>
                <?php else: ?>
                    <div><button href="" onClick="Joomla.submitbutton('Formwizard.regenerate');" class="btn btn-sm btn-success">Regenerate Code</button></div>
                <?php endif; ?>
            </div>

            <div>
                <?php if (isset($this->form['id'])) : ?>
                    <input type="hidden" name="id" id="form_id" value="<?php echo $this->form['id']; ?>"/>
                <?php else: ?>
                    <input type="hidden" name="temp_id" id="form_id" value="<?php echo $this->form_id; ?>"/>
                <?php endif; ?>
                <input type="hidden" name="task" value=""/>
                <?php echo HTMLHelper::_('form.token'); ?>
            </div>

            <div id="show_fields_button_modal" class="modal fade"  tabindex="-1" aria-labelledby="selectFieldLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="selectFieldLabel"><?php echo Text::_('COM_JOOMCRM_SELECT_FIELDS'); ?></h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <?php if (isset($this->fields) && count($this->fields) > 0)
                            {


                                foreach ($this->fields as $type => $fields)
                                {
                                    ?>


                                    <div id="<?php echo $type; ?>_fields" class="field_checkbox_container mt-3">

                                        <div class="mb-3 mx-2">
                                            <div class="row">

                                                <?php foreach ($fields as $key => $field): ?>

                                                    <div class="col-md-4">
                                                        <?php $checked = isset($this->form) && is_array($this->form['fields']) && in_array($field['name'], $this->form['fields']) && $this->form['type'] == $type ? "checked='checked'" : "";  ?>

                                                        <div class="form-check">
                                                            <input
                                                                    name="fields[]"
                                                                    onclick="updateFields()"
                                                                    value="<?php echo $field['name']; ?>"
                                                                    class="form-check-input"
                                                                    type="checkbox"
                                                                <?php echo $checked; ?>
                                                                    id="<?php echo $type . '_field_' . $key; ?>"
                                                            >
                                                            <label  class="form-check-label" for="<?php echo $type . '_field_' . $key; ?>"><?php echo $field['display']; ?></label>
                                                        </div>
                                                    </div>

                                                <?php endforeach; ?>

                                            </div>
                                        </div>


                                    </div>


                                <?php }
                            } ?>
                        </div>
                    </div>
                </div>
            </div>


        </form>
    </div>

</div>

