<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Component\ComponentHelper;
use Joomla\Utilities\ArrayHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;
use Joomla\Registry\Registry;

class JoomcrmViewImportHtml extends JoomcrmView
{
	public $type;
	public $column;

	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');

        // Display title
        ToolBarHelper::title('<i class="fas fa-truck"></i> JoomCRM: Data Import');
        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');
		$this->user = Factory::getApplication()->getIdentity();
		$jinput = Factory::getApplication()->input;

		$this->type  = !isset(JoomcrmHelperJoomcrm::getStringType($jinput->getString('import_type'))['type_id']) ?                     JoomcrmHelperJoomcrm::getIntType($jinput->getString('type')) : JoomcrmHelperJoomcrm::getStringType($jinput->getString('import_type'))['type_id'];

		$app = Factory::getApplication();
		$this->user = Factory::getApplication()->getIdentity();
		$jinput = Factory::getApplication()->input;

		$this->type  = !isset(JoomcrmHelperJoomcrm::getStringType($jinput->getString('import_type'))['type_id']) ?                     JoomcrmHelperJoomcrm::getIntType($jinput->getString('type')) : JoomcrmHelperJoomcrm::getStringType($jinput->getString('import_type'))['type_id'];

		$this->input = $app->input;

		if($this->getLayout() == 'params')
		{
			$this->_params($tpl);
			return;
		}

		if($this->getLayout() == 'import'){
			ToolbarHelper::cancel('import.cancel');
		}

		// load frontend language file for import feature cuz no need to duplicate language constants in backend too.
		$lang = Factory::getLanguage();
		$lang->load('com_joomcrm', JPATH_SITE, $lang->getTag(), true);


        if ($this->getLayout() == 'sample')
		{
			parent::display($tpl);

			return;
		}

		switch($app->input->get('step', 1))
		{
			case 1:
				if(!isset($this->type)) {
					return Factory::getApplication()->enqueueMessage('Undefined Type','warning');
				}
				break;

			case 2:

				$this->heads = Factory::getSession()->get('headers', array(), 'import');

				$options = $this->get('presets');
				array_unshift($options,HTMLHelper::_('select.option', 'new', Text::_('COM_JOOMCRM_IMPORTNEWIMSET')));
				array_unshift($options,HTMLHelper::_('select.option', '', Text::_('COM_JOOMCRM_IMPORTSELECTPRESET')));
				$this->presets = $options;

				//$this->fields = BaseDatabaseModel::getInstance('Fields', 'JoomcrmModel')->getFormFields($this->type);
				break;

			case 3:
				$this->statistic = new Registry(Factory::getSession()->get('importstat'));

				break;
		}


		parent::display($tpl);
	}

	public function viewOpened(){

		$config = ComponentHelper::getParams('com_joomcrm');

		if(!$config->get('import_default',0)){
			$config->set('import_default',1);
			JoomcrmHelperConfig::storeConfig($config);
		}



	}

	public function _params($tpl)
	{
		$app = Factory::getApplication();
		$type = ItemsStore::getType($app->input->get('type'));
		$this->type = $type;
		$this->heads = Factory::getSession()->get('headers', array(), 'import');
		//$this->fields = BaseDatabaseModel::getInstance('Fields', 'JoomcrmModel')->getFormFields($type->id);
		$this->item = $this->get('Preset');

		//var_dump($this->item);

		parent::display($tpl);
		Factory::getApplication()->close();
	}
	public function _cats($tpl)
	{
		$app = Factory::getApplication();

		$db = Factory::getDbo();
		$sql = "SELECT `text` FROM #__joomcrm_import_rows WHERE `import` = " . Factory::getSession()->get('key', 0, 'import');
		$db->setQuery($sql);
		$list = $db->loadColumn();

		$cols = array();
		foreach($list as $value)
		{
			$row = json_decode($value, TRUE);
			if(empty($row[$app->input->getString('field')])) continue;
			$cols[$row[$app->input->getString('field')]] = 0;
		}
		$this->cols = array_keys($cols);

		/*if($this->section->categories)
		{
			$cats_model = BaseDatabaseModel::getInstance('Categories', 'JoomcrmModel');
			$cats_model->section = $this->section;
			$cats_model->parent_id = 1;
			$cats_model->order = 'c.lft ASC';
			$cats_model->levels = 1000;
			$cats_model->all = 1;
			$cats_model->hidesubmision = 1;
			$categories = $cats_model->getItems();
			array_unshift($categories,HTMLHelper::_('select.option', '', ' - '.Text::_('CPLEASESELECTCAT').' - ', 'id', 'opt'));

			$this->categories = $categories;
		}

		if($this->section->params->get('personalize.personalize', 0) && in_array($this->section->params->get('personalize.pcat_submit', 0), $this->user->getAuthorisedViewLevels()))
		{
			$sql = "SELECT id AS value, name AS text FROM `#__js_res_category_user`
				WHERE published = 1 AND user_id = {$this->user->get('id')} AND section_id = {$this->section->id}
				ORDER BY ordering";
			$db->setQuery($sql);
			$this->usercat = $db->loadObjectList();
		}
		*/

		$this->item = $this->get('Preset');
		parent::display($tpl);
		Factory::getApplication()->close();
	}

	public function fieldlist($name, $default)
	{

		static $list = null;

		if($list === null)
		{
			foreach($this->heads as $head)
				$list[$head] = $head;
			ArrayHelper::clean_r($list);
			array_unshift($list, Text::_('COM_JOOMCRM_IMPORTSELECTCOLUMN'));
		}

		return HTMLHelper::_('select.genericlist', $list, 'import[field][' . $name.']', 'class="form-control"', 'value', 'text', $default);
	}

}
