<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

?>
<div class="row">
    <div  class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
			<?php echo $this->menu['help_info']->display(); ?>
				<div id="system-message-container"></div>
        
        <?php echo HTMLHelper::_('uitab.startTabSet', 'myTab', ['active' => 'import_begin']); ?>

        <?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'import_begin',Text::_('COM_JOOMCRM_CHOOSE_IMPORT_TYPE')); ?>
                    <h3><?php echo Text::_('COM_JOOMCRM_CHOOSE_IMPORT_TYPE') ?></h3>
                    <div>

	                    <?php if(function_exists('iconv')): ?>
                        <a href="index.php?option=com_joomcrm&view=import&layout=import&step=1&import_type=2" class="btn btn-secondary">
                            <?php echo Text::_('COM_JOOMCRM_DEALS_HEADER') ?>
                        </a> <a href="index.php?option=com_joomcrm&view=import&layout=import&step=1&import_type=1" class="btn btn-secondary">
		                    <?php echo Text::_('COM_JOOMCRM_PEOPLE_HEADER') ?>
                        </a> <a href="index.php?option=com_joomcrm&view=import&layout=import&step=1&import_type=0" class="btn btn-secondary">
		                    <?php echo Text::_('COM_JOOMCRM_COMPANIES') ?>
                        </a>
                        <?php else: ?>
                        <p class="alert alert-danger"><strong>Iconv PHP module</strong> not installed, please ask your web hosting to enable it to be able to use import feature.</p>
	                    <?php endif; ?>
                    </div>

					<?php echo HTMLHelper::_('uitab.endTab'); ?>
					<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'import_sample_tab',Text::_('COM_JOOMCRM_INSTALL_SAMPLE_DATA_TITLE')); ?>

					<div class="sample_text">
						<h1><?php echo Text::_('COM_JOOMCRM_INSTALL_SAMPLE_DATA_TITLE'); ?></h1>

						<p>

						<div class="alert alert-info"><?php echo Text::_('COM_JOOMCRM_INSTALL_SAMPLE_DATA_DESC'); ?></div>
						</p>
						<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=import'); ?>" method="post" name="adminForm" id="adminForm" class="inline-form">
							<input type="submit" value="<?php echo Text::_('COM_JOOMCRM_INSTALL_SAMPLE_BUTTON'); ?>" class="btn btn-primary btn-large"/>
							<input type="hidden" name="id" value="1"/>
							<input type="hidden" name="task" value="import.installSampleData"/>
							<input type="hidden" name="layout" value="default"/>
							<?php echo HTMLHelper::_('form.token'); ?>
						</form>
						<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=import'); ?>" method="post" name="adminForm" id="adminForm" class="inline-form">
							<input type="submit" value="<?php echo Text::_('COM_JOOMCRM_REMOVE_SAMPLE_BUTTON'); ?>" class="btn btn-danger"/>
							<input type="hidden" name="id" value="1"/>
							<input type="hidden" name="task" value="import.removeSampleData"/>
							<input type="hidden" name="layout" value="default"/>
							<?php echo HTMLHelper::_('form.token'); ?>
						</form>
					</div>

					<?php echo HTMLHelper::_('uitab.endTab'); ?>
					<?php echo HTMLHelper::_('uitab.endTabSet', 'myTab'); ?>

			</div>
		</div>
