<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/


defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
class JoomcrmViewJoomcrmHtml extends JoomcrmView
{
	public $launch_default;
	public $setup_percent;
	public $php_version;
	public $php_version_check;
	public $installedVersion;
	public $updateUrl;
	public $updatesFeed;

	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
		$document = Factory::getDocument();

		$config = ComponentHelper::getParams('com_joomcrm');

        $this->recent = $this->get('RecentAll');

        $this->recent =  JoomcrmHelperArray::array_group_by($this->recent,'created');

        foreach ($this->recent as &$group){
            $group = array_merge($group);
        }

        ksort($this->recent);

		$config     = ComponentHelper::getParams('com_joomcrm');

		// Launch completion
		$this->launch_default = $config->get('launch_default',0);

		// php version check
		$this->php_version       = (float) phpversion();
		$this->php_version_check = $this->php_version >= 5.3 ? true : false;

        $this->addToolbar();

		parent::display($tpl);
	}


    protected function addToolbar() {

        $user	= Factory::getApplication()->getIdentity();
        $toolbar = Toolbar::getInstance('toolbar');

        $toolbar->addNew('users.add',Text::_('COM_JOOMCRM_ADD_USER'));
          $toolbar->addNew('teams.add',Text::_('COM_JOOMCRM_ADD_TEAM'));
          $toolbar->addNew('sources.add',Text::_('COM_JOOMCRM_ADD_SOURCE'));
          $toolbar->addNew('templates.add',Text::_('COM_JOOMCRM_ADD_WORKFLOW'));
          $toolbar->addNew('formwizard.add',Text::_('COM_JOOMCRM_ADD_FORM'));

        ToolbarHelper::title('<i class="fas fa-tachometer-alt
"></i> JoomCRM: Dashboard');
        if ($user->authorise('core.admin', 'com_joomcrm'))
        {
            $toolbar->preferences('com_joomcrm');
        }

        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');
    }



}
