<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;


// left widgets
$leftWidgets = [
	[
		'title'       => 'COM_JOOMCRM_GRAPH_RECENTLY_ADDED',
		'icon'        => 'chart-line',
		'bodyContent' => LayoutHelper::render('dashboard.recently', ['recent' => $this->recent])
	],
	[
		'title'       => 'COM_JOOMCRM_CONFIG',
		'icon'        => 'list',
		'bodyContent' => LayoutHelper::render('dashboard.config'),
	],
	[
		'title'       => 'COM_JOOMCRM_DASH_TOOLS',
		'icon'        => 'tools',
		'bodyContent' => LayoutHelper::render('dashboard.tools'),
	],
	[
		'title'       => 'COM_JOOMCRM_PRODUCT_INFO',
		'icon'        => 'info',
		'bodyContent' => LayoutHelper::render('dashboard.productInfo'),
	],
	[
		'title'       => 'COM_JOOMCRM_FOLLOWUS',
		'icon'        => 'share',
		'bodyContent' => LayoutHelper::render('dashboard.socialLinks'),
	],
	[
		'bodyContent' => LayoutHelper::render('dashboard.copyright'),
	]

];

// right widgets
$rightWidgets = [
	[
		'title'         => 'COM_JOOMCRM_DB_GETTING_STARTED',
		'icon'          => 'magic',
		'bodyContent'   => LayoutHelper::render('dashboard.gettingStarted',['current' => $this])
	],
	[
		'bodyContent' => LayoutHelper::render('dashboard.facebookPage')
	],
	[
		'bodyContent' => LayoutHelper::render('dashboard.twitterFollow')
	]
];


?>

<div class="row">
	<div  class="col-md-2">
		<?php echo $this->sidebar; ?>
	</div>
	<div class="col-md-10">
        <div id="jb_template">

	        <?php

            echo $this->menu['help_info']->display(); ?>

			<?php echo LayoutHelper::render(
				'dashboard.skeleton.container',
				[
					'counts' => [],
					'left'   => $leftWidgets,
					'right'  => $rightWidgets
				]
			) ?>
        </div>
        <form name="adminForm" id="adminForm" action="index.php?option=com_joomcrm&view=dashboard" method="post">
            <input type="hidden" name="option" value="com_joomcrm" />
            <input type="hidden" name="view" value="dashboard"/>
            <input type="hidden" name="task" value="" />
            <input type="hidden" name="boxchecked" value="0" />
            <?php echo HTMLHelper::_('form.token'); ?>
        </form>
	</div>
</div>
