<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;

class JoomcrmViewLaunchHtml extends JoomcrmView
{
	public $side_menu;

	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
		// Display title
		ToolBarHelper::title('<i class="fas fa-tachometer-alt
"></i> '.Text::_('COM_JOOMCRM_ADMIN').' '. Text::_('COM_JOOMCRM_LAUNCH'), 'moo');

		$this->viewOpened();

		parent::display($tpl);
	}

	public function viewOpened(){

		$config = ComponentHelper::getParams('com_joomcrm');

		if(!$config->get('menu_default',0)){
			$config->set('menu_default',1);
			JoomcrmHelperConfig::storeConfig($config);
		}



	}

}
