<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
class JoomcrmViewMenuHtml extends JoomcrmView
{
	public $item;
	public $menu_template;

	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
        // Display title
        ToolBarHelper::title('<i class="fas fa-ellipsis-h"></i> JoomCRM: Organize Menu');
        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');

		$this->viewOpened();
		$this->items         = $this->get('Menu');
		$this->menu_template = $this->get('MenuTemplate');

		parent::display($tpl);
	}

	// used to detect if menu checked (for getting started)
	public function viewOpened(){

		$config = ComponentHelper::getParams('com_joomcrm');

		if(!$config->get('menu_default',0)){
			$config->set('menu_default',1);
			JoomcrmHelperConfig::storeConfig($config);
		}



	}

}
