<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

HTMLHelper::_('behavior.multiselect');

$saveOrderingUrl = 'index.php?option=com_joomcrm&task=menu.saveOrderAjax&tmpl=component';
HTMLHelper::_('sortablelist.sortable', 'menuList', 'adminForm', 'asc', $saveOrderingUrl);
?>
<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=menu'); ?>" method="post" name="adminForm" id="adminForm">
    <div class="row">
        <div  class="col-md-2">
            <?php echo $this->sidebar; ?>
        </div>
        <div class="col-md-10">
			<table class="table table-striped" id="menuList">
				<thead>
				<tr>
					<th width="1%" class="nowrap center hidden-phone">
						<?php echo HTMLHelper::_('grid.sort', '<i class="icon-menu-2"></i>', 'a.ordering', 'ASC', 'a.ordering', null, 'asc', 'JGRID_HEADING_ORDERING'); ?>
					</th>
					<th width="1%" class="hidden-phone" style="display:none">
						<input type="checkbox" name="checkall-toggle" value="" title="<?php echo Text::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)" />
					</th>
					<th width="1%" style="min-width:55px" class="nowrap center">
						<?php echo Text::_('JSTATUS'); ?>
					</th>
					<th>
						<?php echo Text::_('JGLOBAL_TITLE'); ?>
					</th>
				</tr>
				</thead>
				<tbody>
				<?php foreach ($this->items as $i => $item) : ?>
					<tr class="row<?php echo $i % 2; ?>">
						<td class="order nowrap center hidden-phone">
					<span class="sortable-handler hasTooltip">
						<i class="icon-menu"></i>
					</span>
							<input type="text" style="display:none" name="order[]" size="5" value="<?php echo $i + 1; ?>" class="width-20 text-area-order " />
						</td>
						<td class="center hidden-phone" style="display:none">
							<?php echo HTMLHelper::_('grid.id', $i, $item->id); ?>
						</td>
						<td class="center">
							<div class="btn-group">
								<?php echo HTMLHelper::_('jgrid.published', $item->published, $i, 'menu.'); ?>
							</div>
						</td>
						<td class="nowrap has-context">
							<div class="pull-left">
								<span><?php echo Text::_('COM_JOOMCRM_' . strtoupper($item->title)); ?></span>
							</div>
						</td>
					</tr>
				<?php endforeach; ?>
				</tbody>
			</table>
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="boxchecked" value="0" />
			<?php echo HTMLHelper::_('form.token'); ?>
		</div>
    </div>
</form>