<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
class JoomcrmViewSourcesHtml extends JoomcrmView
{
	public $pagination;
	public $source_types;
	public $sources;
	public $source;
	public $state;

	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
        // Display title
        ToolBarHelper::title('<i class="fas fa-plug"></i> JoomCRM: Sources');



        $this->pagination = $this->get('Pagination');

		if ($this->getLayout() == 'edit')
		{
            $toolbar->cancel('Sources.cancel');
            $toolbar->save('Sources.save');

			$this->source_types = JoomcrmHelperDropdown::getSources();
		}
		else
		{
			// Buttons
            $toolbar->addNew('Sources.add');
            $toolbar->delete('Sources.remove')
                ->text('JTOOLBAR_EMPTY_TRASH')
                ->message('JGLOBAL_CONFIRM_DELETE')
                ->listCheck(true);

			$this->sources = $this->get('Sources');
			$this->state   = $this->get('State');
		}
        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');
		parent::display($tpl);
	}
}
