<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');
$this->useCoreUI = true;
$this->source['name'] = isset($this->source['name']) ? $this->source['name'] : '';
$this->source['cost'] = isset($this->source['cost']) ? $this->source['cost'] : '';
$this->source['type'] = isset($this->source['type']) ? $this->source['type'] : '';
?>

<div class="row">
    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
        <?php echo $this->menu['help_info']->display(); ?>
        <div class="main-card p-4">
            <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=sources'); ?>" method="post"
                  name="adminForm" id="adminForm" class="form-validate">
                <h3><?php echo $this->header; ?></h3>
                <div class="form-group">
                    <label><?php echo Text::_('COM_JOOMCRM_NAME'); ?></label>
                    <input type="text" class="form-control" name="name" value="<?php echo $this->source['name']; ?>"/>
                </div>

                <div class="form-group">
                    <label><?php echo Text::_('COM_JOOMCRM_HEADER_SOURCE_COST'); ?></label>
                    <input type="text" class="form-control" name="cost" value="<?php echo $this->source['cost']; ?>"/>
                </div>

                <div class="form-group">
                    <label><?php echo Text::_('COM_JOOMCRM_HEADER_SOURCE_TYPE'); ?></label>
                    <select class="form-select" name="type">
                        <option value=""><?php echo Text::_('COM_JOOMCRM_SELECT_SOURCE_TYPE'); ?></option>
                        <?php echo HTMLHelper::_('select.options', $this->source_types, 'value', 'text', $this->source['type'], true); ?>
                    </select>
                </div>

                <div>
                    <?php if (isset($this->source['id'])) : ?>
                        <input type="hidden" name="id" value="<?php echo $this->source['id']; ?>"/>
                    <?php endif; ?>
                    <input type="hidden" name="task" value=""/>
                    <?php echo HTMLHelper::_('form.token'); ?>
                </div>
            </form>
        </div>
    </div>
</div>

