<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');
$this->useCoreUI = true;
?>

<div class="row">
    <div  class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
			<?php echo $this->menu['help_info']->display(); ?>
			<div class="main-card p-4">
				<div id="system-message-container"></div>
					<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=stages'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
						<h3><?php echo $this->header; ?></h3>
                        <div class="form-group">
                            <label><?php echo Text::_('COM_JOOMCRM_NAME'); ?></label>
                            <input type="text" class="form-control" name="name" value="<?php echo isset($this->stage['name']) ? $this->stage['name'] : ''; ?>"/>
                        </div>
                        <div class="form-group">
						<label><?php echo Text::_('COM_JOOMCRM_HEADER_PERCENT'); ?></label>
                            <input id="percent" name="percent" type="range" class="form-rang" min="0" max="100" <?php echo isset($this->stage['percent']) ? $this->stage['percent'] : 0 ?> />
							<div id="percent_value"><?php echo isset($this->stage['percent']) ? $this->stage['percent'] : 0 . "%"; ?></div>
                        </div>
						<div class="clearfix"></div>
                        <div class="form-group">
						<label><b><?php echo Text::_("COM_JOOMCRM_COLOR"); ?></b></label>

						<input class="form-control form-control-color" type="color" name="color" value="<?php echo $this->stage['color']; ?>" />
						<div class="clearfix"></div>
                        </div>
                        <div class="form-group">
                            <label><b><?php echo Text::_("COM_JOOMCRM_WON_STAGE"); ?></b></label>
                            <input <?php if (isset($this->stage) && array_key_exists('won', $this->stage) && $this->stage['won'] == 1)
                            {
                                echo "checked='checked'";
                            } ?> type="checkbox" name="won" value="1" />
                        </div>

						<div class="clearfix"></div>

						<?php if (isset($this->stage['id'])) : ?>
						<input type="hidden" name="id" value="<?php echo $this->stage['id']; ?>"/>
						<?php endif; ?>
						<input type="hidden" name="task" value=""/>
						<?php echo HTMLHelper::_('form.token'); ?>
					</form>
			</div>
		</div>
</div>

<script>
    $(document).ready(function (){
        $('#percent').on('change', function(){
            $(this).attr('max',100);
            $(this).attr('min',0)
            let percent = $(this).val();
            $('#percent_value').text(percent + '%');
        });

    })
</script>