<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
class JoomcrmViewStatusesHtml extends JoomcrmView
{
	public $pagination;
	public $statuses;
	public $status;
	public $state;

	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
        ToolBarHelper::title('<i class="fas fa-flag"></i> JoomCRM: Users Statuses');


		$this->pagination = $this->get('Pagination');

		if ($this->getLayout() == 'edit')
		{
			// Toolbar buttons
            $toolbar->cancel('Statuses.cancel');
            $toolbar->save('Statuses.save');
		}
		else
		{
			// Buttons
            $toolbar->addNew('Statuses.add');
            $toolbar->delete('Statuses.remove')
                ->text('JTOOLBAR_EMPTY_TRASH')
                ->message('JGLOBAL_CONFIRM_DELETE')
                ->listCheck(true);

			$this->statuses = $this->get('Statuses');
			$this->state    = $this->get('State');
		}
        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');
		parent::display($tpl);
	}
}
