<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

$user = Factory::getApplication()->getIdentity();
$listOrder = $this->state->get('Statuses.filter_order');
$listDirn = $this->state->get('Statuses.filter_order_Dir');
$saveOrder = $listOrder == 's.ordering';
$canChange = $user->authorise('core.edit.state', 'com_joomcrm');
$orderKeys = array(0);

if ($saveOrder) {
    $saveOrderingUrl = 'index.php?option=com_joomcrm&task=ajax.saveOrderAjax&tmpl=component';
   HTMLHelper::_('sortablelist.sortable', 'itemList', 'adminForm', strtolower($listDirn), $saveOrderingUrl, false, true);
}

?>

<div class="row">
    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
        <?php echo $this->menu['help_info']->display(); ?>

        <div id="system-message-container"></div>

        <h3><?php echo Text::_('COM_JOOMCRM_PEOPLE_STATUSES'); ?></h3>
        <div class="alert alert-info"><?php echo Text::_('COM_JOOMCRM_PEOPLE_STATUS_DESC_1'); ?><br/>
            <?php echo Text::_('COM_JOOMCRM_PEOPLE_STATUS_DESC_2'); ?></div>
        <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=statuses'); ?>" method="post"
              name="adminForm" id="adminForm">
            <table class="table table-striped" id="itemList">
                <thead>
                <tr>
                    <th width="10%" class="hidden-phone">
                        <?php echo HTMLHelper::_('grid.sort', 'JGRID_HEADING_ORDERING', 's.ordering', $listDirn, $listOrder); ?>
                    </th>
                    <th width="1%">
                        <input type="checkbox" name="checkall-toggle" value=""
                               title="<?php echo Text::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)"/>
                    </th>
                    <th style="text-align:left;">
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_NAME', 's.name', $listDirn, $listOrder); ?>
                    </th>
                    <th width="10%">
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_STATUS_COLOR', 's.color', $listDirn, $listOrder); ?>
                    </th>
                    <th width="1%">
                        <?php echo HTMLHelper::_('grid.sort', 'JGLOBAL_FIELD_ID_LABEL', 's.id', $listDirn, $listOrder); ?>
                    </th>
                </tr>
                </thead>
                <tfoot>
                <tr>
                    <td colspan="13">
                        <?php echo $this->pagination->getListFooter(); ?>
                    </td>
                </tr>
                </tfoot>
                <tbody>
                <?php if (count($this->statuses)) {
                    $i = 0;
                    foreach ($this->statuses as $key => $status) {
                        if (is_numeric($status['ordering']) && !in_array($status['ordering'], $orderKeys)) {
                            $orderKey = $status['ordering'];
                        } else {
                            $orderKey = (max($orderKeys) + 1);
                        }
                        $orderKeys[] = $orderKey;
                        ?>

                        <tr class="row<?php echo $i % 2; ?>">
                            <td class="order nowrap center hidden-phone">
                                <?php
                                $iconClass = '';
                                if (!$canChange) {
                                    $iconClass = ' inactive';
                                } elseif (!$saveOrder) {
                                    $iconClass = ' inactive tip-top hasTooltip" title="' .HTMLHelper::tooltipText('JORDERINGDISABLED');
                                }
                                ?>
                                <span class="sortable-handler<?php echo $iconClass ?>">
												<i class="icon-menu"></i>
											</span>
                                <?php if ($canChange && $saveOrder) : ?>
                                    <input type="text" style="display:none" name="order[]" size="5"
                                           value="<?php echo $orderKey; ?>"/>
                                <?php endif; ?>
                            </td>
                            <td class="center">
                                <?php echo HTMLHelper::_('grid.id', $key, $status['id']); ?>
                            </td>
                            <td style="text-align:left;"
                                class="order"><?php echo HTMLHelper::_('link', 'index.php?option=com_joomcrm&task=Statuses.edit&id=' . $status['id'], $status['name']); ?></td>
                            <td class="order">
                                <div class="status_dot"
                                     style="background-color: #<?php echo $status['color']; ?>;"></div>
                            </td>
                            <td class="order"><?php echo $status['id']; ?></td>
                        </tr>

                        <?php $i++;
                    }
                } ?>
                </tbody>
            </table>
            <div>
                <input type="hidden" name="task" value=""/>
                <input type="hidden" name="boxchecked" value="0"/>
                <input type="hidden" name="view" value="statuses"/>
                <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
                <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
                <?php echo HTMLHelper::_('form.token'); ?>
            </div>
        </form>
    </div>
</div>

<script type="text/javascript">
    Joomla.orderTable = function () {
        table = document.getElementById("sortTable");
        direction = document.getElementById("directionTable");
        order = table.options[table.selectedIndex].value;
        if (order != '<?php echo $listOrder; ?>') {
            dirn = 'asc';
        } else {
            dirn = direction.options[direction.selectedIndex].value;
        }
        Joomla.tableOrdering(order, dirn, '');
    }
</script>
