<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');

$this->useCoreUI = true;
?>

<div class="row">
    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
        <?php echo $this->menu['help_info']->display(); ?>
        <div id="system-message-container"></div>
        <div class="main-card p-4">
            <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=statuses'); ?>" method="post"
                  name="adminForm" id="adminForm" class="form-validate">
                <h3><?php echo $this->header; ?></h3>
                <div class="form-group">
                    <label class="form-label"><?php echo Text::_("COM_JOOMCRM_NAME"); ?></label>
                    <input type="text" class="form-control" name="name" value="<?php echo isset($this->status['name']) ? $this->status['name'] : ''; ?>"/>
                </div>
                <div class="form-group">
                    <label class="form-label"><?php echo Text::_('COM_JOOMCRM_HEADER_STATUS_COLOR'); ?></label>
                   <input type="color" class="form-control form-control form-control-color" name="color"
                                                      value="<?php echo isset($this->status['color']) ? $this->status['color'] : ''; ?>"/>
                </div>

                <?php if (isset($this->status['id'])) : ?>
                    <input type="hidden" name="id" value="<?php echo $this->status['id']; ?>"/>
                <?php endif; ?>
                <input type="hidden" name="task" value=""/>
                <?php echo HTMLHelper::_('form.token'); ?>
            </form>
        </div>
    </div>
</div>
