<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
class JoomcrmViewTeamsHtml extends JoomcrmView
{
	public $team;
	public $teams;
	public $member_roles;

	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
        ToolBarHelper::title('<i class="fas fa-users"></i> JoomCRM: Teams Manager');


		$model = $this->getModel();

		// Add toolbar buttons to manage users
		if ($this->getLayout() == 'default')
		{
			// Buttons
            $toolbar->addNew('Teams.add');
            $toolbar->delete('Teams.delete')
                ->text('JTOOLBAR_EMPTY_TRASH')
                ->message('JGLOBAL_CONFIRM_DELETE')
                ->listCheck(true);

			$this->state = $this->get('State');
			$this->teams = $model->getTeams(true);
		}

		if ($this->getLayout() == 'edit')
		{
			// Buttons
            $toolbar->cancel('Teams.cancel');
            $toolbar->save('Teams.save');

			$id         	=  \Joomla\CMS\Factory::getApplication()->input->get('id');
			$leaderId 		= isset($this->team['leader_id']) && $this->team['leader_id'] ? $this->team['leader_id'] : 0;
			$this->users 	= $model->getUsers('basic');
			$this->managers = $model->getUsers('manager', $leaderId);
			$dispatcher 	= \Joomla\CMS\Factory::getApplication();

			$dispatcher->triggerEvent('onBeforeCRMTeamEdit', array(&$id));
		}
        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');
		parent::display($tpl);
	}

}
