<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

?>

<div class="row">
	<div class="col-md-2">
		<?php echo $this->sidebar; ?>
	</div>
	<div class="col-md-10">
        <?php echo $this->menu['help_info']->display(); ?>
		<div id="system-message-container"></div>
				<h3><?php echo Text::_('COM_JOOMCRM_TEAM_MANAGER'); ?></h3>
					<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=teams'); ?>" method="post" name="adminForm" id="adminForm">
						<?php
						$listOrder = $this->state->get('Teams.filter_order');
						$listDirn = $this->state->get('Teams.filter_order_Dir');
						?>
						<table class="table table-striped">
							<thead>
							<tr>
								<th width="1%">
									<input type="checkbox" name="checkall-toggle" value="" title="<?php echo Text::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)"/>
								</th>
								<th>
									<?php // todo: echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_USERS_HEADER_TEAM', 't.team_id', $listDirn, $listOrder); ?>
									<?php echo Text::_('COM_JOOMCRM_USERS_HEADER_TEAM'); ?>
								</th>
								<th>
									<?php // todo: echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_TEAMS_HEADER_LEADER', 'u.last_name', $listDirn, $listOrder); ?>
									<?php echo Text::_('COM_JOOMCRM_TEAMS_HEADER_LEADER'); ?>
								</th>
								<th>
									<?php echo Text::_('COM_JOOMCRM_TEAMS_HEADER_MEMBERS'); ?>
								</th>
                                <th>
									<?php echo Text::_('COM_JOOMCRM_ID'); ?>
                                </th>
							</tr>
							</thead>
							<tfoot>
							<tr>
								<td colspan="13">
									<!-- pagination -->
								</td>
							</tr>
							</tfoot>
							<tbody>
							<?php if (count($this->teams)) : ?>
								<?php foreach ($this->teams as $key => $team) : ?>

									<tr class="row<?php echo $key % 2; ?>">
										<td class="center">
											<?php echo HTMLHelper::_('grid.id', $key, $team['team_id']); ?>
										</td>
										<td class="order"><?php echo HTMLHelper::_('link', 'index.php?option=com_joomcrm&task=Teams.edit&id=' . $team['team_id'], $team['team_name']); ?></td>
										<td class="order">
											<?php echo HTMLHelper::_('link', 'index.php?option=com_joomcrm&task=Users.edit&id=' . $team['leader_id'], $team['leader_name']); ?>
										</td>
										<td class="order">
										<?php if (!empty($team['members'])) : ?>
											<?php foreach ($team['members'] as $member) : ?>
												<span class="label label-info">
													<i class="icon-user" <?php echo $member['color'] ? 'style="color:' . $member['color'] . '"' : ''; ?>></i>
													<?php echo HTMLHelper::_('link', 'index.php?option=com_joomcrm&task=Users.edit&id=' . $member['id'], $member['name'], 'style="color:white"'); ?>
												</span>
											<?php endforeach; ?>
										<?php endif; ?>
										</td>
                                        <td><?php echo $team['team_id']; ?></td>
									</tr>

								<?php endforeach; ?>
							<?php endif; ?>
							</tbody>
						</table>
						<div>
							<input type="hidden" name="task" value=""/>
							<input type="hidden" name="boxchecked" value="0"/>
							<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
							<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
							<?php echo HTMLHelper::_('form.token'); ?>
						</div>
					</form>

		</div>
</div>
