<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Form\Form;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');

$this->useCoreUI = true;
$form = new Form('JoomCRM Users');

$xml = new SimpleXMLElement('<?xml version="1.0" encoding="utf-8"?>
<form>
	<fieldset
		name="general">

		<field
       		name="uid"
       		type="user"
       		label="COM_JOOMCRM_SELECT_LEADER"
        	class="readonly"
        	description="COM_JOOMCRM_TYPE_JOOMLA_TO_ADD" />

    </fieldset>
</form>');

$form->load($xml);

$form->bind($this->team);
 ?>

<div class="row">
	<div class="col-md-2">
		<?php echo $this->sidebar; ?>
	</div>
	<div  class="col-md-10">
	<?php echo $this->menu['help_info']->display(); ?>
		<div id="system-message-container"></div>
        <form action="<?php echo Route::_('index.php?option=com_joomcrm'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
            <fieldset class="main-card p-4">
                <legend><h2><?php echo $this->header; ?></h2></legend>
                <?php if (!$this->managers) : ?>
                    <div class="alert alert-info">
                        <?php echo Text::_('COM_JOOMCRM_ENTER_TEAM_NO_FREE_MANAGER'); ?>
                    </div>
                <?php endif; ?>
                <ul class="adminformlist joomcrmadminlist list-group list-group-flush">
                    <li class="list-group-item border-0">
                        <label for="name"><?php echo Text::_('COM_JOOMCRM_TEAM_NAME'); ?></label>
                        <input class="form-control required" type="text" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_ENTER_TEAM_NAME_HERE'); ?>" id="name" name="name" value="<?php echo isset($this->team) ? $this->team['team_name'] : ''; ?>" />
                        <div class="clearfix"></div>
                    </li>
                    <li class="list-group-item border-0">
                        <label for="leader_id"><?php echo Text::_('COM_JOOMCRM_SELECT_LEADER'); ?></label>
                        <select class="form-control required" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_ENTER_TEAM_LEADER_HERE'); ?>" id="leader_id" name="leader_id">
                            <?php foreach ($this->managers as $manager) : ?>
                                <option value="<?php echo $manager->id; ?>" <?php echo $manager->id == $this->team['leader_id'] ? 'selected' : ''; ?>>
                                    <?php echo $manager->first_name; ?> <?php echo $manager->last_name; ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                        <div class="clearfix"></div>
                    </li>
                    <li class="list-group-item border-0">
                        <label for="members"><?php echo Text::_('COM_JOOMCRM_TEAMS_HEADER_MEMBERS'); ?></label>
                        <select class="form-select required" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_ENTER_TEAM_MEMBERS_HERE'); ?>" id="members" name="members[]" multiple="multiple" size="10">
                            <?php if ($this->users) : ?>
                                <?php foreach ($this->users as $user) : ?>
                                    <option value="<?php echo $user->id; ?>" <?php echo isset($this->team['members']) && array_key_exists($user->id, $this->team['members']) ? 'selected' : ''; ?> <?php echo ($user->team_id > 1 && $user->team_id != $this->team['team_id']) ? 'disabled' : ''; ?>>
                                        <?php echo $user->first_name; ?> <?php echo $user->last_name; ?>
                                        <?php if ($user->team_id > 1 && $user->team_id != $this->team['team_id']) : ?>
                                            (<?php echo $user->team_name; ?>)
                                        <?php endif; ?>
                                    </option>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        </select>
                        <div class="clearfix"></div>
                    </li>
                </ul>
                <div>
                    <?php if (isset($this->team['team_id'])) : ?>
                        <input type="hidden" name="team_id" value="<?php echo $this->team['team_id']; ?>"/>
                    <?php endif; ?>
                    <input type="hidden" name="model" value="teams"/>
                    <input type="hidden" name="task" value="Teams.save"/>
                    <input type="hidden" name="view" value="teams"/>
                    <?php echo HTMLHelper::_('form.token'); ?>
                </div>

            </fieldset>
        </form>
	</div>
</div>
