<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Uri\Uri;
class JoomcrmViewTemplatesHtml extends JoomcrmView
{
	public $template_types;
	public $templates;
	public $template;
	public $state;

	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
        // Display title
        ToolBarHelper::title('<i class="fas fa-tasks"></i> JoomCRM: Workflows');



        if ($this->getLayout() == "edit")
		{
			// Toolbar buttons
            $toolbar->cancel('Templates.cancel');
            $toolbar->save('Templates.save');

			Factory::getDocument()->addScript(Uri::base() . 'components/com_joomcrm/media/js/template_manager.js');

			$this->template_types = JoomcrmHelperDropdown::getTemplateTypes();
		}
		else
		{
			// Buttons
            $toolbar->addNew('Templates.add');
            $toolbar->delete('Templates.remove')
                ->text('JTOOLBAR_EMPTY_TRASH')
                ->message('JGLOBAL_CONFIRM_DELETE')
                ->listCheck(true);

			$this->templates = $this->get('Templates');
			$this->state     = $this->get('State');
		}
        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');
		parent::display($tpl);
	}
}
