<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

?>

<div class="row">
    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
        <?php echo $this->menu['help_info']->display(); ?>
        <div id="system-message-container"></div>

        <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=templates'); ?>" method="post"
              name="adminForm" id="adminForm">
            <?php
            $listOrder = $this->state->get('Templates.filter_order');
            $listDirn = $this->state->get('Templates.filter_order_Dir');
            ?>
            <table class="table table-striped">
                <thead>
                <tr>
                    <th width="1%">
                        <input type="checkbox" name="checkall-toggle" value=""
                               title="<?php echo Text::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)"/>
                    </th>
                    <th>
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_TEMPLATE_NAME', 't.name', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_TEMPLATE_TYPE', 't.type', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_TEMPLATE_CREATED', 't.created', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_TEMPLATE_MODIFIED', 't.modified', $listDirn, $listOrder); ?>
                    </th>
                    <th>
                        <?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_HEADER_TEMPLATE_DEFAULT', 't.default', $listDirn, $listOrder); ?>
                    </th>
                </tr>
                </thead>
                <tfoot>
                <tr>
                    <td colspan="13">
                        <!-- pagination -->
                    </td>
                </tr>
                </tfoot>
                <tbody>
                <?php if (count($this->templates)) {
                    foreach ($this->templates as $key => $template) { ?>

                        <tr class="row<?php echo $key % 2; ?>">
                            <td class="center">
                                <?php echo HTMLHelper::_('grid.id', $key, $template['id']); ?>
                            </td>
                            <td class="order"><?php echo HTMLHelper::_('link', 'index.php?option=com_joomcrm&task=Templates.edit&id=' . $template['id'], $template['name']); ?></td>
                            <td class="order"><?php echo ucwords($template['type']); ?></td>
                            <td class="order"><?php echo date("F j, Y h:iA", strtotime($template['created'])); ?></td>
                            <td class="order"><?php echo date("F j, Y h:iA", strtotime($template['modified'])); ?></td>
                            <td class="order"><?php if ($template['default']) {
                                    echo "Default";
                                } ?></td>
                        </tr>

                    <?php }
                } ?>
                </tbody>
            </table>
            <div>
                <input type="hidden" name="task" value=""/>
                <input type="hidden" name="boxchecked" value="0"/>
                <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
                <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
                <?php echo HTMLHelper::_('form.token'); ?>
            </div>
        </form>
    </div>
</div>
