<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');
$this->useCoreUI = true;
$this->template['name']    = isset($this->template['name']) ? $this->template['name'] : '';
$this->template['type']    = isset($this->template['type']) ? $this->template['type'] : '';
$this->template['default'] = isset($this->template['default']) ? 'checked' : '';

?>

<div class="row">
    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
        <?php echo $this->menu['help_info']->display(); ?>
        <div class="main-card p-4">
                <div id="system-message-container"></div>
                    <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=templates'); ?>" method="post"
                          name="adminForm" id="adminForm" class="form-validate">
                        <fieldset class="adminform">
                            <legend><h3><?php echo $this->header; ?></h3></legend>
                            <div class="control-group">
                                <label class="control-label"
                                       for="workflowname"><?php echo Text::_('COM_JOOMCRM_NAME'); ?></label>
                                <div class="controls">
                                    <input id="workflowname" type="text" class="form-control" name="name" rel="tooltip"
                                           data-original-title="<?php echo Text::_('COM_JOOMCRM_NAME_YOUR_WORKFLOW'); ?>"
                                           value="<?php echo $this->template['name']; ?>"/>
                                </div>
                            </div>
                            <div style="clear:both"></div>
                            <div class="control-group">
                                <label class="control-label"><?php echo Text::_('COM_JOOMCRM_HEADER_SOURCE_TYPE'); ?></label>
                                <div class="controls">

                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="type"
                                               value="deal" <?php if ($this->template['type'] == 'deal')
										{
											echo 'checked';
										} ?>/>
                                        <label class="form-check-label">
                                            <?php echo Text::_('COM_JOOMCRM_DEAL'); ?>
                                        </label>

                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="type"
                                               value="person" <?php if ($this->template['type'] == 'person')
										{
											echo 'checked';
										} ?>/> <?php echo Text::_('COM_JOOMCRM_PERSON'); ?>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="type"
                                               value="company" <?php if ($this->template['type'] == 'company')
										{
											echo 'checked';
										} ?>/> <?php echo Text::_('COM_JOOMCRM_COMPANY'); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="form-check">
                                <label class="form-check-label"
                                       for="workflowname"><?php echo Text::_("COM_JOOMCRM_MAKE_DEFAULT_TEMPLATE"); ?></label>
                                    <input class="form-check-input" type="checkbox" name="default" rel="tooltip"
                                           data-original-title="<?php echo Text::_('COM_JOOMCRM_NAME_YOUR_WORKFLOW'); ?>" <?php echo $this->template['default'] ?> />
                            </div>
                        </fieldset>
                        <fieldset class="adminform">
                            <legend><h3><?php echo Text::_("COM_JOOMCRM_ENTER_ITEMS"); ?></h3></legend>
                            <ul class="adminformlist joomcrmadminlist">
                                <li>
                                    <div id="items">
										<?php if (isset($this->template['data']) && count((array) $this->template['data']))
										{
											foreach ($this->template['data'] as $data)
											{ ?>
                                                <span class="joomcrmfield clrboth">
						<div class="item">
							<table class="table">
								<tr>
									<input type="hidden" name="items[]" value="<?php echo $data['id']; ?>]"/>
									<td><b><?php echo Text::_('COM_JOOMCRM_NAME'); ?></b></td>
									<td>
										<input class="form-control" type="text" name="names[]" rel="tooltip"
                                               data-original-title="<?php echo Text::_('COM_JOOMCRM_EVENT_NAME_TOOLTIP'); ?>"
                                               value="<?php echo $data['name']; ?>"/>
									</td>
									<td><b><?php echo Text::_("COM_JOOMCRM_DAY"); ?></b></td>
									<td>
										<input class="form-control" type="text" name="days[]" rel="tooltip"
                                               data-original-title="<?php echo Text::_('COM_JOOMCRM_EVENT_DAY_TOOLTIP'); ?>"
                                               value="<?php echo $data['day']; ?>"/>
									</td>
									<td><b><?php echo Text::_("COM_JOOMCRM_HEADER_SOURCE_TYPE"); ?></b></td>
									<td>
										<select class="form-select" rel="tooltip"
                                                data-original-title="<?php echo Text::_('COM_JOOMCRM_EVENT_TYPE_TOOLTIP'); ?>"
                                                name="types[]">
											<option value=""><?php echo Text::_('COM_JOOMCRM_SELECT_EVENT_TYPE'); ?></option>
											<?php echo HTMLHelper::_('select.options', $this->template_types, 'value', 'text', $data['type'], true); ?>
										</select>
									</td>
									<td><a class="remove_item btn btn-danger"><i class="icon-remove"></i> <?php echo Text::_("COM_JOOMCRM_REMOVE"); ?></a></td>
								</tr>
							</table>
						</div>
						</span>
												<?php
											}
										}
										else
										{
											?>
                                            <span class="joomcrmfield clrboth">
							<div class="item">
								<table class="table">
									<tr>
										<input type="hidden" name="items[]" value=""/>
										<td><b><?php echo Text::_('COM_JOOMCRM_NAME'); ?></b></td>
										<td>
											<input class="form-control" rel="tooltip"
                                                   data-original-title="<?php echo Text::_('COM_JOOMCRM_EVENT_NAME'); ?>"
                                                   type="text" name="names[]" value=""/>
										</td>
										<td><b><?php echo Text::_('COM_JOOMCRM_DAY'); ?></b></td>
										<td>
											<input class="form-control" type="text" rel="tooltip"
                                                   data-original-title="<?php echo Text::_('COM_JOOMCRM_EVENT_DAY'); ?>"
                                                   name="days[]" value=""/>
										</td>
										<td><b><?php echo Text::_('COM_JOOMCRM_HEADER_SOURCE_TYPE'); ?></b></td>
										<td>
											<select class="form-select" name="types[]" rel="tooltip"
                                                    data-original-title="<?php echo Text::_('COM_JOOMCRM_EVENT_TYPE'); ?>">
												<option value=""><?php echo Text::_('COM_JOOMCRM_SELECT_EVENT_TYPE'); ?></option>
												<?php echo HTMLHelper::_('select.options', $this->template_types, 'value', 'text', '', true); ?>
											</select>
										</td>
										<td><a class="remove_item btn btn-danger"><span
                                                        class="fas fa-times"></span> <?php echo Text::_("COM_JOOMCRM_REMOVE"); ?></a></td>
									</tr>
								</table>
							</div>
							</span>
										<?php } ?>
                                    </div>
                                </li>
                                <li>
                                    <label><a id="add_item" class="btn btn-success"><span class="icon-plus"></span>
                                            Add More Items</a></label>
                                </li>
                            </ul>
                        </fieldset>
                        <div>
							<?php if (isset($this->template['id'])) : ?>
                                <input type="hidden" name="id" value="<?php echo $this->template['id']; ?>"/>
							<?php endif; ?>
                            <input type="hidden" name="task" value=""/>
							<?php echo HTMLHelper::_('form.token'); ?>
                        </div>
                    </form>
                    <div style="display:none;" id="item_template">
			<span class="joomcrmfield clrboth">
				<div class="item">
					<table class="table">
						<tr>
							<input type="hidden" name="items[]" value=""/>
							<td><b><?php echo Text::_('COM_JOOMCRM_NAME'); ?></b></td>
							<td>
								<input class="form-control" type="text" name="names[]" value="" rel="tooltip"
                                       data-original-title="<?php echo Text::_('COM_JOOMCRM_EVENT_NAME'); ?>"/>
							</td>
							<td><b><?php echo Text::_('COM_JOOMCRM_DAY'); ?></b></td>
							<td>
								<input class="form-control" type="text" name="days[]" value="" rel="tooltip"
                                       data-original-title="<?php echo Text::_('COM_JOOMCRM_EVENT_DAY'); ?>"/>
							</td>
							<td><b><?php echo Text::_('COM_JOOMCRM_HEADER_SOURCE_TYPE'); ?></b></td>
							<td>
								<select class="form-select" name="types[]" rel="tooltip"
                                        data-original-title="<?php echo Text::_('COM_JOOMCRM_EVENT_TYPE'); ?>">
									<option value=""><?php echo Text::_('COM_JOOMCRM_SELECT_EVENT_TYPE'); ?></option>
									<?php echo HTMLHelper::_('select.options', $this->template_types, 'value', 'text', '', true); ?>
								</select>
							</td>
							<td><a class="remove_item btn btn-danger"><i class="icon-remove"></i> <?php echo Text::_("COM_JOOMCRM_REMOVE"); ?></a></td>
						</tr>
					</table>
				</div>
			</span>
                    </div>

            </div>
        </div>
</div>
<?php $this->menu['quick_menu']->display(); ?>
