<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper;
class JoomcrmViewUsersHtml extends JoomcrmView
{
	public $user;
	public $users;
	public $member_roles;

	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
        $toolbar = Toolbar::getInstance('toolbar');
        ToolBarHelper::title('<i class="fas fa-user"></i> JoomCRM: Users Manager');


		// Add toolbar buttons to manage users
		if ($this->getLayout() == 'default')
		{
			// Buttons
            $toolbar->addNew('Users.add');
            $toolbar->delete('Users.delete')
                ->text('JTOOLBAR_EMPTY_TRASH')
                ->message('JGLOBAL_CONFIRM_DELETE')
                ->listCheck(true);

			$this->state = $this->get('State');
			$this->users = $this->get('Users');
		}

		if ($this->getLayout() == 'edit')
		{
			// Buttons
            $toolbar->cancel('Users.cancel');
            $toolbar->save('Users.save');

			$id         =  \Joomla\CMS\Factory::getApplication()->input->get('id');
			$dispatcher = \Joomla\CMS\Factory::getApplication();
			$dispatcher->triggerEvent('onBeforeCRMUserEdit', array(&$id));

			// View data
			$teamId = JoomcrmHelperUsers::getTeamId( \Joomla\CMS\Factory::getApplication()->input->get('id'));

			$this->teams        = JoomcrmHelperDropdown::getTeams($teamId);
			$this->member_roles = JoomcrmHelperDropdown::getMemberRoles();
			$this->managers     = JoomcrmHelperDropdown::getManagers( \Joomla\CMS\Factory::getApplication()->input->get('id'));
		}
        $toolbar->help(null, null, 'https://www.joomboost.com/support/documentation/76-joomcrm.html?tmpl=component', 'com_joomcrm');
		parent::display($tpl);
	}

}
