<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

?>

<div class="row">
	<div  class="col-md-2">
		<?php echo $this->sidebar; ?>
	</div>
	<div  class="col-md-10">
	<?php echo $this->menu['help_info']->display(); ?>
		<div id="system-message-container"></div>

					<legend><h3><?php echo Text::_('COM_JOOMCRM_ADD_TO_ACCOUNT'); ?></h3></legend>
					<div class="alert alert-info">
						<h3><?php echo Text::_("COM_JOOMCRM_USER_ROLES_VISIBILITY"); ?></h3>
						<b><?php echo Text::_('COM_JOOMCRM_EXECUTIVE'); ?></b> - <?php echo Text::_('COM_JOOMCRM_EXECUTIVE_DESC'); ?>
						<br/>
						<b><?php echo Text::_('COM_JOOMCRM_MANAGERS'); ?></b> - <?php echo Text::_('COM_JOOMCRM_MANAGERS_DESC'); ?>
						<br/>
						<b><?php echo Text::_('COM_JOOMCRM_BASIC_USERS'); ?></b> - <?php echo Text::_('COM_JOOMCRM_BASIC_USERS_DESC'); ?>
					</div>
					<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=users'); ?>" method="post" name="adminForm" id="adminForm">
						<?php
						$listOrder = $this->state->get('Users.filter_order');
						$listDirn = $this->state->get('Users.filter_order_Dir');
						?>
						<table class="table table-striped">
							<thead>
							<tr>
								<th width="1%">
									<input type="checkbox" name="checkall-toggle" value="" title="<?php echo Text::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)"/>
								</th>
								<th>
									<?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_USERS_HEADER_NAME', 'u.last_name', $listDirn, $listOrder); ?>
								</th>
								<th>
									<?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_USERS_HEADER_USERNAME', 'ju.username', $listDirn, $listOrder); ?>
								</th>
								<th>
									<?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_USERS_HEADER_TEAM', 'u.team_id', $listDirn, $listOrder); ?>
								</th>
								<th>
									<?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_USERS_HEADER_EMAIL', 'ju.email', $listDirn, $listOrder); ?>
								</th>
								<th>
									<?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_USERS_HEADER_ROLE', 'u.role_type', $listDirn, $listOrder); ?>
								</th>
								<th>
									<?php echo HTMLHelper::_('grid.sort', 'COM_JOOMCRM_USERS_HEADER_LOGIN', 'ju.lastvisitDate', $listDirn, $listOrder); ?>
								</th>
							</tr>
							</thead>
							<tfoot>
							<tr>
								<td colspan="13">
									<!-- pagination -->
								</td>
							</tr>
							</tfoot>
							<tbody>
							<?php if (count($this->users))
							{
								foreach ($this->users as $key => $user)
								{ ?>

									<tr class="row<?php echo $key % 2; ?>">
										<td class="center">
											<?php echo HTMLHelper::_('grid.id', $key, $user['id']); ?>
										</td>
										<td class="order"><?php echo HTMLHelper::_('link', 'index.php?option=com_joomcrm&task=Users.edit&id=' . $user['id'], $user['first_name'] . ' ' . $user['last_name']); ?></td>
										<td class="order"><?php echo $user['username']; ?></td>
										<td class="order">
											<?php
											if (array_key_exists('team_id', $user) && $user['team_id'])
											{
												echo $user['team_name'] . Text::_("COM_JOOMCRM_TEAM_APPEND");
											}
											?>
										</td>
										<td class="order"><?php echo $user['email']; ?></td>
										<td class="order"><?php echo ucwords($user['role_type']); ?></td>
										<td class="order"><?php echo date("F j, Y g:iA", strtotime($user['last_login'])); ?></td>
									</tr>

								<?php }
							} ?>
							</tbody>
						</table>
						<div>
							<input type="hidden" name="task" value=""/>
							<input type="hidden" name="boxchecked" value="0"/>
							<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
							<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
							<?php echo HTMLHelper::_('form.token'); ?>
						</div>
					</form>

    </div>
</div>
