<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Form\Form;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');

$this->useCoreUI = true;
$form = new Form('JoomCRM Users');

$xml = new SimpleXMLElement('<?xml version="1.0" encoding="utf-8"?>
<form>
	<fieldset
		name="general">

		<field
       		name="uid"
       		type="user"
       		label="COM_JOOMCRM_SELECT_USER_TO_ADD"
        	class="readonly required"
        	description="COM_JOOMCRM_TYPE_JOOMLA_TO_ADD"
        	 required="true"
        	 />

    </fieldset>
</form>');

$form->load($xml);

$form->bind($this->user);

?>

<div class="row">
	<div class="col-md-2">
		<?php echo $this->sidebar; ?>
	</div>
	<div class="col-md-10">

	<?php echo $this->menu['help_info']->display(); ?>
		<div id="system-message-container"></div>
		<div class="row">
			<form action="<?php echo Route::_('index.php?option=com_joomcrm'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
				<div class="main-card p-4">
					<h2><?php echo $this->header; ?></h2>
					<ul class="adminformlist joomcrmadminlist list-group list-group-flush">
						<?php foreach ($form->getFieldset('general') as $field) :
							if ($field->name == 'uid' && isset($this->user['uid'])) continue;?>
						<li class="list-group-item border-0">
                            <div class="form-group">
							<?php echo $field->label, $field->input; ?>
                            </div>
							<div class="clearfix"></div>
						</li>
						<?php endforeach; ?>
						<li class="list-group-item border-0">
                            <div class="form-group">
                                <label><?php echo Text::_('COM_JOOMCRM_FIRST_NAME'); ?></label>
                                <input class="form-control required" type="text" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_ENTER_FIRST_NAME_HERE'); ?>" name="first_name" value="<?php echo isset($this->user) ? $this->user['first_name'] : ''; ?>" />
                                <div class="clearfix"></div>
                            </div>

						</li>
						<li class="list-group-item border-0">
							<div class="form-group">
                                <label><?php echo Text::_('COM_JOOMCRM_LAST_NAME'); ?></label>
                                <input class="form-control" type="text" name="last_name" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_ENTER_LAST_NAME_HERE'); ?>" value="<?php echo isset($this->user) ? $this->user['last_name'] : '' ; ?>" />
                                <div class="clearfix"></div>
                            </div>
						</li>
						<li class="list-group-item border-0">
							<div class="form-group">
                                <label><?php echo Text::_('COM_JOOMCRM_MEMBER_ROLE'); ?></label>
                                <select class="form-select" id="role_type" name="role_type" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_ASSIGN_USER_ROLE'); ?>" onchange="updateRole(this.value)">
									<?php echo HTMLHelper::_('select.options', $this->member_roles, 'value', 'text', $this->user['role_type'], true); ?>
                                </select>
                            </div>

                                <div class="form-group" id="team_name" <?php if (isset($this->user) && $this->user['role_type'] != "manager")
								{ ?> style="display:none;" <?php } ?> >
                                    <label><?php echo Text::_('COM_JOOMCRM_TEAM_NAME'); ?></label>
                                    <input type="text" class="form-control" name="team_name" value="<?php echo isset($this->user) ? $this->user['team_name'] : ''; ?>" />
                                    <div class="clearfix"></div>
                                </div>
                                <div class="clearfix"></div>
						</li>
						<?php if (isset($this->user) && $this->user['role_type'] == 'basic') { ?>
					<li class="list-group-item border-0" id="team_assignment">
					<?php
					}
					else {

                        ?>
						<li class="list-group-item border-0" style="display:none;" id="team_assignment">
							<?php } ?>
                            <div class="form-group">
							<label><?php echo Text::_('COM_JOOMCRM_USERS_HEADER_TEAM'); ?></label>
							<select class="form-select" id="team_id" name="team_id" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_ASSIGN_USER_TEAM'); ?>">
								<option value="0"><?php echo Text::_("COM_JOOMCRM_NONE"); ?></option>
								<?php echo HTMLHelper::_('select.options', (array)$this->teams, 'value', 'text', $this->user['team_id'], true); ?>
							</select>
                            </div>
							<div class="clearfix"></div>
						</li>
						<li class="list-group-item border-0">
                            <div class="form-check">
							<label><?php echo Text::_("COM_JOOMCRM_TEAM_ACCESS"); ?></label>
							<input class="form-check-input" type="checkbox" name="team_access" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_IF_CHECKED_TEAM_ACCESS'); ?>" <?php echo (isset($this->user) && $this->user['team_access'] ? 'checked' : ''); ?> />
                            </div>
						</li>
						<?php if (isset($this->user) && $this->user['role_type'] == 'manager')
						{ ?>
							<li  class="list-group-item border-0" style="display:none;" id="manager_assignment">
                                <div class="form-group">
								<label><?php echo Text::_('COM_JOOMCRM_ASSIGN_NEW_MANAGER'); ?>
										<span class="required">*</span>></label>
								<select class="form-select" id="manager_id" name="manager_assignment" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_ASSIGN_MANAGER'); ?>">
									<option value=""><?php echo Text::_('COM_JOOMCRM_NEW_MANAGER'); ?></option>
									<?php echo HTMLHelper::_('select.options', $this->managers, 'value', 'text', '', true); ?>
								</select>
                                </div>
								<div class="clearfix"></div>
							</li>
						<?php } ?>
						<li class="list-group-item border-0">
							<div class="form-check">
                                <label><?php echo Text::_("COM_JOOMCRM_ADMNISTRATOR"); ?></label>
                                <input class="form-check-input" type="checkbox" name="admin" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_IF_CHECKED_ADMINISTRATOR'); ?>" <?php echo(isset($this->user) && $this->user['admin'] ? 'checked' : ''); ?> />
                                <div class="clearfix"></div>
                            </div>
						</li>
						<li class="list-group-item border-0">
                            <div class="form-check">
							<label><?php echo Text::_('COM_JOOMCRM_ALLOWED_TO_DELETE'); ?></label>
							<input class="form-check-input" type="checkbox" name="can_delete" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_IF_CHECKED_DELETE'); ?>" <?php echo(isset($this->user) && $this->user['can_delete'] ? 'checked' : ''); ?> />
                            </div>
							<div class="clearfix"></div>
						</li>
						<li class="list-group-item border-0">
                            <div class="form-check">
							<label><?php echo Text::_('COM_JOOMCRM_ALLOWED_TO_EXPORT'); ?></label>
							<input  class="form-check-input" type="checkbox" name="exports" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_IF_CHECKED_EXPORT'); ?>" <?php echo(isset($this->user) && $this->user['exports'] ? 'checked' : ''); ?> />
                            </div>
							<div class="clearfix"></div>
						</li>
						<li class="list-group-item border-0">
                            <div class="form-group">
                            <label for="Color" class="form-label"><?php echo Text::_('COM_JOOMCRM_USER_COLOR'); ?></label>
                            <input id="user_color" type="color" class="required form-control form-control-color" rel="tooltip" data-original-title="<?php echo Text::_('COM_JOOMCRM_USER_COLOR'); ?>" name="color" value="<?php echo isset($this->user['color']) ? $this->user['color'] : ''; ?>" />
							<div class="clearfix"></div>
                            </div>
						</li>
					</ul>
					<div>
						<?php if (isset($this->user['id'])) : ?>
						<input type="hidden" name="id" value="<?php echo $this->user['id']; ?>"/>
						<?php endif; ?>
						<input type="hidden" name="model" value="users"/>
						<input type="hidden" name="task" value="Users.save"/>
						<input type="hidden" name="view" value="users"/>
						<?php echo HTMLHelper::_('form.token'); ?>
					</div>

				</div>
			</form>
		</div>
	</div>
</div>
