<?php
/**
 * @package         Joomla.Administrator
 * @subpackage      com_users
 *
 * @copyright   (C) 2008 Open Source Matters, Inc. <https://www.joomla.org>
 * @license         GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
// Include the component HTML helpers.
HTMLHelper::addIncludePath(JPATH_COMPONENT . '/helpers/html');



/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
	->useScript('form.validate')
	->useScript('showon');

$input = Factory::getApplication()->input;
// In case of modal
$isModal = $input->get('layout') === 'modal';
$layout  = $isModal ? 'modal' : 'edit';
$tmpl    = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';


Factory::getDocument()->addScriptDeclaration("
	Joomla.submitbutton = function(task)
	{
		if (task == 'dealsstage.cancel' || document.formvalidator.isValid(document.getElementById('item-form')))
		{
			Joomla.submitform(task, document.getElementById('item-form'));
		}
	};
   
");

// Get the form fieldsets.
$fieldsets = $this->form->getFieldsets();

?>

<form action="<?php echo Route::_('index.php?option=com_joomcrm&layout=edit&id=' . (int) $this->item->id); ?>"
      method="post" name="adminForm" id="item-form" class="form-validate">

	<?php echo LayoutHelper::render('joomla.edit.item_title', $this); ?>

    <fieldset class="main-card p-4">

		<?php echo HTMLHelper::_('uitab.startTabSet', 'myTab', array('active' => 'details')); ?>

		<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'details', Text::_('COM_JOOMCRM_USER_ACCOUNT_DETAILS')); ?>
		<?php echo $this->form->renderField('id') ?>
		<?php echo $this->form->renderField('name') ?>
        <div class="control-group">
            <div class="control-label">
                <label id="jform_percent-lbl" for="jform_percent">
	                <?php echo $this->form->getLabel('percent') ?>
                </label>
            </div>
            <div class="controls d-flex justify-content-start align-items-center ">
	            <?php echo $this->form->getInput('percent') ?>
                <div id="percent_value" class="badge bg-primary rounded-pill px-2"> <?php echo $this->item->percent ?> %</div>
            </div>
        </div>


		<?php echo $this->form->renderField('color') ?>
		<?php echo $this->form->renderField('won') ?>
		<?php echo HTMLHelper::_('uitab.endTab'); ?>
		<?php
		$this->ignore_fieldsets = array('details');
		echo LayoutHelper::render('joomla.edit.params', $this);
		?>
		<?php echo HTMLHelper::_('uitab.endTabSet'); ?>
    </fieldset>

    <input type="hidden" name="task" value="">
    <input type="hidden" name="return" value="<?php echo $input->getBase64('return'); ?>">
	<?php echo HTMLHelper::_('form.token'); ?>
</form>
