<?php

/**
 * @package         Joomla.Administrator
 * @subpackage      com_users
 *
 * @copyright   (C) 2007 Open Source Matters, Inc. <https://www.joomla.org>
 * @license         GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;


/** @var \Joomla\Component\Users\Administrator\View\Users\HtmlView $this */


/** @var \Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = $this->document->getWebAssetManager();
$wa->useScript('table.columns')
	->useScript('multiselect');

$listOrder  = $this->escape($this->state->get('list.ordering'));
$listDirn   = $this->escape($this->state->get('list.direction'));
$loggeduser = Factory::getApplication()->getIdentity();
$mfa        = PluginHelper::isEnabled('multifactorauth');
$user_id    = Factory::getApplication()->input->getInt('user_id',0);
?>
<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=loginhistory&layout=modal&tmpl=component&user_id='.$user_id); ?>" method="post" name="adminForm" id="adminForm">
	<?php
	// Search tools bar
	echo LayoutHelper::render('joomla.searchtools.default', array('view' => $this));
	?>
	<?php if (empty($this->items)) : ?>
        <div class="alert alert-info">
            <span class="icon-info-circle" aria-hidden="true"></span><span
                    class="visually-hidden"><?php echo Text::_('INFO'); ?></span>
			<?php echo Text::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
        </div>
	<?php else : ?>
        <table class="table table-striped">
            <thead>
            <tr>
                <td class="w-1 text-center">
					<?php echo HTMLHelper::_('grid.checkall'); ?>
                </td>


                <th scope="col">
					<?php echo HTMLHelper::_('searchtools.sort', 'COM_JOOMCRM_LOGIN_DATE', 'a.date', $listDirn, $listOrder); ?>
                </th>

                <th scope="col">
					<?php echo HTMLHelper::_('searchtools.sort', 'COM_JOOMCRM_USERS_HEADER_ID', 'a.id', $listDirn, $listOrder); ?>
                </th>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <td colspan="13">
                    <!-- pagination -->
                </td>
            </tr>
            </tfoot>
            <tbody>

			<?php foreach ($this->items as $key => $user): ?>

                <tr class="row<?php echo $key % 2; ?>">
                    <td class="center">
						<?php echo HTMLHelper::_('grid.id', $key, $user->id); ?>
                    </td>

                    <td class="order">
                    <?php echo HTMLHelper::_('date', $user->date, Text::_('DATE_FORMAT_LC3')); ?></td>
                    <td class="order"><?php echo $user->id; ?></td>
                </tr>

			<?php endforeach; ?>

            </tbody>
        </table>

		<?php // load the pagination. ?>
		<?php echo $this->pagination->getListFooter(); ?>

		<?php // Load the batch processing form if user is allowed ?>

	<?php endif; ?>

    <input type="hidden" name="task" value="">
    <input type="hidden" name="boxchecked" value="0">
	<?php echo HTMLHelper::_('form.token'); ?>

</form>
