<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_users
 *
 * @copyright   (C) 2008 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
// Include the component HTML helpers.
HTMLHelper::addIncludePath(JPATH_COMPONENT . '/helpers/html');


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
	->useScript('form.validate')
    ->useScript('showon');

$input = Factory::getApplication()->input;
// In case of modal
$isModal = $input->get('layout') === 'modal';
$layout  = $isModal ? 'modal' : 'edit';
$tmpl    = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';


Factory::getDocument()->addScriptDeclaration("
	Joomla.submitbutton = function(task)
	{
		if (task == 'manageuser.cancel' || document.formvalidator.isValid(document.getElementById('item-form')))
		{
			Joomla.submitform(task, document.getElementById('item-form'));
		}
	};

	
");

// Get the form fieldsets.
$fieldsets = $this->form->getFieldsets();
?>

<form action="<?php echo Route::_('index.php?option=com_joomcrm&layout=edit&layout=' . $layout . $tmpl . '&team_id=' . (int) $this->item->team_id); ?>" method="post" name="adminForm" id="item-form" class="form-validate" enctype="multipart/form-data">

	<?php echo LayoutHelper::render('joomla.edit.item_title', $this); ?>

	<fieldset class="main-card p-4">
		<?php if (!$this->managers) : ?>
            <div class="alert alert-info">
				<?php echo Text::_('COM_JOOMCRM_ENTER_TEAM_NO_FREE_MANAGER'); ?>
            </div>
		<?php endif; ?>
		<?php echo HTMLHelper::_('uitab.startTabSet', 'myTab', array('active' => 'details')); ?>

			<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'details', Text::_('COM_JOOMCRM_USER_ACCOUNT_DETAILS')); ?>
                <?php echo  $this->form->renderFieldset('details') ?>
			<?php echo HTMLHelper::_('uitab.endTab'); ?>
			<?php
			$this->ignore_fieldsets = array('details');
			echo LayoutHelper::render('joomla.edit.params', $this);
			?>
		<?php echo HTMLHelper::_('uitab.endTabSet'); ?>
	</fieldset>

    <input type="hidden" name="task" value="">
    <input type="hidden" name="return" value="<?php echo $input->getBase64('return'); ?>">
	<?php echo HTMLHelper::_('form.token'); ?>
</form>
