<?php

/**
 * @package     Joomla.Administrator
 * @subpackage  com_users
 *
 * @copyright   (C) 2009 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = $this->document->getWebAssetManager();
$wa->useScript('multiselect');

$input           = Factory::getApplication()->input;
$field           = $input->getCmd('field');
$listOrder       = $this->escape($this->state->get('list.ordering'));
$listDirn        = $this->escape($this->state->get('list.direction'));
$enabledStates   = array(0 => 'icon-check', 1 => 'icon-times');
$activatedStates = array(0 => 'icon-check', 1 => 'icon-times');
$userRequired    = (int) $input->get('required', 0, 'int');
$onClick         = "window.parent.jSelectUser(this);window.parent.Joomla.Modal.getCurrent().close()";

?>
<div class="container-popup">
    <form action="<?php echo Route::_('index.php?option=com_joomcrm&view=teams&layout=modal&tmpl=component&groups=' . $input->get('groups', '', 'BASE64') . '&excluded=' . $input->get('excluded', '', 'BASE64')); ?>" method="post" name="adminForm" id="adminForm">
        <?php if (!$userRequired) : ?>
        <div>
            <button type="button" class="btn btn-primary button-select" data-user-value="0" data-user-name="<?php echo $this->escape(Text::_('JLIB_FORM_SELECT_USER')); ?>"
                data-user-field="<?php echo $this->escape($field); ?>"><?php echo Text::_('JOPTION_NO_USER'); ?></button>&nbsp;
        </div>
        <?php endif; ?>
        <?php echo LayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
	        <?php if (empty($this->items)) : ?>
                <div class="alert alert-info">
                    <span class="icon-info-circle" aria-hidden="true"></span><span class="visually-hidden"><?php echo Text::_('INFO'); ?></span>
			        <?php echo Text::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
                </div>
	        <?php else :?>
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <td class="w-1 text-center">
					        <?php echo HTMLHelper::_('grid.checkall'); ?>
                        </td>
                        <th scope="col">
					        <?php echo HTMLHelper::_('searchtools.sort', 'COM_JOOMCRM_USERS_HEADER_TEAM', 'u.last_name', $listDirn, $listOrder); ?>
                        </th>
                        <th scope="col">
					        <?php echo HTMLHelper::_('searchtools.sort', 'COM_JOOMCRM_TEAMS_HEADER_LEADER', 'ju.username', $listDirn, $listOrder); ?>
                        </th>
                        <th scope="col">
					        <?php echo HTMLHelper::_('searchtools.sort', 'COM_JOOMCRM_TEAMS_HEADER_MEMBERS', 'u.team_id', $listDirn, $listOrder); ?>
                        </th>
                        <th scope="col">
					        <?php echo HTMLHelper::_('searchtools.sort', 'COM_JOOMCRM_ID', 'ju.email', $listDirn, $listOrder); ?>
                        </th>

                    </tr>
                    </thead>
                    <tfoot>
                    <tr>
                        <td colspan="13">
                            <!-- pagination -->
                        </td>
                    </tr>
                    </tfoot>
                    <tbody>

			        <?php foreach ($this->items as $key => $item):?>

                        <tr class="row<?php echo $key % 2; ?>">
                            <td class="center">
						        <?php echo HTMLHelper::_('grid.id', $key, $item->id); ?>
                            </td>
                            <td class="order">
                                <a class="pointer button-select" href="#" data-user-value="<?php echo $item->id; ?>" data-user-name="<?php echo $this->escape($item->name); ?>"
                                   data-user-field="<?php echo $this->escape($field); ?>"
                                >
							        <?php echo $item->team_name ?>
                                </a>
                            </td>
                            <td class="order">
                                <a href="index.php?option=com_joomcrm&view=manageuser&layout=edit&id=<?php echo $item->leader_id ?>">
							        <?php echo $item->leader_name ?>
                                </a>
                            </td>
                            <td class="order">
						        <?php if (!empty($item->members)) : ?>
							        <?php foreach ($item->members as $member) : ?>
                                        <span class="badge bg-info">
													<i class="icon-user" <?php echo $member['color'] ? 'style="color:' . $member['color'] . '"' : ''; ?>></i>
                                                     <a href="index.php?option=com_joomcrm&view=manageuser&layout=edit&id=<?php echo $member['id'] ?>">
                                            <?php echo  $member['name'] ?>
                                        </a>
												</span>
							        <?php endforeach; ?>
						        <?php endif; ?>
                            </td>
                            <td><?php echo $item->team_id; ?></td>

                        </tr>

			        <?php endforeach; ?>

                    </tbody>
                </table>

            <?php // load the pagination. ?>
            <?php echo $this->pagination->getListFooter(); ?>

        <?php endif; ?>
        <input type="hidden" name="task" value="">
        <input type="hidden" name="field" value="<?php echo $this->escape($field); ?>">
        <input type="hidden" name="boxchecked" value="0">
        <input type="hidden" name="required" value="<?php echo $userRequired; ?>">
        <?php echo HTMLHelper::_('form.token'); ?>
    </form>
</div>
