/* For team management */

jQuery(document).ready(function ($) {

    // when sending invite modal

    $('#submitInviteMember').click(function (e) {

        e.preventDefault();

        // remove any previous alerts
        $('.alert').remove();

        // if form is valid
        if(document.querySelector('#inviteMemberForm').reportValidity()){

            let form    = $('#inviteMemberForm');
            let url     = form.attr('action');

            $.ajax({
                type: "POST",
                url: url,
                data: form.serialize(), // serializes the form's elements.
                success: function(data)
                {
                    if(data == 'Invalid Token'){
                        $('#inviteMemberForm').empty().html('<p class="alert alert-danger">Invalid Token, please refresh page</p>');
                    }

                    data = JSON.parse(data);

                    if(data.status == 'fail'){

                        $(data.message).insertBefore('#inviteMemberForm');
                    }

                    if(data.status == 'success'){

                        // reset form
                        form.trigger("reset");
                        $(data.message).insertBefore('#inviteMemberForm');

                    }


                }
            });
        }

    });

});