<?php
/**
 * JoomCRM Component - Best CRM for Joomla!
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\CMSPlugin;
jimport( 'joomla.plugin.plugin' );

/**
 * Joomla! System Remember Me Plugin
 *
 * @package		Joomla
 * @subpackage	System
 */
class plgJoomcrmLeadNotify extends CMSPlugin
{

	function onAfterPersonSave(&$row)
	{
		if ($row->status == 'created' && $row->form_id != '' && $row->owner_id > 0) 
		{
			$app = Factory::getApplication();
			$db = Factory::getDBO();

			$query = $db->getQuery(true);

			$query->select('fields')
					->from('#__joomcrm_formwizard')
					->where('id='.$row->form_id);
			$db->setQuery($query);
			$fields = $db->loadResult();
			$fields = unserialize($fields);

			$formValues = $_REQUEST;

			$query->clear();
			$query->select('u.email')
					->from('#__users AS u')
					->leftjoin('#__joomcrm_users AS cu ON cu.uid = u.id')
					->where('cu.id = '.$row->owner_id);
			$db->setQuery($query);
			$to = $db->loadResult();

			$from		= array($app->getCfg('mailfrom'), $app->getCfg('fromname'));
			$subject 	= $this->params->get('subject');
			$body 		= $this->params->get('pretext');

			$body	   .= "<br /><br />";

			if ( $this->params->get('show_info') == 1 )
			{
				if (count($fields) > 0)
				{
					foreach ($fields as $field)
					{
						if (isset($formValues[$field]) && is_array($formValues[$field]))
						{
							// array should mean it is multi-value picklist. Get it's values

							$cfId = trim($field, 'custom_');

							// get custom field values
							$query->clear();
							$query->select('cpc.values')
									->from('#__joomcrm_people_custom AS cpc')
									->where('cpc.id = ' . (int) $cfId);
							$db->setQuery($query);
							$cfValues = json_decode($db->loadResult());

							$value = '';

							// create comma separated list of selected values
							foreach ($formValues[$field] as $cfValueId => $cfSelected)
							{
								if (isset($cfValues[$cfValueId]) && $cfSelected)
								{
									$value .= $cfValues[$cfValueId] . ', ';
								}
							}

							$value = trim($value, ', ');
						}
						elseif (isset($formValues[$field]))
						{
							$value = $formValues[$field]; 	
						}

						if (strpos($field, 'custom_') !== false)
						{
							$cfName = $this->getCFName(trim($field, 'custom_'));
						}
						else
						{
							$cfName = ucwords(str_replace("_", " ", $field));
						}

						$body .= $cfName . ": " . $value . "<br />";
					}
				}
			}
			
			# Invoke JMail Class
			$mailer = Factory::getMailer();
			 
			# Set sender array
			$mailer->setSender($from);
			 
			# Add a recipient
			$mailer->addRecipient($to);
			 
			$mailer->setSubject($subject);
			$mailer->setBody($body);
			 
			$mailer->isHTML();

			$mailer->send();
		}

	return true;

	}

	public function getCFName($id)
	{
		$db = Factory::getDBO();
		$query = $db->getQuery(true);
		$query->select('name')
				->from('#__joomcrm_people_custom')
				->where('id=' . (int) $id);
		$db->setQuery($query);
		return $db->loadResult();
	}

}