<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

# No Permission
use Joomla\CMS\Factory;

defined('_JEXEC') or die();
use Joomla\CMS\Component\ComponentHelper;
class plgSystemJoomcrm extends \Joomla\CMS\Plugin\CMSPlugin
{

	public function onAfterInitialise()
	{

		// force itemid to the one selected from config
		$this->forceItemid();

		// make sure config was updated by user, this help wizard to detect if config was adjusted
		JLoader::register('JoomcrmHelperWizard', JPATH_ADMINISTRATOR . '/components/com_joomcrm/helper/wizard.php');
		JoomcrmHelperWizard::updateConfig();

	}

	public function onBeforeRender(){

		// load jquery on config
		$option = Factory::getApplication()->input->get('option','','string');
		$component = Factory::getApplication()->input->get('component','','string');

		if($option == 'com_config' && $component == 'com_joomcrm')
			$this->updateConfig();



	}


	private function updateConfig(){

		// load jquery
		\Joomla\CMS\HTML\HTMLHelper::_('jquery.framework');

	}

	/*
	 * This method always force itemid from the one selected in config
	 */
	private function forceItemid()
	{
		$itemid = ComponentHelper::getParams('com_joomcrm')->get('force_itemid', 0);
		if ($itemid > 0)
		{
			\Joomla\CMS\Factory::getApplication()->input->set('Itemid', $itemid);
		}
	}




}
