<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\CMSPlugin;
jimport( 'joomla.plugin.plugin' );
JLoader::register('JoomcrmHelperFormwizard',JPATH_SITE.'/components/com_joomcrm/helper/formwizard.php');

/**
 * Joomla! System Remember Me Plugin
 *
 * @package		Joomla
 * @subpackage	System
 */
class plgSystemJoomcrmform extends CMSPlugin
{

	public function onBeforeRender()
	{
		$config = Factory::getConfig();

		if ( $config->get('captcha') ){
			\Joomla\CMS\Plugin\PluginHelper::importPlugin('captcha');
			$dispatcher = Factory::getApplication();
			$dispatcher->triggerEvent('onInit');
		}

		return true;
	}

	public function onAfterRender()
	{
		$mainframe = Factory::getApplication();
		if(!$mainframe->isClient('administrator')) {
			$buffer = Factory::getApplication()->getBody();

			$regex  = '#\[joomcrmform([0-9]*)\]#';

			$buffer = preg_replace_callback($regex, [$this, 'loadForm'], $buffer);

			Factory::getApplication('site')->setBody($buffer);
		}

		return true;
	}


	function loadForm($matches)
	{
		$db = Factory::getDBO();

		$query = $db->getQuery(true);
		$query->select('*')->from('#__joomcrm_formwizard')->where('id='.$matches[1]);
		$db->setQuery($query);
		$form = $db->loadObject();
		// build form
		return (int) $form->is_custom ? $form->html : JoomcrmHelperFormwizard::buildForm($form);

	}
}