<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;
class JoomcrmControllerCalendar extends JoomcrmController
{
	public function update()
	{
		$tasks = $this->getModel('Tasks')->getTasks();

		$this->app->close(json_encode($tasks));
	}

	public function ical()
	{
		$key = $this->app->input->get('api', NULL);
		$uid = $this->app->input->get('uid', NULL);

		if (!isset($key) || !isset($uid))
		{
			return false;
		}

		if (JoomcrmHelperUsers::validateAPIKey($uid, $key))
		{

			$ical = $this->getModel('Event')->getIcal($uid);

			ob_start();
			header('Content-Description: File Transfer');
			header('Content-Type: application/octet-stream');
			header('Content-Disposition: attachment; filename="calendar.ics"');
			header('Expires: 0');
			header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
			header('Pragma: public');
			header('Content-Length: ' . strlen($ical));
			ob_clean();
			flush();
			
			$this->app->close($ical);

			exit();
		}
	}
}
