<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;

class JoomcrmControllerCompanies extends JoomcrmController
{
	public function update()
	{
		$tasks = $this->getModel('Tasks')->getTasks();

		$this->app->close(json_encode($tasks));
	}

	public function getList()
	{
		$list = $this->getModel('Company')->getCompanies();

		$this->app->close(json_encode($list));
	}

	public function save()
	{
		$company = $this->getModel('Company')->store();

		if(isset($company->id) && $company->id)
		{
			if($this->app->input->get('format') == 'raw')
			{
				echo json_encode($company);
			}
			else
			{
				$newCompanyLink = Route::_('index.php?option=com_joomcrm&view=companies&id=' . $company->id);
				$this->setRedirect($newCompanyLink);
			}
		}
		else
		{
			$session = Factory::getSession();
			$msg     = $session->get("Company.error") ? $session->get("Company.error_message") : Text::_('COM_JOOMCRM_ERROR_SAVING');

			if($this->app->input->get('format') == 'raw')
			{
				$response = new stdClass;
				$response->alert = $msg;
				echo json_encode($response);
			}
			else
			{
				$link    = Route::_('index.php?option=com_joomcrm&view=companies&layout=edit');
				$this->setRedirect($link, $msg);
			}
		}
	}
}
