<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

class JoomcrmControllerDeals extends JoomcrmController
{
	public function __construct()
	{
		parent::__construct();

		Factory::getDocument()->addScript(Uri::base() . 'components/com_joomcrm/media/js/deal_manager.js');
	}

	public function save()
	{
		$format = $this->app->input->get('format');
		$returnRow = $this->app->input->get('returnRow', false, 'BOOL');
		$dealId = $this->getModel('Deal')->store(null, $returnRow);

		if ($format == 'raw' && !$returnRow && $dealId)
		{
			echo json_encode(array('id' => $dealId));
		}
		elseif ($format == 'raw' && $returnRow && $dealId)
		{
			echo json_encode($dealId);
		}
		elseif($dealId)
		{
			$newDealLink = Route::_('index.php?option=com_joomcrm&view=deals&id=' . $dealId);
			$this->setRedirect($newDealLink);
		}
		else
		{
			$link = Route::_('index.php?option=com_joomcrm&view=deals');
			$msg  = Text::_('COM_JOOMCRM_ERROR_SAVING');
			$this->setRedirect($link, $msg);
		}
	}
}
