<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Component\ComponentHelper;

class JoomcrmControllerDocuments extends JoomcrmController
{
	public function update()
	{
		// Get tasks
		$tasks = $this->getModel('Tasks')->getTasks();

		// Return json list of tasks
		$this->app->close(json_encode($tasks));
	}

	// Upload documents
	public function uploadDocument()
	{
		$model = $this->getModel('Document');

		$docViewType = ComponentHelper::getParams('com_joomcrm')->get('documents_view_type','datatable');

		$reload = $docViewType == 'tree' ? 'window.top.window.location.reload();' : '';

		if (!$id = $model->store())
		{
			$error = $model->getError();
			echo '<script type="text/javascript">window.top.window.uploadError("' . $error . '");</script>';

			return;
		}
		else
		{
			// success, exit with code 0 for Mac users, otherwise they receive an IO Error
			$db = Factory::getDbo();
			echo '
<script type="text/javascript">
window.top.window.uploadSuccess(' . $id . ');
'.$reload.'
</script>';
			exit(0);
		}
	}

	/**
	 * Remove item associations from database and delete local files associate with documents
	 */
	public function deleteDocument()
	{
		// Gen return info
		$return          = array();
		$return['error'] = true;

		if ($this->getModel('Document')->deleteDocument( \Joomla\CMS\Factory::getApplication()->input->get('id')))
		{
			$return['error'] = false;
		}

		// Return json info
		$this->app->close(json_encode($return));
	}
}
