<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
class JoomcrmControllerEvents extends JoomcrmController
{
	/**
	 * Save Events
	 */
	public function save()
	{
		$link = 'index.php?option=com_joomcrm&view=dashboard';

		// TODO Error handling
		if ($this->getModel('Event')->store())
		{
			$msg = Text::_('COM_JOOMCRM_SUCCESSFULLY_SAVED');
			$this->setRedirect($link, $msg);
		}
		else
		{
			$msg = Text::_('COM_JOOMCRM_ERROR_SAVING');
			$this->setRedirect($link, $msg);
		}
	}

	/**
	 * Remove Events
	 */
	public function remove()
	{
		$success = (boolean) $this->getModel('Event')->removeEvent();

		$this->app->close(json_encode(array('success' => $success)));
	}

	/**
	 * Mark events as completed
	 */
	public function markComplete()
	{
		$success = (boolean) $this->getModel('Event')->markComplete();

		$this->app->close(json_encode(array('success' => $success)));
	}

	/**
	 * Mark events incomplete
	 */
	public function markIncomplete()
	{
		$this->getModel('Event')->markIncomplete();
	}

	/**
	 * Postpone events
	 */
	public function postponeEvent()
	{

		$result = $this->getModel('Event')->postponeEvent();
		header('Content-type: application/json');
		if($result){

			echo json_encode(['success' => true]);
			die;
		}


		echo json_encode(['success' => false]);
		die;




	}
}
