<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;

class JoomcrmControllerGoals extends JoomcrmController
{
	public function edit()
	{
		$link = Route::_('index.php?option=com_joomcrm&view=goals');

		if ($this->getModel('Goal')->store())
		{
			$msg = Text::_('COM_JOOMCRM_SUCCESS');
			$this->setRedirect($link, $msg);
		}
		else
		{
			$msg = Text::_('COM_JOOMCRM_FAILURE');
			$this->setRedirect($link, $msg);
		}
	}

	/**
	 * Delete a goal entry
	 *
	 * @param   int $_POST['goal_id']  containing goal id to delete
	 *
	 * @return  json  $results, $results['error']=0 if no error, 1 if error
	 */
	public function deleteGoalEntry()
	{
		// Get id to delete
		$goal_id =  \Joomla\CMS\Factory::getApplication()->input->get('goal_id');

		// Get db
		$db    = Factory::getDbo();
		$query = $db->getQuery(true)->delete('#__joomcrm_goals')->where('id = ' . $goal_id);

		$db->setQuery($query);
		$results = array();

		if ($db->execute())
		{
			$results['error'] = 0;
		}
		else
		{
			$results['error'] = 1;
		}

		// Return success
		echo json_encode($results);
	}
}
