<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

class JoomcrmControllerPeople extends JoomcrmController
{
	public function update()
	{
		$tasks = $this->getModel('Tasks')->getTasks();

		// Return json list of tasks
		$this->app->close(json_encode($tasks));
	}

	public function save()
	{

		$person = $this->getModel('People')->store();

		if($this->app->input->get('format') == 'raw' && $person->id)
		{
			echo json_encode($person);
		}
		elseif($person->id)
		{
			$newPersonLink = Route::_('index.php?option=com_joomcrm&view=people&id=' . $person->id);
			$this->setRedirect($newPersonLink);
		}
		else
		{
			$link = Route::_('index.php?option=com_joomcrm&view=people');
			$msg  = Text::_('COM_JOOMCRM_ERROR_SAVING');
			$this->setRedirect($link, $msg);
		}
	}
}
