<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

class JoomcrmControllerReports extends JoomcrmController
{
	public function update()
	{
		// Load model
		$model = $this->getModel('tasks');
		// Get tasks
		$tasks = $model->getTasks();

		// Return json list of tasks
		$this->app->close(json_encode($tasks));
	}

	public function edit()
	{
		$link = 'index.php?option=com_joomcrm&view=reports&layout=custom_reports';

		if ($this->getModel('Report')->store())
		{
			$msg = Text::_('COM_JOOMCRM_CUSTOM_REPORT_SUCCESSFULLY_ADDED');
			$this->setRedirect($link, $msg);
		}
		else
		{
			$msg = Text::_('COM_JOOMCRM_PROBLEM_CREATING_CUSTOM_REPORT');
			$this->setRedirect($link, $msg);
		}
	}

	/**
	 * Remove custom reports
	 */
	public function deleteReport()
	{
		// Gen return info
		$return          = array();
		$return['error'] = true;

		if ($this->getModel('Report')->deleteReport( \Joomla\CMS\Factory::getApplication()->input->get('id')))
		{
			$return['error'] = false;
		}

		$this->app->close(json_encode($return));
	}
}
