<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;

abstract class JoomcrmHelperBanter
{
	public static function hasBanter()
	{
		return is_dir(JPATH_ROOT . '/administrator/components/com_banter') ? 1 : 0;
	}

	public static function getAssociationName($associationId, $associationType)
	{
		$db    = Factory::getDbo();
		$query = $db->getQuery(true);

		switch ($associationType)
		{
			case "deal":
				$table  = "deals";
				$select = "name";
				break;
			case "person":
				$table  = "people";
				$select = "CONCAT(first_name,' ',last_name)";
				break;
			case "company":
				$table  = "companies";
				$select = "name";
				break;
		}

		$query->select($select)->from('#__joomcrm_' . $table)->where('id = ' . (int) $associationId);

		return $db->setQuery($query)->loadResult();
	}

	public static function getAssociationLink($associationId, $associationType)
	{
		switch ($associationType)
		{
			case "deal":
				$view = "deals";
				break;
			case "person":
				$view = "people";
				break;
			case "company":
				$view = "companies";
				break;
		}

		return Route::_('index.php?option=com_joomcrm&view=' . $view . "&id=" . $associationId);
	}
}
