<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Object\CMSObject;

class JoomcrmHelperLists extends CMSObject
{
	public static function userDropdown()
	{
		// generate user dropdown
		$me = array(array('label' => Text::_('COM_JOOMCRM_ME'), 'value' => JoomcrmHelperUsers::getLoggedInUser()->id));
		$users = JoomcrmHelperUsers::getUsers(null, true);
		$users = array_merge($me, $users);

		$user_html = "";
		$user_html .= '<ul class="dropdown-menu">';
		if (count($users))
		{
			foreach ($users as $key => $user)
			{
				$user_html .= '<li><a href="javascript:void(0)" class="owner_select dropdown_item dropdown-item" data-value="' . $user['value'] . '">' . $user['label'] . '</a></li>';
			}
		}
		$user_html .= '</ul>';

		return $user_html;
	}

	public static function statusDropdown()
	{
		// Generate status dropdown
		$statuses = JoomcrmHelperPeople::getStatusList();

		$status_html = "";
		$status_html .= '<ul class="dropdown-menu">';
		$status_html .= '<li><a href="javascript:void(0)" class="status_select dropdown_item dropdown-item" data-value="0"><div class="person-status-none"></div> '.\Joomla\CMS\Language\Text::_('COM_JOOMCRM_NONE').'</a></li>';
		if (count($statuses))
		{
			foreach ($statuses as $key => $status)
			{
				$status_html .= '<li><a href="javascript:void(0)" class="status_select dropdown_item dropdown-item" data-value="' . $status['id'] . '"><div class="person-status-color" style="background-color:#' . $status['color'] . '"></div><div class="person-status">' . $status['name'] . '</div></a></li>';
			}
		}

		$status_html .= '</ul>';
	
		return $status_html;
	}

	public static function sourceDropdown()
	{
		// Generate source dropdown
		$sources = JoomcrmHelperDeal::getSources();

		$source_html = "";
		$source_html .= '<ul class="dropdown-menu">';
		if (count($sources))
		{
			foreach ($sources as $id => $name)
			{
				$source_html .= '<li><a href="javascript:void(0)" class="source_select dropdown_item dropdown-item" data-value="' . $id . '">' . $name . '</a></li>';
			}
		}
		$source_html .= '</ul>';

		return $source_html;
	}

	public static function typeDropdown()
	{
		// Generate type dropdown
		$types = JoomcrmHelperPeople::getPeopleTypes(false);

		$type_html = "";
		$type_html .= '<ul class="dropdown-menu">';
		if (count($types))
		{
			foreach ($types as $id => $name)
			{
				$type_html .= '<li><a href="javascript:void(0)" class="type_select dropdown_item dropdown-item" data-value="' . $id . '">' . ucwords($name) . '</a></li>';
			}
		}
		$type_html .= '</ul>';

		return $type_html;
	}

}