<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

abstract class JoomcrmHelperNote
{
	/**
	 * get category listings for notes
	 *
	 * @return  array  [description]
	 */
	public static function getCategories()
	{
		$db    = Factory::getDbo();
		$query = $db->getQuery(true)->select("name,id")->from("#__joomcrm_notes_categories")->order('ordering');

		$results    = $db->setQuery($query)->loadAssocList();
		$categories = array();

		foreach ($results as $key => $category)
		{
			$categories[$category['id']] = $category['name'];
		}

		return $categories;
	}

	public static function noteExist($message,$type,$id){

		// inits
		$db = Factory::getDbo();

		$typeColumn = $type.'_id';
		$message = $db->quote($message);

		$query = $db->getQuery(true);
		$query
			->select('id')
			->from('#__joomcrm_notes')
			->where("$typeColumn = $id AND note = $message");
		$db->setQuery($query);

		$result = $db->loadResult();

		return is_null($result) ? 0 : (int) $result;
	}


	/*
	 * This method add new note if doesn't exist yet (only for import)
	 */
	public static function updateNoteForImport($message,$type,$typeId,$ownerId){

		// check if note exist
		$noteId = self::noteExist($message,$type,$typeId);

		// note id exist
		if($noteId > 0)
			return $noteId;

		// note id doesn't exist add this new note
		if($noteId == 0)
			return self::newNote($message,$type,$typeId,$ownerId);

		return 0;
	}

	public static function newNote($message,$type,$typeId,$ownerId){

		$typeColumn = $type.'_id';

		$newNote = new stdClass();
		$newNote->{$typeColumn} = $typeId;
		$newNote->name = '';
		$newNote->note = $message;
		$newNote->owner_id = $ownerId;
		$newNote->created = Factory::getDate()->toSql();
		$newNote->modified = Factory::getDate()->toSql();
		$newNote->published = 1;

		Factory::getDbo()->insertObject('#__joomcrm_notes',$newNote,'id');

		return (int) Factory::getDbo()->insertid();


	}

}
