<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die;
abstract class JoomcrmHelperPluginEvent
{
	/*
	 * Events triggered in single company view
	 */
	public static $companyDisplay = [
		'onCompanyAfterDisplayHeader',
		'onCompanyAfterDisplayDetails',
		'onCompanyBeforeDisplayHeader',
		'onCompanyAfterDisplaySidebar',
		'onCompanyBeforeDisplaySidebar',
		'onCompanyAfterDisplay',
		'onCompanyBeforeDisplay'
	];

	/*
	 * Events triggered in single person view
	 */
	public static $personDisplay = [
		'onPersonAfterDisplayHeader',
		'onPersonAfterDisplayDetails',
		'onPersonBeforeDisplayHeader',
		'onPersonAfterDisplaySidebar',
		'onPersonBeforeDisplaySidebar',
		'onPersonAfterDisplay',
		'onPersonBeforeDisplay'
	];

	/*
	 * Events triggered in single deal view
	 */
	public static $dealDisplay = [
		'onDealAfterDisplayHeader',
		'onDealAfterDisplayDetails',
		'onDealBeforeDisplayHeader',
		'onDealAfterDisplaySidebar',
		'onDealBeforeDisplaySidebar',
		'onDealAfterDisplay',
		'onDealBeforeDisplay'
	];

	/*
	 * Method that trigger events of a given type. and return an object of all triggered events
	 */
	public static function getEvents($type, &$data)
	{

		$events = self::$$type;

		$dispatcher = \Joomla\CMS\Factory::getApplication();
		$object      = new stdClass();

		foreach ($events as $event)
		{

			$results       = $dispatcher->triggerEvent($event, array(&$data));
			$object->$event = trim(implode("\n", $results));

		}


		return $object;


	}


}