<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

jimport('joomla.filesystem.folder');

/**
 * Class JoomcrmHelperQuote
 *
 * @todo  Refactor so this isn't just a mirror of the CRMQuoteHelper class.
 *        This should really only contain the static hasCRMQuote method and
 *        if it returns true, then you can use the CRMQuoteHelper class directly.
 *
 *        Ex:
 *        if (JoomcrmHelperQuote::isInstalled())
 *        {
 *            return CRMQuoteHelper::getDockView($deal);
 *        }
 */
abstract class JoomcrmHelperQuote
{
	public static function hasCRMQuote()
	{
		if (Joomla\CMS\Filesystem\Folder::exists(JPATH_ROOT . '/administrator/components/com_crmquote'))
		{
			require_once JPATH_SITE . '/components/com_crmquote/helpers/crmquote.php';

			return true;
		}
		else
		{
			return false;
		}
	}

	public static function loadLanguage()
	{
		CRMQuoteHelper::loadLanguage();
	}

	public static function getDockView(&$deal)
	{
		return CRMQuoteHelper::getDockView($deal);
	}

	public static function getColumns()
	{
		return CRMQuoteHelper::getColumns();
	}

	public static function getCustomReportHeader($alias)
	{
		return CRMQuoteHelper::getCustomReportHeader($alias);
	}

	public static function constructQuery(&$query)
	{
		return CRMQuoteHelper::constructQuery($query);
	}

	public static function getCustomReportRow($row, $id)
	{
		return CRMQuoteHelper::getCustomReportRow($row, $id);
	}

	public static function getColumnFilters()
	{
		return CRMQuoteHelper::getColumnFilters();
	}

	public static function getDealHeaders()
	{
		return CRMQuoteHelper::getDealHeaders();
	}

	public static function getDealRow($deal)
	{
		return CRMQuoteHelper::getDealRow($deal);
	}

	public static function buildActivitySelect(&$query)
	{
		CRMQuoteHelper::buildActivitySelect($query);
	}

	public static function buildActivityJoin(&$query)
	{
		CRMQuoteHelper::buildActivityJoin($query);
	}

	public static function buildActivityWhere(&$query, $quoteId = null)
	{
		CRMQuoteHelper::buildActivityWhere($query, $quoteId);
	}

}
