<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

abstract class JoomcrmHelperRoute
{
	/*
	 * @param $type 0 => link only, 1 => itemId only, 2 => routed link
	 */
	public static function getCompaniesRoute($type = 0){

		$link = 'index.php?option=com_joomcrm&view=companies';


		$rules = [
			['view' => 'companies'],
			['view' => 'dashboard']
		];

		$itemId = self::lookupViews($rules,$type);

		$link .= $itemId;

		switch ($type){
			case 0:
				return $link;
			case 1:
				return  $itemId;
			case 2:
				return \Joomla\CMS\Router\Route::_($link);
		}

		return $link;

	}


	public static function getDealsRoute($type = 0){

		$link = 'index.php?option=com_joomcrm&view=deals';


		$rules = [
			['view' => 'deals'],
			['view' => 'dashboard']
		];

		$itemId = self::lookupViews($rules,$type);

		$link .= $itemId;

		switch ($type){
			case 0:
				return $link;
			case 1:
				return  $itemId;
			case 2:
				return \Joomla\CMS\Router\Route::_($link);
		}

		return $link;

	}

	public static function getDocumentsRoute($type = 0){

		$link = 'index.php?option=com_joomcrm&view=documents';


		$rules = [
			['view' => 'documents'],
			['view' => 'dashboard']
		];

		$itemId = self::lookupViews($rules,$type);

		$link .= $itemId;

		switch ($type){
			case 0:
				return $link;
			case 1:
				return  $itemId;
			case 2:
				return \Joomla\CMS\Router\Route::_($link);
		}

		return $link;

	}

	public static function getCalendarRoute($type = 0){

		$link = 'index.php?option=com_joomcrm&view=calendar';


		$rules = [
			['view' => 'calendar'],
			['view' => 'dashboard']
		];

		$itemId = self::lookupViews($rules,$type);

		$link .= $itemId;

		switch ($type){
			case 0:
				return $link;
			case 1:
				return  $itemId;
			case 2:
				return \Joomla\CMS\Router\Route::_($link);
		}

		return $link;

	}

	public static function getPeopleRoute($type = 0){

		$link = 'index.php?option=com_joomcrm&view=people';


		$rules = [
			['view' => 'people'],
			['view' => 'dashboard']
		];

		$itemId = self::lookupViews($rules,$type);

		$link .= $itemId;

		switch ($type){
			case 0:
				return $link;
			case 1:
				return  $itemId;
			case 2:
				return \Joomla\CMS\Router\Route::_($link);
		}

		return $link;

	}

	public static function getGoalsRoute($type = 0){

		$link = 'index.php?option=com_joomcrm&view=goals';


		$rules = [
			['view' => 'goals'],
			['view' => 'dashboard']
		];

		$itemId = self::lookupViews($rules,$type);

		$link .= $itemId;

		switch ($type){
			case 0:
				return $link;
			case 1:
				return  $itemId;
			case 2:
				return \Joomla\CMS\Router\Route::_($link);
		}

		return $link;

	}

	public static function getReportsRoute($type = 0){

		$link = 'index.php?option=com_joomcrm&view=reports';


		$rules = [
			['view' => 'reports'],
			['view' => 'dashboard']
		];

		$itemId = self::lookupViews($rules,$type);

		$link .= $itemId;

		switch ($type){
			case 0:
				return $link;
			case 1:
				return  $itemId;
			case 2:
				return \Joomla\CMS\Router\Route::_($link);
		}

		return $link;

	}

	public static function getDashboardRoute($type = 0){

		$link = 'index.php?option=com_joomcrm&view=dashboard';


		$rules = [
			['view' => 'dashboard']
		];

		$itemId = self::lookupViews($rules,$type);

		$link .= $itemId;

		switch ($type){
			case 0:
				return $link;
			case 1:
				return  $itemId;
			case 2:
				return \Joomla\CMS\Router\Route::_($link);
		}

		return $link;

	}


	public static function getMyteamRoute($type = 0){

		$link = 'index.php?option=com_joomcrm&view=myteam';


		$rules = [
			['view' => 'myteam'],
			['view' => 'dashboard']
		];

		$itemId = self::lookupViews($rules,$type);

		$link .= $itemId;

		switch ($type){
			case 0:
				return $link;
			case 1:
				return  $itemId;
			case 2:
				return \Joomla\CMS\Router\Route::_($link);
		}

		return $link;

	}



	private static function lookupViews($rules,$type = 0)
	{

		foreach ($rules as $data) {
			// get item id of playlists
			$itemid = self::getMenuItemid($data);
			if ($itemid > 0) {

				if($type == 1)
					return $itemid;

				return "&Itemid=" . $itemid;
			}
		}

		if($type == 1)
			return \Joomla\CMS\Factory::getApplication()->getMenu()->getActive()->id;


		if(!is_null(\Joomla\CMS\Factory::getApplication()->getMenu()->getActive()))
			return "&Itemid=" . \Joomla\CMS\Factory::getApplication()->getMenu()->getActive()->id;
		return '';
	}


	private static function getMenuItemid($data)
	{

		$menus = \Joomla\CMS\Factory::getApplication()->getMenu()->getMenu();
		$hasId = isset($data['id']) ? true : false;


		foreach ($menus as $menu) {

			// check if menu item is a component
			if ($menu->component != 'com_joomcrm') {
				continue;
			}

			// check if menu item has view query
			if (!isset($menu->query['view'])) {
				continue;
			}


			// has view and id
			if ($hasId && $menu->query['view'] == $data['view'] &&
				isset($menu->query['id']) && (int)$menu->query['id'] == (int)$data['id']
			) {

				return (int)$menu->id;
			}


			// has view only
			if ($menu->query['view'] == $data['view'] && !$hasId) {
				return (int)$menu->id;
			}

		}

		return 0;

	}

}

