<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;
use Joomla\CMS\Factory;

abstract class JoomcrmHelperTranscriptlists
{
	/**
	 * [getRooms description]
	 *
	 * @param   [type]  $associationId    [description]
	 * @param   [type]  $associationType  [description]
	 *
	 * @return  array                     [description]
	 */
	public static function getRooms($associationId = null, $associationType = null)
	{
		if (is_null($associationId))
		{
			$associationId =  \Joomla\CMS\Factory::getApplication()->input->get('id',  \Joomla\CMS\Factory::getApplication()->input->get('association_id'));
		}

		if (is_null($associationType))
		{
			$associationType =  \Joomla\CMS\Factory::getApplication()->input->get('layout',  \Joomla\CMS\Factory::getApplication()->input->get('association_type'));
		}

		$db    = Factory::getDbo();
		$query = $db->getQuery(true)->select("id,name")->from("#__banter_rooms")
				 ->where("association_id=" . $associationId)->where("association_type='" . $associationType . "'");

		return $db->setQuery($query)->loadObjectList();
	}

	/**
	 * [getTranscripts description]
	 *
	 * @param   integer $roomId  [description]
	 *
	 * @return  array             [description]
	 */
	public static function getTranscripts($roomId = null)
	{
		if (is_null($roomId))
		{
			$roomId =  \Joomla\CMS\Factory::getApplication()->input->get('room_id');
		}

		$db    = Factory::getDbo();
		$query = $db->getQuery(true)->select("t.*,r.name AS room_name")->from("#__banter_transcripts AS t")
				 ->leftJoin("#__banter_rooms AS r ON r.id = t.room_id")->where("t.room_id=" . $roomId);

		return $db->setQuery($query)->loadObjectList();
	}

}
