<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Component\ComponentHelper;

extract($displayData);

$type = isset($type) ? $type.'_' : '';
$fieldstart = !empty($type) ? $type : 'address_';


$address_1 = $item[$type.'address_1'];
$address_2 = $item[$type.'address_2'];
$address_city = $item[$fieldstart.'city'];
$address_state = $item[$fieldstart.'state'];
$address_zip = $item[$fieldstart.'zip'];
$address_country = $item[$fieldstart.'country'];

$mapAddress = str_replace(" ", "+",
	$address_1
	. ' ' . $address_2
	. ' ' . $address_city
	. ' ' . $address_state
	. ' ' . $address_zip
	. ' ' . $address_country
);

$googleMapEmbedKey = ComponentHelper::getParams('com_joomcrm')->get('googlemap_api','');

$urlString = "https://www.google.com/maps/embed/v1/place?key=".$googleMapEmbedKey.'&q='.$mapAddress;
$mapLink = "https://www.google.com/maps/place/" . $mapAddress;

$jtext = empty($type) ? 'WORK_' : strtoupper($type);

?>

<div id="<?php echo $type ?>address_modal"
     class="iziModal jb_template"
     data-iziModal-title="<?php echo Text::_('COM_JOOMCRM_'.$jtext.'ADDRESS'); ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-map"
     data-iziModal-closebutton="true">
	<div class="modal-body h-auto mh-100 w-100">
        <?php if(empty($googleMapEmbedKey)): ?>
            <p class="alert alert-warning"><?php echo Text::_('COM_JOOMCRM_GOOGLE_MAPS_API_KEY_MISSED') ?></p>
        <?php elseif(!empty($address_1) or !empty($address_2)): ?>
            <iframe src="<?php echo $urlString; ?>" frameborder="0" width="100%" height="300px"></iframe>
        <?php else: ?>
            <p class="alert alert-warning"><?php echo Text::_('COM_JOOMCRM_NO_ADDRESS_INFORMATION') ?></p>
        <?php endif; ?>
	</div>
	<div class="modal-footer p-3">
		<button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i class="fas fa-times"></i> <?php echo ucwords(Text::_('COM_JOOMCRM_CANCEL')); ?></button>
		<?php if(empty($googleMapEmbedKey) && (empty($address_1) || empty($address_2)) ): ?>
		<a class="btn btn-sm btn-success" href="<?php echo $mapLink; ?>" title="<?php $mapAddress; ?>" target="_blank">
			<span class="float-end"><i class="fas fa-eye"></i> <?php echo Text::_('COM_JOOMCRM_SHOW_ADDRESS_ON_MAP'); ?></span>
		</a>
        <?php endif; ?>
	</div>
</div>

<strong class="d-block"><?php echo Text::_('COM_JOOMCRM_'.$jtext.'ADDRESS'); ?></strong>
<a
        href="#"
        class="btn float-end btn-sm btn-light"
        data-izimodal-open="#<?php echo $type ?>address_modal"
        data-izimodal-transitionin="fadeInDown"
>
    <i class="fas fa-map-marker"></i>
</a>
<span id="address_1_<?php echo $item['id']; ?>"><?php echo $address_1; ?></span><br/>
<?php if (array_key_exists($type.'address_2', $item) && $address_2) : ?>
    <span id="address_2_<?php echo $item['id']; ?>"><?php echo $address_2; ?></span><br />
<?php endif; ?>
<span id="address_city_<?php echo $item['id']; ?>"><?php echo $address_city; ?></span>
<span id="address_state_<?php echo $item['id']; ?>"><?php echo $address_state; ?></span>
<span id="address_zip_<?php echo $item['id']; ?>"><?php echo $address_zip; ?></span>
<br/>
<span id="address_country_<?php echo $item['id']; ?>"><?php echo $address_country; ?></span>


