<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Component\ComponentHelper;

extract($displayData);

$view = Factory::getApplication()->input->get('view','','word');
$config = ComponentHelper::getParams('com_joomcrm');

$linkedInDefaultType =

// social network links prefix
$links = [
  'facebook' => $config->get($view.'_facebook_link_prefix','https://www.facebook.com/'),
  'linkedin' => $config->get($view.'_linkedin_link_prefix','https://www.linkedin.com/'.($view == 'company' ? 'company' : 'in').'/'),
  'youtube' => $config->get($view.'_youtube_link_prefix','https://www.youtube.com/user/'),
  'flickr' => $config->get($view.'_flickr_link_prefix','https://www.flickr.com/photos/'),
  'twitter' => $config->get($view.'_twitter_link_prefix','https://www.twitter.com/#!/')
];

?>
<?php foreach ($fieldnames as $fieldname): ?>
	<?php
	// extract only social network name to be used in icons and text
	$name = str_replace(['_url','_user'],'',$fieldname); // ex: from facebook_user to facebook
	?>

	<?php if (array_key_exists($fieldname, $item) && $item[$fieldname]) : ?>
        <a href="<?php echo $links[$name] ?><?php echo $item[$fieldname]; ?>" target="_blank"
           class="btn btn-light bg-light py-1 px-2">
            <i class="fab fa-<?php echo $name ?>"></i>
        </a>
	<?php else : ?>
        <a class="btn btn-light bg-light py-1 px-2"
           href="javascript:void(0);"
           data-title="<?php echo Text::_('COM_JOOMCRM_PERSON_'.strtoupper($fieldname)); ?>"
           data-html='true'
           data-bs-toggle="popover"
           data-bs-placement="right"
           data-bs-content='<?php echo LayoutHelper::render('common.edit.sociallink',['item' => $item,'fieldname' => $fieldname]) ?>'
        >
        <span id="editable_<?php echo $name ?>_container_<?php echo $item['id']; ?>">
            <i class="fab fa-<?php echo $name ?> text-muted"></i></span>
        </a>

	<?php endif; ?>

<?php endforeach; ?>