<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Uri\Uri;

// Inits
extract($displayData);
$app    = Factory::getApplication();
$config = ComponentHelper::getParams('com_joomcrm');

// Get controller to select active menu item
$controller = $app->input->get('controller');
$view       = $app->input->get('view');

// Build help link

$h        = $config->get("help_url", 'https://www.joomboost.com/support');
$helpLink = ($h == "" || $h == null) ? "https://www.joomboost.com/support" : $h;

// header theme
$headerTheme = $config->get('header_theme', 'dark');
$navbarBg    = ($headerTheme == 'primary') ? 'dark' : $headerTheme;

$return = base64_encode(Uri::getInstance()->toString());

?>
<div id="crmmodalCompany"
     class="iziModal jb_template"
     data-remote="<?php echo Uri::base() ?>index.php?option=com_joomcrm&view=companies&layout=edit&format=raw&tmpl=component&new=1"
     data-iziModal-title="<?php echo ucwords(Text::_('COM_JOOMCRM_ADD_COMPANY')); ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-plus"
     data-iziModal-closebutton="true"
>
    <div class="modal-body h-auto mh-100">
    </div>
    <div class="modal-footer p-3">
        <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i
                    class="fas fa-times"></i> <?php echo ucwords(Text::_('COM_JOOMCRM_CANCEL')); ?></button>
        <button onclick="loc='companies';saveListItem()" class="saveButton btn btn-primary btn-sm">
            <i class="fas fa-save"></i>
			<?php echo ucwords(Text::_('COM_JOOMCRM_SAVE')); ?></button>
    </div>
</div>
<div id="crmmodalDeal"
     class="iziModal jb_template"
     data-remote="<?php echo Uri::base() ?>index.php?option=com_joomcrm&view=deals&layout=edit&format=raw&tmpl=component&id=0"
     data-iziModal-title="<?php echo ucwords(Text::_('COM_JOOMCRM_ADD_DEAL')); ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-plus"
     data-iziModal-closebutton="true"
>
    <div class="modal-body h-auto mh-100 w-100">
    </div>
    <div class="modal-footer p-3">
        <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i
                    class="fas fa-times"></i> <?php echo ucwords(Text::_('COM_JOOMCRM_CANCEL')); ?></button>
        <button onclick="loc='deals';saveListItem();" class="saveButton btn btn-primary btn-sm">
            <i class="fas fa-save"></i>
			<?php echo ucwords(Text::_('COM_JOOMCRM_SAVE')); ?></button>
    </div>
</div>
<div id="crmmodalPerson"
     class="iziModal jb_template"
     data-remote="<?php echo \Joomla\CMS\Uri\Uri::base() ?>index.php?option=com_joomcrm&view=people&layout=edit&format=raw&tmpl=component&id=0"
     data-iziModal-title="<?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_ADD_PERSON')); ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-plus"
     data-iziModal-closebutton="true"
>
    <div class="modal-body h-auto mh-100 w-100">

    </div>
    <div class="modal-footer p-3">
        <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i
                    class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CANCEL')); ?></button>
        <button onclick="loc = 'people';saveItem('edit_form','people.save')" class="saveButton btn btn-primary btn-sm">
            <i class="fas fa-save"></i>
			<?php echo ucwords(Text::_('COM_JOOMCRM_SAVE')); ?></button>
    </div>
</div>
<div id="jb_template" class="joomcrmNavBar">
    <nav class="navbar navbar-expand-lg navbar-<?php echo $navbarBg ?> bg-<?php echo $headerTheme ?> rounded mb-3 border">
        <div class="container-fluid">
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse order-2 order-md-0" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
					<?php foreach ($list as $item): ?>

						<?php
						// dont display myteam menu item if user role is executive
						if (JoomcrmHelperUsers::getRole() == 'exec' && $item->title == 'myteam')
							continue;
						?>

                        <li class="nav-item ">
                            <a class="nav-link  <?php echo $item->title == $controller || $item->title == $view ? "active" : ""; ?>"

                               href="<?php echo $item->link ?>">
								<?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_MENU_' . strtoupper($item->title)) ?>
                            </a>
                        </li>
					<?php endforeach; ?>
                </ul>
            </div>

            <div class="btn-toolbar m-0" role="toolbar" aria-label="Toolbar with button groups">
                <div class="btn-group me-2 my-0">
                    <button class="btn btn-success dropdown-toggle btn-sm" data-bs-toggle="dropdown"
                            data-display="static"
                            aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-plus"></i> <?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_NEW') ?>
                    </button>
                    <ul class="dropdown-menu dropdown-menu-end dropdown-menu-lg-start">
                        <li>
                            <a class="dropdown-item" href="#" data-izimodal-open="#crmmodalCompany"
                               data-izimodal-transitionin="fadeInDown">
                                <i class="fas fa-building text-success w-25 text-center"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_NEW_COMPANY')) ?>
                            </a>
                        </li>

                        <li>
                            <a class="dropdown-item" href="#" data-izimodal-open="#crmmodalPerson"
                               data-izimodal-transitionin="fadeInDown">
                                <i class="fas fa-user text-success w-25 text-center"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_NEW_PERSON')) ?>
                            </a>
                        </li>

                        <li>
                            <a class="dropdown-item" href="#" data-izimodal-open="#crmmodalDeal"
                               data-izimodal-transitionin="fadeInDown">
                                <i class="fas fa-handshake text-success w-25 text-center"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_NEW_DEAL')) ?>
                            </a>
                        </li>

						<?php foreach ($list as $item): ?>
							<?php if ($item->title == 'goals'): ?>
                                <li>
                                    <a class="dropdown-item"
                                       href="<?php echo \Joomla\CMS\Router\Route::_('index.php?option=com_joomcrm&view=goals&layout=add') ?>">
                                        <i class="fas fa-trophy text-success w-25 text-center"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_NEW_GOAL')) ?>
                                    </a>
                                </li>

								<?php break; ?>
							<?php endif; ?>
						<?php endforeach; ?>

                        <button class="dropdown-item" onclick="addTaskEvent('task');">
                            <i class="fas fa-check-circle text-success w-25 text-center"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_NEW_TASK')) ?>
                        </button>

                        <button class="dropdown-item" onclick="addTaskEvent('event');">
                            <i class="fas fa-calendar-check text-success w-25 text-center"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_NEW_EVENT')) ?>
                        </button>
                    </ul>
                </div>
                <div class="btn-group m-0">

                    <button class="btn btn-light btn-sm"
                            onclick="location.href='<?php echo \Joomla\CMS\Router\Route::_('index.php?option=com_joomcrm&view=profile') ?>'">
                        <i class="fas fa-user"></i>
                    </button>
					<?php if (!$config->get("fullscreen", 0)): ?>
                        <a href="<?php
						echo \Joomla\CMS\Uri\Uri::base() . 'index.php?option=com_joomcrm&task=ajax.saveFullscreen&return=' . $return
						?>" class="btn btn-light btn-sm">
                            <i class="fas fa-expand"></i>
                        </a>
					<?php endif; ?>
                    <!--
                    <a href="<?php echo \Joomla\CMS\Router\Route::_('index.php?option=com_joomcrm&view=search') ?>" class="btn btn-light btn-sm">
                        <i class="fas fa-search"></i>
                    </a>
                    -->

					<?php if ($config->get('toolbar_help', 0) == 1) : ?>
                        <button class="btn btn-light btn-sm" onclick="window.open('<?php echo $helpLink ?>','_blank')">
                            <i class="fas fa-question"></i>
                        </button>
					<?php endif; ?>
                </div>
            </div>
        </div>
    </nav>

</div>