<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

Factory::getDocument()
	->addScriptDeclaration('let users=' . json_encode(JoomcrmHelperUsers::getAllSharedUsers()) . ';');

$itemId   =  \Joomla\CMS\Factory::getApplication()->input->get('id');
$itemType =  \Joomla\CMS\Factory::getApplication()->input->get('layout');

$users = JoomcrmHelperUsers::getItemSharedUsers($itemId, $itemType);

?>
<div id="share_item_dialog"
     class="iziModal jb_template"
     data-iziModal-title="<?php echo Text::_('COM_JOOMCRM_SHARE_ITEM') ?>"
     data-iziModal-fullscreen="false"
     data-iziModal-icon="fas fa-share"
     data-iziModal-closebutton="true"
>
	<div class="modal-body">
		<p><?php echo Text::_('COM_JOOMCRM_SHARE_DESC') ?></p>
		<div class="form-group">
			<input id="shared_user_name" class="form-control" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_BEGIN_TYPING_USER') ?>" />
		</div>
		<input type="hidden" name="shared_user_id" id="shared_user_id" />
		<div id="shared_user_list">
			<?php if (count($users) > 0): ?>
				<?php foreach ($users as $user): ?>
					<div id="shared_user_<?php echo  $user->value ?>" class="card">
						<div class="card-body">
							<?php echo $user->label ?>
							<a href='javascript:void(0);' class="float-end text-danger d-inline-block" onclick='unshareItem(<?php echo $user->value ?>);'>
								<i class="fas fa-trash"></i> <?php echo Text::_('COM_JOOMCRM_REMOVE') ?>
							</a>
						</div>
					</div>
					<?php endforeach; ?>
				<?php endif; ?>
		</div>
	</div>
	<div class="modal-footer p-3">
		<button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CLOSE')); ?></button>
		<button onclick="shareItem();" class="btn btn-primary btn-sm">
			<i class="fas fa-save"></i>
			<?php echo ucwords(Text::_('COM_JOOMCRM_ADD')); ?></button>
	</div>
</div>