<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

$current = $displayData['current'];
$company = $current->companies[0];

?>
<div class="page-header mb-3 d-flex justify-content-between align-items-center">
    <h1 class="mb-0 me-auto" id="name_<?php echo $company['id']; ?>"><?php echo $company['name']; ?></h1>
        <div class="btn-group" role="group">
            <a class="btn btn-light btn-sm border bg-light"
               role="button"
               data-izimodal-open="#crmmodalCompanyEdit"
               data-izimodal-transitionin="fadeInDown"
            >
                <i class="fas fa-edit"></i> <?php echo ucwords(Text::_("COM_JOOMCRM_EDIT_BUTTON")); ?>
            </a>
            <button id="btnGroupDrop1" type="button" class="btn btn-light bg-light border btn-sm dropdown-toggle" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></button>
            <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
				<?php if ($company['owner_id'] == JoomcrmHelperUsers::getUserId()) : ?>

                    <a class="dropdown-item text-<?php echo isset($company['public']) && $company['public'] == 0 ? 'success' : 'danger' ?>" id="company_privacy" href="javascript:void(0)" onclick="toggleCompanyPrivacy();">
                        <i class="fas fa-<?php echo isset($company['public']) && $company['public'] == 0 ? 'unlock' : 'lock' ?>"></i> <?php echo (isset($company['public']) && $company['public'] == 0) ? Text::_('COM_JOOMCRM_MAKE_PUBLIC') : Text::_('COM_JOOMCRM_MAKE_PRIVATE'); ?>
                    </a>

                    <div class="dropdown-divider"></div>


                    <a class="dropdown-item" onclick="shareItemDialog();">
                        <i class="fas fa-share text-muted"></i> <?php echo Text::_('COM_JOOMCRM_SHARE'); ?>
                    </a>

				<?php endif; ?>
				<?php if (JoomcrmHelperUsers::isAdmin()) : ?>

                    <a class="dropdown-item" onclick="deleteItem(this)"><i class="fas fa-trash"></i> <?php echo Text::_('COM_JOOMCRM_DELETE'); ?></a>
                    <form id="delete_form" class="m-0 p-0" method="POST" action="<?php echo Route::_('index.php?option=com_joomcrm&task=main.trash'); ?>">
                        <input type="hidden" name="item_id" value="<?php echo $company['id']; ?>"/>
                        <input type="hidden" name="item_type" value="companies"/>
                        <input type="hidden" name="page_redirect" value="companies"/>
                    </form>

				<?php endif; ?>

                <a class="dropdown-item" onclick="printItems(this)"><i class="fas fa-print text-muted"></i> <?php echo Text::_('COM_JOOMCRM_PRINT'); ?></a>
                <form class="print_form m-0 p-0" method="POST" target="_blank" action="<?php echo Route::_('index.php?option=com_joomcrm&view=print'); ?>">
                    <input type="hidden" name="item_id" value="<?php echo $company['id']; ?>"/>
                    <input type="hidden" name="layout" value="company"/>
                    <input type="hidden" name="model" value="company"/>
                </form>

            </div>
        </div>
</div>

<?php if (array_key_exists('description', $company) && !empty($company['description'])) : ?>
    <p class="bg-light p-3 rounded" id="description_<?php echo $company['id']; ?>">
		<?php echo nl2br($company['description']); ?>
    </p>
<?php endif; ?>
