<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;


/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');

$current = $displayData['current'];
$company = $current->companies[0];

// get company details layout
$details = LayoutHelper::render('company.details',['current' => $current]);

?>

<?php echo HTMLHelper::_('uitab.startTabSet', 'companyTab', array('active' => 'companyDetails')); ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'companyTab', 'companyDetails', '<i class="fa fa-info"></i> '.Text::_('COM_JOOMCRM_DETAILS')); ?>
		<div class="mt-4">
			<?php echo $details ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'companyTab', 'companyNotes', '<i class="far fa-clipboard"></i> '.Text::_('COM_JOOMCRM_EDIT_NOTES')); ?>
		<div class="mt-4">
			<?php echo $company['notes']->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'companyTab', 'companyDeals', '<i class="far fa-handshake"></i> '.Text::_('COM_JOOMCRM_EDIT_DEALS')); ?>
		<div class="mt-4">
            <div class="clearfix mb-3">
                <a class="btn btn-success btn-sm float-end" onclick="event.preventDefault();addDeal('company_id=<?php echo $company['id']; ?>')" href="#">
                    <i class="fas fa-plus"></i> <?php echo ucwords(Text::_('COM_JOOMCRM_ADD_DEAL')); ?>
                </a>
            </div>
			<?php $current->deal_dock->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

    <?php echo HTMLHelper::_('uitab.addTab', 'companyTab', 'companyPersons', '<i class="far fa-user"></i> '.Text::_('COM_JOOMCRM_EDIT_PEOPLE')); ?>
    <div class="mt-4">
        <div class="clearfix mb-3">
            <a class="btn btn-success btn-sm float-end" href="#" onclick="event.preventDefault();addPerson('company_id=<?php echo $company['id']; ?>');">
                <i class="fas fa-plus"></i> <?php echo ucwords(Text::_('COM_JOOMCRM_ADD_PERSON')); ?>
            </a>
        </div>
	    <?php echo $current->people_dock->display(); ?>
    </div>
    <?php echo HTMLHelper::_('uitab.endTab'); ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'companyTab', 'companyTasks', '<i class="far fa-calendar-check"></i> '.Text::_('COM_JOOMCRM_TASKS_AND_EVENTS')); ?>
		<div class="mt-4">
            <?php $current->event_dock->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

    <?php echo LayoutHelper::render('documents.docktab',['current' => $current,'tabindex' => 'company']) ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'companyTab', 'companyActivities', '<i class="fas fa-history"></i> '.Text::_('COM_JOOMCRM_LATEST_ACTIVITIES')); ?>
		<div class="mt-4">
			<?php echo $current->latest_activities->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

	<?php if (\Joomcrm\Mailing\Mailing::isEnabled('company')){ ?>
	<?php echo \Joomla\CMS\HTML\HTMLHelper::_('uitab.addTab', 'companyTab', 'companyMailinglist', '<i class="far fa-envelope"></i> '.\Joomla\CMS\Language\Text::_('COM_JOOMCRM_MAILING_HEADER')); ?>
		<div class="mt-4">
			<?php $current->mailing_dock->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>
	<?php } ?>


<?php echo HTMLHelper::_('uitab.endTabSet'); ?>
