<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

extract($displayData);

$custom_field_filter = array_key_exists('selected', $value) && $value['selected'] != 0 && $value['selected'] != "0000-00-00 00:00:00" ? JoomcrmHelperDate::formatDateString($value['selected'], true) : Text::_('COM_JOOMCRM_CLICK_TO_EDIT');

if ($value['required'])
{
	$requiredLabel = '<span class="required">*</span>';
	$required = true;
} else {
	$requiredLabel = "";
	$required = false;
}

?>
<div class="form-group">
    <label>
        <?php echo $value['name'] . ' ' . $requiredLabel ?>
    </label>
    <form name="custom_<?php echo $value['id']; ?>_form" id="custom_<?php echo $value['id']; ?>_form">
        <div class="input-group">
            <input

                    class="form-control custom_date_input <?php echo $required ? 'required' : ''; ?>"
                    id="custom_<?php echo $value['id']; ?>"
                    name="custom_<?php echo $value['id']; ?>_hidden"
                    type="text"
                    placeholder="<?php echo Text::_('COM_JOOMCRM_CLICK_TO_EDIT'); ?>"
                    value="<?php echo JoomcrmHelperDate::formatDate(
                        $custom_field_filter,
                        false,
                        true,
                        false); ?>"
                    data-dateid = "<?php echo $value['id']; ?>"
                    data-isedit = "1"
            />
            <input type="hidden"
                   id="custom_<?php echo $value['id']; ?>_hidden"
                   name="custom_<?php echo $value['id']; ?>"
                   value="<?php echo JoomcrmHelperDate::formatDate($custom_field_filter,false,false,false); ?>"
            />
                <span class="input-group-text" id="basic-addon2"><i class="fas fa-calendar"></i></span>
        </div>
    </form>
</div>
<script>
    bindDatepickers();
</script>




