<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

extract($displayData);

if ($value['multiple_selections'] == 1)
{

    $selected = '';

    if(isset($value['selected'])){
        $selected = is_array($value['selected']) ? $value['selected'] : @unserialize($value['selected']);
    }

	$custom_field_filter = Text::_('COM_JOOMCRM_CLICK_TO_EDIT');
	$checked             = array_key_exists('selected', $value) && !is_null($value['selected']) && $value['selected'] != "" && $value['selected'] != Text::_('COM_JOOMCRM_CLICK_TO_EDIT') ? $selected : array();
}
else
{
	$custom_field_filter = (is_array($value) && array_key_exists('values', $value) && is_array($value['values']) && array_key_exists('selected', $value) && in_array($value['selected'], $value['values'])) ? array_search($value['selected'], $value['values']) : Text::_('COM_JOOMCRM_CLICK_TO_EDIT');
}

if ($value['required'])
{
	$requiredLabel = '<span class="required">*</span>';
	$required      = true;
}
else
{
	$requiredLabel = "";
	$required      = false;
}

?>
<div class="form-group">
    <label>
		<?php echo $value['name'] . ' ' . $requiredLabel ?>
    </label>
    <?php if($value['multiple_selections'] == 1): ?>
    <ul class="m-0 list-group <?php echo $required ? 'required' : ''; ?>">
		<?php if (is_array($value) && array_key_exists('values', $value) && count($value['values']) > 0)
		{
			foreach ($value['values'] as $id => $name)
			{
				$isChecked = is_array($value['values']) && array_key_exists($id, $value['values']) && array_key_exists('selected', $value) && is_array($value['selected']) && array_key_exists($id, $value['selected']) && $value['selected'][$id] == 1 ? "checked='checked'" : "";
				echo '<li class="list-group-item"><input ' . $isChecked . ' name="custom_' . $value['id'] . '[' . $id . ']" type="checkbox" value="1" /> ' . $name . '</li>';
			}
		} ?>
        <li class="invisible list-group-item"><input type="hidden" name="custom_<?php echo $value['id']; ?>[-1]"
                                                     value="1"/></li>
    </ul>
    <?php else: ?>
    <select class="form-select" id="custom_<?php echo $value['id']; ?>" name="custom_<?php echo $value['id']; ?>"
            class="<?php echo $required ? 'required' : ''; ?>">
		<?php echo HTMLHelper::_('select.options', $value['values'], 'value', 'text', $custom_field_filter, true); ?>
    </select>
	<?php endif; ?>
</div>




