<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

extract($displayData);

$companies = JoomcrmHelperDropdown::getCompanyList();

$custom_field_filter = array_key_exists('selected', $value) && strlen(trim($value['selected'])) > 0 ? $value['selected'] : Text::_('COM_JOOMCRM_CLICK_TO_EDIT');

// get company name
foreach ($companies as $ck => $cv){
    if($custom_field_filter == $ck){
	    $custom_field_filter = $cv;
    }
}


// fix single quote problem
foreach ($companies as &$company){
    $company = htmlentities($company,ENT_QUOTES);
}

?>
<div class='col-md-4'>
    <div class='form-group card p-3'>
        <label class="text-muted"><?php echo $value['name'] ?></label>
        <span class="editable parent" id="editable_custom_<?php echo $value['id']; ?>_container">
					<a
                            data-cfieldname="<?php echo $value['name'] ?>"
                            data-bs-placement="bottom"
                            data-bs-toggle="popover"
                            href="javascript:void(0);"
                            id="editable_custom_<?php echo $value['id']; ?>"
                            data-bs-title="<?php echo \Joomla\CMS\Language\Text::sprintf('COM_JOOMCRM_UPDATE_FIELD_TITLE',ucfirst($value['type'])) ?>"
                            data-bs-html='true'
                            data-bs-content='
                                            <form class="form-inline m-0" id="<?php echo $value['id']; ?>_form">
                                                <div class="input-group">
                                                    <select
                                                            id="personField-<?php echo $value['id']; ?>"
                                                            name="custom_<?php echo $value['id']; ?>"
                                                            class="personCustomField form-control"
                                                    >
                                                        <?php
							echo HTMLHelper::_('select.options', $companies, 'value', 'text', htmlentities($value['selected'],ENT_QUOTES), true);
							?>
                                                    </select>

                                                        <a class="btn btn-success text-white" onclick="saveEditableModal(this);">
                                                        <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>                                                                         </a>
                                                </div>
                                            </form>
                                        '
                    >
						<?php echo $custom_field_filter; ?>
					</a>
	</span>
    </div>
</div>





