<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

extract($displayData);


if ($value['multiple_selections'] == 1)
{
    $selected = is_array($value['selected']) ? $value['selected'] : unserialize($value['selected']);

	$custom_field_filter = Text::_('COM_JOOMCRM_CLICK_TO_EDIT');
	$checked             = array_key_exists('selected', $value) && !is_null($value['selected']) && $value['selected'] != "" && $value['selected'] != Text::_('COM_JOOMCRM_CLICK_TO_EDIT') ? $selected : array();
}
else
{
	$custom_field_filter = (is_array($value) && array_key_exists('values', $value) && is_array($value['values']) && array_key_exists('selected', $value) && in_array($value['selected'], $value['values'])) ? $value['selected'] : Text::_('COM_JOOMCRM_CLICK_TO_EDIT');
}

$view = Factory::getApplication()->input->get('layout','','word');

?>
<div class='col-md-4'>
    <div class='form-group card p-3'>
        <label class="text-muted"><?php echo $value['name'] ?></label>
	    <?php if ($value['multiple_selections'] == 1): ?>
            <div data-item="<?php echo  $view ?>" data-field="custom_<?php echo $value['id'] ?>" data-item-id="<?php echo  $value['item']['id'] ?>" id="custom_<?php echo $value['id'] ?>_field">
                <form class="m-0" name="custom_<?php echo $value['id'] ?>_form" id="<?php echo $value['id'] ?>_form">
                    <ul class="m-0 list-group list-group-flush">
					    <?php if (is_array($value) && array_key_exists('values', $value) && count($value['values']) > 0){ ?>
						    <?php foreach ($value['values'] as $id => $name){
							    $isChecked = is_array($value['values']) && array_key_exists($id, $value['values']) && is_array($value['selected']) && array_key_exists($id, $value['selected']) && $value['selected'][$id] == 1 ? "checked='checked'" : "";
							    ?>

                                <li class="list-group-item">
                                    <div class="form-check">
                                        <input
                                                class="form-check-input"
										    <?php echo $isChecked ?>
                                                id="custom_<?php echo $value['id'] ?>_<?php echo $id ?>"
                                                name="custom_<?php echo $value['id'] ?>[<?php echo $id ?>]"
                                                onclick='saveEditableModal("<?php echo $value['id'] ?>_form");'
                                                type="checkbox"
                                                value="1"
                                        />
                                        <label
                                                for="custom_<?php echo $value['id'] ?>_<?php echo $id ?>"
                                                class="form-check-label"
                                        >
										    <?php echo $name ?>
                                        </label>
                                    </div>
                                </li>
						    <?php } ?>
					    <?php } ?>
                    </ul>
                </form>
            </div>
	    <?php else: ?>
            <div class="dropdown" data-item="<?php echo $view ?>" data-field="custom_<?php echo $value['id']; ?>" data-item-id="<?php echo  $value['item']['id']; ?>" id="custom_<?php echo $value['id']; ?>_field">
                <span class='dropdown-toggle' data-bs-toggle="dropdown" id='custom_<?php echo $value['id']; ?>_field_link'><?php echo $custom_field_filter; ?></span>
                <ul class="dropdown-menu">
				    <?php
				    if (is_array($value) && isset($value['values']) && count($value['values']) > 0)
				    {
					    foreach ($value['values'] as $id => $name)
					    {
						    echo '<li><a href="javascript:void(0)" class="dropdown_item dropdown-item" data-value="' . $id . '">' . $name . '</a></li>';
					    }
				    }
				    ?>
                </ul>
            </div>
	    <?php endif; ?>
    </div>
</div>