<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

$current = $displayData['current'];
$deal = $current->dealList[0];

?>

<div class="deal-stage">
	<?php echo Text::_('COM_JOOMCRM_DEAL_STAGE'); ?>:
    <span class="deal-stage-name"><?php echo ucwords($deal['stage_name']); ?></span>
</div>
<div
        id="stage_name_<?php echo $deal['id']; ?>"
        class="progress deal-stage"
        data-bs-placement="bottom"
        data-bs-toggle="popover"
        data-title="<?php echo ucwords(Text::_('COM_JOOMCRM_UPDATE').' '.Text::_('COM_JOOMCRM_DEAL_STAGE')); ?>"
        data-html='true'
        data-bs-content='
    <form class="form-inline m-0" id="stage_form">
        <div class="input-group">
                <?php echo str_replace('\'', '"', JoomcrmHelperDropdown::generateDropdown('stage', $deal['stage_id'])); ?>
                <a href="javascript:void(0)" class="btn btn-light btn-sm" onclick="saveEditableModal(this);">
                <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
                </a>
        </div>
    </form>
        '>

    <div class="bar" id="percent_<?php echo $deal['id']; ?>" data-color="<?php echo $deal['stage_color']; ?>" data-percent="<?php echo $deal['percent']; ?>"></div>
</div>


<div class="row mt-4">
    <div class="col-md-4 mb-2 text-center">
        <div class="text-center card">
            <div class="card-header">
                <h6 class="m-0"><?php echo Text::_('COM_JOOMCRM_EDIT_AMOUNT'); ?></h6>
            </div>
            <div class="card-body">
                    <span class="editable parent" id="editable_amount_container">
                    <div class="inline">
                        <h2 class="m-0">

                            <a class="text-decoration-none" href="javascript:void(0);" data-bs-placement="bottom" data-bs-toggle="popover" data-title="<?php echo ucwords(Text::_('COM_JOOMCRM_UPDATE').' '.Text::_('COM_JOOMCRM_AMOUNT')); ?>" data-html='true' data-bs-content='
                            <form class="form-inline m-0" id="amount_form">
                            <div class="input-group">
                                    <input type="text" class="form-control" name="amount" value="<?php echo $deal['amount']; ?>" />
                                    <span class="input-group-text"><?php echo JoomcrmHelperConfig::getCurrency(); ?></span>
                                    <a href="javascript:void(0)" class="btn btn-light" onclick="saveEditableModal(this);"><i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?></a>
                            </div>
                            </form>' >
                                <span id="amount_<?php echo $deal['id']; ?>">
                                    <?php echo JoomcrmHelperConfig::getCurrency(); ?>
                                    <span id="editable_amount"> <?php echo $deal['amount']; ?></span>
                                </span>
                            </a>
                        </h2>
                    </div>
                </span>
            </div>
            <div class="card-footer bg-light">
				<?php echo ucwords(Text::_('COM_JOOMCRM_EDIT_OWNER')); ?>
                <div class='dropdown d-inline-block' id="deal_owner" data-item="deal" data-field="owner_id" data-item-id="<?php echo $deal['id']; ?>">
                    <a href="#" class='dropdown-toggle update-toggle-html' role='button' data-bs-toggle='dropdown' id='deal_owner_link'><span id="owner_first_name_<?php echo $deal['id']; ?>"><?php echo $deal['owner_first_name']." ".$deal['owner_last_name']; ?></span></a>
                    <ul class="dropdown-menu float-end" role="menu">
						<?php
						$me = array(array('label'=>Text::_('COM_JOOMCRM_ME'),'value'=>JoomcrmHelperUsers::getLoggedInUser()->id));
						$users = JoomcrmHelperUsers::getUsers(null,TRUE);
						$users = array_merge($me,$users);
						if ( count($users) ){ foreach ( $users as $key => $user ){ ?>
                            <li>
                                <a href="javascript:void(0)" class="dropdown_item dropdown-item" data-field="owner_id" data-item="deal" data-item-id="<?php echo $deal['id']; ?>" data-value="<?php echo $user['value']; ?>">
									<?php echo $user['label']; ?>
                                </a>
                            </li>
						<?php }} ?>
                    </ul>
                </div>
            </div>
        </div>

    </div>
    <div class="col-md-4 mb-2 text-center">
        <div class="text-center card">
            <div class="card-header">
                <h6 class="m-0">
					<?php echo Text::_('COM_JOOMCRM_EDIT_PROBABILITY'); ?>
                </h6>
            </div>
            <div class="card-body">
                    <span class="editable parent" id="editable_probability_container">
                    <div class="inline">
                        <h2 class="m-0">
                            <a class="text-decoration-none" href="javascript:void(0);" data-bs-placement="bottom" data-bs-toggle="popover" title="<?php echo ucwords(Text::_('COM_JOOMCRM_UPDATE').' '.Text::_('COM_JOOMCRM_PROBABILITY')); ?>" data-html="true" data-bs-content='<div id="popoverProbabilityContainer">
                                <form class="m-0 form-inline" id="probability_form">
                                <div class="input-group">
                                    <input type="text" class="form-control" name="probability" value="<?php echo $deal["probability"]; ?>" />
                                         <span class="input-group-text">%</span>
                                         <a href="javascript:void(0)" class="btn btn-light" onclick="saveEditableModal(this);"><i class="fas fa-save"></i> <?php echo Text::_("COM_JOOMCRM_SAVE"); ?></a>
                                 </div>
                                </form>
                            </div>' >
                                <span id="probability_<?php echo $deal['id']; ?>">
                                    <span id="editable_probability"><?php echo $deal['probability']; ?></span>
                                </span>%
                            </a>

                        </h2>
                    </div>
                </span>
            </div>
            <div class="card-footer bg-light">
				<?php echo Text::_('COM_JOOMCRM_EDIT_AGE'); ?>
                <div class="d-inline-block"><?php
					echo JoomcrmHelperDate::getElapsedTime($deal['created']);
					?></div>
            </div>
        </div>

    </div>
    <div class="col-md-4 mb-2 text-center">
        <div class="card">
			<?php $style = "style='display:none;'"; ?>
			<?php if (in_array($deal['stage_id'],$current->closed_stages) ){
				$actual_close = true;
			} else {
				$actual_close = false;
			} ?>
            <div id="actual_close_container"<?php if ( !$actual_close ){ echo $style; } ?>>
                <div class="card-header">
                    <h6 class="m-0">
						<?php echo Text::_('COM_JOOMCRM_ACTUAL_CLOSE'); ?>
                    </h6>
                </div>
                <div class="card-body">
                    <h2 class="m-0">
                        <form class="inline-form m-0" name="actual_close_form">
                            <input type="text" class="input-invisible inputbox-hidden date_input text-center" name="actual_close_hidden" id="actual_close" value="<?php echo JoomcrmHelperDate::formatDate($deal['actual_close']); ?>" />
                            <input type="hidden" name="actual_close" id="actual_close_hidden" value="<?php echo $deal['actual_close']; ?>" />
                        </form>
                    </h2>
                </div>
            </div>
            <div id="expected_close_container"<?php if ( $actual_close ){ echo $style; } ?>>
                <div class="card-header">
                    <h6 class="m-0">
						<?php echo Text::_('COM_JOOMCRM_EXP_CLOSE'); ?>
                    </h6>
                </div>
                <div class="card-body">
                    <h2 class="m-0 text-center">
                        <form class="inline-form m-0 d-inline-block" name="expected_close_form">
                            <input type="text" class="input-invisible inputbox-hidden date_input w-100 text-center" name="expected_close_hidden" id="expected_close" value="<?php echo JoomcrmHelperDate::formatDate($deal['expected_close'], false, true, false); ?>" />
                            <input type="hidden" name="expected_close" id="expected_close_hidden" value="<?php echo $deal['expected_close']; ?>" />
                        </form>
                    </h2>
                </div>
            </div>
            <div class="card-footer">
				<?php echo Text::_('COM_JOOMCRM_EDIT_SOURCE'); ?>
                <div class='dropdown d-inline-block' id="deal_source" data-item="deal" data-field="source_id" data-item-id="<?php echo $deal['id']; ?>">
                    <a href="#" class='dropdown-toggle update-toggle-html' role='button' data-bs-toggle='dropdown' id='deal_source_<?php echo $deal['id']; ?>_link'>
                    <span id="source_name_<?php echo $deal['id']; ?>">
                        <?php $sourceName = $deal['source_id'] > 0 ? $deal['source_name'] : Text::_('COM_JOOMCRM_CLICK_TO_EDIT'); ?>
                        <?php echo $sourceName; ?>
                    </span>
                    </a>
                    <ul class="dropdown-menu float-end" role="menu">
						<?php
						$sources = JoomcrmHelperDeal::getSources();
						if (count($sources)) { foreach($sources as $id => $name ){ ?>
                            <li>
                                <a href="javascript:void(0)" class="dropdown_item dropdown-item" data-field="source_id" data-item="deal" data-item-id="<?php echo $deal['id']; ?>" data-value="<?php echo $id; ?>"><?php echo $name; ?></a>
                            </li>
						<?php }} ?>
                    </ul>
                </div>
            </div>
        </div>

    </div>
</div>
<div class="columncontainer">
	<?php $current->custom_fields_view->display(); ?>
</div>

<div class="edit-summary-container card mb-3">
    <div class="card-header">
        <h4 class="m-0"><?php echo Text::_('COM_JOOMCRM_EDIT_SUMMARY'); ?></h4>
    </div>
    <div class="card-body">
        <div class="large_info">
			<?php $summary = (array_key_exists('summary', $deal) && strlen(trim($deal['summary'])) > 0) ? $deal['summary'] : Text::_('COM_JOOMCRM_CLICK_TO_EDIT'); ?>
            <div class="inline"><span id="editable_summary"><?php echo nl2br($summary); ?></span></div>
            <div id="editable_summary_area" style="display:none;">
                <form class="m-0" id="summary_form">
                    <textarea class="form-control" name="summary"><?php echo trim($summary); ?></textarea>
                </form>
                <button class="btn btn-light btn-sm" onclick="saveEditableModal('summary_form');" type="button">
                    <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
                </button>
            </div>
        </div>
    </div>
</div>

