<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Filter\OutputFilter;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

$current = $displayData['current'];
$deal = $current->dealList[0];


?>

<div class="page-header mb-4 d-flex justify-content-between align-items-center">

    <div class="me-auto">
        <h1 class="mb-0">
            <span id="name_<?php echo $deal['id']; ?>"><?php echo $deal['name']; ?></span>
            <div id="status_name_<?php echo $deal['id']; ?>" class="header-status status-dot deal-status-<?php echo OutputFilter::stringURLSafe($deal['status_name']); ?>" style="background-color: #<?php echo $deal['status_color']; ?>;"
                 data-title="<?php echo ucwords(Text::_('COM_JOOMCRM_UPDATE').' '.Text::_('COM_JOOMCRM_DEAL_STATUS')); ?>"
                 data-bs-placement="bottom"
                 data-bs-toggle="popover"
                 data-bs-trigger="focus"
                 data-html='true'
                 data-bs-content='
            <form class="form-inline m-0" id="status_form">
            <div class="input-group">

                  <?php echo str_replace('\'', '"', JoomcrmHelperDropdown::generateDealStatuses($deal['status_id'])); ?>
                      <a href="javascript:void(0)" class="btn btn-outline-success" onclick="saveEditableModal(this);">
                      <i class="fas fa-save"></i> <?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_SAVE'); ?>
                      </a>

            </div>
            </form>'>
                <small><?php echo $deal['status_name']; ?></small>
            </div>
        </h1>
	    <?php if(!empty($deal['company_name'])): ?>
            <p class="text-muted m-0">
                <?php echo Text::_('COM_JOOMCRM_ASSOCIATED_WITH').' <a href="'.Route::_('index.php?option=com_joomcrm&view=companies&layout=company&id='.$deal['company_id']).'"><span id="company_name_'.$deal['id'].'">'.$deal['company_name'].'</span></a>'; ?>
            </p>
        <?php endif; ?>
    </div>

    <div class="btn-group">
        <button class="btn btn-light bg-light border btn-sm" href="#" data-izimodal-open="#crmmodalDealEdit" data-izimodal-transitionin="fadeInDown"><i class="fas fa-edit"></i> <?php echo ucwords(Text::_("COM_JOOMCRM_EDIT_BUTTON")); ?></button>
        <button class=" btn btn-sm bg-light border dropdown-toggle" data-bs-toggle="dropdown">
        </button>
        <div class="dropdown-menu dropdown-menu-right">
            <a class="dropdown-item" id="archive" onclick="">
                <i class="fas fa-inbox text-muted"></i> <?php
				if ($deal['archived'] == 0)
				{
					echo Text::_('COM_JOOMCRM_ARCHIVE');
				}
				if ($deal['archived'] == 1)
				{
					echo Text::_('COM_JOOMCRM_UNARCHIVE');
				}
				?>
            </a>
            <div class="dropdown-divider"></div>
			<?php if ($deal['owner_id'] == JoomcrmHelperUsers::getUserId()) : ?>
                <a class="dropdown-item" onclick="shareItemDialog();">
                    <i class="fas fa-share text-muted"></i> <?php echo Text::_('COM_JOOMCRM_SHARE'); ?>
                </a>
			<?php endif; ?>

            <a class="dropdown-item" onclick="printItems(this)">
                <i class="fas fa-print text-muted"></i> <?php echo Text::_('COM_JOOMCRM_PRINT'); ?>
            </a>
            <form class="print_form" method="POST" target="_blank" action="<?php echo Route::_('index.php?option=com_joomcrm&view=print'); ?>">
                <input type="hidden" name="item_id" value="<?php echo $deal['id']; ?>"/>
                <input type="hidden" name="layout" value="deal"/>
                <input type="hidden" name="model" value="deal"/>
            </form>
            <div class="dropdown-divider"></div>
	        <?php if (JoomcrmHelperUsers::canDelete() || $deal['owner_id'] == JoomcrmHelperUsers::getUserId()) : ?>

                <a class="dropdown-item text-danger" onclick="deleteItem(this)">
			        <i class="fas fa-trash"></i> <?php echo Text::_('COM_JOOMCRM_DELETE'); ?>
                </a>
                <form id="delete_form" method="POST" action="<?php echo Route::_('index.php?option=com_joomcrm&task=main.trash'); ?>">
                    <input type="hidden" name="item_id" value="<?php echo $deal['id']; ?>"/>
                    <input type="hidden" name="item_type" value="deals"/>
                    <input type="hidden" name="page_redirect" value="deals"/>
                </form>

	        <?php endif; ?>

        </div>
    </div>
</div>
