<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

extract($displayData);

?>
<div class="dropdown">
    <a href="#" class="dropdown-toggle" data-bs-toggle="dropdown" id="document_<?php echo $document['id'] ?>">
		<?php echo $document['name'] ?>
    </a>
    <ul class="dropdown-menu">
        <li>
            <a href="javascript:void(0);" class="dropdown-item"
               onclick="documentInfo('<?php echo $document['id'] ?>', '<?php echo Text::_('COM_JOOMCRM_DOCUMENT_INFO') ?>')">
                <i class="fas fa-info-circle"></i> <?php echo Text::_('COM_JOOMCRM_DOCUMENT_INFO') ?>
            </a>
        </li>

		<?php if ($document['is_image']): ?>
            <li>
                <a onclick="documentPreview('preview_<?php echo $document['id'] ?>')" href="javascript:void(0);"
                   class="document_preview dropdown-item" id="preview_<?php echo $document['id'] ?>">
                    <i class="fas fa-eye"></i> <?php echo Text::_('COM_JOOMCRM_PREVIEW') ?>
                </a>
            </li>
		<?php elseif ($document['filetype'] == 'pdf'): ?>
            <li>
                <a target="_blank"
                   href="<?php echo \Joomla\CMS\Uri\Uri::root() ?>index.php?option=com_joomcrm&task=ajax.previewDocument&format=raw&tmpl=component&document=<?php echo $document['filename'] ?>">
                    <i class="fas fa-eye"></i> <?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_PREVIEW') ?>
                </a>
            </li>
		<?php endif; ?>

        <?php if(JoomcrmHelperUsers::canExport()): ?>
        <li>
            <a onclick="documentDownload('download_<?php echo $document['id'] ?>')" href="javascript:void(0);"
               class="document_download dropdown-item" id="download_<?php echo $document['id'] ?>">
                <i class="fas fa-download"></i> <?php echo Text::_('COM_JOOMCRM_DOWNLOAD') ?>
            </a>
        </li>
        <?php endif; ?>

	    <?php if(JoomcrmHelperUsers::canDelete()): ?>
        <li>
            <a onclick="documentDelete('delete_<?php echo $document['id'] ?>')" href="javascript:void(0);"
               class="document_delete dropdown-item" id="delete_<?php echo $document['id'] ?>">
                <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_DELETE') ?>
            </a>
        </li>
        <?php endif; ?>
    </ul>
<div>
