<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Uri\Uri;

extract($displayData);

$categoriesList = JoomcrmHelperDocument::getCategories();


Factory::getDocument()->addScriptDeclaration("

jQuery(document).ready(function($){
$('#show-document-form').click(function(){
    $('#add-document-form').fadeToggle();
});
});

");


?>
<?php echo LayoutHelper::render('documents.modals', []) ?>
<?php echo HTMLHelper::_('uitab.addTab', $tabindex . 'Tab', $tabindex . 'Documents', '<i class="far fa-copy"></i> ' . Text::_('COM_JOOMCRM_EDIT_DOCUMENTS')); ?>

<div class="mt-4">
    <div class="clearfix">
        <button id="show-document-form" class="btn btn-sm btn-success float-end mb-3"><i
                    class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_DOCUMENT') ?></button>
    </div>

    <div id="add-document-form" class="bg-white p-3 border rounded mb-3"
         style="display: none;border-style: dashed !important;">
        <div class="row">
            <div class="col-md-2"></div>
            <div class="col-md-8 py-2">
                <form class="clearfix m-0" id="upload_form" target="hidden"
                      action="<?php echo Uri::base() ?>index.php?option=com_joomcrm&task=documents.uploadDocument&format=raw&tmpl=component"
                      method="POST" enctype="multipart/form-data">
                    <div class="row gx-2">
                        <div class="col-md-3">
                            <select name="shared" id="shared_document" class="form-control form-control-sm">
                                <option value="0"><?php echo Text::_('COM_JOOMCRM_SELECT_NOT_SHARED_DOCUMENT') ?></option>
                                <option value="1"><?php echo Text::_('COM_JOOMCRM_SELECT_SHARED_DOCUMENT') ?></option>
                            </select>
                        </div>
                        <div class="col-md-3">
                            <select name="category_id" id="category_id" class="form-control form-control-sm">
								<?php foreach ($categoriesList as $catVal => $catName): ?>
									<?php $catVal = ($catVal == 'any') ? 0 : $catVal ?>
                                    <option value="<?php echo $catVal ?>"><?php echo $catName ?></option>
								<?php endforeach; ?>
                            </select>
                        </div>
                        <div class="col-md-6">
                            <div class="input_upload_button clearfix">
                                <a href="javascript:void(0);" class="btn border btn-light w-100" id="upload_button"><i
                                            class="fas fa-upload"></i> <?php echo Text::_("COM_JOOMCRM_UPLOAD_FILE"); ?>
                                </a>
                                <input type="file" id="upload_input_invisible" name="document"/>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="col-md-2"></div>
        </div>
    </div>

	<?php echo $current->document_dock->display(); ?>

</div>
<?php echo HTMLHelper::_('uitab.endTab'); ?>
<!-- this iframe required for file ajax uploading -->
<iframe id="hidden" name="hidden" style="display:none;width:0px;height:0px;border:0px;"></iframe>
