<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

$app = Factory::getApplication();

?>

<?php if ($app->input->get('view') != "print") { ?>

    <div class="dropdown">
        <button class="btn btn-secondary btn-sm py-0 px-2 dropdown-toggle" type="button" id="eventsDropdown" data-bs-toggle="dropdown" aria-expanded="false">
            <i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_NEW') ?>
        </button>
        <ul class="dropdown-menu" aria-labelledby="eventsDropdown">
            <li>
                <a class="dropdown-item" title="<?php echo Text::_('COM_JOOMCRM_ADD_TASK'); ?>" onclick="addTaskEvent('task');" href="javascript:void(0);">
                    <i class="fas fa-tasks"></i> <?php echo Text::_('COM_JOOMCRM_ADD_TASK'); ?>
                </a>
            </li>
            <li>
                <a class="dropdown-item" href="javascript:void(0);" rel="tooltip" title="<?php echo Text::_('COM_JOOMCRM_ADD_EVENT'); ?>" onclick="addTaskEvent('event');">
                    <i class="fas fa-calendar-alt"></i> <?php echo Text::_('COM_JOOMCRM_ADD_EVENT'); ?>
                </a>
            </li>
            <li>
                <hr class="dropdown-divider">
            </li>
			<?php $templates = JoomcrmHelperJoomcrm::getTaskTemplates($app->input->get('layout'));
			if (count($templates) > 0)
			{
				foreach ($templates as $template)
				{ ?>
                    <li><a class="dropdown-item" href="javascript:void(0)" onclick="createTemplate(<?php echo $template['id']; ?>)"><?php echo $template['name']; ?></a>
				<?php }
			} else { ?>
                <li><a class="dropdown-item" href="#"><?php echo Text::_('COM_JOOMCRM_NO_WORKFLOWS_HAVE_BEEN_CREATED'); ?></a></li>
			<?php } ?>
        </ul>
    </div>
<?php } ?>
