<?php
/**
 * by JoomBoost
 * a component for Joomla! 3.0 CMS (http://www.joomla.org)
 * Author Website: http://www.joomboost.com/
 * @copyright Copyright (C) 2012 JoomBoost (http://www.mintjoomla.com). All rights reserved.
 * @license   GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

defined('_JEXEC') or die();

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Component\ComponentHelper;

extract($displayData);
array_unshift($heads, Text::_('COM_JOOMCRM_IMPORTSELECTCOLUMN'));

$jinput       = Factory::getApplication()->input;
$globalParams = ComponentHelper::getParams('com_joomcrm');
$prefix       = JoomcrmHelperJoomcrm::getIntType($jinput->getInt('type'));

$InsertType       = [0 => Text::_('COM_JOOMCRM_SKIP_ITEM'), 1 => Text::_('COM_JOOMCRM_UPDATE_ITEM'),
                     2 => Text::_('COM_JOOMCRM_DUPLICATED_ITEM')];
$selectInsertType = !empty(Factory::getSession()->get("messageInsertType")) ? Factory::getSession()->get("messageInsertType") : array_keys($InsertType)[0];


?>

<div class="card my-4">
    <div class="card-header">
        <h3 class="m-0"><?php echo Text::_('COM_JOOMCRM_IMPORTPARAMS') ?></h3>
    </div>
    <div class="card-body">
		<?php if ($jinput->input->get('type') != 2) : ?>
            <div class="form-group my-3">
                <label>
					<?php echo Text::_('COM_JOOMCRM_ITEM_ALREADY_EXIST') ?>
                </label>
				<?php
				echo HTMLHelper::_('select.genericlist', $InsertType, 'InsertType', 'class="form-control"', 'value', 'text', $selectInsertType); ?>
            </div>
		<?php endif; ?>
        <div class="form-group">
            <label for="name"><?php echo Text::_('COM_JOOMCRM_PRESET_NAME'); ?>
                <span class="float-end" rel="tooltip"
                      data-original-title="<?php echo Text::_('COM_JOOMCRM_REQUIRED') ?>">*
            </label>
            <input type="text" class="form-control" name="import[name]" id="importname"
                   value="<?php echo isset($name) ? $name : '' ?>">
        </div>

		<?php if (Factory::getApplication()->isClient('administrator')): ?>
            <div class="form-group">
                <label for="name"><?php echo Text::_('COM_JOOMCRM_OWNER_USER'); ?>
                    <span class="float-end" rel="tooltip"
                          data-original-title="<?php echo Text::_('COM_JOOMCRM_REQUIRED') ?>">*
                </label>
				<?php
				echo HTMLHelper::_(
					'select.genericlist',
					JoomcrmHelperUsers::getAllUsersForSelect(),
					"import[owner_id]",
					[
						'class'    => 'form-control',
						'required' => 'required'
					],
					'text',
					'value',
					Factory::getApplication()->input->get('preset') == "new" ? '' : $owner_id
				);
				?>
            </div>
		<?php endif; ?>
    </div>
</div>
<div class="card">
    <div class="card-header">
        <h3 class="m-0"><?php echo Text::_('COM_JOOMCRM_IMPORTFIELDASSOC') ?></h3>
    </div>
    <div class="card-body">
        <div class="row">

			<?php foreach ($fields as $field):
				$required = (int) $globalParams->get($prefix . '_' . $field->name, 0) == 1 ? 'required' : null;
			    $default = isset($selected[$field->name]) ? $selected[$field->name] : 0;

				?>

                <div class="col-md-4">
                    <div class="form-group <?php echo $required; ?>">
                        <label for="type">
                            <?php echo Text::_($field->label); ?>
							<?php if ((int) $globalParams->get($prefix . '_' . $field->name, 0) == 1): ?>
                            <span class="float-end" rel="tooltip" data-original-title="<?php echo Text::_('CREQUIRED') ?>">
                                *
                            </span>
                            <?php endif; ?>
                        </label>
						<?php
						$add_name = "";
						echo HTMLHelper::_(
							'select.genericlist',
							$heads,
							"import[field][$field->name]",
							'class="form-control" id="import[field][' . $field->name . ']" ' . $required,
							'text',
							'value',
							Factory::getApplication()->input->get('preset','') == "new" ? 0 : $default
						);
						?>
                    </div>
                </div>
			<?php endforeach; ?>

        </div>
    </div>
</div>