<?php
/**
 * JoomCRM
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */
defined('_JEXEC') or die();

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;

extract($displayData);

switch ($current->input->get('import_type'))
{
	case 0:
		$val    = "companies";
		break;
	case 1:
		$val    = "people";
		break;
	case 2:
		$val    = "deals";
		break;

	default  : Factory::getApplication()->enqueueMessage(Text::_('COM_JOOMCRM_IMPORT_TYPE_NOT_FOUND'),'warning');
}

$layout = \Joomla\CMS\Factory::getApplication()->isClient('administrator') ? '&layout=import' : '';



?>
<div class="nav nav-tabs mb-3"  id="nav-tab" role="tablist">
	<a class="nav-link nav-link" href="<?php echo Route::_('index.php?option=com_joomcrm&view=import&step=1&import_type='.$val); ?>"><?php echo Text::_('COM_JOOMCRM_IMPORTUPLOAD')?>
	</a>
	<a class="nav-link nav-link"><?php echo Text::_('COM_JOOMCRM_IMPORTCONFIG')?></a>
	<a class="nav-link nav-link active"><?php echo Text::_('COM_JOOMCRM_IMPORTFINISH')?></a>
</div>

<?php if (!empty(Factory::getSession()->get('messageState'))) : ?>
	<div class="alert alert-success"><?php echo Factory::getSession()->get('messageState');?></div>
<?php endif; ?>

<table class="table table-bordered table-condensed table-striped">
	<tbody>
	<tr>
		<td><?php echo Text::sprintf('COM_JOOMCRM_IMPORT_PROCESSED',$val)  ?></td>
		<td><?php echo $current->statistic->get('new', 0) +  $current->statistic->get('exist', 0) +  $current->statistic->get('update', 0) ?></td>
	</tr>
	<tr>
		<td><?php echo Text::sprintf('COM_JOOMCRM_IMPORT_NEW',$val)  ?></td>
		<td><?php echo $current->statistic->get('new', 0)  ?></td>
	</tr>
	<tr>
		<td><?php echo Text::sprintf('COM_JOOMCRM_IMPORT_UPDATED',$val)  ?></td>
		<td><?php echo $current->statistic->get('update', 0)  ?></td>
	</tr>
	</tbody>
</table>

<div class="rounded p-2 border d-flex justify-content-between bg-light w-100">
    <a  class="btn btn-light border bg-light" href="index.php?option=com_joomcrm&view=import<?php echo $layout ?>&step=2&import_type=<?php echo $current->input->get('import_type') ?>">
        <i class="fas fa-arrow-left"></i> <?php echo Text::_('COM_JOOMCRM_BACK');?>
    </a>
	<a  class="btn btn-primary" href="index.php?option=com_joomcrm&view=import<?php echo $layout ?>&step=1&import_type=<?php echo $current->input->get('import_type') ?>">
		<i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_NEW_IMPORT');?>
	</a>
</div>