<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

extract($displayData);

$overview = $email->getOverview();
HTMLHelper::_('bootstrap.tooltip');

?>
<script>
    jQuery(function($){
        $(".hasTooltip").tooltip({"html": true,"container": "body"});
    });
</script>
<div id="email_form_<?php echo $overview->uid; ?>">
    <div class="card mb-3 shadow-sm" style="background: #fff8e1 !important">
        <div class="card-body">

            <strong class="d-block mb-2"><?php echo Text::_('COM_JOOMCRM_CONVERT_EMAIL_TO_NOTE') ?> <i class="fas fa-info-circle"></i></strong>

            <div class="row gx-2">
                <div class="col-md-5">
                    <input
                            type="text"
                            id="person_name_<?php echo $overview->uid; ?>"
                            onkeyup="checkPersonName(<?php echo $overview->uid; ?>)"
                            name="person_name"
                            class="form-control form-control-sm"
                            placeholder="<?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_FIRST_OR_LAST')); ?>"
                    />
                    <input type="hidden" id="person_id_<?php echo $overview->uid; ?>" name="person_id" value=""/>
                    <small class="person_message text-success" id="person_message_<?php echo $overview->uid; ?>"></small>
                </div>
                <div class="col-md-5">
                    <input type="text" placeholder="<?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_NAME_EMAIL')); ?>" id="deal_name_<?php echo $overview->uid; ?>" onkeyup="checkDealName(<?php echo $overview->uid; ?>)" name="deal_name" class="form-control form-control-sm"/>
                    <input type="hidden" id="deal_id_<?php echo $overview->uid; ?>" name="deal_id" value=""/>
                    <small class="deal_message text-success" id="deal_message<?php echo $overview->uid; ?>">
							</small>
                </div>
                <div class="col-md-2">
                    <button type="button" class="btn btn-success btn-sm" onclick="saveEmail(<?php echo $overview->uid; ?>);">
                        <i class="fas fa-retweet"></i> <?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_CONVERT'); ?>
                    </button>
                </div>
            </div>


            <p class="m-0"><small><?php echo Text::_('COM_JOOMCRM_EMAIL_ASSOCIATION_MESSAGE') ?></small></p>


        </div>
    </div>


    <div class="card">
        <div class="card-header">
            <strong><?php echo ucwords(Text::_('COM_JOOMCRM_MESSAGE_CONTENT')); ?></strong>
        </div>
        <div class="card-body">
			<?php echo nl2br($email->getMessageBody()); ?>
        </div>
    </div>
</div>
</form>

