<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

extract($displayData);

?>


<div id="note_entry_<?php echo $note['id'] ?>" data-note-id="<?php echo $note['id'] ?>" class="note_container card mb-2">
	<div class="card-header">
		<p class="mb-0 mt-0 me-auto">
			<i class="far fa-clipboard me-1"></i>
			<?php echo '<strong>' . $note['owner_first_name'] . ' ' . $note['owner_last_name'] . '</strong> ';
			echo Text::_('COM_JOOMCRM_WROTE_NOTE');
			if (array_key_exists('category_name', $note) && $note['category_name'] != "")
			{
				echo Text::_('COM_JOOMCRM_IN') . '<strong> ' . $note['category_name'] . '</strong> ';
			}
			if (array_key_exists('person_first_name', $note) && $note['person_first_name'] != "")
			{
				echo Text::_('COM_JOOMCRM_FOR') . ' <strong>' . $note['person_first_name'] . ' ' . $note['person_last_name'] . '</strong> ';
			}
			if (array_key_exists('deal_name', $note) && $note['deal_name'] != "")
			{
				echo Text::_('COM_JOOMCRM_ON_THE_DEAL') . ' <strong>' . $note['deal_name'] . '</strong>';
			}
			if (array_key_exists('event_name', $note) && $note['event_name'] != "")
			{
				echo Text::_('COM_JOOMCRM_ON_THE_EVENT') . ' <strong>' . $note['event_name'] . '</strong>';
			} ?>
			<span class="float-end text-muted"><?php echo JoomcrmHelperDate::formatDate($note['created']) ?></span>
		</p>
	</div>
	<div class="card-body">
        <?php if (JoomcrmHelperUsers::isAdmin() || JoomcrmHelperUsers::getRole() == 'exec' || $note['owner_id'] == JoomcrmHelperUsers::getLoggedInUser()->id): ?>

            <div class="note_edit_functions float-end">
                <a class="btn btn-sm btn-light bg-light py-1 px-2" data-bs-toggle="tooltip" title="<?php echo Text::_('COM_JOOMCRM_EDIT') ?>" href="javascript:void(0);" onclick="editNoteEntry(<?php echo $note['id'] ?>)"><i class="fas fa-edit text-success"></i></a>
                <a class="btn btn-sm btn-light bg-light py-1 px-2" data-bs-toggle="tooltip"  title="<?php echo Text::_('COM_JOOMCRM_REMOVE') ?> " href="javascript:void(0);" onclick="trashNoteEntry(<?php echo $note['id'] ?>)"><i class="fas fa-trash text-danger"></i></a>
            </div>

        <?php endif; ?>
		<?php


		if (array_key_exists("name", $note) && $note['name'] != "")
		{
			echo "<strong>" . $note['name'] . '</strong><br />';
		}
		echo nl2br((string)$note['note']); ?>
	</div>
</div>
