<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

$current = $displayData['current'];
$person = $current->people[0];

?>
<div class="row mb-3">
	<div class="col-md-4 mb-2">
		<div class="card text-center mb-4">
			<div class="card-header">
				<h6 class="m-0">
					<?php echo Text::_('COM_JOOMCRM_PERSON_TOTAL'); ?>
				</h6>
			</div>
			<div class="card-body">
				<h2 class="amount m-0"><?php echo JoomcrmHelperUsers::formatAmount((float) $person['total_pipeline']); ?></h2>
			</div>
		</div>
		<div class="joomcrmRow top">
			<div class="joomcrmField"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY')); ?>:</div>
			<div class="joomcrmValue">
				<?php if (array_key_exists('company_id', $person) && $person['company_id'] > 0) : ?>
					<a id="company_name_<?php echo $person['id']; ?>" href="<?php echo Route::_("index.php?option=com_joomcrm&view=companies&layout=company&id=" . $person['company_id']); ?>">
						<?php echo $person['company_name']; ?>
					</a>
				<?php else :?>
					<span id="company_name_<?php echo $person['id']; ?>"><?php echo ucwords(Text::_('COM_JOOMCRM_NO_COMPANY')); ?></span>
				<?php endif ?>
			</div>
			<div class="clear"></div>
		</div>
		<div class="joomcrmRow">
			<div class="joomcrmField"><?php echo ucwords(Text::_('COM_JOOMCRM_EDIT_OWNER')); ?>:</div>
			<div class="joomcrmValue">
				<div class='dropdown' id="person_owner" data-item="people" data-field="owner_id" data-item-id="<?php echo $person['id']; ?>">
					<a href="#" class='dropdown-toggle update-toggle-html' role='button' data-bs-toggle='dropdown' id='person_owner_link'><span id="owner_first_name_<?php echo $person['id']; ?>"><?php echo $person['owner_first_name']." ".$person['owner_last_name']; ?></span></a>
					<ul class="dropdown-menu float-end" role="menu">
						<?php
						$me = array(array('label'=>Text::_('COM_JOOMCRM_ME'),'value'=>JoomcrmHelperUsers::getLoggedInUser()->id));
						$users = JoomcrmHelperUsers::getUsers(null,TRUE);
						$users = array_merge($me,$users);
						if ( count($users) ){ foreach ( $users as $key => $user ){ ?>
							<li>
								<a href="javascript:void(0);" class="dropdown_item dropdown-item" data-field="owner_id" data-item="person" data-item-id="<?php echo $person['id']; ?>" data-value="<?php echo $user['value']; ?>">
									<?php echo $user['label']; ?>
								</a>
							</li>
						<?php }} ?>
					</ul>
				</div>
			</div>
			<div class="clear"></div>
		</div>
	</div>

	<div class="col-md-4 mb-2">
		<div class="card text-center mb-4">
			<div class="card-header">
				<h6 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_DEALS')); ?></h6>
			</div>
			<div class="card-body">
				<h2 class="m-0 amount"><?php echo JoomcrmHelperUsers::formatAmount($person['won_deal_amount']); ?></h2>
			</div>
		</div>
		<div class="joomcrmRow top">
			<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_POSITION'); ?>:</div>
			<div class="joomcrmValue">
					<span class="editable parent" id="editable_position_container">
						<div class="inline" id="editable_position">
						<?php $data_title = (array_key_exists('position', $person) && $person['position'] != "") ? $person['position'] : ucwords(Text::_('COM_JOOMCRM_CLICK_TO_EDIT')); ?>
							<a href="javascript:void(0);" rel="popover" data-title="<?php echo Text::_('COM_JOOMCRM_POSITION'); ?>" data-html='true' data-bs-content='<form class="input-append inline-form" id="position_form">
								<input type="text" class="input-small" name="position" value="<?php if(array_key_exists('position', $person)): echo $person['position']; endif; ?>" />
								<a href="#" class="btn" onclick="saveEditableModal(this);"><?php echo Text::_('COM_JOOMCRM_SAVE'); ?></a>
							</form></div>' ><span id="position_<?php echo $person['id']; ?>"><?php echo $data_title; ?></span></a>

						</div>
					</span>
			</div>
			<div class="clear"></div>
		</div>
		<div class="joomcrmRow">
			<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_TYPE'); ?>:</div>
			<div class="joomcrmValue">
				<?php $person_type = (array_key_exists('type', $person) && $person['type'] != "") ? $person['type'] : Text::_('COM_JOOMCRM_NOT_SET'); ?>
				<div class="dropdown" data-item="people" data-field="type" data-item-id="<?php echo $person['id']; ?>" id="person_type">
					<a href="#" class='dropdown-toggle' data-bs-toggle="dropdown"  id="type_<?php echo $person['id']; ?>"><?php echo ucwords($person_type); ?></a>
					<ul class="dropdown-menu float-end">
						<?php
						$types = JoomcrmHelperPeople::getPeopleTypes(false);
						if (count($types))
						{
							foreach ($types as $key => $type)
							{
								echo '<li><a href="javascript:void(0);" class="dropdown_item dropdown-item" data-value="' . $key . '">' . ucwords($type) . '</a></li>';
							}
						}
						?>
					</ul>
				</div>
			</div>
			<div class="clear"></div>
		</div>
	</div>

	<div class="col-md-4 mb-2">
		<div class="card text-center mb-4">
			<div class="card-header">
				<h6 class="m-0">
					<?php echo Text::_('COM_JOOMCRM_PERSON_CONTACTED'); ?>
				</h6>
			</div>
			<div class="card-body">
				<h2 class="m-0"><?php echo JoomcrmHelperDate::formatDate($person['modified']) ?></h2>
			</div>
		</div>
		<div class="joomcrmRow top">
			<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_STATUS'); ?>:</div>
			<div class="joomcrmValue">
				<?php $person['status_name'] = ($person['status_name'] == '') ? Text::_('COM_JOOMCRM_NO_STATUS') : $person['status_name']; ?>
				<div class="dropdown" data-item="people" data-field="status_id" data-item-id="<?php echo $person['id']; ?>" id="person_status_<?php echo $person['id']; ?>">
					<a href="#" class="dropdown-toggle" data-bs-toggle="dropdown" id="status_name_<?php echo $person['id']; ?>_link"><span class="status-dot person-status-color me-2" style="background-color:#<?php echo $person['status_color']; ?>"></span><?php echo $person['status_name']; ?></a>
					<ul class="dropdown-menu float-end">
						<li>
							<a href="javascript:void(0)" class="status_select dropdown_item dropdown-item" data-value="0">
								<span class="status-dot person-status-none"></span><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_NONE') ?>
							</a>
						</li>
						<?php $statuses = JoomcrmHelperPeople::getStatusList();
						if (count($statuses))
						{
							foreach ($statuses as $key => $status)
							{
								echo '<li><a href="javascript:void(0)" class="status_select dropdown_item dropdown-item" data-value="' . $status['id'] . '"><span class="status-dot person-status-color me-2" style="background-color:#' . $status['color'] . '"></span>' . $status['name'] . '</a></li>';
							}
						} ?>
					</ul>
				</div>
			</div>
			<div class="clear"></div>
		</div>
		<div class="joomcrmRow">
			<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_SOURCE'); ?>:</div>
			<div class="joomcrmValue">
				<?php $person['source_name'] = ($person['source_name'] == '') ? Text::_('COM_JOOMCRM_NO_SOURCE') : $person['source_name']; ?>
				<div class="dropdown" data-item="people" data-field="source_id" data-item-id="<?php echo $person['id']; ?>" id="person_source_<?php echo $person['id']; ?>">
					<a href="#" class="dropdown-toggle" data-bs-toggle="dropdown" id="person_source_<?php echo $person['id']; ?>_link"><?php echo $person['source_name']; ?></a>
					<ul class="dropdown-menu float-end">
						<?php $sources = JoomcrmHelperDeal::getSources();
						if (count($sources))
						{
							foreach ($sources as $id => $name)
							{
								echo '<li><a href="javascript:void(0)" class="source_select dropdown_item dropdown-item" data-value="' . $id . '">' . $name . '</a></li>';
							}
						} ?>
					</ul>
				</div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
</div>
<div class="jcrm_custom_fields mb-3">
	<?php $current->custom_fields_view->display(); ?>
</div>
