<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

$current = $displayData['current'];
$person = $current->people[0];

?>
<div class="page-header  mb-3 d-flex justify-content-between align-items-center">
    <h1 class="mb-0 me-auto">
        <span id="first_name_<?php echo $person['id']; ?>"><?php echo $person['first_name']; ?></span>
        <span id="last_name_<?php echo $person['id']; ?>"><?php echo $person['last_name']; ?></span>
    </h1>
		<div class="dropdown btn-group mb-0">
            <button class="btn btn-light btn-sm bg-light border"  data-izimodal-open="#crmmodalPersonEdit" data-izimodal-transitionin="fadeInDown">
                <i class="fas fa-edit"></i> <?php echo ucwords(Text::_("COM_JOOMCRM_EDIT_BUTTON")); ?>
            </button>
			<button class="btn btn-sm btn-light bg-light border dropdown-toggle" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></button>
			<ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                <li>
                    <a class="dropdown-item text-success" onclick="addDeal('person_id=<?php echo $person['id']; ?>')">
                        <i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ASSOCIATE_TO_DEAL'); ?>
                    </a>
                </li>
                <div class="dropdown-divider"></div>
                <?php if ($person['owner_id'] == JoomcrmHelperUsers::getUserId()) : ?>
                <li>
                    <a class="dropdown-item" onclick="shareItemDialog();">
                        <i class="fas fa-share text-muted"></i> <?php echo Text::_('COM_JOOMCRM_SHARE'); ?>
                    </a>
                </li>
                <?php endif; ?>



                <li>
				<a class="dropdown-item" onclick="printItems(this)">
                    <i class="fas fa-print text-muted"></i> <?php echo Text::_('COM_JOOMCRM_PRINT'); ?>
                </a>
                    <form class="print_form m-0 p-0" method="POST" target="_blank" action="<?php echo Route::_('index.php?option=com_joomcrm&view=print'); ?>">
                        <input type="hidden" name="item_id" value="<?php echo $person['id']; ?>"/>
                        <input type="hidden" name="layout" value="person"/>
                        <input type="hidden" name="model" value="people"/>
                    </form>
                </li>

                <li>
                    <a class="dropdown-item" onclick="exportVcard()">
                        <i class="fas fa-address-card text-muted"></i> <?php echo Text::_('COM_JOOMCRM_VCARD'); ?>
                    </a>
                </li>

				<form id="vcard_form"  class="m-0 p-0" action="" method="POST">
					<input type="hidden" name="person_id" value="<?php echo $person['id']; ?>"/>
				</form>
                <div class="dropdown-divider"></div>
				<?php if (JoomcrmHelperUsers::canDelete() || $person['owner_id'] == JoomcrmHelperUsers::getUserId()) : ?>
                <li>
                    <a class="dropdown-item text-danger" onclick="deleteItem(this)">
                        <i class="fas fa-trash"></i> <?php echo Text::_('COM_JOOMCRM_DELETE_CONTACT'); ?>
                    </a>
                </li>
                    <form class="m-0 p-0" id="delete_form" method="POST" action="<?php echo Route::_('index.php?option=com_joomcrm&task=main.trash'); ?>">
                        <input type="hidden" name="item_id" value="<?php echo $person['id']; ?>"/>
                        <input type="hidden" name="item_type" value="people"/>
                        <input type="hidden" name="page_redirect" value="people"/>
                    </form>
				<?php endif; ?>
			</ul>

		</div>
</div>
