<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
$current = $displayData['current'];
$person = $current->people[0];

// get person details layout
$details = LayoutHelper::render('person.details',['current' => $current]);

?>
<?php echo $details ?>
<div class="card mb-3">
	<div class="card-header">
		<h4 class="m-0"><?php echo Text::_('COM_JOOMCRM_EDIT_NOTES'); ?></h4>
	</div>
	<div class="card-body">
		<?php echo $person['notes']->display(); ?>
	</div>
</div>

<div class="card mb-3">
	<div class="card-header">
		<h4 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_EDIT_DEALS')); ?></h4>
	</div>
	<div class="card-body">
		<?php $current->deal_dock->display(); ?>
	</div>
</div>

<div class="card mb-3" id='event_dock'>
	<div class="card-header">
		<h4 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_TASKS_AND_EVENTS')); ?></h4>
	</div>
	<?php $current->event_dock->display(); ?>
</div>

<?php echo LayoutHelper::render('documents.dockcard',['current' => $current]) ?>

<div class="card mb-3">
	<div class="card-header">
		<h4 class="m-0">
			<?php echo Text::_('COM_JOOMCRM_LATEST_ACTIVITIES'); ?>
		</h4>
	</div>
	<div class="card-body">
		<?php echo $current->latest_activities->display(); ?>
	</div>
</div>

<?php if (\Joomcrm\Mailing\Mailing::isEnabled('person')){ ?>
	<div class="card mb-3" id='mailing'>
		<div class="card-header"><h4 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_MAILING_HEADER')); ?></h4></div>
		<div class="card-body">
			<?php $current->mailing_dock->person = $person; ?>
			<?php $current->mailing_dock->display(); ?>
		</div>
	</div>
<?php } ?>
