<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;

// to save last opened tab in cookie


$current = $displayData['current'];
$person = $current->people[0];

// get person details layout
$details = LayoutHelper::render('person.details',['current' => $current]);

?>

<?php echo HTMLHelper::_('uitab.startTabSet', 'personTab', ['active' => 'personDetails']); ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'personTab', 'personDetails', '<i class="fas fa-info"></i> '.Text::_('COM_JOOMCRM_DETAILS')); ?>
		<div class="mt-4">
			<?php echo $details ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'personTab', 'personNotes', '<i class="far fa-clipboard"></i> '.Text::_('COM_JOOMCRM_EDIT_NOTES')); ?>
		<div class="mt-4">
			<?php echo $person['notes']->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'personTab', 'personDeals', '<i class="far fa-handshake"></i> '.Text::_('COM_JOOMCRM_EDIT_DEALS')); ?>
		<div class="mt-4">
			<?php $current->deal_dock->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'personTab', 'personTasks', '<i class="far fa-calendar-check"></i> '.Text::_('COM_JOOMCRM_TASKS_AND_EVENTS')); ?>
		<div class="mt-4">			<?php $current->event_dock->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

    <?php echo LayoutHelper::render('documents.docktab',['current' => $current,'tabindex' => 'person']) ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'personTab', 'personActivities', '<i class="fas fa-history"></i> '.Text::_('COM_JOOMCRM_LATEST_ACTIVITIES')); ?>
		<div class="mt-4">
			<?php echo $current->latest_activities->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

	<?php if (\Joomcrm\Mailing\Mailing::isEnabled('person')){ ?>
	<?php echo \Joomla\CMS\HTML\HTMLHelper::_('uitab.addTab', 'personTab', 'personMailinglist', '<i class="far fa-envelope"></i> '.\Joomla\CMS\Language\Text::_('COM_JOOMCRM_MAILING_HEADER')); ?>
		<div class="mt-4">
			<?php $current->mailing_dock->person = $person; ?>
			<?php $current->mailing_dock->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>
	<?php } ?>


<?php echo HTMLHelper::_('uitab.endTabSet'); ?>
