<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;

$title = $displayData['title'];
$hasActions = isset($displayData['hasActions']) ? $displayData['hasActions'] : false;
$isDashboard = $title == 'COM_JOOMCRM_SALES_DASHBOARD' ? true : false;
$isCustomReport = $title == 'COM_JOOMCRM_CUSTOM_REPORTS' ? true : false;

 ?>
<div class="page-header mb-4">
	<?php echo LayoutHelper::render('reports.selectReportType',
		[
			'isDashboard' => $isDashboard
		]
	); ?>
	<?php if($hasActions): ?>
		<div class="btn-group float-end me-2" role="group">
			<button type="button" onclick="printItems(this);" class="btn btn-sm btn-light">
				<i class="fas fa-print"></i> <?php echo Text::_('COM_JOOMCRM_PRINT'); ?>
			</button>
			<?php if (JoomcrmHelperUsers::canExport()):?>
			<button type="button" onclick="exportCsv();" class="btn btn-sm btn-light">
				<i class="fas fa-file-export"></i> <?php echo Text::_('COM_JOOMCRM_EXPORT_CSV'); ?>
			</button>
			<?php endif; ?>
		</div>
	<?php endif; ?>
	<?php if($isCustomReport): ?>
		<a
			class="btn btn-sm btn-success float-end me-2"
			href="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=edit_custom_report'); ?>"
		>
			<i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_CUSTOM_FIELDS_REPORT') ?>
		</a>
	<?php endif; ?>

	<h1><?php echo ucwords(Text::_($title)); ?></h1>
</div>
