<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
$isDashboard = $displayData['isDashboard'];

?>
<div class="dropdown float-end">
	<button class="btn btn-light btn-sm btn-secondary dropdown-toggle" type="button" id="selectReportType" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
		<i class="fas fa-table"></i> <?php echo Text::_('COM_JOOMCRM_SELECT_REPORT_TYPE') ?>
	</button>
	<div class="dropdown-menu <?php echo !$isDashboard ? 'pb-0' : '' ?>" aria-labelledby="selectReportType">
		<a
			class="dropdown-item"
			href="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=sales_pipeline') ?>">
			<?php echo ucwords(Text::_('COM_JOOMCRM_SALES_PIPELINE')) ?>
		</a>
		<a
			class="dropdown-item"
			href="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=source_report') ?>">
			<?php echo ucwords(Text::_('COM_JOOMCRM_SOURCE_REPORT')) ?>
		</a>
		<a
			class="dropdown-item"
			href="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=roi_report') ?>">
			<?php echo ucwords(Text::_('COM_JOOMCRM_ROI_REPORT')) ?>
		</a>
		<a
			class="dropdown-item"
			href="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=deal_milestones') ?>">
			<?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_MILESTONES')) ?>
		</a>
		<a
			class="dropdown-item"
			href="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=notes') ?>">
			<?php echo ucwords(Text::_('COM_JOOMCRM_NOTES_REPORT')) ?>
		</a>
		<a
			class="dropdown-item"
			href="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=custom_reports') ?>">
			<?php echo ucwords(Text::_('COM_JOOMCRM_CUSTOM_REPORTS')) ?>
		</a>
		<?php if(!$isDashboard): ?>
		<a
			class="dropdown-item bg-dark mt-2 text-white"
			href="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=default') ?>">
			<i class="fas fa-chevron-circle-left"></i> <?php echo ucwords(Text::_('COM_JOOMCRM_BACK_TO_DASHBOARD')) ?>
		</a>
		<?php endif; ?>
	</div>
</div>

