<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Component\ComponentHelper;

extract($displayData);

$config = ComponentHelper::getParams('com_joomcrm');

?>

<div id="company_goals" class="goal_list">
    <?php
    if (count($goals->company_goals) > 0) {
        foreach ($goals->company_goals as $goal) {
            ?>
            <div id="goal_<?php echo $goal['id']; ?>" class="goal_info">
                <div class="goal_info_name">
                    <?php if (JoomcrmHelperUsers::isAdmin()) { ?>
                    <a href="<?php echo Route::_('index.php?option=com_joomcrm&view=goals&layout=edit&id=' . $goal['id']); ?>">
                        <?php } ?>
                        <?php echo $goal['name']; ?>
                        <?php if (JoomcrmHelperUsers::isAdmin()) { ?>
                    </a>
                <?php } ?>
                </div>
                <div class="goal_info_due_date"><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_BY'); ?> <?php echo JoomcrmHelperDate::formatDate($goal['end_date']); ?></div>
                <div class="goal_info_progress">
                    <?php $bgcolor = $goal['amount'] > 0 ? JoomcrmHelperJoomcrm::percent2Color($goal['goal_info'] / $goal['amount'] * 100) : JoomcrmHelperJoomcrm::percent2Color(0); ?>
                    <div class="goal_info_progress_total"
                         style="background-color:#<?php echo $bgcolor; ?>;width:
                         <?php echo number_format($goal['goal_info'] > 0 ? $goal['goal_info'] / $goal['amount'] * 100 : 0); ?>%;">

                    </div>
                </div>
                <div class="goal_info_out_of">
                    <?php
                    if ($goal['goal_type'] == 'win_cash') {
                        echo JoomcrmHelperUsers::formatAmount((int)$goal['goal_info'])  ?> <?php echo \Joomla\CMS\Language\Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php JoomcrmHelperUsers::formatAmount((int)$goal['amount']) . " " . \Joomla\CMS\Language\Text::_('COM_JOOMCRM_WON');
                    }
                    if ($goal['goal_type'] == 'win_deals') {
                        echo (int)$goal['goal_info'] ?> <?php echo \Joomla\CMS\Language\Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo $goal['amount'] . " " . \Joomla\CMS\Language\Text::_('COM_JOOMCRM_DEALS_WON');
                    }
                    if ($goal['goal_type'] == 'move_deals') {
                        echo (int)$goal['goal_info'] ?> <?php echo \Joomla\CMS\Language\Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo $goal['amount'] . " " . \Joomla\CMS\Language\Text::_('COM_JOOMCRM_DEALS_MOVED');
                    }
                    if ($goal['goal_type'] == 'complete_tasks') {
                        echo (int)$goal['goal_info'] ?> <?php echo \Joomla\CMS\Language\Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo $goal['amount'] . " " . \Joomla\CMS\Language\Text::_('COM_JOOMCRM_TASKS_COMPLETED');
                    }
                    if ($goal['goal_type'] == 'write_notes') {
                        echo (int)$goal['goal_info'] ?> <?php echo \Joomla\CMS\Language\Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo $goal['amount'] . " " . \Joomla\CMS\Language\Text::_('COM_JOOMCRM_NOTES_WRITTEN_MESSAGE');
                    }
                    if ($goal['goal_type'] == 'create_deals') {
                        echo (int)$goal['goal_info'] ?> <?php echo \Joomla\CMS\Language\Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo $goal['amount'] . " " . \Joomla\CMS\Language\Text::_('COM_JOOMCRM_DEALS_CREATED_MESSAGE');
                    }
                    ?>
                </div>
                <div class="goal_info_progress_percentage">
                    <?php echo number_format($goal['amount'] == 0 ? 0 : $goal['goal_info'] / $goal['amount'] * 100); ?>% <?php echo \Joomla\CMS\Language\Text::_("COM_JOOMCRM_COMPLETED"); ?>
                </div>
            </div>
            <?php
        }
    }
    ?>
</div>