<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Layout\LayoutHelper;

extract($displayData);

/*
 * $name: widget name
 * $id: widget container id
 * $class: widget container class
 * $headerTitle: title of widhet header
 * $extraLayout: path of layout to load after title in header
 * $data: some additional data
 */

$data = isset($data) ? $data : [];

?>

<div class="<?php echo $class ?> card" id="<?php echo $id ?>">

	<?php echo LayoutHelper::render('widgets.layouts.card.header',
        [
                'title' => $headerTitle,
                'extraLayout' => isset($extraLayout) ? $extraLayout : '',
                'data' => $data
        ]
    ) ?>

    <div class="card-body p-0">
        <?php echo LayoutHelper::render('widgets.'.$name.'.body',$data); ?>
    </div>

</div>
