<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Component\ComponentHelper;

extract($displayData);

/*
 * $title: title of widget to display
 * $extraLayout: load an extra layout after title
 * $data: additional data for layouts
 */

$config      = ComponentHelper::getParams('com_joomcrm');
$theme = $config->get('header_theme', 'dark');

// map classes based on theme
$classesMap = [
        'dark' => ['container' => 'bg-dark text-white', 'title' => 'text-white border-grey', 'minifyButton' => 'text-muted', 'extraLayout' => 'text-white'],
        'light' => ['container' => 'bg-light text-dark', 'title' => 'text-dark', 'minifyButton' => 'text-muted', 'extraLayout' => 'text-dark'],
        'primary' => ['container' => 'bg-primary', 'title' => 'text-white border-primary-2', 'minifyButton' => 'text-white', 'extraLayout' => 'text-white'],
];

// additional data for extra layout
$data = isset($data) ? $data : [];


?>

<div class="card-header p-0 d-flex <?php echo $classesMap[$theme]['container'] ?>">
    <a class="minify p-2 text-center d-inline-block align-self-center <?php echo $classesMap[$theme]['minifyButton'] ?>"><i class="fas fa-caret-down"></i></a>
    <h5 class="<?php echo $classesMap[$theme]['title'] ?> m-0 p-2 border-left d-inline-block me-auto align-self-center">
		<span><?php echo Text::_($title); ?></span>
    </h5>
    <?php if(isset($extraLayout) && ! empty($extraLayout)): ?>
    <div class="d-inline-block p-2 text-center align-self-center <?php echo $classesMap[$theme]['extraLayout'] ?>">
        <?php echo LayoutHelper::render($extraLayout,$data) ?>
    </div>
    <?php endif; ?>
</div>
