/**
 * Globals
 */

var convoid = null;
var noteid = null;

jQuery(document).ready(function ($) {

    if (typeof company_names != 'undefined') {
        jQuery("input[name=company]").autocomplete({
            source: function (request, response) {
                var results = jQuery.ui.autocomplete.filter(company_names, request.term);
                response(results.slice(0, 10));
            },
            select: function (event, ui) {
                jQuery("#company_name").val(ui.item.label);
                jQuery("#company_id").val(ui.item.value);
                jQuery("#company_message").html('');
                return false;
            },
            search: function () {

            },
            open: function () {
                jQuery(this).autocomplete('widget').css('z-index', 100);
                return false;
            }
        });
    }

    if (typeof people_names != 'undefined') {
        jQuery("input[name=primary_contact_name]").autocomplete({
            source: function (request, response) {
                var results = jQuery.ui.autocomplete.filter(people_names, request.term);
                response(results.slice(0, 10));
            },
            select: function (event, ui) {
                jQuery("#primary_contact_name").val(ui.item.label);
                jQuery("#primary_contact_id").val(ui.item.value);
                jQuery("#person_message").html('');
                return false;
            },
            search: function () {

            },
            open: function () {
                jQuery(this).autocomplete('widget').css('z-index', 100);
                return false;
            }
        });
    }

    $('.date_input').datepicker({
        format: userDateFormat
    }).on('changeDate', function (ev) {
            
            var input = $(this);
            formName = input.attr('id') + '_form';
            jQuery('#'+input.attr('id') + '_hidden').val(ev.date.getUTCFullYear()+'-'+(ev.date.getUTCMonth() + 1)+'-'+ev.date.getUTCDate());

            deal_update(formName);
        });

    // Bind summary area
    jQuery("#editable_summary").bind('click', function () {
        jQuery("#editable_summary").hide();
        jQuery("#editable_summary_area").show();
    });


    /*
     * bind actions to actions dropdown menu items
     */
    jQuery("#archive").bind('click', function () {



        // Form data string
        archived = (archived == 0) ? 1 : 0;
        var dataString = "id=" + deal_id + "&archived=" + archived;

        // Make ajax
        jQuery.ajax({

            type: "POST",
            url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&model=deal&task=main.save&format=raw&tmpl=component',
            data: dataString,
            dataType: 'json',
            success: function (data) {
                // Display results
                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));

                if (archived)
                    jQuery("#archive").html("Unarchive")
                if (!archived)
                    jQuery("#archive").html("Archive")
                actions();
            }

        });

    });

});

// Main function to make all ajax calls
// Pass this the FORM name you want submitted
function deal_update(loc) {



    if (typeof id !== 'undefined') {

        // Generate data string for ajax call
        var dataString = '';
        var $form = jQuery('form[name=' + loc + '] :input');
        $form.each(function () {
            dataString += "&" + this.name + "=" + jQuery(this).val();
        });

        // Make ajax call
        jQuery.ajax({
            type: "POST",
            url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&model=deal&task=main.save&format=raw&tmpl=component',
            data: 'id=' + id + '&' + dataString,
            dataType: 'json',
            success: function (data) {

                // Determine location to update on page

                // Amount area
                if (loc == "amount") {
                    jQuery.when(jQuery("span.amount").fadeOut("slow"))
                        .then(function () {
                            jQuery("span.amount").empty().html('$' + data.amount);
                        })
                        .then(function () {
                            jQuery("span.amount").fadeIn('slow');
                        })
                        .then(function () {

                            jQuery("span.amount").bind('click', function () {

                                jQuery("span.amount").unbind();
                                jQuery.when(jQuery('span.amount').fadeOut("slow"))
                                    .then(function () {
                                        jQuery("span.amount").html('<form onsubmit="deal_update()" ><input class="inputbox" type="text" name="amount" /><input class="button" type="submit" value="' + COM_JOOMCRM_CHANGE_BUTTON + '" /></form>');
                                    })
                                    .then(function () {
                                        jQuery("span.amount").fadeIn("slow");
                                    });

                            });

                        });
                }

                // Summary area
                if (loc == "summary") {

                    var summary = jQuery("#summary textarea[name=summary]").val();

                    jQuery.when(jQuery("#summary").fadeOut('slow'))
                        .then(function () {
                            jQuery("#summary").html(nl2br(summary));
                        })
                        .then(function () {
                            jQuery("#summary").fadeIn("slow");
                        })
                        .then(function () {
                            jQuery("div.summary_edit").fadeIn("slow");
                        });

                }

                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));

            }

        });

    }

}