jQuery(document).ready(function () {

    // Bind the assignment areas
    jQuery("#assigned_id").bind('change', function () {
        updateAssignedType(jQuery(this));
    });

    // Bind date assignment and date picker areas
    jQuery("#date_picker").bind('change', function () {
        updateGoalDate(jQuery(this));
    });

    updateGoalDate(jQuery("#date_picker"));
    updateAssignedType(jQuery("#assigned_id"));

    jQuery('.delete_goals').click(function(e) {
        e.preventDefault();
        jQuery('#goal_delete').modal({
            remote: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=goals&layout=delete&format=raw&tmpl=component&goal_type='+jQuery(this).attr('data-type')
        }).on('hidden', function () {
            jQuery(this).removeData('modal');
        });
    });

});


// Change the type of assignment we are taking to hidden fields
function updateAssignedType(ele) {

    // Get element value
    var value = jQuery(ele).val();
    var assigned_id = null;
    var assigned_type = null;

    if(typeof value != 'undefined')
    {
        // Assign member data
        if (value.indexOf('member_') != -1) {
            assigned_id = value.replace('member_', '');
            assigned_type = 'member';
        }
        // Assign company data
        if (value.indexOf('company_') != -1) {
            assigned_id = value.replace('company_', '');
            assigned_type = 'company';
        }
        // Assign team data
        if (value.indexOf('team_') != -1) {
            assigned_id = value.replace('team_', '');
            assigned_type = 'team';
        }
    
        // Update hidden fields
        jQuery("input[name=assigned_id]").val(assigned_id);
        jQuery("input[name=assigned_type]").val(assigned_type);
    
    }

}

// Change the start and end date for goals
function updateGoalDate(ele) {

    var val = jQuery(ele).val();
    var current_date = new Date();
    var start_date = null;
    var end_date = null;

    switch (val) {

        case "this_week":

            var today = current_date.getDay();
            var days_to_add = 7 - today;
            var days_to_remove = 0 + today;

            // Beginning
            current_date.setDate(current_date.getDate() - days_to_remove);
            var beginning_of_week = current_date.getDate();
            var start_date = jQuery.datepicker.formatDate("yy-m-d 00:00:00", current_date);

            // End
            current_date.setDate(current_date.getDate() + days_to_add + days_to_remove);
            var end_of_week = current_date.getDate();
            var end_date = jQuery.datepicker.formatDate("yy-m-d 00:00:00", current_date);

            break;

        case "next_week":


            var today = current_date.getDay();
            var days_to_add = ( 7 - today );
            var days_to_remove = ( 0 + today );

            current_date.setDate(current_date.getDate() - days_to_remove + 7);
            var beginning_of_week = current_date.getDate();
            current_date.setDate(current_date.getDate() + days_to_add + days_to_remove);
            var end_of_week = current_date.getDate();

            var this_month = ( current_date.getMonth() == 11 ) ? 1 : current_date.getMonth() + 1;

            var start_date = current_date.getFullYear() + "-" + (  this_month ) + "-" + ( beginning_of_week ) + " 00:00:00";
            var end_date = current_date.getFullYear() + "-" + (  this_month ) + "-" + ( end_of_week ) + " 00:00:00";


            break;

        case "this_month":

            var this_month = ( current_date.getMonth() == 11 ) ? 1 : current_date.getMonth() + 1;
            var next_month = ( this_month == 12 ) ? 1 : this_month + 1;
            start_date = current_date.getFullYear() + "-" + this_month + "-00 00:00:00";
            end_date = current_date.getFullYear() + "-" + next_month + "-00 23:59:59";

            break;

        case "next_month":

            var this_month = ( current_date.getMonth() == 11 ) ? 1 : current_date.getMonth() + 1;
            var next_month = ( this_month == 12 ) ? 1 : this_month + 1;
            var next_next_month = ( next_month == 12 ) ? 1 : next_month + 1;
            start_date = current_date.getFullYear() + "-" + next_month + "-00 00:00:00";
            end_date = current_date.getFullYear() + "-" + next_next_month + "-00 23:59:59";

            break;

        case "this_quarter":

            var quarter = Math.floor((current_date.getMonth() / 3));


            var firstDate = new Date(current_date.getFullYear(), quarter * 3, 1);
            var start_month = ( firstDate.getMonth() == 11 ) ? 1 : firstDate.getMonth() + 1;
            start_date = firstDate.getFullYear() + "-" + start_month + "-" + firstDate.getDate() + " 00:00:00";

            var secondDate = new Date(current_date.getFullYear(), quarter * 3 + 3, 0);
            var end_month = ( secondDate.getMonth() == 11 ) ? 1 : secondDate.getMonth() + 1;
            end_date = secondDate.getFullYear() + "-" + end_month + "-" + secondDate.getDate() + " 23:59:59";

            break;

        case "next_quarter":

            var quarter = Math.floor((current_date.getMonth() / 3));
            var this_month = ( current_date.getMonth() == 11 ) ? 1 : current_date.getMonth() + 1;

            var firstDate = new Date(current_date.getFullYear(), quarter * 3 + 3, 1);
            var start_month = ( firstDate.getMonth() == 11 ) ? 1 : firstDate.getMonth() + 1;
            start_date = firstDate.getFullYear() + "-" + start_month + "-" + firstDate.getDate() + " 00:00:00";

            var secondDate = new Date(current_date.getFullYear(), quarter * 3 + 6, 0);
            var end_month = ( secondDate.getMonth() == 11 ) ? 12 : secondDate.getMonth() + 1;
            end_date = secondDate.getFullYear() + "-" + end_month + "-" + secondDate.getDate() + " 23:59:59";

            break;


        case "this_year":

            start_date = current_date.getFullYear() + "-00-00 00:00:00";
            end_date = ( current_date.getFullYear() + 1 ) + "-00-00 23:59:59";

            break;

    }

    if (val == 'custom') {

        jQuery.when(jQuery("#date_selection_area").append(jQuery("#date_selection_area_template")))
            .then(function () {
                jQuery("#date_selection_area_template").show();
                jQuery("#start_date").addClass('required');
                jQuery("#end_date").addClass('required');
            })
            .then(function () {
                jQuery("#date_selection_area").slideDown('fast');
            })

    } else {

        jQuery("#date_selection_area").slideUp('fast');
        jQuery("#start_date").removeClass('required');
        jQuery("#end_date").removeClass('required');
        jQuery("#start_date_hidden").val(start_date);
        jQuery("#end_date_hidden").val(end_date);

    }

}

// Filter through goals by individual ids
function changeIndividual(element, id) {



    element = jQuery(element);
    var wrapper = element.closest('.dropdown');
    var handle = wrapper.find('.dropdown-toggle');

    // Make ajax call
    jQuery.ajax({
        type: 'post',
        url: Joomla.getOptions('system.paths').rootFull +'index.php?option=com_joomcrm&task=ajax.getIndividualGoals&format=raw&tmpl=component',
        data: 'id=' + id,
        dataType: 'html',
        success: function (data) {
            handle.text(element.text());
            jQuery.when(jQuery("#individual_goals").empty())
                .then(function () {
                    jQuery("#individual_goals").html(data);
                });
        }
    });
}

// Filter through goals by team ids
function changeTeam(element, id) {



    element = jQuery(element);
    var wrapper = element.closest('.dropdown');
    var handle = wrapper.find('.dropdown-toggle');

    // Make ajax call
    jQuery.ajax({
        type: 'post',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.getTeamGoals&format=raw&tmpl=component',
        data: 'id=' + id,
        dataType: 'html',
        success: function (data) {
            handle.text(element.text());
            jQuery.when(jQuery("#team_goals").empty())
                .then(function () {
                    jQuery("#team_goals").html(data);
                });
        }
    });
}

// Change a leaderboard entry
function changeLeaderBoard(element, id) {



    element = jQuery(element);
    var wrapper = element.closest('.dropdown');
    var handle = wrapper.find('.dropdown-toggle');

    // Make ajax call
    jQuery.ajax({
        type: 'post',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.getLeaderBoard&format=raw&tmpl=component',
        data: 'id=' + id,
        dataType: 'html',
        success: function (data) {
            handle.text(element.text());
            jQuery.when(jQuery("#leaderboards").empty())
                .then(function () {
                    jQuery("#leaderboards").html(data);
                });
        }
    });
}

// Delete individual goal entries
function deleteGoalEntry(area) {



    // Confirm our delete
    // If delete confirmed
    var confirmDelete = confirm(Joomla.JText._('COM_JOOMCRM_DELETE_GOALS'));
    // If delete confirmed
    if (confirmDelete) {
        // Get goal id to delete
        var goal = jQuery(area).parentsUntil('tr').parent('tr');
        var goal_id = jQuery(goal).attr('id');
        // Make ajax call
        jQuery.ajax({
            url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=goals.deleteGoalEntry&format=raw&tmpl=component',
            type: 'post',
            data: 'goal_id=' + goal_id,
            dataType: 'json',
            success: function (data) {
                if (data.error == 0) {
                    // Display success
                    modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));
                    // Get goal area to fade out
                    jQuery(goal).fadeOut('fast');
                    jQuery("#goal_" + goal_id).fadeOut("fast");
                }
            }
        });
    }
}
