var geocoder = new google.maps.Geocoder();
var latlng = null;
var map = null;

jQuery(document).ready(function () {
    /** clean any forms on the page **/
        // CleanPageForms();

        // Reset type=date inputs to text
    jQuery(document).bind("mobileinit", function () {
        jQuery.mobile.page.prototype.options.degradeInputs.date = true;
    });

    // event triggered when page is changed
    jQuery(document).delegate('.ui-page', 'pageshow', function () {
        initializeMap();
    });

    jQuery.datepicker.setDefaults({
        onSelect: function (event, ui) {
            jQuery(ui.settings.altField + '_hidden').val(ui.selectedYear + "-" + ("0" + (ui.selectedMonth + 1)).slice(-2) + "-" + ("0" + (ui.selectedDay)).slice(-2));
        }
    });

    initializeMap();

});

function initializeMap()
{
    if (jQuery('#map_canvas').length) {
        geocoder.geocode({ 'address': jQuery('#to').val()}, function (results, status) {
            if (status == google.maps.GeocoderStatus.OK) {
                var lat = results[0].geometry.location.lat();
                var lng = results[0].geometry.location.lng();
                var gps = lat + ',' + lng;
                jQuery('#map_canvas').gmap({'center': gps, 'zoom': 13, 'callback':function() {
                    this.addMarker( { /*id:'m_1',*/ 'position': gps} );                                                                                                                                                                                                           
                }});
            }
        });

        // get current position and prefill FROM field
        if ( navigator.geolocation ) {
            function success(pos) {
                var gps = pos.coords.latitude + ', ' + pos.coords.longitude;
                if (jQuery('#from').val() == '') {
                    jQuery('#from').val(gps);
                }
            }
            function fail(error) {}
            // Find the users current position.  Cache the location for 5 minutes, timeout after 6 seconds
            navigator.geolocation.getCurrentPosition(success, fail, {maximumAge: 500000, enableHighAccuracy:true, timeout: 6000});
        }

        jQuery('#submit').click(function () {
            jQuery('#map_canvas').gmap('displayDirections', {
                'origin': jQuery('#from').val(),
                'destination': jQuery('#to').val(),
                'travelMode': google.maps.DirectionsTravelMode.DRIVING
            }, { 'panel': document.getElementById('directions')}, function (response, status) {
                ( status === 'OK' ) ? jQuery('#results').show() : jQuery('#results').hide();
            });
            return false;
        });
    }
}

function cleanPageForms() {
    /*
     jQuery("form :input").each(function(){
     if ( jQuery(this)attr('type') != "hidden" ){
     jQuery(this).val('');
     }
     });
     */
}

// Add note Entries
function addTaskEntry() {

    if (loc == "events") {
        jQuery('#task_edit').submit();
        return;
    }

    // Generate data string for ajax call
    var dataString = '';

    var form = jQuery('#task_edit :input');
    jQuery(form).each(function () {
        dataString += "&" + this.name + "=" + jQuery(this).val();
    });

    // Determine which page we are adding a note from
    if (loc == "company") {
        dataString += "&association_id=" + company_id;
        dataString += "&association_type=company";
    }
    if (loc == "deal") {
        dataString += "&association_id=" + deal_id;
        dataString += "&association_type=deal";

    }
    if (loc == "person") {
        dataString += "&association_id=" + person_id;
        dataString += "&association_type=person";

    }

    dataString += "&model=event";

    var due = jQuery('#due_date_hidden').val();
    var t = due.split(/[-]/);

    // Apply each element to the Date function
    var due_date = new Date(t[0], t[1] - 1, t[2]);

    // Make ajax call
    jQuery.ajax({
        type: "POST",
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&model=event&task=main.save&format=raw&tmpl=component',
        data: dataString,
        dataType: 'json',
        success: function (data) {


            var date = jQuery.datepicker.formatDate(userDateFormat, due_date);

            var owner = owner_first_name + " " + owner_last_name;
            var task = jQuery("input[name=name]").val();

            var html = '<li>';
            html += '<a href="' + Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&view=events&layout=event&id=' + data.id + '">'
            html += '<div class="ui-li-count"><b>' + date + '</b></div>';
            html += '<h3 class="ui-li-heading"><b>' + task + '</b></h3>';
            html += '<p class="ui-li-desc">' + owner + '</p>';
            html += '</a></li>';

            jQuery("#events").prepend(html);
            jQuery("#events").listview('refresh');
            jQuery(form).each(function () {
                jQuery(this).val('');
            });

            alert(Joomla.JText._('COM_JOOMCRM_ADDED_MESSAGE', 'Added'));

        }
    });

}

// Add note Entries
function addNoteEntry(ele) {

    // Generate data string for ajax call
    var dataString = '';
    if (!ele) {
        var form = jQuery('#note :input');
    } else {
        var form = jQuery('#' + ele + ' :input');
    }

    jQuery(form).each(function () {
        dataString += "&" + this.name + "=" + jQuery(this).val();
    });

    // Determine which page we are adding a note from
    if (loc == "company") {
        dataString += "&company_id=" + company_id;
    }
    if (loc == "deal") {
        dataString += "&deal_id=" + deal_id;
    }
    if (loc == "person") {
        dataString += "&person_id=" + person_id;
    }

    dataString += "&model=note";

    // Make ajax call
    jQuery.ajax({
        type: "POST",
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&model=note&task=main.save&format=raw&tmpl=component',
        data: dataString,
        dataType: 'json',
        success: function (data) {

            var today = new Date();
            var date = jQuery.datepicker.formatDate(userDateFormat, today);

            var owner = owner_first_name + " " + owner_last_name;
            var note = jQuery("textarea[name=note]").val();

            var html = '<li>';
            html += '<div class="ui-li-aside"><b>' + date + '</b></div>';
            html += '<h3 class="ui-li-heading"><b>' + owner + '</b></h3>';
            html += '<p class="ui-li-desc">' + note + '</p>';
            html += '</li>';

            jQuery("#notes").prepend(html);
            jQuery("#notes").listview('refresh');
            jQuery(form).each(function () {
                jQuery(this).val('');
            });

            alert(Joomla.JText._('COM_JOOMCRM_ADDED_MESSAGE', 'Added'));

        }
    });

}

/** Mark events complete **/
function markEventComplete(event_id) {

    var completed_value = jQuery("#completed").is(":checked") ? 1 : 0;
    var dataString = "event_id=" + event_id + "&completed=" + completed_value;

    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=events.markComplete&format=raw&tmpl=component',
        type: 'post',
        data: dataString,
        dataType: 'json',
        success: function (data) {
            var event_status = ( completed_value == 1 ) ? "INCOMPLETE" : "COMPLETE";
            jQuery("#completed_label .ui-btn-text").text(Joomla.JText._('COM_JOOMCRM_MARK_' + event_status));
            event_bool = completed_value == 1 ? true : false;
            jQuery("input[type='checkbox']").prop("checked", event_bool).checkboxradio("refresh");
            alert(Joomla.JText._('COM_JOOMCRM_ADDED_MESSAGE', 'Added'));

        }
    });

}

// Function to store updated information to user tables    
function save(form) {

    var valid = true;

    // Remove Default Placeholder text
    jQuery("[placeholder]").parents("form").submit(function () {
        jQuery(this).find("[placeholder]").each(function () {
            var input = jQuery(this);
            if (jQuery(input).val() == jQuery(input).attr("placeholder")) {
                jQuery(input).val("");
            }
        });
    });

    jQuery(form).find(':input').each(function () {
        var input = jQuery(this);
        if (jQuery(input).hasClass('required') && jQuery(input).val() != "") {
            if (jQuery(input).hasClass('required_highlight')) {
                jQuery(input).removeClass('required_highlight');
            }
        }
        if (jQuery(input).hasClass('required') && jQuery(input).val() == "") {
            jQuery(input).addClass('required_highlight');
            jQuery(input).focus();
            valid = false;
        }
    });

    if (valid) {
        return true;
    } else {
        return false;
    }

}