/**
 * Globals
 */
var cur_slide = null;

jQuery(document).ready(function () {

    // Bind slides
    jQuery('.profile_slide_link').each(function () {
        jQuery(this).bind('click', function () {
            displaySlide(jQuery(this).attr('id') + '_slide');
        })
    })

    // Assign cancel buttons
    jQuery('.cancel').each(function () {
        jQuery(this).bind('click', function () {
            jQuery(".cancel").parent('div').slideUp('fast');
            cur_slide = null;
        });
    });

    // Assign save buttons
    jQuery('.save').each(function () {
        jQuery(this).bind('click', function () {
            saveForm(jQuery(this));
        });
    });

    // Email check
    bindEmails();

});

function bindEmails() {
    jQuery("input[name=email\\[\\]]").keyup(function () {
        var ele = jQuery(this);
        jQuery(ele).removeClass('highlight_input');
        clearTimeout(jQuery(ele).attr('timeout'));
        jQuery(ele).attr('timeout', setTimeout(function () {
            checkEmail(jQuery(ele));
        }, 500));
    });
}

function checkEmail(ele) {



    if (jQuery(ele).val() != "") {
        var dataString = "email=" + jQuery(ele).val();
        jQuery.ajax({
            url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=ajax.checkEmailName&tmpl=component&format=raw',
            type: 'POST',
            data: dataString,
            dataType: 'JSON',
            success: function (data) {
                var save_button = jQuery(ele).parentsUntil('form').parent('form').next('.save');
                if (data.success) {
                    jQuery(ele).next('span.message').html(data.message);
                }
                if (data.email_exists == true || data.email_exists == 1) {
                    jQuery(ele).addClass('highlight_input');
                    jQuery(save_button).unbind();
                    jQuery(save_button).bind('click', function () {
                        jQuery(ele).focus();
                    });
                } else {
                    jQuery(ele).removeClass('highlight_input');
                    jQuery(save_button).unbind();
                    jQuery(save_button).bind('click', function () {
                        saveForm(jQuery(save_button));
                    });
                }
            }
        });
    } else {
        jQuery(ele).next('span.message').html('');
    }

}


// Displays slides
function displaySlide(ele) {

    if (cur_slide != null && ele != cur_slide) {
        jQuery("#" + ele).slideDown('fast');
        jQuery("#" + cur_slide).slideUp('fast');
    } else {
        jQuery("#" + ele).slideToggle('fast');
    }

    // Assign new slide
    cur_slide = ele;
}


// Save form data
function saveForm(ele) {




    console.log(ele)

    // Get the form we are submitting
    $form = jQuery(ele).parent().prev('form');
    $inputs = $form.find(':input');
    var dataString = "";

    // Construct the datastring
    $inputs.each(function () {
        if (this.type == 'checkbox') {
            if (jQuery(this).is(':checked')) {
                jQuery(this).val(1);
            } else {
                jQuery(this).val(0);
            }
        }
        dataString += this.name + "=" + jQuery(this).val() + "&";
    });
    // Assign id
    dataString += "id=" + user_id;

    // Make ajax call
    jQuery.ajax({

        type: 'post',
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=ajax.saveProfile&format=raw&tmpl=component',
        data: dataString,
        dataType: 'JSON',
        success: function (data) {
            if (data.success == false) {
                modalMessage(Joomla.JText._('COM_JOOMCRM_ERROR', 'Error'), data.message);
            } else {
                // Display success
                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));
                // Hide slide and reset the current slide
                jQuery("#" + cur_slide).slideUp('fast');
                cur_slide = null;
            }
        }

    });

}

function addEmailBox() {
    var html = '<li><div class="form-group"><label>' + Joomla.JText._('COM_JOOMCRM_EMAIL') + '</label><input class="form-control" type="text" name="email[]" value=""><span class="message form-text text-muted"></span></div></li>';
    jQuery("#email_input_boxes").append(html);
    bindEmails();
}

function addDocumentBox() {
    var html = '<li><div class="form-group"><label>' + Joomla.JText._('COM_JOOMCRM_FILENAME') + '</label><input class="form-control" type="text" name="document_bypass[]" value=""></div></li>';
    jQuery("#document_input_boxes").append(html);
    bindEmails();
}

function copyToClipboard(elem){
    /* Get the text field */
    var copyText = document.getElementById(elem);

    /* Select the text field */
    copyText.select();

    /* Copy the text inside the text field */
    document.execCommand("copy");
}