<?php
/**
 * JoomCRM
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */
defined('_JEXEC') or die;

use Joomla\Registry\Registry;
use Joomla\CMS\Factory;

class JoomcrmModelImport extends JoomcrmModel
{
	protected $db = null;
	protected $query = null;

	public function getPresets()
	{
		$this->_db->setQuery("SELECT id as value, name as text FROM #__joomcrm_import WHERE type_id = " .
			Factory::getApplication()->input->get('import_type',0,'INT') . " AND user_id = " . (int)Factory::getApplication()->getIdentity()->get('id', 0));

		return $this->_db->loadObjectList();
	}

	public function getPreset()
	{
		$this->_db->setQuery("SELECT * FROM #__joomcrm_import WHERE type_id = ".(int)Factory::getApplication()->input->get('type')." and id = " . (int)Factory::getApplication()->input->get('preset'));
		$preset = $this->_db->loadObject();

		if(!@$preset)
		{
			return NULL;
		}

		@$preset->params = new Registry(@$preset->params);

		return $preset;
	}
	public function deletePreset(){

		$db = Factory::getDbo();
		$query = $db->getQuery(true);
		$conditions = array(
			$db->quoteName('id') . ' =' .(int)Factory::getApplication()->input->get('preset')

		);

		$query->delete($db->quoteName('#__joomcrm_import'));
		$query->where($conditions);
		$db->setQuery($query);
		$db->execute();
	}


	public function getDuplicatedItem($table,$values,$type){

		// fix enconding problem
		$values = array_map("htmlentities", $values);

		// string to lower
		$values = array_map("strtolower", $values);

		// Get a db connection.
		$db = Factory::getDbo();

		$query = $db->getQuery(true);

		switch ($type)
		{
			case "People":

				$vfirst_name = isset($values['first_name']) ? $values['first_name'] : '';
				$vlast_name =  isset($values['last_name']) ? $values['last_name'] : '';
				$vEmail =  isset($values['email']) ? $values['email'] : '';

				if(empty($vfirst_name.$vlast_name) && empty($vEmail)){
					return false;
				}

				$query->select('*,CONCAT(first_name,last_name) as name');
				$query->from($db->quoteName($table));

				// full name where
				if(!empty($vfirst_name))
					$query->where("LOWER(first_name) = ".$db->quote($vfirst_name));
				if(!empty($vlast_name))
					$query->where("LOWER(last_name)= ".$db->quote($vlast_name));

				// email where
				if(!empty($vEmail) && (!empty($vfirst_name) || !empty($vlast_name)))
					$query->orWhere("LOWER(email)= ".$db->quote($vEmail));
				else
					$query->where("LOWER(email)= ".$db->quote($vEmail));

				// only published where
				$query->andWhere('published=1');

				$query->order('created DESC');

				$db->setQuery($query);

				return $db->loadObject();

				break;

			case "Company":

				$vName =  isset($values['name']) ? $values['name'] : '';
				$vEmail =  isset($values['email']) ? $values['email'] : '';

				if(empty($vName)){
					return false;
				}

				$query->select('*');
				$query->from($db->quoteName($table));
				if(!empty($vName))
					$query->where("LOWER(name) = ".$db->quote($vName));
				if(!empty($vEmail))
					$query->where("LOWER(email) = ".$db->quote($vEmail));
				$query->where('published=1');
				$query->order('created DESC');
				$db->setQuery($query);
				return $db->loadObject();

				break;
			case "deal":
				return false;
				break;
		}


	}



}
