<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Model\FormModel;

defined('_JEXEC') or die;


class JoomcrmModelSearch extends FormModel
{

	public $appointmentData = null;

	protected function populateState()
	{

		$app = Factory::getApplication();

		// Load the parameters.
		$params = $app->getParams();
		$this->setState('params', $params);


	}


	/**
	 * Method to get the record form.
	 *
	 * @param   array    $data      Data for the form.
	 * @param   boolean  $loadData  True if the form is to load its own data (default case), false if not.
	 *
	 * @return  JForm|boolean  A JForm object on success, false on failure
	 *
	 * @since   1.6
	 */
	public function getForm($data = array(), $loadData = true)
	{
		$app  = \Joomla\CMS\Factory::getApplication();
		$user = \Joomla\CMS\Factory::getUser();

		// Get the form.
		$form = $this->loadForm('com_joomcrm.search', 'search', array('control' => 'jform', 'load_data' => $loadData));

		if (empty($form))
		{
			return false;
		}

		return $form;
	}

	/**
	 * Method to get the data that should be injected in the form.
	 *
	 * @return  mixed  The data for the form.
	 *
	 * @since   1.6
	 */
	protected function loadFormData()
	{

		$app  = \Joomla\CMS\Factory::getApplication();
		$input = Factory::getApplication()->input;

		// data
		$data = $app->input->post->get('jform', array(), "array");

		// no need to continue if form still empty
		if(empty($data))
			return false;

		// get form
		$form = $this->loadForm('com_joomcrm.search', 'search', array('control' => 'jform'));


		// filter data
		$filteredData = $form->filter($data);

		// validate data
		$result = $form->validate($filteredData);

		if(!$result){
			Factory::getApplication()->enqueueMessage(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_SEARCH_INVALID_FORM_DATA'),'warning');
			return false;
		}

		$this->getItems($filteredData);


		return $filteredData;
	}

	public function getItems($data){

		explode($data);


		/*$db = \Joomla\CMS\Factory::getDbo();
		$query = $db->getquery(true);
		$query->select('*')
			->from('#__easyservicesbooking_events')
			->where("email = ".$db->quote($data['email']))
			->where("id = ". (int) $data['id'])
			->andWhere("deleted = 0 OR deleted IS NULL");

		$db->setQuery($query);

		$this->itemsData = $db->loadObject();*/

		if(is_null($this->appointmentData))
			return false;

		$this->itemsData = '';

		return true;

	}

	/**
	 * @return null
	 */
	public function getItemsData()
	{
		return $this->itemsData;
	}

}
