<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

\defined('_JEXEC') or die;

JLoader::registerNamespace("Joomla\\Component\\Joomcrm\\Site\\Service", JPATH_SITE . '/components/com_joomcrm/src/Services');

use Joomla\CMS\Application\SiteApplication;
use Joomla\CMS\Categories\CategoryFactoryInterface;
use Joomla\CMS\Component\Router\RouterView;
use Joomla\CMS\Menu\AbstractMenu;
use Joomla\Database\DatabaseInterface;


/**
 * Routing class of com_joomfaqs
 *
 * @since  3.3
 */
class JoomcrmRouter extends RouterView
{
    /**
     * Flag to remove IDs
     *
     * @var    boolean
     */
    protected $noIDs = false;

    /**
     * The category factory
     *
     * @var CategoryFactoryInterface
     *
     * @since  4.0.0
     */
    private $categoryFactory;

    /**
     * The category cache
     *
     * @var  array
     *
     * @since  4.0.0
     */
    private $categoryCache = [];

    /**
     * The db
     *
     * @var DatabaseInterface
     *
     * @since  4.0.0
     */
    private $db;

    /**
     * Content Component router constructor
     *
     * @param SiteApplication $app The application object
     * @param AbstractMenu $menu The menu object to work with
     * @param CategoryFactoryInterface $categoryFactory The category object
     * @param DatabaseInterface $db The database object
     */
    public function __construct(SiteApplication $app, AbstractMenu $menu)
    {
        parent::__construct($app, $menu);
        $this->attachRule(new \Joomla\Component\Joomcrm\Site\Service\RouterRules($this));
    }

}


