<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Uri\Uri;

class JoomcrmViewCalendarHtml extends JoomcrmView
{
	public function display($tpl = null)
	{
		// Load model and retrieve events to pass to calendar
		$model  = new JoomcrmModelEvent;
		$events = $model->getEvents('calendar');

		\Joomla\CMS\Factory::getDocument()->addScriptOptions('com_joomcrm',[
			'calendarWeekStart' => ComponentHelper::getParams('com_joomcrm')->get('calendar_week_start',0)
		]);

		Factory::getDocument()
			->addScript(Uri::base() . 'components/com_joomcrm/media/js/fullcalendar.js')
			->addScript(Uri::base() . 'components/com_joomcrm/media/js/calendar_manager.js')
			->addStyleSheet(Uri::base() . 'components/com_joomcrm/media/css/fullcalendar.css');

		// Pass reference vars to view
		$this->events       = json_encode($events);
		$this->team_members = JoomcrmHelperUsers::getUsers();

		// Display
		parent::display($tpl);
	}

}
