<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;

$userId = Factory::getApplication()->getIdentity()->id;
?>

<script type="text/javascript">
    var eventsObj = <?php echo $this->events; ?>;
    var loc = 'calendar';
</script>

<div id="jb_template">
    <form class="print_form" method="POST" target="_blank"
          action="<?php echo Route::_('index.php?option=com_joomcrm&view=print'); ?>">
        <input type="hidden" name="layout" value="calendar"/>
        <input type="hidden" name="model" value="event"/>
            <div class="btn-group float-end">
                <a class="btn btn-sm btn-light"
                   href="<?php echo Route::_('index.php?option=com_joomcrm&view=events'); ?>">
                    <i class="fas fa-list"></i> <?php echo ucwords(Text::_('COM_JOOMCRM_CALENDAR_SHOW_ALL')); ?>
                </a>
                <button id="btnGroupDrop1" type="button" class="btn btn-light btn-sm dropdown-toggle" data-bs-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false"></button>
                <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                    <a class="dropdown-item" href="javascript:void(0);"
                       onclick="showCalendarTasks()"><?php echo Text::_('COM_JOOMCRM_SHOW_TASKS'); ?></a>
                    <a class="dropdown-item" href="javascript:void(0);"
                       onclick="showCalendarEvents()"><?php echo Text::_('COM_JOOMCRM_SHOW_EVENTS'); ?></a>
                    <a class="dropdown-item" href="javascript:void(0);"
                       onclick="showAllCalendarEvents()"><?php echo Text::_('COM_JOOMCRM_SHOW_TASKS_EVENTS'); ?></a>
					<?php /** FUTURE <a href="javascript:void(0);" onclick="printItems(this);"><?php echo Text::_('COM_JOOMCRM_PRINT'); ?></a> **/ ?>
                </div>
            </div>
    </form>

    <div class="page-header">
        <h1><?php echo Text::_('COM_JOOMCRM_CALENDAR_HEADER'); ?></h1>
    </div>

    <div class="filterBlock card w-100 my-4">
        <div class="text-center">
            <span class="fa-stack fa-2x position-absolute text-secondary" style="font-size: 12px;top: -15px;">
              <i class="fas fa-circle fa-stack-2x"></i>
              <i class="fas fa-filter fa-stack-1x fa-inverse"></i>
            </span>
            <div class="row gx-2 py-3 px-3 text-start">
                <div id="team_members">
                    <form class="m-0" id="toggleTeamMembersItems">
			            <?php if (count($this->team_members) > 0)
			            {
				            echo '<ul class="m-0" id="team_member_calendar_filter">';
				            foreach ($this->team_members as $index => $team_member)
				            {
					            $checked = '';
					            if ($team_member['uid'] == $userId)
					            {
						            $checked = 'checked="checked"';
					            }
					            echo '<li><div style="background:#' . $team_member['color'] . ' !important;" class="block"></div><input type="checkbox" ' . $checked . ' value="' . $team_member['id'] . '" /><span>' . $team_member['first_name'] . ' ' . $team_member['last_name'] . '</span></li>';
				            }
				            echo '</ul>';
			            } ?>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div id="calendar"></div>



    <div id="templates" style="display:none;">

        <div id="addTaskEvent">
            <ul>
                <li>
                    <a href="javascript:void(0);"
                       onclick="addTaskEvent('task');"><?php echo Text::_('COM_JOOMCRM_ADD_TASK'); ?></a>
                </li>
                <li>
                    <a href="javascript:void(0);"
                       onclick="addTaskEvent('event');">
                        <?php echo Text::_('COM_JOOMCRM_ADD_EVENT'); ?>
                    </a>
                </li>
            </ul>
        </div>

        <div id="edit_menu" class="edit_menu">
            <ul class="dropdown">
                <li><a href="javascript:void(0);" class="edit_event_button dropdown-item"><i class="fas fa-edit"></i> <?php echo Text::_('COM_JOOMCRM_EDIT'); ?></a>
                </li>

                <li>
                    <a href="javascript:void(0);"
                       class="remove_event_button dropdown-item">
                        <i class="fas fa-times-circle text-danger"></i> <?php echo Text::_('COM_JOOMCRM_REMOVE_EVENT'); ?>
                    </a>
                </li>
                <li>
                    <a href="javascript:void(0);"
                       class="remove_event_series_button dropdown-item">
                        <i class="fas fa-times-circle  text-danger"></i> <?php echo Text::_('COM_JOOMCRM_REMOVE_SERIES'); ?></a>
                </li>
                <li>
                    <a href="javascript:void(0);"
                       class="complete_event_button dropdown-item">
                        <i class="fas fa-check-circle  text-success"></i> <?php echo Text::_('COM_JOOMCRM_MARK_COMPLETE'); ?></a>
                </li>
                <li><a href="javascript:void(0);" style="display:none;" class="show_event_association dropdown-item"></a></li>
            </ul>
        </div>

    </div>
</div>
