<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class JoomcrmViewCompaniesRaw extends JoomcrmView
{
	public $pagination;
	public $total;
	public $companies;
	public $state;
	public $show_filters;
	public $app;
	public $member_role;
	public $user_id;
	public $user_name;
	public $users;
	public $teams;
	public $company_type;
	public $company_category;
	public $company_filter;
	public $company_list;
	public $company_count;

	public function display($tpl = null)
	{
		$this->app 	= \Joomla\CMS\Factory::getApplication();
		$id        	= $this->app->input->getInt('id',0);
		$view 		= $this->app->input->getCmd('view');
		$layout 	= $this->app->input->getCmd('layout');
		$session   	= Factory::getSession();

		// Get model
		$model = new JoomcrmModelCompany;

		if ($view == 'companies' && $layout == 'edit' && !$id)
		{
			// we don't need much while creating new company
		}
		else
		{

			if($id > 0){
				$this->companies  = $model->getCompanies($id);
			}else{

				// Get filters
				$type     = $this->app->input->get('type','all');
				$user     = $this->app->input->get('user','all');
				$team     = $this->app->input->getInt('team_id',0);
				$category = $this->app->input->get("category_id",0);


				// Get companies
				$model->set('_category', $category);
				$this->companies = $model->getCompanies(null, $type, $user, $team);



			}


			$this->state = $model->getState();

			$this->pagination = $model->getPagination();

			$task = \Joomla\CMS\Factory::getApplication()->input->get('task','','string');
			$this->total = $model->getTotal();
			$this->show_filters = $model->show_filters;
		}
		

		// User information
		$this->member_role = JoomcrmHelperUsers::getRole();
		$this->user_id     = JoomcrmHelperUsers::getUserId();

		$user = $session->get('company_user_filter');
		$team = $session->get('company_team_filter');

		if ($user && ($user != $this->user_id) && $user != 'all')
		{
			$user_info = JoomcrmHelperUsers::getUsers($user);
			$user_info = $user_info[0];
			$this->user_name = $user_info['first_name'] . " " . $user_info['last_name'];
		}
		else
		{
			if ($team)
			{
				$team_info = JoomcrmHelperUsers::getTeams($team);
				$team_info = $team_info[0];
				$this->user_name = $team_info['team_name'] . Text::_('COM_JOOMCRM_TEAM_APPEND');
			}
			else
			{
				if ($user == 'all')
				{
					$this->user_name = Text::_('COM_JOOMCRM_ALL_USERS');
				}
				else
				{
					$this->user_name = Text::_('COM_JOOMCRM_ME');
				}
			}
		}

		// Get associated members and teams
		$this->teams = JoomcrmHelperUsers::getTeams();
		$this->users = JoomcrmHelperUsers::getUsers();
		
		$edit_custom_fields_view = JoomcrmHelperView::getView('custom', 'edit');
		$edit_custom_fields_view->type = 'company';
		$edit_custom_fields_view->item = isset($this->companies[0]) ? $this->companies[0] : null;

		$this->edit_custom_fields_view = $edit_custom_fields_view;


		parent::display($tpl);
	}

}
