<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Uri\Uri;




$config     = ComponentHelper::getParams('com_joomcrm');

// Define company
$company = $this->companies[0];

$event = JoomcrmHelperPluginEvent::getEvents('companyDisplay',$company);

$header  = ucwords(Text::_('COM_JOOMCRM_COMPANY_EDIT')) . $company['name'];

// get person details layout by type
$layoutType = $config->get('company_layout',1) ? 'tabs' : 'plain';
$details = LayoutHelper::render("company.$layoutType",['current' => $this]);

// get person header layout
$header = LayoutHelper::render('company.header',['current' => $this]);



?>

<script type="text/javascript">
	var loc = "company";
	var id = <?php echo $company['id']; ?>;
	var company_id = <?php echo $company['id']; ?>;
	var association_type = 'company';
</script>
<div id="crmmodalCompanyEdit"
     class="iziModal jb_template"
     data-remote="<?php echo Uri::base() ?>index.php?option=com_joomcrm&view=companies&layout=edit&format=raw&tmpl=component&id=<?php echo $company['id']; ?>"
     data-iziModal-title="<?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_EDIT'). $company['name']); ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-plus"
     data-iziModal-closebutton="true"
>
    <div class="modal-body h-auto mh-100">
    </div>
    <div class="modal-footer p-3">
        <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CANCEL')); ?></button>
        <button onclick="saveProfileItem('edit_form')" class="btn btn-primary btn-sm">
            <i class="fas fa-save"></i>
			<?php echo ucwords(Text::_('COM_JOOMCRM_SAVE')); ?></button>
    </div>
</div>
<div id="ajax_search_person_dialog"
     class="iziModal jb_template"
     data-iziModal-title="<?php echo Text::_('COM_JOOMCRM_ADD_PERSON'); ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-plus"
     data-iziModal-closebutton="true"
>
    <div class="modal-body h-auto mh-100 w-100">
        <form id="deal" class="form-group m-0">
            <input class="form-control w-100" type="text" name="person_name" placeholder="<?php echo Text::_('COM_JOOMCRM_BEGIN_TYPING_TO_SEARCH'); ?>" value=""/>
            <input type="hidden" name="company_id" value="<?php echo $company['id']; ?>">
        </form>
    </div>
    <div class="modal-footer p-3">
        <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown">
            <i class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CANCEL')); ?>
        </button>
        <button onclick="addPersonToCompany();jQuery('#ajax_search_person_dialog').iziModal('close');" class="btn btn-primary btn-sm">
            <i class="fas fa-save"></i>
			<?php echo ucwords(Text::_('COM_JOOMCRM_SAVE')); ?>
        </button>
    </div>
</div>
<div id='ajax_search_deal_dialog'
     class="iziModal jb_template"
     data-iziModal-title="<?php echo Text::_("COM_JOOMCRM_ASSOCIATE_TO_DEAL"); ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-link"
     data-iziModal-closebutton="true">
    <div class="modal-body h-auto mh-100 w-100">
        <form id="deal">
            <input class="form-control w-100" name="deal_name" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_BEGIN_TYPING_TO_SEARCH'); ?>" />
            <input type="hidden" name="company_id" value="<?php echo $company['id']; ?>">
        </form>
    </div>
    <div class="modal-footer p-3">
        <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CANCEL')); ?></button><button class="btn btn-primary btn-sm" href="" onclick="addDealTo('company');"><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_SAVE'); ?></button>
    </div>
</div>


<div id="jb_template">
	<?php echo $event->onCompanyBeforeDisplay; ?>
	<div class="row">
        <div class="col-md-3 order-sm-last order-md-first">
	        <?php echo $event->onCompanyBeforeDisplaySidebar; ?>
            <div class="card mb-3" id="details">
                <ul class="list-group list-group-flush m-0">
	                <?php if (array_key_exists('category_id', $company) && $company['category_id'] > 0) : ?>
                    <li class="list-group-item d-flex align-items-center">
                        <strong class="me-2"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_CATEGORY')); ?></strong><span class="text-muted"><?php echo $company['category_name']; ?></span>
                    </li>
	                <?php endif; ?>

	                <?php if (array_key_exists('phone', $company)) : ?>
                        <li class="list-group-item d-flex align-items-center">
                            <strong class="me-2"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_PHONE')); ?></strong>
                            <span id="phone_<?php echo $company['id']; ?>" class="text-muted"><?php echo $company['phone']; ?></span>
                        </li>
	                <?php endif; ?>
	                <?php if (array_key_exists('fax', $company)) : ?>
                        <li class="list-group-item d-flex align-items-center">
                            <strong class="me-2"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_FAX')); ?></strong>
                            <span id="fax_<?php echo $company['id']; ?>" class="text-muted"><?php echo $company['fax']; ?></span>
                        </li>
	                <?php endif; ?>
	                <?php if (array_key_exists('email', $company)) : ?>
                        <li class="list-group-item d-flex align-items-center">
                            <strong class="me-2"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_EMAIL')); ?></strong>
                            <a class="text-muted text-truncate" id="email_<?php echo $company['id']; ?>" target='_blank' href="mailto:<?php echo $company['email']; ?>">
				                <?php echo $company['email']; ?>
                            </a>
                        </li>
	                <?php endif; ?>
	                <?php if (array_key_exists('website', $company)) : ?>
                        <li class="list-group-item d-flex align-items-center">
                            <strong class="me-2"><?php echo ucwords(Text::_('COM_JOOMCRM_WEBSITE')); ?></strong>
                            <a class="text-muted text-truncate" id="website_<?php echo $company['id']; ?>" target="_blank" href="<?php echo JoomcrmHelperTemplate::adjustWebsiteUrl($company['website']); ?>">
				                <?php echo $company['website']; ?>
                            </a>
                        </li>
	                <?php endif; ?>
	                <?php if (array_key_exists('address_1', $company) && $company['address_1'] != "") : ?>
                        <li class="list-group-item">
                            <?php echo LayoutHelper::render('common.item.address',['item' => $company]) ?>
                        </li>
	                <?php endif; ?>

                    <li class="list-group-item">
	                    <?php
                        echo LayoutHelper::render(
                                'common.item.sociallinks',
                                [
                                        'item' => $company,
                                        'fieldnames' => ['facebook_url','twitter_user','linkedin_url','youtube_url','flickr_url']
                                ]
                        );
                        ?>
                    </li>

                </ul>
            </div>
			<?php if (isset($this->banter_dock)) : ?>
				<?php echo $this->banter_dock->display(); ?>
			<?php endif; ?>
	        <?php if ($company['twitter_user']) : ?>
            <div class="card">
	            <?php echo LayoutHelper::render('common.item.tweets',['item' => $company]) ?>
            </div>
	        <?php endif; ?>
	        <?php echo $event->onCompanyAfterDisplaySidebar; ?>
        </div>
        <div class="col-md-9">
            <?php echo $event->onCompanyBeforeDisplayHeader; ?>
            <?php echo $header ?>
            <?php echo $event->onCompanyAfterDisplayHeader; ?>
            <?php echo $details ?>
            <?php echo $event->onCompanyAfterDisplayDetails; ?>
        </div>
    </div>

	<div id="message" style="display:none;"><?php echo Text::_('COM_JOOMCRM_SUCCESS_MESSAGE'); ?></div>


	<?php echo JoomcrmHelperJoomcrm::showShareDialog(); ?>

	<?php echo $event->onCompanyAfterDisplay; ?>
</div>