<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');

$this->useCoreUI = true;
// Determine if specific company is being edited or new company is being added
$newCompany = $this->app->input->getInt('new', 0);

if (count((array) $this->companies) == 1 && !$newCompany)
{
	$company = $this->companies[0];
	$header  = ucwords(Text::_('COM_JOOMCRM_COMPANY_EDIT')) . $company['name'];
}
else
{
	$company['category_id'] = null;
	$company['id']          = -1;
	$company['name']        = "";
	$company['phone']       = "";
	$company['website']     = '';
	$company['description'] = '';
	$header                 = ucwords(Text::_('COM_JOOMCRM_COMPANY_ADD'));
}

// custom fields content from buffer
ob_start();
$this->edit_custom_fields_view->display();
$customfields = ob_get_clean();

?>
<?php $format =  \Joomla\CMS\Factory::getApplication()->input->get('format'); ?>
<div id="jb_template">
	<?php if ($format != "raw")
	{ ?>
        <h1><?php echo $header; ?></h1>
	<?php } ?>
    <form id="edit_form" method="POST" action="<?php echo 'index.php?option=com_joomcrm&task=companies.save'; ?>" onsubmit="return save(this)">
		<?php
		if ($company['id'] != -1)
		{
			echo '<input type="hidden" name="id" value="' . $company['id'] . '" />';
		}
		?>
        <div id="editForm">
            <ul class="nav nav-tabs" id="myTab">
                <li class="nav-item active"><a class="nav-link active" href="#CCompany" data-bs-toggle="tab" ><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY')); ?></a></li>
                <li class="nav-item"><a class="nav-link" href="#CAddress" data-bs-toggle="tab"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_ADDRESS')); ?></a></li>
                <li class="nav-item"><a class="nav-link" href="#CAssignment" data-bs-toggle="tab"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_ASSIGNMENT')); ?></a></li>
                <li class="nav-item"><a class="nav-link" href="#CDetails" data-bs-toggle="tab"><?php echo ucwords(Text::_('COM_JOOMCRM_DETAILS')); ?></a></li>
				<?php if(!empty($customfields)): ?>
                    <li class="nav-item"><a class="nav-link" href="#CCustom" data-bs-toggle="tab"><?php echo ucwords(Text::_('COM_JOOMCRM_CUSTOM')); ?></a></li>
				<?php endif; ?>
            </ul>
            <div class="tab-content pt-3">
                <div class="tab-pane active" role="tabpanel" id="CCompany">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="company_name"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_NAME')); ?><span class="required">*</span></label>
                                <input type="text" onblur="checkCompanyName(this);" class="required form-control" name="name" id="company_name" placeholder="<?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_NAME_NULL')); ?>" value="<?php if (array_key_exists('name', $company))
								{
									echo $company['name'];
								} ?>"/>
                                <input type="hidden" name="company_id" id="company_id" value=""/>
                                <div id="company_message"></div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <label><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_CATEGORY')); ?></label>
							<?php echo JoomcrmHelperCompany::getCategoryDropdown($company['category_id'],'category_id','class="form-control"'); ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="phone"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_PHONE')); ?></label>
                                <input type="text" id="phone" name="phone" class="form-control" placeholder="<?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_PHONE_NULL')); ?>" value="<?php if (array_key_exists('phone', $company))
								{
									echo $company['phone'];
								} ?>"/>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="fax"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_FAX')); ?></label>
                                <input class="form-control" type="text" id="fax" name="fax" placeholder="<?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_FAX_NULL')); ?>" value="<?php if (array_key_exists('fax', $company))
								{
									echo $company['fax'];
								} ?>"/>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="email"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_EMAIL')); ?></label>
                                <input class="form-control" type="text" id="email" name="email" placeholder="<?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_EMAIL_NULL')); ?>" value="<?php if (array_key_exists('email', $company))
								{
									echo $company['email'];
								} ?>"/>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="website"><?php echo Text::_('COM_JOOMCRM_COMPANY_WEB'); ?></label>
                                <input class="form-control" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_WEBSITE_NULL'); ?>" id="website" name="website" value="<?php if (array_key_exists('website', $company))
								{
									echo $company['website'];
								} ?>"/>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="CAddress">
                    <div class="form-group" id="address_button">
                        <label for="address_1"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_ADDRESS')); ?></label>
                        <div id="address_info">
                            <div class="form-group">
                                <div class="row gx-2">
                                    <div class="col-md-6"><input class="form-control address_one" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_ADDRESS_1_NULL'); ?>" id="address_1" name="address_1" value="<?php if (array_key_exists('address_1', $company))
		                                {
			                                echo $company['address_1'];
		                                } ?>"/></div>
                                    <div class="col-md-6"><input class="form-control address_two" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_ADDRESS_2_NULL'); ?>" name="address_2" value="<?php if (array_key_exists('address_2', $company))
		                                {
			                                echo $company['address_2'];
		                                } ?>"/></div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row gx-2">
                                    <div class="col-md-6"><input class="form-control address_city" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_CITY_NULL'); ?>" name="address_city" value="<?php if (array_key_exists('address_city', $company))
		                                {
			                                echo $company['address_city'];
		                                } ?>"/></div>
                                    <div class="col-md-6"><input class="form-control address_state" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_STATE_NULL'); ?>" name="address_state" value="<?php if (array_key_exists('address_state', $company))
		                                {
			                                echo $company['address_state'];
		                                } ?>"/></div>
                                </div>
                            </div>
                            <div class="form-group">
                               <div class="row gx-2">
                                   <div class="col-md-6"><input class="form-control address_zip" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_ZIP_NULL'); ?>" name="address_zip" value="<?php if (array_key_exists('address_zip', $company))
		                               {
			                               echo $company['address_zip'];
		                               } ?>"/></div>
                                   <div class="col-md-6"><input class="form-control address_country" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_COUNTRY_NULL'); ?>" name="address_country" value="<?php if (array_key_exists('address_country', $company))
		                               {
			                               echo $company['address_country'];
		                               } ?>"/></div>
                               </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="CAssignment">
					<?php $ownerId = array_key_exists('owner_id', $company) ? $company['owner_id'] : JoomcrmHelperUsers::getUserId(); ?>
					<?php if (JoomcrmHelperUsers::getRole() == 'exec' || JoomcrmHelperUsers::getRole() == "manager" || !($company['id'] > 0) || (array_key_exists('owner_id', $company) && JoomcrmHelperUsers::getUserId() == $company['owner_id']) || JoomcrmHelperUsers::isAdmin())
					{ ?>
                        <div class="form-group">
                            <label for="owner_id"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_OWNER')); ?></label>
							<?php echo JoomcrmHelperDropdown::getOwnerDropdown($ownerId,'owner_id','class="form-control"'); ?>
                        </div>
					<?php } else { ?>
                        <input type="hidden" name="owner_id" value="<?php echo $ownerId; ?>" />
					<?php } ?>
                    <div class="form-group">
                        <label for="description"><?php echo Text::_('COM_JOOMCRM_COMPANY_DESCRIPTION'); ?></label>
                        <textarea class="form-control" id="description" name="description"><?php if (array_key_exists('description', $company))
{
	echo trim((string)$company['description']);
} ?></textarea>
                    </div>
                </div>
                <div class="tab-pane" role="tabpanel" id="CDetails">
                    <div class="form-group">
                        <label for="facebook_url"><?php echo Text::_('COM_JOOMCRM_SOCIAL_MEDIA'); ?></label>
                        <div class="row gx-2">
                            <div class="col-md-6"><input class="form-control" type="text" id="facebook_url" name="facebook_url" value="<?php if (array_key_exists('facebook_url', $company))
								{
									echo $company['facebook_url'];
								} ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_FACEBOOK_URL'); ?>" /></div>
                            <div class="col-md-6">
                                <input class="form-control" data-minlength="4" type="text" name="twitter_user" value="<?php if (array_key_exists('twitter_user', $company))
								{
									echo $company['twitter_user'];
								} ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_TWITTER_USER'); ?>" /></div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="row gx-2">
                            <div class="col-md-6"><input class="form-control" type="text" name="linkedin_url" value="<?php if (array_key_exists('linkedin_url', $company))
		                        {
			                        echo $company['linkedin_url'];
		                        } ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_LINKEDIN_URL'); ?>" /></div>
                            <div class="col-md-6"><input class="form-control" type="text" name="youtube_url" value="<?php if (array_key_exists('youtube_url', $company))
								{
									echo $company['youtube_url'];
								} ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_YOUTUBE_URL'); ?>" /></div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="row gx-2">
                            <div class="col-md-6"><input class="form-control" type="text" name="flickr_url" value="<?php if (array_key_exists('flickr_url', $company))
		                        {
			                        echo $company['flickr_url'];
		                        } ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_FLICKR_URL'); ?>" />
                            </div>
                        </div>
                    </div>
                </div>
				<?php if(!empty($customfields)): ?>
                    <div class="tab-pane" id="CCustom">
						<?php echo $customfields; ?>
                    </div>
				<?php endif; ?>
            </div>
            <input type="hidden" name="model" value="company" />
            <input type="hidden" name="edit_screen" value="1" />
    </form>
</div>

<script type="text/javascript">
    bindDatepickers();
    tabsFixer();
</script>