<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

$input = \Joomla\CMS\Factory::getApplication()->input;
$id = $input->get('id',0,'int');


?>
<?php if (!$id)
{ ?>
	<thead>
	<th class="checkbox_column"><input type="checkbox" onclick="selectAll(this);"/></th>
	<th class="name">
		<div class="sort_order">
			<a class="c.name" onclick="sortTable('c.name',this)"><?php echo Text::_('COM_JOOMCRM_COMPANIES_NAME'); ?></a>
		</div>
	</th>
	<th class="owner">
		<div class="sort_order">
			<a class="c.owner_id" onclick="sortTable('c.owner_id',this)"><?php echo Text::_('COM_JOOMCRM_COMPANIES_OWNER'); ?></a>
		</div>
	</th>
	<th class="category">
		<div class="sort_order">
			<a class="c.category_id" onclick="sortTable('c.category_id',this)"><?php echo Text::_('COM_JOOMCRM_COMPANIES_CATEGORY'); ?></a>
		</div>
	</th>
	<th class="phone">
		<div class="sort_order">
			<a class="c.phone" onclick="sortTable('c.phone',this)"><?php echo Text::_('COM_JOOMCRM_COMPANIES_PHONE'); ?></a>
		</div>
	</th>
	<th class="fax"><?php echo Text::_('COM_JOOMCRM_COMPANIES_FAX'); ?></th>
	<th class="email"><?php echo Text::_('COM_JOOMCRM_COMPANIES_EMAIL'); ?></th>
	<th class="address"><?php echo Text::_('COM_JOOMCRM_COMPANIES_ADDRESS'); ?></th>
	<th class="country">
		<div class="sort_order">
			<a class="c.address_country" onclick="sortTable('c.address_country',this)"><?php echo Text::_('COM_JOOMCRM_COMPANIES_COUNTRY'); ?></a>
		</div>
	</th>
	<th class="next_task"><?php echo Text::_('COM_JOOMCRM_COMPANIES_TASK'); ?></th>
	<th class="next_task"><?php echo Text::_('COM_JOOMCRM_COMPANIES_DUE_DATE'); ?></th>
	<th class="description"><?php echo Text::_('COM_JOOMCRM_COMPANIES_DESCRIPTION'); ?></th>
	<th class="notes"><?php echo Text::_('COM_JOOMCRM_COMPANIES_NOTES'); ?></th>
	<th class="added">
		<div class="sort_order">
			<a class="c.created" onclick="sortTable('c.created',this)"><?php echo Text::_('COM_JOOMCRM_COMPANIES_ADDED'); ?></a>
		</div>
	</th>
	<th class="updated">
		<div class="sort_order">
			<a class="c.modified" onclick="sortTable('c.modified',this)"><?php echo Text::_('COM_JOOMCRM_COMPANIES_UPDATED'); ?></a>
		</div>
	</th>
	</thead>
	<tbody id="list">
<?php } ?>
<?php
$n = count($this->companies);
for ($i = 0; $i < $n; $i++)
{
	$company = $this->companies[$i];
	$k       = $i % 2;
	echo "<tr id='list_row_" . $company['id'] . "' class='joomcrm_row_" . $k . "'>";
	echo '<td><input type="checkbox" name="ids[]" value="' . $company['id'] . '" /></td>';
	echo '<td class="list_edit_button" id="list_' . $company['id'] . '" ><div class="title_holder"><a href="' . Route::_('index.php?option=com_joomcrm&view=companies&layout=company&id=' . $company['id']) . '">' . $company['name'] . '</a></div></td>';
	echo '<td class="owner">' . $company['owner_first_name'] . ' ' . $company['owner_last_name'] . '</td>';
	echo '<td class="category">' . $company['category_name'] . "</td>";
	echo '<td class="phone" >' . $company['phone'] . '</td>';
	echo '<td class="fax" >' . $company['fax'] . '</td>';
	echo '<td class="email" >' . $company['email'] . '</td>';
	echo '<td class="address" >' . $company['address_formatted'] . '</td>';
	echo '<td class="country" >' . $company['address_country'] . '</td>';
	echo '<td class="next_task" ><a onclick="editEvent(' . $company['event_id'] . ',\'' . $company['event_type'] . '\')">' . $company['event_name'] . '</a></td>';
	echo '<td class="next_task" >' . JoomcrmHelperDate::formatDate($company['event_due_date']) . '</td>';
	echo '<td class="description" >' . $company['description'] . '</td>';
	echo '<td class="notes" ><a class="btn btn-sm btn-light" href="javascript:void(0);" onclick="openNoteModal(\'' . $company['id'] . '\',\'company\');"><i class="fas fa-list"></i></a></td>';
	echo '<td class="added" >' . JoomcrmHelperDate::formatDate($company['created']) . '</td>';
	echo '<td class="updated" >' . JoomcrmHelperDate::formatDate($company['modified']) . '</td>';
	echo '</tr>';
}
?>

<?php if(!$id): ?>

	</tbody>
	<script type="text/javascript">

        // Bind joomcrm dropdowns
        bindDropdownItems();

		// Update company count
		jQuery("#companies_matched").empty().html("<?php echo $this->total; ?>");
		window.top.window.assignFilterOrder();
	</script>
<?php endif; ?>

<?php echo JoomcrmPagination::ajaxPagination($this) // get new updated pagination if ajax request ?>


