<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

// Define deal
$contacts = $this->contacts;
$view =  Factory::getApplication()->input->get('view');
$loc =  Factory::getApplication()->input->get('loc');

?>
<div id="ajax_search_person_dialog"
     class="iziModal jb_template"
     data-iziModal-title="<?php echo Text::_('COM_JOOMCRM_ASSOCIATE_TO_PERSON'); ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-plus"
     data-iziModal-closebutton="true"
>
    <div class="modal-body h-auto mh-100 w-100">
        <form id="deal" class="form-group m-0 p-3">
            <input class="form-control w-100" type="text" id="add_person_name" name="person_name" placeholder="<?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_BEGIN_TYPING_TO_SEARCH'); ?>" value=""/>
            <input type="hidden" name="person_id" value="<?php echo isset($contacts['id']) ? $contacts['id'] : ''; ?>">
        </form>
    </div>
    <div class="modal-footer p-3">
        <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CANCEL')); ?></button>
        <button onclick="addPersonToDeal();jQuery('#ajax_search_person_dialog').iziModal('close');" class="btn btn-primary btn-sm">
            <i class="fas fa-save"></i>
			<?php echo ucwords(Text::_('COM_JOOMCRM_SAVE')); ?></button>
    </div>
</div>


<?php if($loc!='deal'): ?>
<div class="widget card">
	<?php echo LayoutHelper::render('common.widget.header',['title' => 'COM_JOOMCRM_CONTACTS', 'extraLayout' => 'deal.widget.headerextra']) ?>
<?php endif; ?>

<div class="clearfix people_container list-group list-group-flush" id="contacts_container">
	<?php if (is_array($contacts) && count($contacts) > 0){ foreach ( $contacts as $person ){ ?>
	<?php $class = (property_exists($this, 'primary_contact_id') && $this->primary_contact_id == $person['id']) ? "active" : ''; ?>
	<div class="list-group-item <?php echo $class; ?>" id="person_container_<?php echo $person['id']; ?>">

			<div class="p-2">
				<div class="d-inline float-start mb-2">
					<?php if (array_key_exists('avatar', $person) && $person['avatar'] != "" && $person['avatar'] != null)
					{
						echo '<img id="avatar_img_' . $person['id'] . '" data-item-type="people" data-item-id="' . $person['id'] . '" class="rounded me-3 avatar ' . $class . '" src="' . Uri::base() . 'components/com_joomcrm/media/avatars/' . $person['avatar'] . '"/>';
					}
					else
					{
						echo '<img id="avatar_img_' . $person['id'] . '" data-item-type="people" data-item-id="' . $person['id'] . '" class="rounded me-3 avatar ' . $class . '" src="' . Uri::base() . 'components/com_joomcrm/media/images/person.png' . '"/>';
					}

					$textClass =  $this->primary_contact_id == $person['id'] ? 'text-white' : '';

					?>
                </div>
                <div class="text-break">
                            <div class="dropdown">
                                <span class="dropdown-toggle inline" data-bs-toggle="dropdown"><strong><?php echo $person['first_name'] . ' ' . $person['last_name']; ?></strong></span>

                                <ul class="dropdown-menu">
                                    <li>
                                        <a class="dropdown-item" href="<?php echo Route::_('index.php?view=people&layout=person&id='.$person['id']);?>">View Contact</a>
                                    </li>
			                        <?php if ($view == "deals" || $loc == "deal") : ?>
                                        <li>
					                        <?php if ($this->primary_contact_id == $person['id']){ ?>
                                                <a class="togglePrimary dropdown-item" id="primary_contact" onclick="unassignDealPrimaryContact(<?php echo $person['id']; ?>)" data-id="<?php echo $person['id']; ?>" href="javascript:void(0);">Unassign Primary</a>
					                        <?php } else { ?>
                                                <a class="togglePrimary dropdown-item" id="star_<?php echo $person['id']; ?>" data-id="<?php echo $person['id']; ?>" onclick="assignDealPrimaryContact(<?php echo $person['id']; ?>);" href="javascript:void(0);">Assign Primary</a>
					                        <?php } ?>
                                        </li>
                                        <li>
                                            <a class="dropdown-item" href="javascript:void(0);" onclick="removePersonFromDeal(<?php echo $person['id']; ?>);">Remove Person</a>
                                        </li>
			                        <?php endif; ?>
                                </ul>
                            </div>
	                        <?php
	                        echo (array_key_exists('position', $person)) ? $person['position'] : Text::_('COM_JOOMCRM_WORKS');
	                        ?>

	                        <?php if(array_key_exists('company_id',$person) && $person['company_id'] > 0) : ?>
		                        <?php echo Text::_('COM_JOOMCRM_AT'); ?> <a class="link_color <?php echo $textClass ?>" href="<?php echo Route::_("index.php?option=com_joomcrm&view=companies&layout=company&id=" . $person['company_id']); ?>"><?php echo $person['company_name']; ?></a><br />
	                        <?php endif; ?>
	                        <?php if(array_key_exists('mobile_phone',$person)) : ?>
                                <div>
			                        <?php echo $person['mobile_phone']; ?>
                                </div>
	                        <?php endif ?>
	                        <?php if(array_key_exists('email',$person) && $person['email']!="") : ?>
                                <a class="link_color <?php echo $textClass ?>" href="mailto:<?php echo $person['email']; ?>"><?php echo $person['email']; ?></a>
	                        <?php endif; ?>                </div>
            </div>
	</div>
	<?php } } ?>
</div>
<?php if($loc!='deal'): ?>
</div>
<?php endif; ?>
