<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die();

use Joomla\CMS\MVC\View\GenericDataException;
use Joomla\CMS\Object\CMSObject;
use Joomla\Database\DatabaseDriver;
use Joomla\CMS\Language\LanguageHelper;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Table\Table;
use Joomla\Database\ParameterType;
use Joomla\Registry\Registry;
use Joomla\CMS\MVC\Model\ListModel;
use Joomla\Utilities\ArrayHelper;
use Joomla\CMS\Editor\Editor;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

// Define deal
$contacts = $this->contacts;
$view     =  \Joomla\CMS\Factory::getApplication()->input->get('view');
$loc      =  \Joomla\CMS\Factory::getApplication()->input->get('loc');
$showAdd = Factory::getApplication()->input->get('showadd',0,'int');
?>
<!-- todo: add here associate person form like in default view -->

<?php if (is_array($contacts) && count($contacts) > 0): ?>
    <div class="clearfix people_container list-group list-group-flush" id="contacts_container">
        <table class="table">
            <thead>
            <tr>
                <th></th>
                <th><?php echo Text::_('COM_JOOMCRM_NAME') ?></th>
                <th><?php echo Text::_('COM_JOOMCRM_POSITION') ?></th>
                <th><?php echo Text::_('COM_JOOMCRM_PEOPLE_COMPANY') ?></th>
                <th><?php echo Text::_('COM_JOOMCRM_PEOPLE_PHONE') ?></th>
                <th><?php echo Text::_('COM_JOOMCRM_PEOPLE_EMAIL') ?></th>
            </tr>
            </thead>
            <tbody>
			<?php foreach ($contacts as $person): ?>

                <tr>
                    <td>
						<?php if (array_key_exists('avatar', $person) && $person['avatar'] != "" && $person['avatar'] != null)
						{
							echo '<img style="width: 60px" id="avatar_img_' . $person['id'] . '" data-item-type="people" data-item-id="' . $person['id'] . '" class="rounded me-3 avatar " src="' . Uri::base() . 'components/com_joomcrm/media/avatars/' . $person['avatar'] . '"/>';
						}
						else
						{
							echo '<img style="width: 60px" id="avatar_img_' . $person['id'] . '" data-item-type="people" data-item-id="' . $person['id'] . '" class="rounded me-3 avatar " src="' . Uri::base() . 'components/com_joomcrm/media/images/person.png' . '"/>';
						}
						?>
                    </td>
                    <td>
                        <a target="_blank" data-bs-toggle="tooltip"
                           title="<?php echo Text::_('COM_JOOMCRM_VIEW_CONTACT') ?>"
                           href="<?php echo Route::_('index.php?view=people&layout=person&id=' . $person['id']); ?>"
                           class=""><?php echo $person['first_name'] . ' ' . $person['last_name']; ?></a>
                    </td>
                    <td>
						<?php echo $person['position'] ?>
                    </td>
                    <td>

						<?php if (array_key_exists('company_id', $person) && $person['company_id'] > 0) : ?>
                            <a class="link_color "
                               href="<?php echo Route::_("index.php?option=com_joomcrm&view=companies&layout=company&id=" . $person['company_id']); ?>">
								<?php echo $person['company_name']; ?>
                            </a>
                            <br/>
						<?php endif; ?>
                    </td>
                    <td>
						<?php if (isset($person['mobile_phone']) && !empty($person['mobile_phone'])) : ?>
							<?php echo $person['mobile_phone']; ?>
						<?php endif ?>
                    </td>
                    <td>
						<?php if (array_key_exists('email', $person) && $person['email'] != "") : ?>
                            <a class="link_color"
                               href="mailto:<?php echo $person['email']; ?>"><?php echo $person['email']; ?></a>
						<?php endif; ?>
                    </td>
                </tr>
			<?php endforeach; ?>
            </tbody>
        </table>
    </div>
<?php else: ?>
    <p class="alert alert-warning m-0"><?php echo Text::_('COM_JOOMCRM_NO_CONTACTS_FOUND') ?></p>
<?php endif; ?>
