<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die();

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Component\ComponentHelper;

$config     = ComponentHelper::getParams('com_joomcrm');

?>
<div class="card" id="deals_container">
	<?php echo LayoutHelper::render('common.widget.header',['title' => 'COM_JOOMCRM_RECENT_DEALS']) ?>
	<div class="card-body p-0" id="deals">
		<table class="com_joomcrm_table table m-0" id="deal_list">
			<tr>
				<th class="border-top-0"><?php echo Text::_('COM_JOOMCRM_DEAL_NAME'); ?></th>
				<th class="border-top-0"><?php echo Text::_('COM_JOOMCRM_DEAL_STATUS'); ?></th>
				<th class="right border-top-0"><?php echo Text::_('COM_JOOMCRM_DEAL_AMOUNT'); ?></th>
			</tr>
			<?php
			if (isset($this->recentDeals))
			{
				$n = count($this->recentDeals);
				for ($i = 0; $i < $n && $i < 10; $i++)
				{
					$deal = $this->recentDeals[$i];
					$k    = $i % 2;
					echo '<tr class="joomcrm_row_' . $k . '">';
					echo '<td><a href="' . Route::_('index.php?option=com_joomcrm&view=deals&layout=deal&id=' . $deal['id']) . '">' . $deal['name'] . '</a></td>';
					echo '<td>' . $deal['status_name'] . '<div class="status-dot" style="background-color:#' . $deal['status_color'] . ' !important;"></div></td>';
					echo '<td><span class="amount">' . JoomcrmHelperUsers::formatAmount($deal['amount']) . '</span></td>';
					echo '</tr>';
				}
			}
			?>
		</table>
	</div>
</div>
