<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

class JoomcrmViewDealsRaw extends JoomcrmView
{
	public function display($tpl = null)
	{
		$id         =  \Joomla\CMS\Factory::getApplication()->input->get('id');
		$company_id =  \Joomla\CMS\Factory::getApplication()->input->get('company_id');
		$person_id  =  \Joomla\CMS\Factory::getApplication()->input->get('person_id');
		$input = \Joomla\CMS\Factory::getApplication()->input;

		// Get deals
		$model = new JoomcrmModelDeal;

		if ($company_id)
		{
			$model->set('user_override', 'all');
			$model->set('company_id', $company_id);
		}
		else
		{
			if ($person_id)
			{
				$model->set('person_id', $person_id);
			}
			else
			{
				if ($id)
				{
					$model->set('_id', $id);
				}
			}
		}

		$layout = $this->getLayout();

		if($layout == 'list'){

			// Get filters
			$type  = $input->input->get('type');
			$stage = $input->input->get('stage');
			$user  = $input->input->get('user');
			$close = $input->input->get('close');
			$team  = $input->input->get('team_id');

			// Get deals
			$deals = $model->getDeals(null, $type, $user, $stage, $close, $team);


		}else{

			$deals  = $model->getDeals();

		}

		$this->pagination = $model->getPagination();

		$this->total = $model->getTotal();

		// Assign references
		switch ($layout)
		{
			case "deal_dock":
				$this->deals = $deals;
				$this->pagination->setAdditionalUrlParam('company_id', $company_id);
				$this->pagination->setAdditionalUrlParam('format', 'raw');
				break;
			case "deal_dock_list":
				$this->deals = $deals;
				break;
			case "edit":
				if (isset($deals[0]) && $deals[0]['id'] == $id)
				{
					$this->deal = $deals[0];
				}
				else
				{
					// Else we are creating a new entry
					$deal               = array();
					$deal['id']         = '';
					$deal['name']       = '';
					$deal['summary']    = '';
					$deal['company_id'] =  \Joomla\CMS\Factory::getApplication()->input->get('company_id');
					$deal['person_id']  =  \Joomla\CMS\Factory::getApplication()->input->get('person_id');

					// Get company name to prefill data and hidden fields
					if ($deal['company_id'])
					{
						$company              = JoomcrmHelperCompany::getCompany($deal['company_id']);
						$deal['company_name'] = $company[0]['name'];
						$deal['company_id']   = $company[0]['id'];
					}

					// If a person is specified prefill data
					if ($deal['person_id'])
					{
						$person = JoomcrmHelperPeople::getPerson($deal['person_id']);

						$deal['person_name'] = $person[0]['last_name'] . ', ' . $person[0]['first_name'];
						$deal['person_id']   = $person[0]['id'];

						// Assign company if person is associated with company
						if ($person[0]['company_id'])
						{
							$deal['company_id']   = $person[0]['company_id'];
							$deal['company_name'] = $person[0]['company_name'];
						}

					}

					// Assign rest of null data
					$deal['amount']         = "";
					$deal['stage_id']       = 0;
					$deal['source_id']      = 0;
					$deal['probability']    = 0;
					$deal['status_id']      = 0;
					$deal['expected_close'] = "";
					$deal['header']         = ucwords(Text::_('COM_JOOMCRM_DEAL_HEADER'));

					$this->deal = $deal;
				}

				$edit_custom_fields_view = JoomcrmHelperView::getView('custom','edit');
				$edit_custom_fields_view->type = 'deal';
				$edit_custom_fields_view->id_ele = 'Custom';
				$edit_custom_fields_view->item = $this->deal;
				$this->edit_custom_fields_view = $edit_custom_fields_view;
				break;
			case "edit_conversation":
				$model        = new JoomcrmModelConversation;
				$conversation = $model->getConversation($id);
				$this->conversation = $conversation[0];
				break;
			case "conversation_entry":
				$model              = new JoomcrmModelConversation;
				$this->conversation = $model->getConversation($id);
				break;
			default:
				$this->dealList = $deals;
				$this->state = $model->getState();
				break;
		}

		echo parent::display($tpl);
	}

}
