<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Uri\Uri;

$config = ComponentHelper::getParams('com_joomcrm');

// Define deal
$deal = $this->dealList[0];

$event = JoomcrmHelperPluginEvent::getEvents('dealDisplay', $deal);

// get person details layout by type
$layoutType = $config->get('deal_layout', 1) ? 'tabs' : 'plain';
$details    = LayoutHelper::render("deal.$layoutType", ['current' => $this]);

// get deal header layout
$header = LayoutHelper::render('deal.header', ['current' => $this]);


?>
<script type="text/javascript">
    var id = <?php echo $deal['id']; ?>;
    var deal_id = <?php echo $deal['id']; ?>;
    var loc = "deal";
    var AMOUNT = <?php $deal['amount'] = ($deal['amount'] == 0) ? 0 : $deal['amount']; echo $deal['amount']; ?>;
    var archived = <?php echo $deal['archived']; ?>;
    var association_type = 'deal';
</script>
<div id="crmmodalDealEdit"
     class="iziModal jb_template"
     data-remote="<?php echo Uri::base() ?>index.php?option=com_joomcrm&view=deals&layout=edit&id=<?php echo $deal['id']; ?>&format=raw&tmpl=component"
     data-iziModal-title="<?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_EDIT') . ' ' . $deal['name']); ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-plus"
     data-iziModal-closebutton="true"
>
    <div class="modal-body h-auto mh-100 w-100">
    </div>
    <div class="modal-footer p-3">
        <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i
                    class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CANCEL')); ?></button>
        <button onclick="saveProfileItem('edit_form');" class="btn btn-primary btn-sm">
            <i class="fas fa-save"></i>
			<?php echo ucwords(Text::_('COM_JOOMCRM_SAVE')); ?></button>
    </div>
</div>
<div id="jb_template">
    <iframe id="hidden" name="hidden" style="display:none;width:0px;height:0px;border:0px;"></iframe>
	<?php echo $event->onDealBeforeDisplay; ?>
    <div class="row">
        <div class="col-md-3 order-sm-last order-md-first">
	        <?php echo $event->onDealBeforeDisplaySidebar ?>

			<?php $this->contact_info->display(); ?>

			<?php if (isset($this->banter_dock))
			{
				$this->banter_dock->display();
			} ?>

	        <?php echo $event->onDealAfterDisplaySidebar ?>
        </div>

        <div class="col-md-9">
	        <?php echo $event->onDealBeforeDisplayHeader; ?>
			<?php echo $header ?>
	        <?php echo $event->onDealAfterDisplayHeader; ?>
			<?php echo $details ?>
	        <?php echo $event->onDealAfterDisplayDetails; ?>
        </div>
		<?php echo JoomcrmHelperJoomcrm::showShareDialog(); ?>
    </div>
	<?php echo $event->onDealAfterDisplay; ?>
</div>