<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;

?>
<div id="jb_template">
    <?php echo LayoutHelper::render('common.ajaxloading') ?>
    <div class="page-header">
        <h1>
            <div class="btn-group float-end">
                <a class="btn btn-light btn-sm" href="#" data-izimodal-open="#crmmodalDeal" data-izimodal-transitionin="fadeInDown"><i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_DEALS'); ?></a>
                <a href="#" class="btn btn-light btn-sm dropdown-toggle" data-bs-toggle="dropdown"></a>
                <ul class="dropdown-menu">
                    <li><a class="dropdown-item" href="<?php echo Route::_('index.php?view=import&import_type=2&layout=import'); ?>"><i class="fas fa-arrow-up"></i> <?php echo Text::_('COM_JOOMCRM_IMPORT_DEALS'); ?></a></li>
					<?php if ( JoomCRMHelperUsers::canExport() ){ ?>
                        <li><a class="dropdown-item" href="javascript:void(0)" onclick="exportCsv()"><i class="fas fa-arrow-down"></i> <?php echo Text::_('COM_JOOMCRM_EXPORT_DEALS'); ?></a></li>
					<?php } ?>
                </ul>
            </div>
			<?php echo ucwords(Text::_('COM_JOOMCRM_DEALS_HEADER')); ?>
        </h1>
    </div>
    <?php echo LayoutHelper::render('common.list.filter',['data' => $this->loadTemplate('filter')]) ?>
    <div class="subline">
        <ul class="matched_results">
            <li>
                <span id="deals_matched"></span> <?php echo Text::_('COM_JOOMCRM_DEALS_MATCHED'); ?> <?php echo Text::_("COM_JOOMCRM_THERE_ARE"); ?> <?php echo $this->totalDeals; ?> <?php echo Text::_("COM_JOOMCRM_DEALS_IN_ACCOUNT"); ?>
            </li>
        </ul>
        <div class="actions">
            <div class="dropdown" id="column_filter">
                <a class="dropdown-toggle" data-bs-toggle="dropdown" id="column_filter_link"><?php echo Text::_('COM_JOOMCRM_SELECT_COLUMNS'); ?></a>
                <ul class="dropdown-menu float-end">
					<?php foreach ($this->column_filters as $key => $text)
					{
						$selected = in_array($key, $this->selected_columns) ? 'checked' : '';
						?>
                        <li>
                            <a class="dropdown-item" onclick="toggleCheckbox('show_<?php echo $key; ?>');"><input type="checkbox" class="column_filter" id="show_<?php echo $key; ?>" <?php echo $selected; ?>><?php echo $text; ?></a>
                        </li>
					<?php } ?>
                </ul>
            </div>
        </div>
        <div class="clear"></div>
    </div>
	<?php echo JoomcrmHelperTemplate::getListEditActions(); ?>
    <form class="card mt-3" id="list_form" name="adminForm" method="post" action="<?php echo \Joomla\CMS\Router\Route::_('index.php?option=com_joomcrm&view=deals'); ?>">
        <div class="table-responsive">
            <table class="com_joomcrm_table table" id="deals">
		        <?php echo $this->deal_list->display(); ?>
            </table>
        </div>
        <input type="hidden" name="list_type" value="deals"/>
	    <?php echo LayoutHelper::render('common.pagination',['current' => $this]) ?>
    </form>

    <div id="templates" style="display:none;">
        <div id="note_modal" style="display:none;"></div>
        <div id="edit_button"><a class="edit_button_link" id="edit_button_link" href="javascript:void(0)"></a></div>
        <div id="edit_list_modal" style="display:none;"></div>
        <div id="deal_contacts_modal_dialog" style="display:none;"></div>
    </div>
</div>
