<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

?>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_SHOW'); ?></span>
    </div>
    <div>

        <select
                class="form-select" id="deal_type_filter"
                onchange="dealType(document.getElementById('deal_type_filter').options[document.getElementById('deal_type_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->deal_types as $title => $text): ?>
                <option <?php echo $this->deal_type_name == $text ? 'selected' : '' ?>
                        value="<?php echo $title ?>"> <?php echo $text ?></option>
		    <?php endforeach; ?>
        </select>

    </div>
</div>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_FOR'); ?>
    </div>
    <div>
        <select
                class="form-select" id="deal_user_filter"
                onchange="
                dealUser(
                    document.getElementById('deal_user_filter').options[document.getElementById('deal_user_filter').selectedIndex].value,
                    document.getElementById('deal_user_filter').options[document.getElementById('deal_user_filter').selectedIndex].getAttribute('data-team')
                    )"
        >

            <option <?php echo $this->user_name == Text::_('COM_JOOMCRM_ME') ? 'selected' : '' ?>
                    value="<?php echo $this->user_id; ?>" data-team="0">
			    <?php echo Text::_('COM_JOOMCRM_ME'); ?>
            </option>


		    <?php if ($this->member_role != 'basic') : ?>
                <option <?php echo $this->user_name == Text::_('COM_JOOMCRM_ALL_USERS') ? 'selected' : '' ?>
                        value="all"
                        data-team="0"
                >
				    <?php echo Text::_('COM_JOOMCRM_ALL_USERS'); ?>
                </option>
		    <?php endif; ?>

		    <?php if ($this->member_role == 'exec'): ?>
			    <?php if (count($this->teams)): ?>
				    <?php foreach ($this->teams as $team): ?>
                        <option <?php echo trim($this->user_name) == trim($team['team_name']) ? 'selected' : '' ?>
                                value="0" data-team="<?php echo $team['team_id'] ?>">
						    <?php echo $team['team_name'] ?><?php echo Text::_('COM_JOOMCRM_TEAM_APPEND') ?>
                        </option>
				    <?php endforeach; ?>
			    <?php endif; ?>
		    <?php endif; ?>

		    <?php if (count($this->users)): ?>
			    <?php foreach ($this->users as $user): ?>
				    <?php if($user['id'] == $this->user_id) continue; // skip current user cuz already has it's own option 'me' ?>
                    <option <?php echo trim($this->user_name) == trim($user['first_name'] . "  " . $user['last_name']) ? 'selected' : '' ?>
                            value="<?php echo $user['id'] ?>" data-team="0">
					    <?php echo $user['first_name'] . "  " . $user['last_name'] ?>
                    </option>
			    <?php endforeach; ?>
		    <?php endif; ?>
        </select>
    </div>
</div>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_IN'); ?>
    </div>
    <div>

        <select
                class="form-select" id="deal_stage_filter"
                onchange="dealStage(document.getElementById('deal_stage_filter').options[document.getElementById('deal_stage_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->stages as $title => $text): ?>
                <option <?php echo $this->stage_name == $text ? 'selected' : '' ?>
                        value="<?php echo $title ?>"> <?php echo $text ?></option>
		    <?php endforeach; ?>
        </select>

    </div>
</div>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_CLOSING'); ?>
    </div>
    <div>
        <select
                class="form-select"
                id="deal_closing_filter"
                onchange="dealClose(document.getElementById('deal_closing_filter').options[document.getElementById('deal_closing_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->closing_names as $title => $text): ?>
                <option <?php echo $this->closing_name == $text ? 'selected' : '' ?>
                        value="<?php echo $title ?>"> <?php echo $text ?></option>
		    <?php endforeach; ?>
        </select>
    </div>
</div>
<div class="col-md-4">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_NAMED'); ?>
    </div>
    <div>
        <input class="form-control keyword_filter" name="deal_name" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_ANYTHING'); ?>" value="<?php echo $this->deal_filter; ?>">
    </div>
</div>



