<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Uri\Uri;

$deal = $this->deal;
$format =  \Joomla\CMS\Factory::getApplication()->input->get('format');
$config     = ComponentHelper::getParams('com_joomcrm');

// custom fields content from buffer
ob_start();
$this->edit_custom_fields_view->display();
$customfields = ob_get_clean();

?>
<div id="jb_template">
<?php if ($format != "raw") : ?>
<h1><?php echo ucwords($deal['header']); ?></h1>
<?php endif; ?>

<form id="edit_form" method="POST" name="new_deal" class="m-0" action="<?php echo Uri::base().'index.php?option=com_joomcrm&task=deals.save'; ?>" onsubmit="return save(this)">
	<div id="editForm">
		<ul class="nav nav-tabs" id="edit_deal_tab" role="tablist">
			<li class="nav-item active">
                <a class="nav-link" href="#DDeal" data-bs-toggle="tab" role="tab"><?php echo ucwords(Text::_('COM_JOOMCRM_DEAL')); ?></a>
            </li>
			<li class="nav-item">
                <a class="nav-link" href="#DDetails" data-bs-toggle="tab" role="tab"><?php echo ucwords(Text::_('COM_JOOMCRM_DETAILS')); ?></a>
            </li>
			<?php if(!empty($customfields)): ?>
                <li class="nav-item"><a class="nav-link" href="#DCustom" data-bs-toggle="tab"><?php echo ucwords(Text::_('COM_JOOMCRM_CUSTOM')); ?></a></li>
			<?php endif; ?>
		</ul>
		<div class="tab-content pt-3" id="edit_deal_tabcontent">
			<div class="tab-pane active" role="tabpanel" id="DDeal">
				<div class="row">
					<div class="col-md-6">
                        <div class="form-group">
                            <label for="editFormName"><?php echo Text::_('COM_JOOMCRM_DEAL_NAME'); ?><span class="required">*</span></label>
                            <input id="editFormName" class="required form-control" type="text" name="name" placeholder="<?php echo Text::_('COM_JOOMCRM_DEAL_NAME_NULL'); ?>" value="<?php echo $deal['name']; ?>"/>
                        </div>

					</div>
					<div class="col-md-6">
						<div class="form-group">
                            <label for="editFormAmount">
                                <?php echo Text::_('COM_JOOMCRM_DEAL_AMOUNT') . ' ' . $config->get('currency','$'); ?>
                                <span class="required">*</span>
                            </label>
                            <input id="editFormAmount" class="required form-control" type="text" name="amount" value="<?php echo $deal['amount']; ?>"/>
                        </div>
					</div>
				</div>
                <div class="clearfix">
                    <div class="form-group mb-0">
                        <label for="editFormSummary"><?php echo Text::_('COM_JOOMCRM_DEAL_SUMMARY'); ?></label>
                        <textarea
                                class="form-control"
                                name="summary"
                                id="editFormSummary"
                                cols="50"
                                placeholder="<?php echo Text::_('COM_JOOMCRM_DEAL_SUMMARY_NULL'); ?>"
                                rows="5"
                        ><?php echo trim($deal['summary']); ?></textarea>
                    </div>
                </div>
			</div>
			<div class="tab-pane" role="tabpanel" id="DDetails">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
                            <label for="company_name"><?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_COMPANY')); ?></label>
                            <input class="form-control" type="text" onfocus="ajaxCompanyNames(this);" name="company" id="company_name" value="<?php if (array_key_exists('company_name', $deal))
							{
								echo $deal['company_name'];
							} ?>" placeholder="<?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_COMPANY')); ?>" />
                            <input type="hidden" name="company_id" id="company_id" value="<?php echo $deal['company_id']; ?>"/>
                            <div id="company_message" class="text-muted"></div>
                        </div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
                            <label for="primary_contact_name"><?php echo ucwords(Text::_('COM_JOOMCRM_PRIMARY_CONTACT')); ?></label>
                            <input type="text"
                                   class="form-control"
                                   onfocus="ajaxContactNames(this);"
                                   name="primary_contact_name"
                                   id="primary_contact_name"
                                   value="<?php if (array_key_exists('primary_contact_id', $deal) && $deal['primary_contact_id'] > 0)
							{
								echo $deal['primary_contact_first_name'] . ' ' . $deal['primary_contact_last_name'];
							} ?>"
                            />
                            <input type="hidden" name="primary_contact_id" id="primary_contact_id" value="<?php if (array_key_exists('primary_contact_id', $deal))
							{
								echo $deal['primary_contact_id'];
							} ?>"/>
                            <div id="person_message" class="text-muted"></div>
                        </div>
					</div>
				</div>
				<?php if (array_key_exists('person_id', $deal) && !is_null($deal['person_id']))
				{
					echo '<div class="form-group clearfix">';
					echo '<label>' . ucwords(Text::_('COM_JOOMCRM_PERSON')) . '</strong>';
					echo $deal['person_name'];
					echo '</div>';
				} ?>
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
                            <label><?php echo Text::_('COM_JOOMCRM_DEAL_STAGE'); ?></label>
							<?php echo JoomcrmHelperDropdown::generateDropdown('stage', $deal['stage_id']); ?>
                        </div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
                            <label><?php echo Text::_('COM_JOOMCRM_DEAL_SOURCE'); ?></label>
							<?php echo JoomcrmHelperDropdown::generateDropdown('source', $deal['source_id']); ?>
                        </div>
					</div>
				</div>
				<div class="form-group clearfix">
						<label><?php echo Text::_('COM_JOOMCRM_DEAL_STATUS'); ?></label>
						<?php echo JoomcrmHelperDropdown::generateDealStatuses($deal['status_id']); ?>
				</div>
				<?php $closedStages = JoomcrmHelperDeal::getClosedStages(); ?>
				<?php if (array_key_exists('stage_id', $deal) && !in_array($deal['stage_id'], $closedStages) && array_key_exists('expected_close', $deal))
				{ ?>
					<div class="form-group clearfix">
							<label>
                                <?php echo Text::_('COM_JOOMCRM_DEAL_CLOSE'); ?>
                            </label>
							<input class="date_input form-control" onfocus="jQuery(this).datepicker({format: userDateFormat});jQuery(this).datepicker('show');" type="text" id="expected_close" name="expected_close_input" value="<?php echo JoomcrmHelperDate::formatDate($deal['expected_close']); ?>">
							<input type="hidden" id="expected_close_hidden" name="expected_close" value="<?php if (array_key_exists('expected_close', $deal) && !is_null($deal['expected_close']) && $deal['expected_close'] != "" && $deal['expected_close'] != "0000-00-00")
							{
								echo $deal['expected_close'];
							}
							else
							{
								echo date("Y-m-d");
							} ?>"/>

					</div>
				<?php } ?>

				<?php if (array_key_exists('stage_id', $deal) && in_array($deal['stage_id'], $closedStages) && array_key_exists('actual_close', $deal))
				{ ?>
					<div class="form-group clearfix">
							<label><?php echo Text::_('COM_JOOMCRM_DEAL_ACTUAL_CLOSE'); ?></label>
							<input class="form-control date_input required" type="text" id="actual_close" name="actual_close_input" value="<?php echo JoomcrmHelperDate::formatDate($deal['actual_close'], true); ?>">
							<input type="hidden" id="actual_close_hidden" name="actual_close" value="<?php echo JoomcrmHelperDate::formatDate($deal['actual_close'], true); ?>"/>
					</div>
				<?php } ?>

				<div class="form-group clearfix">

						<label for="editFormProbability"><?php echo Text::_('COM_JOOMCRM_DEAL_PROBABILITY'); ?></label>
						<div class="input-group">
							<input id="editFormProbability" type="text" class="form-control" name="probability" value="<?php echo $deal['probability']; ?>">
                                <span class="input-group-text" id="basic-addon2">%</span>
						</div>

				</div>
			</div>
			<?php if(!empty($customfields)): ?>
                <div class="tab-pane" id="DCustom">
					<?php echo $customfields; ?>
                </div>
			<?php endif; ?>
			<?php
			if (isset($deal['id']))
			{
				echo '<input type="hidden" name="id" value="' . $deal['id'] . '" />';
			}
			if (isset($deal['person_id']) &&  \Joomla\CMS\Factory::getApplication()->input->get('person_id'))
			{
				echo '<input type="hidden" name="person_id" value="' . $deal['person_id'] . '" />';
			}
			if (isset($deal['company_id']) &&  \Joomla\CMS\Factory::getApplication()->input->get('company_id'))
			{
				echo '<input type="hidden" name="company_id" value="' . $deal['company_id'] . '" />';
			}
			?>
		</div>
	</div>
</form>

<script type="text/javascript">
    bindDatepickers();
    tabsFixer();
</script>
</div>