<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Factory;
$input = Factory::getApplication()->input;
$id = $input->get('id',0,'int');


?>
<?php if (!$id)
{ ?>
	<thead>
	<tr>
		<th class="checkbox_column"><input type="checkbox" onclick="selectAll(this);"/></th>
		<th class="name">
			<div class="sort_order">
				<a class="d.name" onclick="sortTable('d.name',this)"><?php echo Text::_('COM_JOOMCRM_DEALS_NAME'); ?></a>
			</div>
		</th>
		<th class="company">
			<div class="sort_order">
				<a class="c.name" onclick="sortTable('c.name',this)"><?php echo Text::_('COM_JOOMCRM_DEALS_COMPANY'); ?></a>
			</div>
		</th>
		<th class="primary_contact">
			<div class="sort_order">
				<a class="p.last_name" onclick="sortTable('p.last_name',this)"><?php echo Text::_('COM_JOOMCRM_PRIMARY_CONTACT'); ?></a>
			</div>
		</th>
		<th class="summary"><?php echo Text::_('COM_JOOMCRM_DEALS_SUMMARY'); ?></th>
		<th class="amount">
			<div class="sort_order">
				<a class="d.amount" onclick="sortTable('d.amount',this)"><?php echo Text::_('COM_JOOMCRM_DEALS_AMOUNT'); ?></a>
			</div>
		</th>
		<th class="status">
			<div class="sort_order">
				<a class="d.status_id" onclick="sortTable('d.status_id',this)"><?php echo Text::_('COM_JOOMCRM_DEALS_STATUS'); ?></a>
			</div>
		</th>
		<th class="stage">
			<div class="sort_order">
				<a class="stage.ordering" onclick="sortTable('stage.ordering',this)"><?php echo Text::_('COM_JOOMCRM_DEALS_STAGE'); ?></a>
			</div>
		</th>
		<th class="source">
			<div class="sort_order">
				<a class="source.ordering" onclick="sortTable('source.ordering',this)"><?php echo Text::_('COM_JOOMCRM_DEAL_SOURCE'); ?></a>
			</div>
		</th>
		<th class="owner">
			<div class="sort_order">
				<a class="d.owner_id" onclick="sortTable('d.owner_id',this)"><?php echo Text::_('COM_JOOMCRM_DEALS_OWNER'); ?></a>
			</div>
		</th>
		<th class="next_action"><?php echo Text::_('COM_JOOMCRM_DEALS_NEXT'); ?></th>
		<th class="deals_due"><?php echo Text::_('COM_JOOMCRM_DEALS_DUE'); ?></th>
		<th class="expected_close">
			<div class="sort_order">
				<a class="d.expected_close" onclick="sortTable('d.expected_close',this)"><?php echo Text::_('COM_JOOMCRM_DEALS_EXPECTED_CLOSE'); ?></a>
			</div>
		</th>
		<th class="actual_close">
			<div class="sort_order">
				<a class="d.actual_close" onclick="sortTable('d.actual_close',this)"><?php echo Text::_('COM_JOOMCRM_DEALS_ACTUAL_CLOSE'); ?></a>
			</div>
		</th>
		<th class="contacts"><?php echo Text::_('COM_JOOMCRM_DEALS_CONTACTS'); ?></th>
		<th class="notes"><?php echo Text::_('COM_JOOMCRM_DEALS_NOTES'); ?></th>
		<th class="created">
			<div class="sort_order">
				<a class="d.created" onclick="sortTable('d.created',this)"><?php echo Text::_('COM_JOOMCRM_DEALS_CREATED'); ?></a>
			</div>
		</th>
		<th class="modified">
			<div class="sort_order">
				<a class="d.modified" onclick="sortTable('d.modified',this)"><?php echo Text::_('COM_JOOMCRM_DEALS_MODIFIED'); ?></a>
			</div>
		</th>
		<?php if (JoomcrmHelperQuote::hasCrmQuote())
		{
			echo JoomcrmHelperQuote::getDealHeaders();
		}?>
	</tr>
	</thead>
	<tbody>
<?php } ?>
<?php
$stages = JoomcrmHelperDeal::getStages(null, true, false);
$statuses = JoomcrmHelperDeal::getStatuses(null, true);
$sources = JoomcrmHelperDeal::getSources(null);
$users = JoomcrmHelperUsers::getUsers(null, true);
$n = count($this->dealList);
$k = 0;
for ($i = 0; $i < $n; $i++)
{
	$deal = $this->dealList[$i];

	$k                   = $i % 2;
	$deal['status_name'] = $deal['status_name'] == "" ? "none" : $deal['status_name'];
	echo "<tr id='list_row_" . $deal['id'] . "' class='joomcrm_row_" . $k . "' >";
	echo '<td><input class="export" type="checkbox" name="ids[]" value="' . $deal['id'] . '" /></td>';
	echo '<td class="list_edit_button" id="list_' . $deal['id'] . '"><div class="title_holder"><a href="' . Route::_('index.php?option=com_joomcrm&view=deals&layout=deal&id=' . $deal['id']) . '">' . $deal['name'] . "</a></div></td>";
	echo "<td class='company' ><a href='" . Route::_('index.php?option=com_joomcrm&view=companies&layout=company&id=' . $deal['company_id']) . "'>" . $deal['company_name'] . "</a></td>";
	echo "<td class='primary_contact' ><a href='" . Route::_('index.php?option=com_joomcrm&view=people&layout=person&id=' . $deal['primary_contact_id']) . "'>" . $deal['primary_contact_first_name'] . ' ' . $deal['primary_contact_last_name'] . "</a></td>";
	echo "<td class='summary' >" . $deal['summary'] . "</td>";
	echo "<td class='amount' ><span class='amount'>" . JoomcrmHelperUsers::formatAmount($deal['amount']) . "</span></td>";
	echo '<td class="status">';
	echo '<div class="dropdown" data-item="deal" data-field="status_id" data-item-id="' . $deal['id'] . '" id="deal_status_' . $deal['id'] . '">';
	echo '<a href="#" data-bs-toggle="dropdown" class="dropdown-toggle status_link d-flex align-items-center" id="deal_status_' . $deal['id'] . '_link"><span class="status-dot me-1" style="background-color:#' . $deal['status_color'] . ' !important;"></span> <span>' . $deal['status_name'] . '</span></a>';

	echo '<ul class="dropdown-menu float-end">';
	if (count($statuses))
	{
		foreach ($statuses as $id => $status)
		{
			echo '<li>                        
                        <a href="javascript:void(0);" class="status_select dropdown_item dropdown-item" data-value="' . $id . '"><span class="status-dot me-1" style="background-color:#' . $status['color'] . ' !important;"></span> ' . $status['label'] . '</a>
                  </li>';
		}
	}
	echo '</ul>';
	echo '</div>';
	echo '</td>';
	$stage_color = Text::_('COM_JOOMCRM_DEFAULT_DEAL_STAGE_COLOR');
	if (count($stages) > 0)
	{
		foreach ($stages as $stage)
		{
			if ($stage['id'] == $deal['stage_id'])
			{
				$stage_color = $stage['color'];
			}
		}
	}
	$stage_name = (array_key_exists('stage_id', $deal) && $deal['stage_id'] != 0) ? $deal['stage_name'] : Text::_('COM_JOOMCRM_CLICK_TO_EDIT');
	echo "<td class='stage'>";
	echo '<div class="dropdown" data-item="deal" data-field="stage_id" data-item-id="' . $deal['id'] . '" id="deal_stage_' . $deal['id'] . '">';
	echo '<a href="#" class="dropdown-toggle d-flex align-items-center" data-bs-toggle="dropdown" id="deal_stage_' . $deal['id'] . '_link"><span class="status-dot me-1" style="background-color: #' . $stage_color . '"></span><span>' . $stage_name . '</span></a>';
	echo '<ul class="dropdown-menu float-end">';
	if (count($stages))
	{
		foreach ($stages as $id => $stage)
		{
			echo '<li><a href="javascript:void(0);" class="stage_select dropdown_item dropdown-item" data-value="' . $stage['id'] . '"><span class="status-dot me-1" style="background-color: #' . $stage['color'] . '"></span> ' . $stage['name'] . '</a></li>';
		}
	}
	echo '</ul>';
	echo '</div>';
	echo '</td>';
	$source_name = empty($deal['source_id']) ? Text::_('COM_JOOMCRM_CLICK_TO_EDIT') : $deal['source_name'];
	echo "<td class='source'>";
	echo '<div class="dropdown" data-item="deal" data-field="source_id" data-item-id="' . $deal['id'] . '" id="deal_source_' . $deal['id'] . '">';
	echo '<a href="#" class="dropdown-toggle" data-bs-toggle="dropdown" id="deal_source_' . $deal['id'] . '_link">' . $source_name . '</a>';
	echo '<ul class="dropdown-menu float-end">';
	if (count($sources))
	{
		foreach ($sources as $id => $source)
		{
			echo '<li><a href="javascript:void(0);" class="source_select dropdown_item dropdown-item" data-value="' . $id . '">' . $source . '</a></li>';
		}
	}
	echo '</ul>';
	echo '</div>';
	echo '</td>';
	echo "<td class='owner'>";
	echo '<div class="dropdown" data-item="deal" data-field="owner_id" data-item-id="' . $deal['id'] . '" id="deal_owner_' . $deal['id'] . '">';
	echo '<a href="#" class="dropdown-toggle" data-bs-toggle="dropdown" id="deal_owner_' . $deal['id'] . '_link">' . $deal['owner_first_name'] . " " . $deal['owner_last_name'] . '</a>';
	echo '<ul class="dropdown-menu float-end">';
	echo '<li><a href="#" class="owner_select dropdown_item dropdown_item dropdown-item" data-value="' . JoomcrmHelperUsers::getUserId() . '">' . Text::_('COM_JOOMCRM_ME') . '</a></li>';
	if (count($users))
	{
		foreach ($users as $key => $user)
		{
			echo '<li><a href="javascript:void(0);" class="owner_select dropdown_item dropdown-item" data-value="' . $user['value'] . '">' . $user['label'] . '</a></li>';
		}
	}
	echo '</ul>';
	echo '</div>';
	echo '</td>';
	// If the deal has an associated task
	if (array_key_exists('event_id', $deal))
	{
		echo "<td class='next_action' ><a onclick=\"editEvent(" . $deal['event_id'] . ",'" . $deal['event_type'] . "')\"><span class='dealEvent".$deal['event_id']."'>" . $deal['event_name'] . "</span></a></td>";
		echo "<td class='deals_due' >" . JoomcrmHelperDate::formatDate($deal['event_due_date']) . "</td>";
	}
	else
	{
		echo '<td class="next_action" >' . Text::_("COM_JOOMCRM_NONE") . '</td>';
		echo '<td class="deals_due" ></td>';
	}
	$expected_close = $deal['expected_close'] != "0000-00-00 00:00:00" ? JoomcrmHelperDate::formatDate($deal['expected_close']) : Text::_('COM_JOOMCRM_NOT_SET');
	echo "<td id='expected_close_" . $deal['id'] . "' class='expected_close'>" . $expected_close . "</td>";
	$actual_close = $deal['actual_close'] != "0000-00-00 00:00:00" && $deal['closed'] != 0 ? JoomcrmHelperDate::formatDate($deal['actual_close']) : $actual_close = Text::_('COM_JOOMCRM_ACTIVE_DEAL');
	echo "<td id='actual_close" . $deal['id'] . "' class='actual_close'>" . $actual_close . "</td>";
	echo '<td class="contacts">
<a  class="btn btn-light bg-light btn-sm" href="javascript:void(0);" onclick="showDealContactsDialogModal(' . $deal['id'] . ');">
    <i class="fas fa-address-book"></i>
    </a>
    </td>'
    ;
	echo '<td class="notes"><a class="btn btn-sm btn-light" href="javascript:void(0);" onclick="openNoteModal(\'' . $deal['id'] . '\',\'deal\');"><i class="fas fa-list"></i></a></td>';
	echo "<td class='created'>" . JoomcrmHelperDate::formatDate($deal['created']) . "</td>";
	echo "<td class='modified'>" . JoomcrmHelperDate::formatDate($deal['modified']) . "</td>";
	if (JoomcrmHelperQuote::hasCrmQuote())
	{
		echo JoomcrmHelperQuote::getDealRow($deal);
	}
	echo "</tr>";
}
if (!$id)
{
	?>
	</tbody>
	<script type="text/javascript">

        // Bind joomcrm dropdowns
        bindDropdownItems();

		var total = <?php echo $this->total; ?>;
		jQuery("#deals_matched").html(total);
		window.top.window.assignFilterOrder();
	</script>
<?php }?>
