<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Component\ComponentHelper;

class JoomcrmViewDocumentsRaw extends JoomcrmView
{
	public function display($tpl = null)
	{
		$app 		= Factory::getApplication();
		$model      = new JoomcrmModelDocument;
		$layout     = $this->getLayout();
		$company_id = $app->input->getInt('company_id', null);
		$person_id 	= $app->input->getInt('person_id', null);


		// Assign refs
        switch ( $layout ){
        	case "document_dock":
	        case "document_tree":
        		$model->set('company_id', $company_id);
        		$model->set('person_id', $person_id);
        		$model->filters = 0;
                $documents = $model->getDocuments();
                $pagination = $model->getPagination();
                $pagination->setAdditionalUrlParam('company_id', $company_id);
                $pagination->setAdditionalUrlParam('person_id', $person_id);
                $pagination->setAdditionalUrlParam('format', 'raw');

	            $docViewType = ComponentHelper::getParams('com_joomcrm')->get('documents_view_type','datatable');
	            $docType = ($docViewType == 'datatable') ? 'document_dock' : 'document_tree';

                $pagination->setAdditionalUrlParam('layout', $docType);
                $pagination->setAdditionalUrlParam('filters', '0');
            break;
	        case "list":
		        $category = $app->input->input->get("category_id",0,'int');
		        $model->set('_category', $category);
		        $documents = $model->getDocuments();
		        $pagination = $model->getPagination();
		        $state      = $model->getState();
				break;
            default:
	            $documents  = $model->getDocuments( \Joomla\CMS\Factory::getApplication()->input->get('document_id'));
                $pagination = $model->getPagination();
				$state      = $model->getState();
            break;
        }

        if ( Factory::getApplication()->input->get('document_id') && $layout != "document_row")
		{
			$documents = $documents[0];
			// $this->document = $documents; // @Jan: this seems to be redundant
		}

		$this->pagination = $pagination;
		$this->documents = $documents;
		$this->state = $state;

		parent::display($tpl);
	}

}
