<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;

?>
<div id="jb_template">
	<?php echo LayoutHelper::render('common.ajaxloading') ?>
    <div class="page-header">
        <h1><?php echo Text::_('COM_JOOMCRM_EDIT_DOCUMENTS'); ?></h1>
    </div>
	<?php echo LayoutHelper::render('common.list.filter',['data' => $this->loadTemplate('filter')]) ?>
	<?php echo LayoutHelper::render('documents.modals',[]); ?>
    <div class="subline w-100">
        <ul class="matched_results">
            <li>
                <span id="documents_matched"></span> <?php echo Text::_('COM_JOOMCRM_DOCUMENT_MATCHES'); ?>. <?php echo Text::_('COM_JOOMCRM_DOCUMENT_THERE_ARE'); ?>
                <span id="documents_total"><?php echo JoomcrmHelperDocument::getTotalDocuments(); ?></span> <?php echo Text::_('COM_JOOMCRM_DOCUMENT_IN_YOUR_ACCOUNT'); ?>.
            </li>
        </ul>
    </div>

    <form class="card  mt-3 w-100" method="post" id="list_form" action="<?php echo \Joomla\CMS\Router\Route::_('index.php?option=com_joomcrm&view=documents'); ?>">
        <div class="table-responsive">
            <table class="com_joomcrm_table table" id="documents">
		        <?php echo $this->document_list->display(); ?>
            </table>
        </div>
        <input type="hidden" name="list_type" value="documents"/>
	    <?php echo LayoutHelper::render('common.pagination',['current' => $this]) ?>
    </form>
</div>


