<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

$view =  Factory::getApplication()->input->get('view');

?>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_SHOW'); ?>
    </div>
    <div>
        <select
                class="form-select" id="doc_assoc_filter"
                onchange="documentAssoc(document.getElementById('doc_assoc_filter').options[document.getElementById('doc_assoc_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->assoc_names as $title => $text): ?>
                <option <?php echo $this->assoc_name == $text ? 'selected' : '' ?>
                        value="<?php echo $title ?>"> <?php echo $text ?></option>
		    <?php endforeach; ?>
        </select>
    </div>
</div>
<div class="col-md-2">
    <div class="text-muted">
		<?php echo Text::_('COM_JOOMCRM_IN_CATEGORY'); ?>
    </div>
    <div>
		<?php if (isset($this->document_categories)): ?>
            <select
                    class="form-select"
                    id="document_category_filter"
                    onchange="documentCategory(document.getElementById('document_category_filter').options[document.getElementById('document_category_filter').selectedIndex].value)"
            >
				<?php foreach ($this->document_categories as $id => $text): ?>
                    <option <?php echo $this->document_category == $text ? 'selected' : '' ?>
                            value="<?php echo $id ?>"> <?php echo $text ?></option>
				<?php endforeach; ?>
            </select>
		<?php else: ?>
			<?php echo $this->document_category; ?>
		<?php endif; ?>
    </div>

</div>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_OWNED_BY'); ?>
    </div>
    <div>
        <select
                class="form-select" id="doc_user_filter"
                onchange="
                documentUser(
                    document.getElementById('doc_user_filter').options[document.getElementById('doc_user_filter').selectedIndex].value,
                    document.getElementById('doc_user_filter').options[document.getElementById('doc_user_filter').selectedIndex].getAttribute('data-team')
                    )"
        >

            <option <?php echo $this->user_name == Text::_('COM_JOOMCRM_ME') ? 'selected' : '' ?>
                    value="<?php echo $this->user_id; ?>" data-team="0">
			    <?php echo Text::_('COM_JOOMCRM_ME'); ?>
            </option>


		    <?php if ($this->member_role != 'basic') : ?>
                <option <?php echo $this->user_name == Text::_('COM_JOOMCRM_ALL_USERS') ? 'selected' : '' ?>
                        value="all"
                        data-team="0"
                >
				    <?php echo Text::_('COM_JOOMCRM_ALL_USERS'); ?>
                </option>
		    <?php endif; ?>

		    <?php if ($this->member_role == 'exec'): ?>
			    <?php if (count($this->teams)): ?>
				    <?php foreach ($this->teams as $team): ?>
                        <option <?php echo trim($this->user_name) == trim($team['team_name']) ? 'selected' : '' ?>
                                value="0" data-team="<?php echo $team['team_id'] ?>">
						    <?php echo $team['team_name'] ?><?php echo Text::_('COM_JOOMCRM_TEAM_APPEND') ?>
                        </option>
				    <?php endforeach; ?>
			    <?php endif; ?>
		    <?php endif; ?>

		    <?php if (count($this->users)): ?>
			    <?php foreach ($this->users as $user): ?>
				    <?php if($user['id'] == $this->user_id) continue; // skip current user cuz already has it's own option 'me' ?>
                    <option <?php echo trim($this->user_name) == trim($user['first_name'] . "  " . $user['last_name']) ? 'selected' : '' ?>
                            value="<?php echo $user['id'] ?>" data-team="0">
					    <?php echo $user['first_name'] . "  " . $user['last_name'] ?>
                    </option>
			    <?php endforeach; ?>
		    <?php endif; ?>
        </select>
    </div>
</div>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_THAT_ARE'); ?>
    </div>
    <div>
        <select
                class="form-select" id="doc_type_filter"
                onchange="documentType(document.getElementById('doc_type_filter').options[document.getElementById('doc_type_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->type_names as $title => $text): ?>
                <option <?php echo $this->type_name == $text ? 'selected' : '' ?>
                        value="<?php echo $title ?>"> <?php echo $text ?></option>
		    <?php endforeach; ?>
        </select>
    </div>
</div>
<div class="col-md-4">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_NAMED'); ?>
    </div>
    <div>
        <input type="text" class="form-control keyword_filter" placeholder="<?php echo Text::_('COM_JOOMCRM_ANYTHING'); ?>" value="" name="name"/>
    </div>
</div>