<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');
$document = (array) $this->documents;

$categoriesList = JoomcrmHelperDocument::getCategories();


use Joomla\CMS\Language\Text;


?>

<form id="edit_document_form" method="POST" name="edit_document" action="<?php echo 'index.php?option=com_joomcrm&task=main.save'; ?>" onsubmit="return save(this)">
	<div class='validate'>
		<input type="hidden" name="task" value="main.save" />
		<input type="hidden" name="model" value="document"/>
		<input type="hidden" name="id" value="<?php echo $document['id']; ?>"/>

        <div class="row">
            <div class="col-md-7">
                <div class="form-group">
                    <label for="name"><strong><?php echo Text::_('COM_JOOMCRM_DOCUMENT_NAME'); ?><span class="required">*</span></strong></label>
                    <input id="name" class="required form-control" type="text" name="name" value="<?php if (array_key_exists('name', $document))
	                {
		                echo $document['name'];
	                } ?>"/>
                </div>

                <div class="form-group">
                    <label for="category_id"><strong><?php echo Text::_('COM_JOOMCRM_DOCUMENT_CATEGORY'); ?></strong></label>
                    <select name="category_id" id="category_id" class="form-control">

                    <?php foreach ($categoriesList as $catVal => $catName): ?>

                        <?php $selected = ($catVal == $document['category_id']) ? 'selected="selected"' : '' ;?>
                        <option value="<?php echo $catVal ?>" <?php echo $selected ?>><?php echo $catName ?></option>

                    <?php endforeach; ?>

                    </select>

                </div>

                <div class="form-group">
                    <label for="description"><strong><?php echo Text::_('COM_JOOMCRM_DOCUMENT_DESCRIPTION'); ?></strong></label>
                    <textarea id="description" class="form-control" name="description"><?php if (array_key_exists('description', $document))
		                {
			                echo trim((string)$document['description']);
		                } ?></textarea>
                </div>

            </div>
            <div class="col-md-5">
                <table class="table bg-light table-borderless w-100">
                    <tr>
                        <td><strong><?php echo Text::_('com_joomcrm_document_uploaded'); ?></strong></td>
                        <td><?php if (array_key_exists('created', $document))
	                        {
		                        echo joomcrmhelperdate::formatdate($document['created']);
	                        } ?></td>
                    </tr>
                    <tr>
                        <td><strong><?php echo Text::_('com_joomcrm_document_size'); ?></strong></td>
                        <td><?php if (array_key_exists('size', $document))
	                        {
		                        echo $document['size'] . "kb";
	                        } ?></td>
                    </tr>
                </table>
            </div>
        </div>
	</div>
</form>