<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

$input = Factory::getApplication()->input;
$id    = $input->get('id', 0, 'int');


?>

<thead>
<th>
    <div class="sort_order">
        <a href="javascript:void(0);" class="d.type"
           onclick="sortTable('d.filetype',this)"><?php echo Text::_('COM_JOOMCRM_DOCUMENT_TYPE'); ?></a>
    </div>
</th>
<th>
    <div class="sort_order">
        <a href="javascript:void(0);" class="d.filename"
           onclick="sortTable('d.filename',this)"><?php echo Text::_('COM_JOOMCRM_DOCUMENT_NAME'); ?></a>
    </div>
</th>
<th>
	<?php echo Text::_('COM_JOOMCRM_DOCUMENT_ASSOCIATION'); ?>
</th>

<th>
    <div class="sort_order">
        <a href="javascript:void(0);" class="u.last_name"
           onclick="sortTable('u.last_name',this)"><?php echo Text::_('COM_JOOMCRM_DOCUMENT_OWNER'); ?></a>
    </div>
</th>
<th class="category">
    <div class="sort_order">
        <a class="d.category_id"
           onclick="sortTable('d.category_id',this)"><?php echo Text::_('COM_JOOMCRM_COMPANIES_CATEGORY'); ?></a>
    </div>
</th>
<th>
    <div class="sort_order">
        <a href="javascript:void(0);" class="d.size"
           onclick="sortTable('d.size',this)"><?php echo Text::_('COM_JOOMCRM_DOCUMENT_SIZE'); ?></a>
    </div>
</th>
<th>
    <div class="sort_order">
        <a href="javascript:void(0);" class="d.created"
           onclick="sortTable('d.created',this)"><?php echo Text::_('COM_JOOMCRM_DOCUMENT_UPLOADED'); ?></a>
    </div>
</th>
</thead>
<tbody class="results">
<?php
if (count($this->documents) > 0)
{
	foreach ($this->documents as $key => $document)
	{
		$k = $key % 2;

		// Assign association link
		switch ($document['association_type'])
		{
			case "deal":
				$view                         = 'deals';
				$association_type             = "deal";
				$document['association_name'] = $document['deal_name'];
				break;
			case "person":
				$view                         = "people";
				$association_type             = "person";
				$document['association_name'] = $document['first_name'] . " " . $document['last_name'];
				break;
			case "company";
				$view                         = "companies";
				$association_type             = "company";
				$document['association_name'] = $document['company_name'];
				break;
		}
		if (array_key_exists('association_name', $document) and $document['association_name'] != null)
		{
			$association_link = '<a href="' . Route::_('index.php?option=com_joomcrm&view=' . $view . '&layout=' . $association_type . '&id=' . $document['association_id']) . '" >' . $document['association_name'];
		}
		else
		{
			$association_link = "";
		}

		echo '<tr class="document_' . $key . '" id="document_row_' . $document['id'] . '" class="joomcrm_row_' . $k . '">';
		$imageFile = \Joomla\CMS\Filesystem\File::exists(JPATH_BASE . '/components/com_joomcrm/media/images/' . $document['filetype'] . '.png') ? Uri::base() . 'components/com_joomcrm/media/images/' . $document['filetype'] . '.png' : Uri::base() . 'components/com_joomcrm/media/images/generic_file.png';
		echo '<td><div class="bg-light p-1 m-1 d-inline-block text-center"><img class="d-block" width="30px" height="30px" src="' . $imageFile . '" /><small class="text-muted"><strong>' . strtoupper($document['filetype']) . '</strong></small></div></td>';
        ?>

        <td>
	        <?php echo LayoutHelper::render('document.dropdown',['document' => $document],null,['component' => 'com_joomcrm','client' => 'site']) ?>
        </td>



        <?php
		echo '<input type="hidden" name="document_' . $document['id'] . '_hash" id="document_' . $document['id'] . '_hash" value="' . $document['filename'] . '" />';
		echo '<td>' . $association_link . '</a></td>';
		echo '<td>' . $document['owner_name'] . '</td>';
		echo '<td class="category">' . $document['category_name'] . "</td>";
		echo '<td>' . $document['size'] . 'Kb</td>';
		echo '<td>' . JoomcrmHelperDate::formatDate($document['created']) . '</td>';
		echo '</tr>';
	}
}
?>
</tbody>
<script type="text/javascript">
    jQuery("#documents_matched").html('<?php echo count($this->documents); ?>');
    var documents = <?php echo json_encode($this->documents); ?>;
    var document_names = <?php
		// Assign document names for autocomplete dialogs
		$names = array();

		if (count($this->documents) > 0)
		{
			foreach ($this->documents as $key => $document)
			{
				$names[] = $document['name'];
			}
		}

		echo json_encode($names);
		?>;
</script>

<?php echo JoomcrmPagination::ajaxPagination($this) // get new updated pagination if ajax request ?>
