<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class JoomcrmViewEventsHtml extends JoomcrmHelperView
{
	public $events;
	public $user_id;
	public $team_id;
	public $state;
	public $people;
	public $event_statuses;
	public $event_types;
	public $event_categories;
	public $event_due_dates;
	public $event_associations;
	public $event_users;
	public $event_teams;
	public $member_role;

	public function display($tpl = null)
	{

		$app = \Joomla\CMS\Factory::getApplication();
		$input = $app->input;

		$model = new JoomcrmModelEvent;

		$event_id = $app->input->getInt('id');
		$layout   = $this->getLayout();
		$view =  \Joomla\CMS\Factory::getApplication()->input->get('view');
		
		$doc = Factory::getDocument();

		// If id requested
		if ($layout != 'default' && isset($event_id))
		{
			$this->events = $model->getEvent($event_id);
		}
		else
		{
			// Else load all events
			if ($layout != 'edit_task' || $layout != "edit_event")
			{

				if ($loc = $app->input->getString('loc'))
				{
					$this->events = $model->getEvents($loc, null, $input->getInt($loc . '_id',0));
				}
				else
				{
					$this->events = $model->getEvents();
				}
			}
		}

		if (isset($event_id))
		{
			$person_model = new JoomcrmModelPeople;
			$person_model->set('event_id', $event_id);
			$person_model->set('recent', false);
			$person_model->set('_id', null);
			$this->people = $person_model->getPeople();
		}

		if ($layout == "default")
		{
			$this->state              = $model->getState();
			$this->event_statuses     = JoomcrmHelperEvent::getEventStatuses();
			$this->event_types        = JoomcrmHelperEvent::getEventTypes();
			$this->event_categories   = JoomcrmHelperEvent::getCategories(true);
			$this->event_due_dates    = JoomcrmHelperEvent::getEventDueDates();
			$this->event_associations = JoomcrmHelperEvent::getEventAssociations();
			$this->event_users        = JoomcrmHelperUsers::getUsers(null, true);
			$this->event_teams        = JoomcrmHelperUsers::getTeams();

			$doc = Factory::getDocument();
			$doc->addScriptDeclaration("var loc='events';
				order_url = Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=events&layout=list&format=raw&tmpl=component';
				order_dir = '" . $this->state->get('Event.'.$view.'_'.$layout.'_'.'filter_order_Dir') . "';
				order_col = '" . str_replace('\'', '"', $this->state->get('Event.'.$view.'_'.$layout.'_'.'filter_order')) . "';");
		}

		$layout = $app->input->get('layout', 'list');
		$doc->addScriptDeclaration('var layout="' . $layout . '";');

		// Assign results to view
		$this->member_role = JoomcrmHelperUsers::getRole();
		$this->user_id = JoomcrmHelperUsers::getUserId();
		$this->team_id = JoomcrmHelperUsers::getTeamId();

		parent::display($tpl);
	}

}
