<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class JoomcrmViewEventsRaw extends JoomcrmView
{
	public function display($tpl = null)
	{
		// Grab model
		$model = new JoomcrmModelEvent;
		$input = Factory::getApplication()->input;

		if ($this->getLayout() == "event_listings" || $this->getLayout() == "list")
		{
			if ($this->getLayout() == "event_listings")
			{
				$model->set("limit", "20");
			}

			$model->set('filter_order_Dir', 'asc');
			$this->events = $model->getEvents();
		}
		else
		{
			// Null event
			$event = array();

			$id = null;
			if ($input->getInt('parent_id',0) && !$input->getInt('id',0))
			{
				$id = $input->getInt('parent_id',0);
			}
			else
			{
				$id = $input->getInt('id',0);
			}

			// Grab event
			if ($id != null)
			{
				$event = $model->getEvent($id, true);
			}

			// Pass reference
			$this->event = $event;
		}


		if ($input->getInt('association_id',0))
		{
			$this->association_name = JoomcrmHelperJoomcrm::getAssociationName();
		}

		parent::display($tpl);
	}

}
