<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;

$view =  Factory::getApplication()->input->get('view');
$layout =  Factory::getApplication()->input->get('layout', 'list');

// used for contacts modal
Text::script('COM_JOOMCRM_CONTACTS');

?>
<div id="jb_template">
    <?php echo LayoutHelper::render('common.ajaxloading') ?>
    <div class="page-header">
        <div class="btn-group float-end">
            <a class="btn btn-sm btn-light" onclick="addTaskEvent('task')">
                <i class="fas fa-plus"></i> <?php echo ucwords(Text::_('COM_JOOMCRM_ADD_TASK')); ?>
            </a>
            <a class="btn btn-sm btn-light" onclick="addTaskEvent('event')">
                <i class="fas fa-plus"></i> <?php echo ucwords(Text::_('COM_JOOMCRM_ADD_EVENT')); ?>
            </a>
            <a class="btn btn-sm btn-light" href="<?php echo Route::_('index.php?option=com_joomcrm&view=calendar'); ?>">
                <i class="far fa-calendar"></i> <?php echo Text::_('COM_JOOMCRM_SHOW_CALENDAR'); ?>
            </a>
            <a class="btn btn-sm btn-light" href="javascript:void(0)" onclick="printItems('event_form');">
                <i class="fas fa-print"></i> <?php echo Text::_('COM_JOOMCRM_PRINT'); ?>
            </a>
        </div>
        <h1><?php echo ucwords(Text::_('COM_JOOMCRM_TASKS_HEADER')); ?></h1>
    </div>
    <div>
		<?php echo LayoutHelper::render('common.list.filter',['data' => $this->loadTemplate('filter')]) ?>
		<?php echo JoomcrmHelperTemplate::getEventListEditActions(); ?>
        <form id="event_form" class="print_form" method="POST" target="_blank" action="<?php echo Route::_('index.php?option=com_joomcrm&view=print'); ?>">
            <input type="hidden" name="layout" value="events"/>
            <input type="hidden" name="model" value="event"/>
            <table id='events_list' class="com_joomcrm_table table">
                <thead>
                <tr>
                    <th class="checkbox_column"><input type="checkbox" onclick="selectAll(this);"/></th>
                    <th>
                        <div class="sort_order">
                            <a class="e.name" onclick="sortTable('e.name',this)"><?php echo ucwords(Text::_('COM_JOOMCRM_EVENTS_NEXT_TASK')); ?>
                        </div>
                    </th>
                    <th>
                        <div class="sort_order">
                            <a class="e.due_date" onclick="sortTable('e.due_date',this)"><?php echo ucwords(Text::_('COM_JOOMCRM_EVENTS_DUE_DATE')); ?>
                        </div>
                    </th>
                    <th><?php echo Text::_('COM_JOOMCRM_EVENTS_FOR'); ?></th>
                    <th><?php echo Text::_('COM_JOOMCRM_CREATED_BY'); ?></th>
                    <th><?php echo Text::_('COM_JOOMCRM_ASSIGNED_TO'); ?></th>
                    <th>
                        <div class="sort_order">
                            <a class="e.category_id" onclick="sortTable('e.category_id',this)"><?php echo ucwords(Text::_('COM_JOOMCRM_EVENTS_TYPE')); ?>
                        </div>
                    </th>
                    <th><?php echo Text::_('COM_JOOMCRM_EVENTS_CONTACTS'); ?></th>
                    <th><?php echo Text::_('COM_JOOMCRM_EVENTS_NOTES'); ?></th>
                </tr>
                </thead>
                <tbody id="events">
				<?php
				$data = array(array('ref' => 'events', 'data' => $this->events));
				$event_list = JoomcrmHelperView::getView('events', 'list', $data);
				$event_list->display();
				?>
                </tbody>
            </table>
            <input type="hidden" name="list_type" value="events"/>
        </form>
    </div>
    <div id="deal_contacts_modal_dialog" style="display:none;"></div>
    <div id="note_modal" style="display:none;"></div>
</div>
