<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

$view =  \Joomla\CMS\Factory::getApplication()->input->get('view');

$current_event_status = @$this->event_statuses[$this->state->get('Event.' . $view . '_' . $layout . '_status', key($this->event_statuses))];
$current_event_type = @$this->event_types[$this->state->get('Event.' . $view . '_' . $layout . '_type', key($this->event_types))];
$this->event_categories = array('any' => Text::_('COM_JOOMCRM_ANY_TYPE')) + $this->event_categories;
$current_event_cat = @$this->event_categories[$this->state->get('Event.' . $view . '_' . $layout . '_category', key($this->event_categories))];
$current_event_due_date = @$this->event_due_dates[$this->state->get('Event.' . $view . '_' . $layout . '_due_date', key($this->event_due_dates))];
$current_event_assoc = @$this->event_associations[$this->state->get('Event.' . $view . '_' . $layout . '_association_type', key($this->event_associations))];
$current_assignee_assoc = @$this->event_users[$assignee_key]['label'];

$user_id = JoomcrmHelperUsers::getUserId();
$arr = array();

if (JoomcrmHelperUsers::getRole() != 'basic')
{
	$arr[] = array('value' => 'all', 'label' => Text::_('COM_JOOMCRM_ALL_USERS'));
}
$this->event_users = array_merge($arr, $this->event_users);

if (!isset($this->event_users[$user_id]))
{
	$this->event_users[] = array('value' => $user_id, 'label' => Text::_('COM_JOOMCRM_ME'));
}
else
{
	$this->event_users[$user_id]['label'] = Text::_('COM_JOOMCRM_ME');
}

$assignee_key = null;
$assignee_filter = $this->state->get('Event.' . $view . '_' . $layout . '_assignee_id', $user_id);

foreach ($this->event_users as $key => $user)
{
	if ($user['value'] == $assignee_filter)
	{
		$assignee_key = $key;
	}
}

?>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_SHOW'); ?>
    </div>
    <div>

        <select
                class="form-select" id="event_status_filter"
                onchange="eventFilter('status',document.getElementById('event_status_filter').options[document.getElementById('event_status_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->event_statuses as $title => $text): ?>
                <option <?php echo $current_event_status == $text ? 'selected' : '' ?>
                        value="<?php echo $title ?>"> <?php echo $text ?></option>
		    <?php endforeach; ?>
        </select>

    </div>
</div>
<div class="col-md-2">
    <div class="text-muted">
        <span style="visibility: hidden">Type</span>
    </div>
    <div>

        <select
                class="form-select" id="event_type_filter"
                onchange="eventFilter('type',document.getElementById('event_type_filter').options[document.getElementById('event_type_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->event_types as $title => $text): ?>
                <option <?php echo $current_event_type == $text ? 'selected' : '' ?>
                        value="<?php echo $title ?>"> <?php echo $text ?></option>
		    <?php endforeach; ?>
        </select>
    </div>
</div>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_OF'); ?>
    </div>
    <div>
        <select
                class="form-select" id="event_cat_filter"
                onchange="eventFilter('category',document.getElementById('event_cat_filter').options[document.getElementById('event_cat_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->event_categories as $title => $text): ?>
                <option <?php echo $current_event_cat == $text ? 'selected' : '' ?>
                        value="<?php echo $title ?>"> <?php echo $text ?></option>
		    <?php endforeach; ?>
        </select>
    </div>
</div>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_THAT_ARE'); ?>
    </div>
    <div>
        <select
                class="form-select" id="event_due_date_filter"
                onchange="eventFilter('due_date',document.getElementById('event_due_date_filter').options[document.getElementById('event_due_date_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->event_due_dates as $title => $text): ?>
                <option <?php echo $current_event_due_date == $text ? 'selected' : '' ?>
                        value="<?php echo $title ?>"> <?php echo $text ?></option>
		    <?php endforeach; ?>
        </select>
    </div>
</div>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_FOR'); ?>
    </div>
    <div>
        <select
                class="form-select" id="event_assoc_filter"
                onchange="eventFilter('association_type',document.getElementById('event_assoc_filter').options[document.getElementById('event_assoc_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->event_associations as $title => $text): ?>
                <option <?php echo $current_event_assoc == $text ? 'selected' : '' ?>
                        value="<?php echo $title ?>"> <?php echo $text ?></option>
		    <?php endforeach; ?>
        </select>

    </div>
</div>
<div class="col-md-2">
    <div class="text-muted">
	    <?php echo Text::_('COM_JOOMCRM_ASSIGNED_TO'); ?>
    </div>
    <div>

        <select
                class="form-select" id="event_assignee_filter"
                onchange="eventFilter('assignee_id',document.getElementById('event_assignee_filter').options[document.getElementById('event_assignee_filter').selectedIndex].value)"
        >
		    <?php foreach ($this->event_users as $key => $user): ?>
                <option <?php echo $current_assignee_assoc == $user['label'] ? 'selected' : '' ?>
                        value="<?php echo $user['value'] ?>"> <?php echo $user['label'] ?></option>
		    <?php endforeach; ?>
        </select>
    </div>
</div>