<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;

// Assign event
$event = $this->event;
$app = Factory::getApplication();
?>
<div id="jb_template">
    <form id="edit_task_form" method="POST" name="edit_task" action="<?php echo Uri::base().'index.php?option=com_joomcrm&task=main.save'; ?>" onsubmit="return save(this)">
        <div class="validate">
            <ul class="nav nav-tabs" id="edit_form_task">
                <li class="nav-item active"><a class="nav-link active" href="#TTask" data-bs-toggle="tab" ><?php echo ucwords(Text::_('COM_JOOMCRM_TASK')); ?></a></li>
                <li class="nav-item"><a class="nav-link" href="#TAssignment" data-bs-toggle="tab" ><?php echo Text::_('COM_JOOMCRM_PERSON_ASSIGNMENT'); ?></a></li>
                <li class="nav-item"><a class="nav-link" href="#TDate" data-bs-toggle="tab"><?php echo Text::_('COM_JOOMCRM_DATE'); ?></a></li>
            </ul>
            <div class="tab-content mt-4" id="edit_form_taskcontent">
                <div class="tab-pane active" id="TTask">
                    <div class="row clearfix">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name"><?php echo ucwords(Text::_('COM_JOOMCRM_EDIT_TASK_NAME')); ?><span class="required">*</span></label>
                                <input class="required form-control" id="name" type="text" name="name" value="<?php if(array_key_exists('name',$event)) echo $event['name']; ?>" />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="category_id"><?php echo Text::_('COM_JOOMCRM_EDIT_TASK_TYPE'); ?></label>
                                <select id="category_id" class="form-control" name="category_id">
		                            <?php
		                            $categories = JoomcrmHelperEvent::getCategories();
		                            $selected = isset($event['category_id']) ? $event['category_id'] : null;
		                            echo HTMLHelper::_('select.options', $categories, 'value', 'text', $selected, true);
		                            ?>
                                </select>
                            </div>

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="description"><?php echo Text::_('COM_JOOMCRM_EDIT_TASK_DESCRIPTION'); ?></label>
                        <textarea id="description" class="form-control" name="description"><?php if(array_key_exists('description',$event)) echo trim($event['description']); ?></textarea>
                    </div>
                    <div class="alert alert-info">
                        <div class="form-check">
                            <input id="public" class="form-check-input" value="1" type="checkbox" name="public" <?php $checked = (array_key_exists('public', $event) && $event['public'] == 1) ? "checked" : ""; echo $checked; ?> />
                            <label for="public" class="form-check-label">
				                <?php echo Text::_('COM_JOOMCRM_PUBLIC_EVENT'); ?>
                            </label>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" id="TAssignment">
                    <div class="form-group">
                        <label for="associate_name"><?php echo Text::_('COM_JOOMCRM_ASSOCIATE'); ?></label>
                        <div id="associate_to_container">
							<?php if ( array_key_exists('association_name',$event) ) { ?>
                                <div id="associate_to">
                                    <input type="text" id="associate_name" class="form-control" name="associate_name" value="<?php echo $event['association_name']; ?>" />
                                </div>
							<?php } else { ?>
								<?php if ( $app->input->getVar('association_id') ) { $association_name = $this->association_name;  } else { $association_name = ucwords(Text::_('COM_JOOMCRM_COMPANY_DEAL_OR_PERSON'));} ?>
                                <div id="associate_to">
                                    <input type="text" class="form-control" id="associate_name" name="associate_name" value="" placeholder="<?php echo $association_name; ?>" />
                                </div>
							<?php } ?>
							<?php $association_id = $app->input->getVar('association_id'); ?>
							<?php $association_type = $app->input->getVar('association_type'); ?>
							<?php if ( $association_id ){ ?>
                                <input type="hidden" name="association_id" value="<?php echo $association_id; ?>" />
                                <input type="hidden" name="association_type" value="<?php echo $association_type; ?>" />
							<?php } ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="assignee_id"><?php echo Text::_('COM_JOOMCRM_EDIT_TASK_ASSIGN_TO'); ?></label>
                        <select id="assignee_id" class="form-control" name="assignee_id">
							<?php
							$users = array();
							$users[JoomcrmHelperUsers::getUserId()] = Text::_('COM_JOOMCRM_ME');
							$users += JoomcrmHelperDropdown::getUserNames();
							$selected = isset($event['assignee_id']) ? $event['assignee_id'] : null;
							echo HTMLHelper::_('select.options', $users, 'value', 'text', $selected, true);
							?>
                        </select>
                    </div>
                </div>
                <div class="tab-pane" id="TDate">
                    <div class="form-group">
                        <label for="due_date_input"><?php echo Text::_('COM_JOOMCRM_EDIT_TASK_DUE_DATE'); ?></label>
                        <div id="due_date_container">
                            <div id="due_date">
                                <div class="row gx-2">
                                    <div class="col">
                                        <input id="due_date_input" class="form-control date_input" type="text" name="due_date_input" value="<?php if (array_key_exists('due_date',$event)) echo JoomcrmHelperDate::formatDate($event['due_date']); ?>" />
                                        <input class="due_date_input_hidden" id="due_date_input_hidden" name="due_date" type="hidden" value="<?php if ( array_key_exists('due_date',$event) ){ echo $event['due_date']; } ?>" />
                                    </div>
                                    <div class="col">
                                        <select name="due_date_hour" class="form-control">
		                                    <?php
		                                    $time = JoomcrmHelperDate::getTimeIntervals();
		                                    $selected = isset($event['due_date_hour']) ? $event['due_date_hour'] : null;
		                                    echo HTMLHelper::_('select.options', $time, 'value', 'text', $selected, true);
		                                    ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="repeats"><?php echo Text::_('COM_JOOMCRM_EDIT_TASK_REPEAT'); ?></label>
                        <select id="repeats" class="form-control" name="repeats" onchange="updateEndDate(this);">
							<?php
							$repeat_intervals = JoomcrmHelperEvent::getRepeatIntervals();
							$selected = isset($event['repeats']) ? $event['repeats'] : null;
							echo HTMLHelper::_('select.options', $repeat_intervals, 'value', 'text', $selected, true);
							?>
                        </select>
                    </div>
                    <div id="end_date" class="form-group" style="display: <?php echo $selected != null ? 'visible' : 'none'; ?>;">
                        <label for="repeat_end_input"><?php echo Text::_('COM_JOOMCRM_END_DATE'); ?></label>
                        <input id="repeat_end_input" type="text" class="date_input form-control" name="repeat_end_input" value="<?php if (array_key_exists('repeat_end',$event)) echo JoomcrmHelperDate::formatDate($event['repeat_end']); ?>" />
                        <input id="repeat_end_input_hidden" name="repeat_end" type="hidden" value="<?php if ( array_key_exists('repeat_end',$event) ){ echo $event['repeat_end']; } ?>" />
                    </div>
					<?php if ( array_key_exists('repeats',$event) && $event['repeats'] != "none" ) { ?>
                        <div class="form-group">
                            <div class="form-check">
                                <input id="update_future_events" class="form-check-input" type="checkbox" name="update_future_events" checked="checked" />
                                <label for="update_future_events" class="form-check-label"><?php echo Text::_('COM_JOOMCRM_UPDATE_FUTURE_EVENTS'); ?></label>
                            </div>
                        </div>
					<?php } ?>
                </div>
            </div>
			<?php
			if ( array_key_exists('id',$event) ) {
				echo '<input type="hidden" value="'.$event['id'].'" name="id" />';
			}
			if ( $app->input->get('parent_id') > 0 ) {
				echo '<input type="hidden" name="parent_id" value="'.$app->input->get('parent_id').'" />';
			}
			?>
            <input type="hidden" name="task" value="main.save" />
            <input type="hidden" name="type" value="task" />
        </div>
    </form>
</div>
<script>
    tabsFixer();
</script>