<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;

$app = Factory::getApplication();

$user_role = JoomcrmHelperUsers::getRole();
$user_id = JoomcrmHelperUsers::getUserId();

?>
<form class="print_form m-0">

		<?php if($app->input->get('view')!="print") { ?>
            <div class="clearfix mb-3">
                <div class="float-end btn-toolbar m-0">
                    <div class="btn-group">
                        <a class="btn btn-sm btn-success" href="javascript:void(0);" rel="tooltip" title="<?php echo Text::_('COM_JOOMCRM_ADD_TASK'); ?>" onclick="addTaskEvent('task');">
                            <i class="fas fa-tasks"></i> <?php echo Text::_('COM_JOOMCRM_ADD_TASK'); ?>
                        </a>
                    </div>
                    <div class="btn-group ms-2">
                        <a class="btn btn-sm btn-success"  href="javascript:void(0);" rel="tooltip" title="<?php echo Text::_('COM_JOOMCRM_ADD_EVENT'); ?>" onclick="addTaskEvent('event');">
                            <i class="fas fa-calendar-alt"></i> <?php echo Text::_('COM_JOOMCRM_ADD_EVENT'); ?>
                        </a>
                    </div>
                    <div class="btn-group ms-2">
                        <div class="dropdown">
                            <a
                                    class="btn btn-sm btn-light dropdown-toggle"
                                    rel="tooltip"
                                    title="<?php echo Text::_('COM_JOOMCRM_APPLY_A_WORKFLOW'); ?>"
                                    data-bs-toggle="dropdown"
                                    href="#"
                                    id="templates_link"
                            >
                                <i class="fas fa-list"></i> <?php echo Text::_('COM_JOOMCRM_APPLY_A_WORKFLOW'); ?>
                            </a>
                            <div class="dropdown-menu">
					            <?php $templates = JoomcrmHelperJoomcrm::getTaskTemplates($app->input->get('layout'));
					            if ( count($templates) > 0 ) { foreach ( $templates as $template) { ?>
                                    <a class="dropdown-item" href="javascript:void(0)" onclick="createTemplate(<?php echo $template['id']; ?>)"><?php echo $template['name']; ?></a>
					            <?php } } else { ?>
                                    <a class="dropdown-item" href="#"><?php echo Text::_('COM_JOOMCRM_NO_WORKFLOWS_HAVE_BEEN_CREATED'); ?></a></li>
					            <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
		<?php } ?>

    <div class="card-footer border-bottom" id="task_container">
        <div class="d-flex justify-content-between">
			<?php if($app->input->get('view')!="print") { ?>
                <div class="d-inline-block dropdown m-0 p-0"> <?php echo Text::_('COM_JOOMCRM_SHOW_TASKS_FOR'); ?>
                    <button class="btn btn-link btn-sm d-inline-block dropdown-toggle" id="event_user_link" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
						<?php echo Text::_('COM_JOOMCRM_ME'); ?>
                    </button>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                        <a
                                class="dropdown-item update-toggle-text filter_user_<?php echo $user_id; ?>"
                                onclick="updateEventList(<?php echo $user_id; ?>,0,this)"
                        >
							<?php echo ucwords(Text::_('COM_JOOMCRM_ME')); ?>
                        </a>
						<?php if ( $user_role != 'basic' ) { ?>
                            <a href="javascript:void(0);" class="dropdown-item update-toggle-text filter_user_all" onclick="updateEventList('all',0,this)" ><?php echo ucwords(Text::_('COM_JOOMCRM_ALL_USERS')); ?></a>
						<?php } ?>
						<?php
						if ( $user_role == 'exec' ){
							$teams = JoomcrmHelperUsers::getTeams();
							if ( count($teams) > 0 ){
								foreach($teams as $team){
									echo "<a href='javascript:void(0);' class='dropdown-item filter_team_".$team['team_id']."' onclick='updateEventList(0,".$team['team_id'].",this)'>".$team['team_name'].Text::_('COM_JOOMCRM_TEAM_APPEND')."</a>";
								}
							}
						}
						$users = JoomcrmHelperUsers::getUsers();
						if ( count($users) > 0 ){
							foreach($users as $user){
								echo "<a href='javascript:void(0);' class='dropdown-item update-toggle-text filter_user_".$user['id']."' onclick='updateEventList(".$user['id'].",0,this)'>".$user['first_name']."  ".$user['last_name']."</a>";
							}
						}

						?>
                    </div>
                </div>

			<?php } ?>
            <a class="btn btn-light btn-sm" href="<?php echo Route::_('index.php?option=com_joomcrm&view=events'); ?>">
                <i class="fas fa-list"></i> <?php echo ucwords(Text::_('COM_JOOMCRM_SEE_ALL_TASKS')); ?>
            </a>
        </div>
    </div>
	<div id="event_list">
	</div>
	<div id="task_container">
        <div id="task_list">
			<?php
			$task_list = JoomcrmHelperView::getView('events', 'event_listings', array(array('ref' => 'events', 'data' => $this->events)));
			$task_list->display();
			?>
        </div>
	
		<div id="edit_task" style="display:none;">
		</div>
				
		<div id="edit_event" style="display:none;">
		</div>

	</div>
</form>