<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

$current_heading = "";

?>

<?php if (count($this->events) > 0): ?>
<div class="list-group list-group-flush">
<?php

    $i = 0;

	foreach ($this->events as $event)
	{

		$display_date = ($event['type'] == "event") ? $event['start_time'] : $event['due_date'];
		$time         = ($event['type'] == "event") ? $event['start_time_hour'] : $event['due_date_hour'];



		$display_date = $display_date == "" ? \Joomla\CMS\Language\Text::_('COM_JOOMCRM_NA') : JoomcrmHelperDate::formatDate($display_date, false, false);

		$relative_date_title = JoomcrmHelperDate::getRelativeDate($display_date);

		if ($current_heading != $relative_date_title)
		{
			echo '<div class="card-body py-2"><h6 class="card-title m-0"><strong>' . $relative_date_title . '</strong>';

			echo '</h6></div>';
			$current_heading = $relative_date_title;
		}


		echo '<div class="list-group-item com_joomcrm_task_event joomcrm_form_wrapper" id="com_joomcrm_listing_' . $event['id'] . '">';

		if ($event['completed'] == 1)
		{
			$completed = "line-through";
		}
		else
		{
			$completed = "";
		}

		$id = (array_key_exists('parent_id', $event) && $event['parent_id']) != 0 ? $event['parent_id'] : $event['id'];

		$display_date = ($event['type'] == "event") ? $event['start_time'] : $event['due_date'];

		if ($display_date == "")
		{
			$display_date = Text::_('COM_JOOMCRM_NA');
		}

		?>

		<div class="dropdown d-inline-block">
            <a class="p-0 btn btn-link btn-sm dropdown-toggle <?php echo $completed ?>" id="event_menu_<?php echo $event['id'] ?>_link" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <?php echo $event['name']; ?>
            </a>
            <div class="dropdown-menu" id="event_menu_<?php echo $event['id'] ?>" aria-labelledby="dropdownMenuButton">
                <?php if ($event['completed'] == 1): ?>
                    <a class="dropdown-item" href="javascript:void(0);" onclick="markEventIncomplete(this)" ><i class="fas fa-clock-o text-muted"></i> <?php echo Text::_('COM_JOOMCRM_MARK_INCOMPLETE') ?></a>
                <?php else: ?>
                    <a class="dropdown-item" href="javascript:void(0);" onclick="markEventComplete(this)" ><i class="fas fa-check"></i> <?php echo Text::_('COM_JOOMCRM_MARK_COMPLETE') ?></a>
                    <a class="dropdown-item" href="javascript:void(0);" onclick="postponeEvent(this,1)" ><i class="fas fa-calendar-day"></i> <?php echo  Text::_('COM_JOOMCRM_POSTPONE_1_DAY') ?></a>
                    <a class="dropdown-item" href="javascript:void(0);" onclick="postponeEvent(this,7)" ><i class="fas fa-calendar-week"></i> <?php echo Text::_('COM_JOOMCRM_POSTPONE_7_DAYS') ?></a>
                <?php endif; ?>
                <a class="dropdown-item" href="javascript:void(0);" onclick="editEvent(<?php echo $id ?>,'<?php echo $event['type'] ?>')" ><i class="fas fa-edit"></i> <?php echo Text::_('COM_JOOMCRM_EDIT') ?></a>
                <a class="dropdown-item" href="javascript:void(0);" onclick="deleteEvent(this)" ><i class="fas fa-trash"></i> <?php echo Text::_('COM_JOOMCRM_DELETE') ?></a>
            </div>
        </div>
        <div class="text-muted">
            <small class="me-2">
                <i class="fas fa-calendar"></i> <?php echo JoomcrmHelperDate::formatDateString($display_date) ?> <?php
                echo JoomcrmHelperDate::formatTime($time, "(" . JoomcrmHelperUsers::getTimeFormat() . ")")  ?>
            </small>
            <?php
            switch ($event['association_type'])
            {
	            case "company":
		            echo " <small><i class='fas fa-building'></i> <a href='" . Route::_('index.php?option=com_joomcrm&view=companies&layout=company&id=' . $event['company_id']) . "'>" . $event['company_name'] . "</a></small>";
		            break;
	            case "deal":
		            echo " <small><i class='fas fa-handshake'></i> <a href='" . Route::_('index.php?option=com_joomcrm&view=deals&layout=deal&id=' . $event['deal_id']) . "'>" . $event['deal_name'] . "</a></small>";
		            break;
	            case "person":
		            echo " <small><i class='fas fa-user'></i> <a href='" . Route::_('index.php?option=com_joomcrm&view=people&layout=person&id=' . $event['person_id']) . "'>" . $event['person_first_name'] . " " . $event['person_last_name'] . "</a></small>";
		            break;
            }
            ?>
        </div>

		<?php

		echo '<div id="event_form_' . $event['id'] . '">';
		echo '<input type="hidden" name="event_id" value="' . $event['id'] . '" />';
		echo '<input type="hidden" name="parent_id" value="' . $event['parent_id'] . '" />';
		if ($event['type'] == "task")
		{
			echo '<input type="hidden" name="due_date" value="' . $event['due_date'] . '" />';
		}
		else
		{
			echo '<input type="hidden" name="start_time" value="' . $event['start_time'] . '" />';
			echo '<input type="hidden" name="end_time" value="' . $event['end_time'] . '" />';
		}
		echo '<input type="hidden" name="event_type" value="' . $event['type'] . '" />';
		echo '<input type="hidden" name="repeats" value="' . $event['repeats'] . '" />';
		echo '<input type="hidden" name="type" value="single" />';
		echo '</div>';
		echo '</div>';
	}
	?>
</div>
<?php endif; ?>
