<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

$input = \Joomla\CMS\Factory::getApplication()->input;
$id = $input->get('id',0,'int');

$n = count($this->events);
for ($i = 0; $i < $n; $i++)
{
	$k = $i % 2;

	$event = $this->events[$i];


	if ($event['type'] == 'task')
	{
		$due_date = $event['due_date'] != '0000-00-00 00:00:00' ? JoomcrmHelperDate::formatDate($event['due_date']) : Text::_('COM_JOOMCRM_NA');
		$time     = $event['due_date_hour'];
	}
	else
	{
		$due_date = JoomcrmHelperDate::formatDate($event['start_time']);
		$time     = $event['start_time_hour'];
	}

	$id = (array_key_exists('parent_id', $event) && $event['parent_id']) != 0 ? $event['parent_id'] : $event['id'];
	echo '<tr id="list_row_' . $id . '" class="joomcrm_row_' . $k . ' joomcrm_form_wrapper">';
	if ($event['completed'] == 1)
	{
		$completed = "line-through";
	}
	else
	{
		$completed = "";
	}
	echo '<td>';
	if (JoomcrmHelperUsers::getLoggedInUser()->id == $event['owner_id'] || JoomcrmHelperUsers::getLoggedInUser()->id == $event['assignee_id'] || JoomcrmHelperUsers::isAdmin() || JoomcrmHelperUsers::getRole() == "exec")
	{
		echo '<input type="checkbox" name="ids[]" value="' . $id . '" />';
	}
	echo '</td>';
	echo '<td><div class="dropdown"><a class="dropdown-toggle ' . $completed . '" data-bs-toggle="dropdown" id="event_menu_' . $event['id'] . '_link" >';
	echo $event['name'];
	echo '</a>';
	echo '<ul class="dropdown-menu">';
	if (array_key_exists('completed', $event) && $event['completed'] == 1)
	{
		echo '<li><a href="javascript:void(0);" onclick="markEventIncomplete(this)" >' . Text::_('COM_JOOMCRM_MARK_INCOMPLETE') . '</a></li>';
	}
	else
	{
		echo '<li><a class="dropdown-item" href="javascript:void(0);" onclick="markEventComplete(this)" >' . Text::_('COM_JOOMCRM_MARK_COMPLETE') . '</a></li>';
		echo '<li><a class="dropdown-item" href="javascript:void(0);" onclick="postponeEvent(this,1)" >' . Text::_('COM_JOOMCRM_POSTPONE_1_DAY') . '</a></li>';
		echo '<li><a class="dropdown-item" href="javascript:void(0);" onclick="postponeEvent(this,7)" >' . Text::_('COM_JOOMCRM_POSTPONE_7_DAYS') . '</a></li>';
	}
	$id = (array_key_exists('parent_id', $event) && $event['parent_id']) != 0 ? $event['parent_id'] : $event['id'];
	echo '<li><a class="dropdown-item" href="javascript:void(0);" onclick="editEvent(' . $id . ',\'' . $event['type'] . '\')" >' . Text::_('COM_JOOMCRM_EDIT') . '</a></li>';
	echo '<li><a class="dropdown-item" href="javascript:void(0);" onclick="deleteEvent(this)" >' . Text::_('COM_JOOMCRM_DELETE') . '</a></li>';
	echo '</ul></div>';
	echo '</td>';
	echo '<td class="due_date_column">' . $due_date . ' ' . JoomcrmHelperDate::formatTime($time, "(" . JoomcrmHelperUsers::getTimeFormat() . ")") . '</td>';
	echo '<td>';
	if ($event['deal_name'])
	{
		echo '<a href=' . Route::_('index.php?option=com_joomcrm&view=deals&layout=deal&id=' . $event['deal_id']) . '>' . $event['deal_name'] . '</a><br />';
	}
	if ($event['company_name'])
	{
		echo '<a href=' . Route::_('index.php?option=com_joomcrm&view=companies&layout=company&id=' . $event['company_id']) . '>' . $event['company_name'] . '</a>';
	}
	if ($event['person_id'])
	{
		echo '<a href=' . Route::_('index.php?option=com_joomcrm&view=people&layout=person&id=' . $event['person_id']) . '>' . $event['person_first_name'] . ' ' . $event['person_last_name'] . '</a>';
	}
	echo '</td>';
	echo '<td>' . $event['owner_first_name'] . ' ' . $event['owner_last_name'] . '</td>';
	echo '<td>' . $event['assignee_first_name'] . ' ' . $event['assignee_last_name'] . '</td>';
	echo '<td>' . ucwords($event['category_name']) . '</td>';
	echo '<td class="contacts" ><a class="btn btn-sm btn-light" href="javascript:void(0);" onclick="showEventContactsDialogModal(' . $event['id'] . ');"><i class="fas fa-address-book"></i></a></td>';
	echo '<td class="notes"><a class="btn btn-sm btn-light" href="javascript:void(0);" onclick="openNoteModal(\'' . $event['id'] . '\',\'event\');"><i class="fas fa-list"></i></a>';
	echo '<div id="event_form_' . $event['id'] . '">';
	echo '<input type="hidden" name="event_id" value="' . $event['id'] . '" />';
	echo '<input type="hidden" name="parent_id" value="' . $event['parent_id'] . '" />';
	if ($event['type'] == "task")
	{
		echo '<input type="hidden" name="date" value="' . $event['due_date'] . '" />';
	}
	else
	{
		echo '<input type="hidden" name="date" value="' . $event['start_time'] . '" />';
	}
	echo '<input type="hidden" name="event_type" value="' . $event['type'] . '" />';
	echo '<input type="hidden" name="repeats" value="' . $event['repeats'] . '" />';
	echo '<input type="hidden" name="type" value="single" />';
	echo '</div>';
	echo '</td>';
	echo '</tr>';

}?>
