<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class JoomcrmViewGoalsRaw extends JoomcrmView
{
	public function display($tpl = null)
	{
		// If we are deleting goals determine which goals the user is allowed to delete
		if ($this->getLayout() == 'delete')
		{

			// Get type of goal we are requesting to delete
			$type = Factory::getApplication()->input->get('goal_type','team','word');

			// Get member role to determine what goals the user can see
			$member_role = JoomcrmHelperUsers::getRole();

			// Get model
			$model = new JoomcrmModelGoal;

			// Show individual goals
			if ($type == 'member')
			{
				// Show goals for exectuvies
				if ($member_role == 'exec')
				{
					$goals = $model->getExecIndividualGoals();
				}

				// Show goals for managers
				if ($member_role == 'manager')
				{
					$goals = $model->getManagerIndividualGoals();
				}

				// Show goals for basic users
				if ($member_role == 'basic')
				{
					$goals = $model->getIndividualGoals();
				}
			}

			// Show team goals
			if ($type == 'team')
			{
				// Show all goals to exectuvies
				if ($member_role == 'exec')
				{
					$goals = $model->getExecTeamGoals();
				}
				else
				{
					$goals = $model->getTeamGoals();
				}
			}

			// Show company goals
			if ($type == 'company')
			{
				$goals = $model->getCompanyGoals();
			}

			// Assign view references
			$this->goals = $goals;

		}

		parent::display($tpl);
	}

}
