<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Component\ComponentHelper;

$config     = ComponentHelper::getParams('com_joomcrm');
?>
<div id="jb_template">
    <div class="page-header mb-4">
        <h1><?php echo ucwords(Text::_('COM_JOOMCRM_GOALS')); ?></h1>
    </div>
    <div class="goals_types">
        <div class="row">
            <div class="col-md-6">
                <div class="card mb-2">
                    <div class="row no-gutters">
                        <div class="col-md-2 d-flex align-items-center justify-content-center bg-light">
                            <div class="p-2">
                                <i class="fas fa-hand-holding-usd fa-4x text-success"></i>
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="card-body">
                                <h3 class="card-title">
                                    <a href="<?php echo Route::_('index.php?option=com_joomcrm&view=goals&layout=edit&type=win_cash'); ?>">
                                        <?php echo ucwords(Text::_('COM_JOOMCRM_WIN_MORE_CASH') . ' ' . $config->get('currency','$')); ?>
                                    </a>
                                </h3>
                                <div class="card-text">
                                    <?php echo Text::sprintf('COM_JOOMCRM_CREATE_GOAL_TRACK_CASH', '<span class="badge bg-info">'.$config->get('currency','$').'</span>'); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card mb-2">
                    <div class="row no-gutters">
                        <div class="col-md-2 d-flex align-items-center justify-content-center bg-light">
                            <div class="p-2">
                                <i class="fas fa-trophy fa-4x text-success"></i>
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="card-body">
                                <h3 class="card-title">
                                    <a href="<?php echo Route::_('index.php?option=com_joomcrm&view=goals&layout=edit&type=win_deals'); ?>"><?php echo ucwords(Text::_('COM_JOOMCRM_WIN_MORE_DEALS')); ?></a>
                                </h3>
                                <div class="card-text"><?php echo Text::_('COM_JOOMCRM_CREATE_GOAL_TRACK_DEALS'); ?></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card mb-2">
                    <div class="row no-gutters">
                        <div class="col-md-2 d-flex align-items-center justify-content-center bg-light">
                            <div class="p-2">
                                <i class="fas fa-people-carry fa-4x text-success"></i>
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="card-body">
                                <h3 class="card-title">
                                    <a href="<?php echo Route::_('index.php?option=com_joomcrm&view=goals&layout=edit&type=move_deals'); ?>"><?php echo ucwords(Text::_('COM_JOOMCRM_MOVE_DEALS_FORWARD')); ?></a>
                                </h3>
                                <div class="card-text"><?php echo Text::_('COM_JOOMCRM_CREATE_GOAL_TRACK_DEAL_STAGES'); ?></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card mb-2">
                    <div class="row no-gutters">
                        <div class="col-md-2 d-flex align-items-center justify-content-center bg-light">
                            <div class="p-2">
                                <i class="fas fa-tasks fa-4x text-success"></i>
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="card-body">
                                <h3 class="card-title">
                                    <a href="<?php echo Route::_('index.php?option=com_joomcrm&view=goals&layout=edit&type=complete_tasks'); ?>"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPLETE_TASKS')); ?></a>
                                </h3>
                                <div class="card-text"><?php echo Text::_('COM_JOOMCRM_CREATE_GOAL_TRACK_TASKS'); ?></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card mb-2">
                    <div class="row no-gutters">
                        <div class="col-md-2 d-flex align-items-center justify-content-center bg-light">
                            <div class="p-2">
                                <i class="fas fa-marker fa-4x text-success"></i>
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="card-body">
                                <h3 class="card-title">
                                    <a href="<?php echo Route::_('index.php?option=com_joomcrm&view=goals&layout=edit&type=write_notes'); ?>"><?php echo ucwords(Text::_('COM_JOOMCRM_WRITE_NOTES')); ?></a>
                                </h3>
                                <div class="card-text"><?php echo Text::_('COM_JOOMCRM_CREATE_GOAL_TRACK_NOTES'); ?></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="row no-gutters">
                        <div class="col-md-2 d-flex align-items-center justify-content-center bg-light">
                            <div class="p-2">
                                <i class="fas fa-user-plus fa-4x text-success"></i>
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="card-body">
                                <h3 class="card-title">
                                    <a href="<?php echo Route::_('index.php?option=com_joomcrm&view=goals&layout=edit&type=create_deals'); ?>"><?php echo ucwords(Text::_('COM_JOOMCRM_CREATE_DEALS')); ?></a>
                                </h3>
                                <div class="card-text"><?php echo Text::_('COM_JOOMCRM_CREATE_GOAL_TRACK_DEALS_CREATED'); ?></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
