<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

$showDeleteBtn = false;
if(count($this->goals->team_goals) > 0 or count($this->goals->individual_goals) > 0){
	$showDeleteBtn = true;
}


?>
<?php if ($this->member_role != 'basic'){ ?>
    <?php if ($this->member_role == 'exec' || $showDeleteBtn) { ?>
        <div
             id="goalDeleteTeam"
             class="iziModal jb_template"
             data-remote="<?php echo Uri::base().'index.php?option=com_joomcrm&view=goals&layout=delete&format=raw&tmpl=component&goal_type=team'; ?>"
             data-iziModal-title="<?php echo Text::_('COM_JOOMCRM_DELETE'); ?> - <?php echo Text::_("COM_JOOMCRM_TEAM_GOALS"); ?>"
             data-iziModal-fullscreen="true"
             data-iziModal-icon="fas fa-trash"
             data-iziModal-closebutton="true"
        >
            <div class="modal-body h-auto mh-100">
            </div>
        </div>
        <div
                id="goalDeleteMember"
                class="iziModal jb_template"
                data-remote="<?php echo Uri::base().'index.php?option=com_joomcrm&view=goals&layout=delete&format=raw&tmpl=component&goal_type=member'; ?>"
                data-iziModal-title="<?php echo Text::_('COM_JOOMCRM_DELETE'); ?> - <?php echo Text::_("COM_JOOMCRM_INDIVIDUAL_GOALS"); ?>"
                data-iziModal-fullscreen="true"
                data-iziModal-icon="fas fa-trash"
                data-iziModal-closebutton="true"
        >
            <div class="modal-body h-auto mh-100">
            </div>
        </div>
    <?php } ?>
<?php } ?>
<div id="jb_template">
    <div class="page-header mb-3">
        <?php if ($this->member_role != 'basic'){ ?>
        <div class="float-end">
            <div class="btn-toolbar">
                <div class="btn-group me-2">
                    <a class="btn btn-sm btn-light" href="<?php echo Route::_('index.php?option=com_joomcrm&view=goals&layout=add'); ?>">
                        <i class="fas fa-plus"></i> <?php echo Text::_("COM_JOOMCRM_ADD_GOAL"); ?>
                    </a>
                </div>
	            <?php if ($this->member_role == 'exec' || $showDeleteBtn) { ?>
                <div class="btn-group">
                    <div class="dropdown">
                        <button class="btn btn-sm btn-danger dropdown-toggle" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
			                <i class="fas fa-trash"></i> <?php echo Text::_("COM_JOOMCRM_DELETE_GOALS"); ?>
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                            <a class="dropdown-item btn-sm" role="button" data-izimodal-open="#goalDeleteTeam" data-izimodal-transitionin="fadeInDown">
                                <?php echo Text::_("COM_JOOMCRM_TEAM_GOALS"); ?>
                            </a>
                            <a class="dropdown-item btn-sm" role="button" data-izimodal-open="#goalDeleteMember" data-izimodal-transitionin="fadeInDown">
                                <?php echo Text::_("COM_JOOMCRM_INDIVIDUAL_GOALS"); ?>
                            </a>
                        </div>
                    </div>
                </div>
            <?php } ?>
            </div>
        </div>
        <?php } ?>
        <h1><?php echo ucwords(Text::_('COM_JOOMCRM_GOALS')); ?></h1>
    </div>

    <div class="goal_floats_left">
        <ul class="goal_float_list" id="goal_floats_left">
			<?php if (isset($this->goal_floats_left) && count($this->goal_floats_left) > 0)
			{
				foreach ($this->goal_floats_left as $float)
				{
					$view = JoomcrmHelperView::getView('goals', $float);
					if ($view && $float != "")
					{
						if ($float == "leaderboard_float")
						{
							$view->goals = $this->goals;
						}
						if ($float == "individual_goals_float")
						{
							$view->users = $this->users;
							$view->member_role = $this->member_role;
							$view->user_id = $this->user_id;
							$view->goals = $this->goals;
						}
						if ($float == "team_goals_float")
						{
							$view->teams = $this->teams;
							$view->member_role = $this->member_role;
							$view->team_id = $this->team_id;
							$view->goals = $this->goals;
						}
						if ($float == "company_goals_float")
						{
							$view->member_role = $this->member_role;
							$view->goals = $this->goals;
						}
						echo '<li class="mb-2" id="' . $float . '">';
						echo $view->display();
						echo '</li>';
					}
				}
			} ?>
        </ul>
    </div>
    <div class="goal_floats_right">
        <ul class="goal_float_list" id="goal_floats_right">
			<?php if (isset($this->goal_floats_right) && count($this->goal_floats_right) > 0)
			{
				foreach ($this->goal_floats_right as $float)
				{
					$view = JoomcrmHelperView::getView('goals', $float);
					if ($view && $float != "")
					{
						if ($float == "leaderboard_float")
						{
							$view->goals = $this->goals;
						}
						if ($float == "individual_goals_float")
						{
                            $view->users = $this->users;
                            $view->member_role = $this->member_role;
                            $view->user_id = $this->user_id;
                            $view->goals = $this->goals;
						}
						if ($float == "team_goals_float")
						{
							$view->teams = $this->teams;
							$view->member_role = $this->member_role;
							$view->team_id = $this->team_id;
							$view->goals = $this->goals;
						}
						if ($float == "company_goals_float")
						{
							$view->member_role = $this->member_role;
							$view->goals = $this->goals;
						}
						echo '<li class="mb-2" id="' . $float . '">';
						echo $view->display();
						echo '</li>';
					}
				}
			} ?>
        </ul>
    </div>
    <div id="delete_goals"></div>
</div>
