<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Language\Text;

?>
<table class="table">
	<thead>
	<tr>
		<th><?php echo ucwords(Text::_('COM_JOOMCRM_GOAL_NAME')); ?></th>
		<th><?php echo Text::_('COM_JOOMCRM_GOAL_RESPONSIBLE'); ?></th>
		<th><?php echo Text::_('COM_JOOMCRM_GOAL_DUE_DATE'); ?></th>
		<th><?php echo Text::_('COM_JOOMCRM_GOAL_ACTIONS'); ?></th>
	</tr>
	</thead>
	<tbody>
	<?php foreach ($this->goals as $goal) : ?>
		<tr id="<?php echo $goal['id']; ?>">
			<td><?php echo $goal['name']; ?></td>
			<?php if ($goal['assigned_type'] == 'member') : ?>
				<td><?php echo $goal['first_name'] . " " . $goal['last_name']; ?></td>
			<?php endif; ?>
			<?php if ($goal['assigned_type'] == 'team') : ?>
				<td><?php echo $goal['first_name'] . " " . $goal['last_name']; ?><?php echo Text::_('COM_JOOMCRM_S_TEAM'); ?></td>
			<?php endif ?>
			<?php if ($goal['assigned_type'] == 'company') : ?>
				<td><?php echo ucwords(Text::_('COM_JOOMCRM_THE_COMPANY')); ?></td>
			<?php endif; ?>
			<td><?php echo date("n/j/y", strtotime($goal['end_date'])); ?></td>
			<td>
				<a class="btn btn-sm btn-danger" href="javascript:void(0);" onclick="deleteGoalEntry(this)" class="delete_goal">
                    <i class="fas fa-trash"></i> <?php echo Text::_('COM_JOOMCRM_DELETE'); ?>
                </a>
			</td>
		</tr>
	<?php endforeach; ?>
	</tbody>
</table>
