<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');
;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

?>
<div id="jb_template">
    <div class="page-header mb-3">
        <h1><?php echo ucwords($this->header); ?></h1>
    </div>
    <form action="<?php echo Route::_('index.php?option=com_joomcrm&task=goals.edit'); ?>" method="post" onsubmit="return save(this);">
        <div id="goal_edit" class="m-0">
            <ul class="m-0">
                <li class="card mb-3">
                    <div class="card-header">
                        <h4 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_GOAL_STEP_ONE')); ?>
                        </h4>
                    </div>
                    <div class="goal_one card-body row row-cols-lg-auto g-3 d-md-flex justify-content-md-start align-items-center">
						<?php
						// Generate user dropdown
						$user_html = '<select id="assigned_id">';
						$selectedId = isset($this->goal) ? $this->goal['assigned_id'] : 0;
						$selectedType = isset($this->goal) ? $this->goal['assigned_type'] : "";
						// If an executive is creating a goal
						if ($this->member_role == 'exec')
						{
							$selected = $selectedType == "company" ? "selected='selected'" : '';
							$user_html .= "<option value='company_0' " . $selected . ">" . ucwords(Text::_('COM_JOOMCRM_THE_COMPANY')) . "</option>";
						}
						// Individual assignment
						$selected = $selectedType == "member" && $selectedId == JoomcrmHelperUsers::getUserId() ? "selected='selected'" : '';
						$user_html .= "<option " . $selected . " value='member_" . $this->user_id . "'>" . Text::_('COM_JOOMCRM_ME') . "</option>";
						// If a manager is creating a goal
						if ($this->member_role == 'manager')
						{
							if ($this->team_id != null)
							{
								$selected = $selectedType == "team" && $selectedId == JoomcrmHelperUsers::getTeamId() ? "selected='selected'" : '';
								$user_html .= "<option " . $selected . " value='team_" . $this->team_id . "'>" . Text::_('COM_JOOMCRM_MY_TEAM') . "</option>";
							}
							if (count($this->users) > 0)
							{
								foreach ($this->users as $user)
								{
									$selected = $selectedType == "member" && $selectedId == $user['id'] ? "selected='selected'" : '';
									$user_html .= "<option " . $selected . " value='member_" . $user['id'] . "'>" . $user['first_name'] . " " . $user['last_name'] . "</option>";
								}
							}
						}
						// An executive can also see all of the teams and individual users
						if ($this->member_role == 'exec')
						{
							if (count($this->teams) > 0)
							{
								foreach ($this->teams as $team)
								{
									$selected = $selectedType == "team" && $selectedId == $team['team_id'] ? "selected='selected'" : '';
									$user_html .= "<option " . $selected . " value='team_" . $team['team_id'] . "'>" . $team['team_name'] . Text::_('COM_JOOMCRM_TEAM_APPEND') . "</option>";
								}
							}
							if (count($this->users) > 0)
							{
								foreach ($this->users as $user)
								{
									$selected = $selectedType == "member" && $selectedId == $user['id'] ? "selected='selected'" : '';
									$user_html .= "<option " . $selected . " value='member_" . $user['id'] . "'>" . $user['first_name'] . " " . $user['last_name'] . "</option>";
								}
							}
						}
						// If a basic member is creating a goal we show no more options
						$user_html .= "</select>";

						// Generate date html
						$date_html = "<select name='goal_date' id='date_picker'>";
						$dates = JoomcrmHelperDate::getGoalDates();
						$value = isset($this->goal) ? $this->goal['goal_date'] : '';
						$date_html .=HTMLHelper::_('select.options', $dates, 'value', 'text', $value, true);
						$date_html .= "</select>";
						?>
						<?php

                            // global goal inits
                            $goalType = $this->type == "edit" ? $this->goal['goal_type'] : $this->type;
						    $amount = isset($this->goal) ? $this->goal['amount'] : '';

						    // stage inits
						    $stages = JoomcrmHelperDeal::getGoalStages();
						    $stage = isset($this->goal) && isset($this->goal['stage_id']) ? $this->goal['stage_id'] : '';

						    // task type inits
						    $taskTypes = JoomcrmHelperEvent::getCategories();
						    $taskType = isset($this->goal) && isset($this->goal['category_id']) ? $this->goal['category_id'] : '';

						    // note type inits
						    $noteTypes = JoomcrmHelperNote::getCategories();
						    $noteType = isset($this->goal) && isset($this->goal['category_id']) ? $this->goal['category_id'] : '';


						    // placeholders
                            $placeholders = [
                                'iWant' => '<span class="me-1">'.Text::_('COM_JOOMCRM_I_WANT').'</span>',
                                'userSelect' => '<div class="d-inline-block">'.$user_html.'</div>',
                                'toSell' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_TO_SELL').'</span>',
                                'toWin' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_TO_WIN').'</span>',
                                'toMove' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_TO_MOVE').'</span>',
                                'toComplete' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_TO_COMPLETE').'</span>',
                                'toWrite' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_TO_WRITE').'</span>',
                                'toCreate' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_TO_CREATE').'</span>',
                                'goalAmount' => '<input class="form-control required w-25" type="text" value="'.$amount.'" placeholder="0" name="amount"/>',
                                'ofNewBusiness' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_OF_NEW_BUSINESS').'</span>',
                                'newDeals' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_NEW_DEALS').'</span>',
                                'deals' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_DEALS').'</span>',
                                'dealsForward' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_DEALS_FORWARD_TO_THE').'</span>',
                                'tasksOfType' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_TASKS_OF_TYPE').'</span>',
                                'notesOfType' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_NEW_NOTES_OF_TYPE').'</span>',
                                'dateSelect' => '<div class="d-inline-block">'.$date_html.'</div>',
                                'stageSelect' => '<div class="d-inline-block"><select name="stage_id">'.HTMLHelper::_('select.options', $stages, 'value', 'text', $stage, true).'</select></div>',
                                'taskTypeSelect' => '<div class="d-inline-block me-2"><select name="category_id"><option value="">'.Text::_('COM_JOOMCRM_ANY').'</option>'.HTMLHelper::_('select.options', $taskTypes, 'value', 'text', $taskType, true).'</select></div>',
                                'noteTypeSelect' => '<div class="d-inline-block me-2"><select name="category_id"><option value="">'.Text::_('COM_JOOMCRM_ANY').'</option>'.HTMLHelper::_('select.options', $noteTypes, 'value', 'text', $noteType, true).'</select></div>',
                                'stage' => '<span class="mx-1">'.Text::_('COM_JOOMCRM_STAGE').'</span>',
                            ];


						?>
						<?php switch ($goalType)
						{
							case "win_cash":

							    echo JoomcrmHelperJoomcrm::replacePlaceholders(Text::_('COM_JOOMCRM_WIN_CACH_QUESTION'),$placeholders);
								break;

							case "win_deals":

								echo JoomcrmHelperJoomcrm::replacePlaceholders(Text::_('COM_JOOMCRM_WIN_DEALS_QUESTION'),$placeholders);
								break;

							case "move_deals":

								echo JoomcrmHelperJoomcrm::replacePlaceholders(Text::_('COM_JOOMCRM_MOVE_DEALS_QUESTION'),$placeholders);
								break;

							case "complete_tasks":

								echo JoomcrmHelperJoomcrm::replacePlaceholders(Text::_('COM_JOOMCRM_COMPLETE_TASKS_QUESTION'),$placeholders);
								break;

							case "write_notes":

								echo JoomcrmHelperJoomcrm::replacePlaceholders(Text::_('COM_JOOMCRM_WRITE_NOTES_QUESTION'),$placeholders);
								break;

							case "create_deals":
								echo JoomcrmHelperJoomcrm::replacePlaceholders(Text::_('COM_JOOMCRM_CREATE_DEALS_QUESTION'),$placeholders);
								break;
						}?>
                    </div>
                </li>
                <li id="date_selection_area" class="card" style="display:none;">
                    <div id="date_selection_area_template">
                        <div class="card-header">
                            <h4 class="m-0"><?php echo Text::_('COM_JOOMCRM_SET_YOUR_DATE'); ?></h4>
                        </div>
                        <fieldset class="custom_date card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo Text::_('COM_JOOMCRM_START_DATE'); ?></label>
                                        <input class="date_input form-control" type="text" name="start_date_hidden" id="start_date">
                                        <input type="hidden" id="start_date_hidden" value="" name="start_date"/>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo Text::_('COM_JOOMCRM_END_DATE'); ?></label>
                                        <input class="date_input form-control" type="text" id="end_date" name="end_date_hidden">
                                        <input type="hidden" id="end_date_hidden" value="" name="end_date"/>
                                    </div>
                                </div>
                            </div>
                        </fieldset>
                    </div>
                </li>
                <li class="card mb-3">
                    <div class="card-header">
                        <h4 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_GOAL_STEP_TWO')); ?></h4>
                    </div>
                    <fieldset class="goal_two card-body">
                        <div class="form-group">
                            <input type="text" name="name" class="form-control required" value="<?php if (isset($this->goal)){echo $this->goal['name'];} ?>"/>
                        </div>
                    </fieldset>
                </li>
                <li class="card mb-3">
                    <div class="card-header">
                        <h4 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_GOAL_STEP_THREE')); ?></h4>
                    </div>
                    <fieldset class="goal_three card-body">
                        <p><?php echo Text::_('COM_JOOMCRM_GOAL_STEP_THREE_DESC'); ?></p>
                        <div class="form-group form-check">
                            <input class="form-check-input" <?php if (isset($this->goal) && $this->goal['leaderboard'] == 1){echo "checked='checked'";} ?> type="checkbox" id="leaderboard" name="leaderboard">
                            <label for="leaderboard" class="form-check-label"><?php echo Text::_('COM_JOOMCRM_GOAL_CREATE_LEADERBOARD'); ?></label>
                        </div>
                    </fieldset>
                </li>
                <li class="p-0">
						<?php $saveText = isset($this->goal) ? Text::_('COM_JOOMCRM_SAVE') : Text::_('COM_JOOMCRM_ADD'); ?>
                        <button type="submit" class="btn btn-sm btn-success"><i class="fas fa-save"></i> <?php echo $saveText; ?></button>
                        <a onclick="window.history.back()" class="btn btn-sm btn-danger text-white"><i class="fas fa-chevron-circle-left"></i> <?php echo Text::_('COM_JOOMCRM_CANCEL_BUTTON'); ?></a>
                </li>
            </ul>
        </div>
        <div id="hidden">
			<?php if ($this->member_role == 'exec')
			{ ?>
                <input type="hidden" name="assigned_id" value="0">
                <input type="hidden" name="assigned_type" value="company">
				<?php
			}
			else
			{
				?>
                <input type="hidden" name="assigned_id" value="<?php echo $this->user_id; ?>">
                <input type="hidden" name="assigned_type" value="member">
			<?php } ?>
            <input type="hidden" name="goal_type" value="<?php if (isset($this->goal))
			{
				echo $this->goal['goal_type'];
			}
			else
			{
				echo $this->type;
			} ?>">
			<?php if (isset($this->goal))
			{ ?>
                <input type="hidden" name="id" value="<?php echo $this->goal['id']; ?>"/>
			<?php } ?>
        </div>
    </form>
</div>
