<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Component\ComponentHelper;

$config     = ComponentHelper::getParams('com_joomcrm');
?>

<div class="dash_float card">
    <?php echo LayoutHelper::render('common.widget.header',['title' => 'COM_JOOMCRM_INDIVIDUAL_GOALS']) ?>
	<div class="card-body">
		<div class="goal_filter_container dropdown">
			<?php if ((count($this->users) > 0) && $this->member_role != 'basic') : ?>
				<?php echo Text::_('COM_JOOMCRM_GOALS_FOR'); ?>
				<a class="dropdown-toggle" data-bs-toggle="dropdown" id="user_goal_select_link"><?php echo Text::_('COM_JOOMCRM_ME'); ?></a>
				<ul class="dropdown-menu" role="menu" aria-labelledby="dLabel" id="user_goal_select">
					<li>
						<a class='filter_<?php echo $this->user_id; ?> dropdown_item dropdown-item' onclick="changeIndividual(this, <?php echo $this->user_id; ?>);"><?php echo Text::_('COM_JOOMCRM_ME'); ?></a>
					</li>
					<?php foreach ($this->users as $user)
					{ ?>
						<li>
							<a class='filter_<?php echo $user['id']; ?> dropdown_item dropdown-item' onclick="changeIndividual(this, <?php echo $user['id']; ?>);"><?php echo $user['first_name'] . " " . $user['last_name']; ?></a>
						</li>
					<?php } ?>
				</ul>
			<?php else : ?>

				<?php echo Text::_("COM_JOOMCRM_SHOWING_GOALS_FOR"); ?>
				<b><?php echo Text::_('COM_JOOMCRM_ME'); ?></b>

			<?php endif ?>

		</div>
		<div id="individual_goals" class="goal_list">
			<?php
			if (count($this->goals->individual_goals) > 0)
			{

				foreach ($this->goals->individual_goals as $goal)
				{
					?>
					<div id="goal_<?php echo $goal['id']; ?>" class="goal_info">
						<div class="goal_info_name">
							<?php if ($goal['owner_id'] == JoomcrmHelperUsers::getUserId() || JoomcrmHelperUsers::isAdmin()) { ?>
							<a href="<?php echo Route::_('index.php?option=com_joomcrm&view=goals&layout=edit&id=' . $goal['id']); ?>">
								<?php } ?>
								<?php echo $goal['name']; ?>
								<?php if ($goal['owner_id'] == JoomcrmHelperUsers::getUserId() || JoomcrmHelperUsers::isAdmin()) { ?>
							</a>
						<?php } ?>
						</div>
						<div class="goal_info_due_date"><?php echo Text::_('COM_JOOMCRM_BY'); ?> <?php echo JoomcrmHelperDate::formatDate($goal['end_date']); ?></div>
						<div class="goal_info_progress">
							<?php $bgcolor = JoomcrmHelperJoomcrm::percent2Color($goal['goal_info'] / $goal['amount'] * 100); ?>
							<div class="goal_info_progress_total" style="background-color:#<?php echo $bgcolor; ?>;width:<?php echo number_format($goal['goal_info'] / $goal['amount'] * 100); ?>%;"></div>
						</div>
						<div class="goal_info_out_of">
							<?php
							if ($goal['goal_type'] == 'win_cash')
							{
								echo JoomcrmHelperUsers::formatAmount((int) $goal['goal_info'])  ?> <?php echo \Joomla\CMS\Language\Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo JoomcrmHelperUsers::formatAmount((int) $goal['amount']); ?> <?php \Joomla\CMS\Language\Text::_('COM_JOOMCRM_WON');
							}
							if ($goal['goal_type'] == 'win_deals')
							{
								echo (int) $goal['goal_info'] ?> <?php echo Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo $goal['amount'] . " " . Text::_('COM_JOOMCRM_DEALS_WON');
							}
							if ($goal['goal_type'] == 'move_deals')
							{
								echo (int) $goal['goal_info'] ?> <?php echo Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo $goal['amount'] . " " . Text::_('COM_JOOMCRM_DEALS_MOVED');
							}
							if ($goal['goal_type'] == 'complete_tasks')
							{
								echo (int) $goal['goal_info'] ?> <?php echo Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo $goal['amount'] . " " . Text::_('COM_JOOMCRM_TASKS_COMPLETED');
							}
							if ($goal['goal_type'] == 'write_notes')
							{
								echo (int) $goal['goal_info'] ?> <?php echo Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo $goal['amount'] . " " . Text::_('COM_JOOMCRM_NOTES_WRITTEN_MESSAGE');
							}
							if ($goal['goal_type'] == 'create_deals')
							{
								echo (int) $goal['goal_info'] ?> <?php echo Text::_("COM_JOOMCRM_OUT_OF"); ?> <?php echo $goal['amount'] . " " . Text::_('COM_JOOMCRM_DEALS_CREATED_MESSAGE');
							}
							?>
						</div>
						<div class="goal_info_progress_percentage">
                            <?php
                            echo number_format(
                                    ((int)$goal['goal_info'] == 0 ? 0 : ( $goal['goal_info'] / $goal['amount'] * 100))
                            ); ?>% <?php echo Text::_("COM_JOOMCRM_COMPLETED");
                            ?>
                        </div>
					</div>
				<?php
				}
			}
			?>
		</div>
	</div>
</div>
