<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Component\ComponentHelper;

$config     = ComponentHelper::getParams('com_joomcrm');

?>

<div class="dash_float card">
	<?php echo LayoutHelper::render('common.widget.header',['title' => 'COM_JOOMCRM_LEADERBOARD']) ?>
	<div class="card-body">
		<div class="goal_filter_container dropdown">
			<?php if (count($this->goals->leaderboards) > 0) : ?>
				<?php echo Text::_("COM_JOOMCRM_SHOWING_LEADERBOARD"); ?>
				<a class="dropdown-toggle" data-bs-toggle="dropdown" id="leaderboard_filter_link">
					<?php echo $this->goals->leaderboards[0]['name']; ?>
				</a>
				<ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
					<?php foreach ($this->goals->leaderboards as $goal) : ?>
						<li><a class='filter_<?php echo $goal['id'] ?> dropdown_item dropdown-item' onclick="changeLeaderBoard(this, '<?php echo $goal['id'] ?>')"><?php echo $goal['name'] ?></a></li>
					<?php endforeach; ?>
				</ul>
			<?php endif; ?>
		</div>
		<div id="leaderboards" class="goal_list">
			<?php if (count($this->goals->leaderboards) > 0) : ?>
				<?php
                $width = 0;
                // Show first leaderboard
				$first_leaderboard = $this->goals->leaderboards[0]; ?>
				<?php foreach ($first_leaderboard['members'] as $member) :
					echo '<div class="leader">';
					echo '<div class="leader_name">' . $member['first_name'] . ' ' . $member['last_name'] . '</div>';
					echo '<div class="leader_progress_container">';
					// Determine bar progress
					//win_cash
					if ($first_leaderboard['goal_type'] == 'win_cash')
					{
						$width = $member['cash_won'] / $first_leaderboard['amount'] * 100;
					}
					//win_deals
					if ($first_leaderboard['goal_type'] == 'win_deals')
					{
						$width = $member['deals_won'] / $first_leaderboard['amount'] * 100;
					}
					// Move_deals
					if ($first_leaderboard['goal_type'] == 'move_deals')
					{
						$width = $member['deals_moved'] / $first_leaderboard['amount'] * 100;
					}
					// Complete_tasks
					if ($first_leaderboard['goal_type'] == 'complete_tasks')
					{

                        $width = $member['tasks_completed'] > 0 ? $member['tasks_completed'] / $first_leaderboard['amount'] * 100 : 0;

					}
					//write_notes
					if ($first_leaderboard['goal_type'] == 'write_notes')
					{
						$width = $member['notes_written'] / $first_leaderboard['amount'] * 100;
					}
					// Create_deals
					if ($first_leaderboard['goal_type'] == 'create_deals')
					{
						$width = $member['deals_created'] / $first_leaderboard['amount'] * 100;
					}
					echo '<div class="leader_progress" style="width:' . $width . '%;"></div>';
					echo '</div>';
					echo '<div class="leader_info">';
					// Output info
					//win_cash
					if ($first_leaderboard['goal_type'] == 'win_cash')
					{
						echo $config->get('currency','$') . (int) $member['cash_won'] . ' ' . Text::_('COM_JOOMCRM_CASH_WON');
					}
					//win_deals
					if ($first_leaderboard['goal_type'] == 'win_deals')
					{
						echo (int) $member['deals_won'] . ' ' . Text::_('COM_JOOMCRM_DEALS_WON');
					}
					// Move_deals
					if ($first_leaderboard['goal_type'] == 'move_deals')
					{
						echo (int) $member['deals_moved'] . ' ' . Text::_('COM_JOOMCRM_DEALS_MOVED');
					}
					// Complete_tasks
					if ($first_leaderboard['goal_type'] == 'complete_tasks')
					{
						echo (int) $member['tasks_completed'] . ' ' . Text::_('COM_JOOMCRM_TASKS_COMPLETED');
					}
					//write_notes
					if ($first_leaderboard['goal_type'] == 'write_notes')
					{
						echo (int) $member['notes_written'] . ' ' . Text::_('COM_JOOMCRM_NOTES_WRITTEN_MESSAGE');
					}
					// Create_deals
					if ($first_leaderboard['goal_type'] == 'create_deals')
					{
						echo (int) $member['deals_created'] . ' ' . Text::_('COM_JOOMCRM_DEALS_CREATED_MESSAGE');
					}
					echo '</div>';
					echo '</div>';

				endforeach;
			endif;
			?>
		</div>
	</div>
</div>
