<?php
/**
 * JoomCRM
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */
defined('_JEXEC') or die();

use Joomla\Registry\Registry;
use Joomla\Utilities\ArrayHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

jimport('joomla.application.component.view');

/**
 * View class for a list of users.
 *
 * @package		Joomla.Administrator
 * @subpackage	com_users
 * @since		1.6
 */
class JoomcrmViewImportHtml extends JoomcrmView
{
    public $type;
	public $column;
	public function display($tpl = null)
	{
		$app = Factory::getApplication();
		$this->user = Factory::getApplication()->getIdentity();
		$jinput = Factory::getApplication()->input;

		$this->type  = !is_null($jinput->getInt('import_type',null)) ? $jinput->getInt('import_type',null) : $jinput->getString('type',null);

		$this->input = $app->input;

		if($this->getLayout() == 'params')
		{
			$this->_params($tpl);
			return;
		}


		switch($app->input->get('step', 1))
		{
			case 1:
			    if(!isset($this->type)) {
                    return Factory::getApplication()->enqueueMessage('Undefined Type','warning');
                }
			break;
			
			case 2:

				$this->heads = Factory::getSession()->get('headers', array(), 'import');

				$options = $this->get('presets');
				array_unshift($options,HTMLHelper::_('select.option', 'new', Text::_('COM_JOOMCRM_IMPORTNEWIMSET')));
				array_unshift($options,HTMLHelper::_('select.option', '', Text::_('COM_JOOMCRM_IMPORTSELECTPRESET')));
				$this->presets = $options;

				//$this->fields = BaseDatabaseModel::getInstance('Fields', 'JoomcrmModel')->getFormFields($this->type);
			break;

			case 3:
				$this->statistic = new Registry(Factory::getSession()->get('importstat'));

				break;
		}

		parent::display($tpl);
	}

	public function _params($tpl)
	{
		$app = Factory::getApplication();
		$type = ItemsStore::getType($app->input->get('type'));
		$this->type = $type;
		$this->heads = Factory::getSession()->get('headers', array(), 'import');
		//$this->fields = BaseDatabaseModel::getInstance('Fields', 'JoomcrmModel')->getFormFields($type->id);
		$this->item = $this->get('Preset');

		//var_dump($this->item);

		parent::display($tpl);
		Factory::getApplication()->close();
	}
	public function _cats($tpl)
	{
		$app = Factory::getApplication();
		
		$db = Factory::getDbo();
		$sql = "SELECT `text` FROM #__joomcrm_import_rows WHERE `import` = " . Factory::getSession()->get('key', 0, 'import');
		$db->setQuery($sql);
		$list = $db->loadColumn();
		
		$cols = array();
		foreach($list as $value)
		{
			$row = json_decode($value, TRUE);
			if(empty($row[$app->input->getString('field')])) continue;
			$cols[$row[$app->input->getString('field')]] = 0;
		}
		$this->cols = array_keys($cols);
		


		$this->item = $this->get('Preset');
		parent::display($tpl);
		Factory::getApplication()->close();
	}

	public function fieldlist($name, $default)
	{

		static $list = null;
		
		if($list === null)
		{
			foreach($this->heads as $head)
				$list[$head] = $head;
			ArrayHelper::clean_r($list);
			array_unshift($list, Text::_('COM_JOOMCRM_IMPORTSELECTCOLUMN'));
		}
		
		return HTMLHelper::_('select.genericlist', $list, 'import[field][' . $name.']', 'class="form-control"', 'value', 'text', $default);
	}

}
