<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

?>

<script type="text/javascript">
	var loc = "adminmail";
</script>
<div data-remote="<?php echo Uri::base(); ?>index.php?view=people&layout=edit&format=raw&tmpl=component" class="modal hide fade" id="personModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	<div class="modal-header">
		<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
		<h3 id="myModalLabel"><?php echo ucwords(Text::_('COM_JOOMCRM_ADD_PERSON')); ?></h3>
	</div>
	<div class="modal-body">
		<p></p>
	</div>
	<div class="modal-footer">
		<button class="btn" data-bs-dismiss="modal" aria-hidden="true"><?php echo ucwords(Text::_('COM_JOOMCRM_CANCEL')); ?></button>
		<button onclick="saveItem('edit_form')" class="saveButton btn btn-primary"><?php echo ucwords(Text::_('COM_JOOMCRM_SAVE')); ?></button>
	</div>
</div>

<h1>
	<div class="btn-group float-end">
		<a rel="tooltip" title="<?php echo Text::_('COM_JOOMCRM_PEOPLE_ADD'); ?>" data-bs-placement="bottom" class="btn btn-success" role="button" href="#personModal" data-bs-toggle="modal"><i class="icon-plus icon-white"></i></a>
		<a rel="tooltip" title="<?php echo Text::_('COM_JOOMCRM_IMPORT_PEOPLE'); ?>" data-bs-placement="bottom"  class="btn" href="<?php echo Route::_('index.php?view=import&import_type=companies'); ?>"><i class="icon-circle-arrow-up"></i></a>
		<?php if ( JoomCRMHelperUsers::canExport() ){ ?>
			<a rel="tooltip" title="<?php echo Text::_('COM_JOOMCRM_EXPORT_PEOPLE'); ?>" data-bs-placement="bottom" class="btn"href="javascript:void(0)" onclick="exportCsv()"><i class="icon-share"></i></a>
		<?php } ?>
	</div>
	<?php echo ucwords(Text::_('COM_JOOMCRM_PEOPLE_HEADER')); ?>
</h1>
<div class="subline">
	<ul class="matched_results">
		<li>
			<span id="people_matched"></span> <?php echo Text::_('COM_JOOMCRM_PEOPLE_MATCHED'); ?> <?php echo Text::_('COM_JOOMCRM_THERE_ARE'); ?> <?php echo $this->totalPeople; ?> <?php echo Text::_('COM_JOOMCRM_PEOPLE_IN_ACCOUNT'); ?>
		</li>
	</ul>
<span class="actions">
	<span class="filters"><a id="column_filter_link" class="dropdown"><?php echo Text::_('COM_JOOMCRM_SELECT_COLUMNS'); ?></a></span>
		<div class="filters" id="column_filter">
			<ul>
				<?php foreach ($this->column_filters as $key => $text)
				{ ?>
					<?php $selected = (in_array($key, $this->selected_columns)) ? 'checked' : ''; ?>
					<li>
						<input type="checkbox" class="column_filter" id="show_<?php echo $key; ?>" <?php echo $selected; ?> > <?php echo $text; ?>
					</li>
				<?php } ?>
			</ul>
		</div>
	<?php if (JoomcrmHelperUsers::canExport()) { ?>
	<span class="filters"><a href="javascript:void(0)" onclick="exportCsv()"><?php echo Text::_('COM_JOOMCRM_EXPORT_CSV'); ?></a>
		<?php } ?>
</span>
</div>
<?php echo JoomcrmHelperTemplate::getListEditActions(); ?>
<form method="post" id="list_form" action="<?php echo Route::_('index.php?option=com_joomcrm&view=people'); ?>">
	<div class="table-responsive">
        <table class="com_joomcrm_table" id="people">
			<?php echo $this->people_list->display(); ?>
        </table>
    </div>
	<input type="hidden" name="list_type" value="people"/>
</form>
<div id="templates" style="display:none;">
	<div id="note_modal" style="display:none;"></div>
	<div id="edit_button"><a class="edit_button_link" id="edit_button_link" href="javascript:void(0)"></a></div>
	<div id="edit_list_modal" style="display:none;"></div>
</div>
