<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;

?>

<?php
if (!empty($this->mail) && is_array($this->mail))
{
	foreach ($this->mail as $email) :
		/** @var  $email  Fetch\Message */

		$headers = $email->getHeaders();
		$overview = $email->getOverview();
		$mailBody = LayoutHelper::render('inbox.mailBody', ['email' => $email]);
		$subject = !empty($overview->subject) ? $overview->subject : Text::_('COM_JOOMCRM_EMAIL_NO_SUBJECT');
		?>
        <tr id="email_row_<?php echo $overview->uid; ?>">
            <td>
                <a
                        role="button"
                        data-izimodal-transitionin="fadeInDown"
                        onclick="bindEmailAutocomplete(<?php echo $overview->uid; ?>);">
					<i class="fas fa-eye"></i> <?php echo $subject ?>
                </a>
				<?php echo LayoutHelper::render('common.modal', [
					'context' => 'email',
					'id'      => $overview->uid,
					'title'   => $subject,
					'body'    => $mailBody
				]) ?>
            </td>
            <td><?php if (isset($headers->from) && array_key_exists(0, $headers->from))
				{
					echo "<a target='_blank' href='mailto:" . $headers->from[0]->mailbox . '@' . $headers->from[0]->host . "'>" . $headers->from[0]->mailbox . '@' . $headers->from[0]->host . '</a>';
				} ?></td>
            <td><?php if (isset($headers->to) && array_key_exists(0, $headers->to))
				{
					echo "<a target='_blank' href='mailto:" . $headers->to[0]->mailbox . '@' . $headers->to[0]->host . "'>" . $headers->to[0]->mailbox . '@' . $headers->to[0]->host . '</a>';
				} ?></td>
            <td><?php echo JoomcrmHelperDate::formatDate($overview->date); ?></td>
            <td>
                <a class="text-danger" href="javascript:void(0);" onclick="deleteEmail(<?php echo $overview->uid; ?>);">
                    <i class="fas fa-trash"></i>
                </a>
            </td>
        </tr>
		<?php
		$email->setFlag('seen', false);
	endforeach;
}
