<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

use Joomcrm\Mailing\Mailing;

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class JoomcrmViewMailingRaw extends JoomcrmView
{
	public function display($tpl = null)
	{
		$layout = $this->getLayout();
		$list_id = Factory::getApplication()->input->get('list_id',0,'int');

		// get mailing instance based on integration (acymailing, swift digital ...)
		$mailing = Mailing::loadIntegration();

		switch ($layout)
		{
			case "manage":
				$this->lists = $mailing->getMailingLists(true);
				break;
			case "links":
				$this->links = $mailing->getLinks();
				break;
			case "list":
				$this->newsletters = $mailing->getNewsletters($list_id);
				break;
			default:
				$this->mailing_lists = $mailing->getMailingLists();
				$key                 = array_key_exists(0, $this->mailing_lists) ? $this->mailing_lists[0]->listid : null;
				$this->newsletters   = $mailing->getNewsLetters($key);
				break;
		}

		// Display
		parent::display($tpl);
	}

}
