<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

use Joomla\CMS\Language\Text;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Uri\Uri;

defined('_JEXEC') or die('Restricted access');

$id   = "";
$loc  = "person";
$item = array();

if (isset($this->person))
{
	$id   = $this->person['id'];
	$loc  = 'person';
	$item = $this->person;
}
elseif (isset($this->company))
{
	$id   = $this->company['id'];
	$loc  = 'company';
	$item = $this->company;
}

$onlyExecutiveCanManageMailingLists = ComponentHelper::getParams('com_joomcrm')->get('only_exec_can_manage_mailinglists',0);
$canManage = $onlyExecutiveCanManageMailingLists && JoomcrmHelperUsers::getRole(\Joomla\CMS\Factory::getApplication()->getIdentity()->id) != 'exec' ? false : true;

?>
<?php if($canManage): ?>
<?php if ((isset($item['email']) && $item['email']) || !isset($item['email'])) { ?>
    <div
            id="crmmodalMailing"
            data-remote="<?php echo Uri::base() ?>index.php?option=com_joomcrm&view=mailing&layout=manage&id=<?php echo $id; ?>&loc=<?php echo $loc; ?>&format=raw&tmpl=component"
            class="iziModal jb_template"

            data-iziModal-title="<?php echo Text::_("COM_JOOMCRM_MANAGE_MAILING_LISTS"); ?>"
            data-iziModal-fullscreen="true"
            data-iziModal-icon="fas fa-list"
            data-iziModal-closebutton="true"
    >
        <div class="modal-body h-auto mh-100 w-100">
        </div>
        <div class="modal-footer p-3">
            <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i
                        class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CLOSE')); ?></button>
        </div>
    </div>
<?php } ?>
<?php endif; ?>

<div id="JoomcrmMailAjaxModal"
     class="jb_template"
     data-iziModal-title="<?php echo Text::_('COM_JOOMCRM_MAILING_LIST_LINKS') ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-plus"
     data-iziModal-closebutton="true"
     style="display: none"
>
    <div id="JoomcrmMailAjaxModalBody" class="modal-body h-auto mh-100 w-100">
    </div>
    <div class="modal-footer p-3" id="JoomcrmAjaxModalFooter">
    </div>
</div>
<?php if ((isset($item['email']) && $item['email']) || !isset($item['email'])) : ?>
    <div id="mailinglist_module">
        <form class="print_form">
            <div id="mailing_list">
                <div class="filter_container mb-4">
					<?php echo Text::_('COM_JOOMCRM_SHOW_NEWSLETTERS_FOR'); ?>:

                    <span class="dropdown d-inline">
	            	<a class="dropdown-toggle update-toggle-text" href="#" data-bs-toggle="dropdown" role="button"
                       href="javascript:void(0);" id="mailing_lists_link">
	            		<span class="dropdown-label">
		            		<?php if (count($this->mailing_lists) > 0 && !isset($this->mailing_lists->error))
				            {
					            echo $this->mailing_lists[0]->name;
				            }
				            else
				            {
					            echo Text::_('COM_JOOMCRM_NO_MAILING_LISTS');
				            } ?>
	            		</span>
	            	</a>
	            	<ul class="dropdown-menu" role="menu" aria-labelledby="mailing_lists_link">
						<?php
						if (count($this->mailing_lists) > 0 && !isset($this->mailing_lists->error))
						{
							foreach ($this->mailing_lists as $list)
							{
								echo "<li><a class='filter_mailing_list_" . $list->listid . "' onclick='updateNewsletters(" . $list->listid . "," . $id . ")'>" . $list->name . "</a></li>";
							}
						}
						?>
					</ul>
                </span>
                    <?php if($canManage): ?>
                    <div id="controls_area" class="float-end">
                        <button class="btn btn-sm btn-light" type="button" data-izimodal-open="#crmmodalMailing"
                           data-izimodal-transitionin="fadeInDown">
                            <i class="fas fa-list"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_MANAGE_MAILING_LISTS')); ?>
                        </button>
                    </div>
                    <?php endif; ?>


                </div>
                <div id="task_container">
                    <div id="newsletter_list">
                        <table id="newsletter_table" class="com_joomcrm_table table">
                            <thead>
                            <tr>
                                <th><?php echo Text::_('COM_JOOMCRM_SUBJECT'); ?></th>
                                <th><?php echo Text::_('COM_JOOMCRM_SENDDATE'); ?></th>
                                <th><?php echo Text::_('COM_JOOMCRM_OPENED'); ?></th>
                            </tr>
                            </thead>
                            <tbody id="newsletter_entries">
							<?php
							$newsletter_list_view = JoomcrmHelperView::getView('mailing', 'list', array(array('ref'  => 'newsletters',
							                                                                                     'data' => $this->newsletters)));
							$newsletter_list_view->display();
							?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
    </div>
<?php else: ?>
    <p class="alert alert-warning mt-2">
        <i class="fas fa-exclamation-triangle"></i> <?php echo Text::_('COM_JOOMCRM_FILL_IN_EMAIL_FIRST_TO_MANAGE_MAILING_LIST'); ?>
    </p>
<?php endif; ?>
