<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

?>
<table class="table table-hover">
    <thead>
    <tr>
        <th><?php echo Text::_('COM_JOOMCRM_NAME'); ?></th>
        <th><?php echo Text::_('COM_JOOMCRM_DESCRIPTION'); ?></th>
        <th><?php echo ucfirst(Text::_('COM_JOOMCRM_ACTIONS')); ?></th>
    </tr>
    </thead>
    <tbody>

	<?php if (count($this->lists) > 0): ?>

		<?php foreach ($this->lists as $list): ?>

			<?php

			$jsaction = $list->isSubscribed > 0 ? 1 : 0;
			$action   = $jsaction ? Text::_('COM_JOOMCRM_REMOVE') : Text::_('COM_JOOMCRM_ADD');

			?>

            <tr>

                <td>
                    <div class="d-flex align-items-center">
                        <span class='status-dot me-1'
                              style='background-color:<?php echo $list->color ?>'></span><span><?php echo $list->name ?></span>
                    </div>
                </td>
                <td>
	                <?php if (isset($list->description)):?>
		                <?php echo HTMLHelper::_('string.truncate', strip_tags($list->description), 200); ?>
	                <?php endif; ?>
                </td>

                <td id='mailing_list_<?php echo $list->listid ?>'>
                    <a class='btn btn-<?php echo $jsaction ? 'danger' :  'success' ?> btn-sm' href='javascript:void(0);'
                       onclick="toggleMailingList('<?php echo $list->listid ?>','<?php echo $jsaction ?>')">
						<i class="fas fa-<?php echo $jsaction ? 'times' :  'plus' ?>"></i> <?php echo $action ?>
                    </a>
                </td>

            </tr>

		<?php endforeach; ?>

	<?php endif; ?>

    </tbody>
</table>
