<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class JoomcrmViewMyteamHtml extends JoomcrmView
{
	public function display($tpl = null)
	{
		// don't allow executive role to access this view
		if (JoomcrmHelperUsers::getRole() == 'exec'){
			Factory::getApplication()->enqueueMessage(Text::_('COM_JOOMCRM_NOT_ALLOWED_TO_ACCESS'),'warning');
			return false;
		}

		$this->myteam = $this->get('MyTeam');

		// check if current user is team owner
		$this->isTeamOwner = JoomcrmHelperUsers::isTeamOwner(Factory::getApplication()->getIdentity()->id);

		// get team owner invites
		if($this->isTeamOwner){
			$this->myinvites = $this->get('MyInvites');
		}

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
            throw new Exception(implode("\n", $errors), 500);
		}

		parent::display($tpl);
	}

}
