<?php
/**
* JoomCRM
* 
* @author	 JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class JoomcrmViewNoteRaw extends JoomcrmView
{
	public function display($tpl = null)
	{
		$input = Factory::getApplication()->input;


		$this->type =  Factory::getApplication()->input->get('type');
		$this->id = $input->getInt('id',0);
		$this->view = null;
		$public 	= $input->getInt('publicnotes', null);
		$layout 	= $this->getLayout();

		// Retrieve task list from model
		$model = $this->getModel();
		$model->public_notes = $public;

		if ($layout == "edit")
		{
			$this->notes = $model->getNote($this->id);
		}
		else
		{
			$this->notes = $model->getNotes($this->id, $this->type, false);
		}

		switch ($this->type) {
			case 'deal':
				$this->view = 'deals';
				break;
			case 'person':
				$this->view = 'people';
				break;
			case 'company':
				$this->view = 'companies';
				break;
		}

		parent::display($tpl);
	}

}
