<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;

$note = $this->notes[0];
?>
<form class="p-3 note_edit_<?php echo $note['id']; ?>" id="note_edit" method="POST" action="<?php echo \Joomla\CMS\Uri\Uri::base().'index.php?option=com_joomcrm&model=company&return=companies&task=main.save'; ?>" onsubmit="return save(this)">
	<input type="hidden" name="id" value="<?php echo $note['id']; ?>"/>

	<div id="editForm">
		<?php if (array_key_exists('person_id', $note) && $note['person_id'] != 0)
		{ ?>

            <div class="form-group">
                <label for="person_id">
	                <?php echo ucwords(Text::_('COM_JOOMCRM_PERSON')); ?>
                </label>
                <select id="person_id" class="form-control form-control-sm" name="person_id">
		            <?php
		            $people = JoomcrmHelperDropdown::getPeopleList();
		            echo HTMLHelper::_('select.options', $people, 'value', 'text', $note['person_id'], true);
		            ?>
                </select>
            </div>
		<?php } ?>
		<?php if (array_key_exists('deal_id', $note) && $note['deal_id'] != 0)
		{ ?>
                <div class="form-group">
                    <label for="deal_id"><?php echo ucwords(Text::_('COM_JOOMCRM_DEAL')); ?></label>
	                <?php echo JoomcrmHelperDropdown::generateDropdown('deal', $note['deal_id'],null,false,'form-control-sm'); ?>
                </div>
		<?php } ?>
		<?php if (array_key_exists('company_id', $note) && $note['company_id'] != 0)
		{ ?>
            <div class="form-group">
                <label for="company_id"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY')); ?></label>
	            <?php echo JoomcrmHelperDropdown::generateDropdown('company', $note['company_id'],null,false,'form-control-sm'); ?>
            </div>
		<?php } ?>

        <div class="form-group">
            <label for="category_id"><?php echo ucwords(Text::_('COM_JOOMCRM_CATEGORY')); ?></label>
            <select id="category_id" class="form-control form-control-sm" name="category_id">
				<?php
				$categories = JoomcrmHelperNote::getCategories();
				echo HTMLHelper::_('select.options', $categories, 'value', 'text', $note['category_id'], true);
				?>
            </select>
        </div>
        <div class="form-group">
            <label for="">
				<?php echo Text::_('COM_JOOMCRM_CREATED_ON'); ?>
            </label>
            <span class="date form-control form-control-sm"><?php echo JoomcrmHelperDate::formatDate($note['created']) . ' ' . JoomcrmHelperDate::formatTime($note['created']); ?></span>
        </div>

        <div class="form-group">
            <label for="note"><?php echo Text::_('COM_JOOMCRM_CONTENT'); ?></label>
            <textarea id="note" class="form-control form-control-sm" name="note"><?php echo trim((string)$note['note']); ?></textarea>
        </div>

		<div class="note_actions">
			<a href="javascript:void(0);" onclick="addNoteEntry('note_edit');" class="btn btn-success btn-sm me-1">
                <i class="fas fa-save"></i>
                <?php echo Text::_('COM_JOOMCRM_SAVE_BUTTON'); ?>
            </a>
		</div>
	</div>
</form>
