<?php
/*------------------------------------------------------------------------
# Joomcrm
# ------------------------------------------------------------------------
# @author Joomcrm
# @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
# @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website: https://www.joomboost.com
-------------------------------------------------------------------------*/

defined( '_JEXEC' ) or die;

use Joomla\CMS\Factory;


class JoomcrmViewPeopleRaw extends JoomcrmView
{
	public function display($tpl = null)
    {
		// inits
        $app = Factory::getApplication();
        $document = Factory::getDocument();
        $input = Factory::getApplication()->input;

        $id = $app->input->get('id') ? $app->input->get('id') : null;

        $company_id = $app->input->get('company_id');

	    $layout = $this->getLayout();

        // Retrieve people from model
        $model = new JoomcrmModelPeople;
        $model->set('company_id',$company_id);

        // Assign refs
        switch ( $layout ){
            case "entry":
                $this->k = 0;
				if ($id)
				{
					$model->set('_id', $id);
				}

                $this->person = $model->getPerson();
            break;
            case "add":
            case "edit":
                $this->person = $model->getPerson();

                $data = array(array('ref'=>'type','data'=>'people'),array('ref'=>'item', 'data' => $this->person));
                $this->edit_custom_fields_view = JoomcrmHelperView::getView('custom','edit', $data);

                $companyModel = new JoomcrmModelCompany();
                $json = TRUE;

                $companyNames = $companyModel->getCompanyNames($json);
                $document->addScriptDeclaration("var company_names=".$companyNames.";");
            break;
            case "people_dock":
                $model->filters = false;
                $model->view2 = 'documents';
                $people = $model->getPeople($id);
                $this->total = $model->getTotal();
                $this->pagination = $model->getPagination();
                $this->people = $people;
                $this->pagination->setAdditionalUrlParam('company_id', $company_id);
                $this->pagination->setAdditionalUrlParam('format', 'raw');
                $this->pagination->setAdditionalUrlParam('layout', 'people_dock');
            break;
            case "people_dock_list":
                $people = $model->getPeople($id);
                $this->total = $model->getTotal();
                $this->pagination = $model->getPagination();
                $this->people = $people;
            break;
	        case "list":
		        $people = $model->getPeople();
		        $this->total = $model->getTotal();
		        $this->pagination = $model->getPagination();
		        $this->people = $people;
		        $this->state = $model->getState();
            default:

                $people = $model->getPeople($id);
                $this->total = $model->getTotal();
                $this->pagination = $model->getPagination();
                $this->people = $people;
                $this->state = $model->getState();
            break;
        }
        
        // Display view
        echo parent::display($tpl);      
    }
    
}   