<?php
/*------------------------------------------------------------------------
# Joomcrm
# ------------------------------------------------------------------------
# @author Joomcrm
# @copyright  Copyright (C) 2012 joomcrmcrm.org All Rights Reserved.
# @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website: https://www.joomboostcrm.org
-------------------------------------------------------------------------*/

defined( '_JEXEC' ) or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;





$app = Factory::getApplication();
$format = $app->input->get('format');

$person = $this->person;
if (array_key_exists('company_id', $person))
{
    $company_id = $person['company_id'];
}
elseif ($app->input->get('company_id'))
{
    $company_id = $app->input->get('company_id');
}
else
{
    $company_id = '';
}

// chosen
HTMLHelper::_('formbehavior.chosen', 'select');

// custom fields content from buffer
ob_start();
$this->edit_custom_fields_view->display();
$customfields = ob_get_clean();





?>
<div id="jb_template">
    <?php if ($format != 'raw') : ?>
        <h1><?php echo $person['header']; ?></h1>
    <?php endif; ?>

    <form id="edit_form" class="m-0" method="POST" action="<?php echo 'index.php?option=com_joomcrm&task=people.save'; ?>" onsubmit="return save(this)" >
        <ul class="nav nav-tabs" id="myTab" role="tablist">
            <li class="nav-item">
                <button class="nav-link active" id="PPerson-tab" data-bs-toggle="tab" data-bs-target="#PPerson" type="button" role="tab" aria-controls="PPerson" aria-selected="true">
                    <?php echo ucwords(Text::_('COM_JOOMCRM_PERSON')); ?>
                </button>

            </li>
            <li class="nav-item">
                <button class="nav-link" id="PHome-tab" data-bs-toggle="tab" data-bs-target="#PHome" type="button" role="tab" aria-controls="PHome" aria-selected="false">
                    <?php echo ucwords(Text::_('COM_JOOMCRM_HOME_ADDRESS')); ?>
                </button>
            </li>
            <li class="nav-item">
                <button class="nav-link" id="PWork-tab" data-bs-toggle="tab" data-bs-target="#PWork" type="button" role="tab" aria-controls="PWork" aria-selected="false">
                    <?php echo ucwords(Text::_('COM_JOOMCRM_WORK_ADDRESS')); ?>
                </button>
            </li>
            <li class="nav-item">
                <button class="nav-link" id="PAssignment-tab" data-bs-toggle="tab" data-bs-target="#PAssignment" type="button" role="tab" aria-controls="PAssignment" aria-selected="false">
                    <?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_ASSIGNMENT')); ?>
                </button>
            </li>
            <li class="nav-item">
                <button class="nav-link" id="PDetails-tab" data-bs-toggle="tab" data-bs-target="#PDetails" type="button" role="tab" aria-controls="PDetails" aria-selected="false">
                    <?php echo ucwords(Text::_('COM_JOOMCRM_DETAILS')); ?>
                </button>
            </li>
            <?php if(!empty($customfields)): ?>
                <li class="nav-item">
                    <button class="nav-link" id="PCustom-tab" data-bs-toggle="tab" data-bs-target="#PCustom" type="button" role="tab" aria-controls="PCustom" aria-selected="false">
                        <?php echo ucwords(Text::_('COM_JOOMCRM_CUSTOM')); ?>
                    </button>
                </li>
            <?php endif; ?>
        </ul>

        <div class="tab-content" id="myTabContent">
            <div class="tab-pane show active" role="tabpanel" id="PPerson" aria-labelledby="PPerson-tab">
                <div class="alert alert-success">
                    <div class="form-check">
                        <input id="isForLead" class="form-check-input" value="lead" type="checkbox" name="type" <?php $checked = ( $person['type'] == "lead") ? "checked" : ""; echo $checked; ?>>
                        <label class="form-check-label" for="isForLead">
                            <?php echo Text::_('COM_JOOMCRM_THIS_PERSON_IS_A_LEAD'); ?>
                        </label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-7">
                        <div class="form-group">
                            <label for="first_name"><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_NAME')); ?></label>
                            <div class="row gx-2">
                                <div class="col">
                                    <input class="required form-control" id="first_name" type="text" name="first_name" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_FIRST'); ?>" value="<?php echo $person['first_name']; ?>" />
                                </div>
                                <div class="col">
                                    <input class="required form-control" type="text" name="last_name" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_LAST'); ?>" value="<?php echo $person['last_name']; ?>"/>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="company_name"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY')); ?></label>
                            <div class="row gx-2">
                                <div class="col">
                                    <input class="form-control" type="text" onfocus="ajaxCompanyNames(this);" name="company" id="company_name" value="<?php if (array_key_exists('company_name', $person))
                                    {
                                        echo $person['company_name'];
                                    } ?>" placeholder="<?php echo ucwords(Text::_('COM_JOOMCRM_PEOPLE_COMPANY')); ?>" />
                                </div>
                                <div class="col">
                                    <input type="hidden" name="company_id" id="company_id" value="<?php echo $person['company_id']; ?>"/>
                                    <input class="form-control" type="text" name="position" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_POSITION'); ?>" value="<?php echo $person['position']; ?>"/>
                                    <div id="company_message"></div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label><?php echo ucwords(Text::_('COM_JOOMCRM_PRIMARY_CONTACT')); ?></label>
                            <div class="row gx-2">
                                <div class="col">
                                    <input class="form-control" type="text" name="phone" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_PHONE'); ?>" value="<?php echo $person['phone']; ?>"/>
                                </div>
                                <div class="col">
                                    <input class="form-control" type="text" name="email" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_EMAIL'); ?>" value="<?php echo $person['email']; ?>"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5">
                        <div class="card rounded bg-light">
                            <div class="card-body">
                                <div class="form-group">
                                    <label><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_SOURCE')); ?></label>
                                    <?php echo JoomcrmHelperDropdown::generateDropdown('source',$person['source_id']); ?>
                                </div>

                                <div class="form-group">
                                    <label><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_STATUS')); ?></label>
                                    <?php echo JoomcrmHelperDropdown::generateDropdown('people_status',$person['status_id']); ?>
                                </div>

                                <div class="form-group">
                                    <label><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_DEAL')); ?></label>
                                    <?php
                                    if ( array_key_exists('deal_id',$person) && $person['deal_id'] ) {
                                        echo $person['deal_name'];
                                    }else{
                                        echo JoomcrmHelperDropdown::generateDropdown('deal');
                                    }
                                    ?>
                                    <?php
                                    if ($app->input->get('deal_id'))
                                    {
                                        echo '<input type="hidden" name="deal_id" value="'.$person['deal_id'].'" />';
                                    }

                                    if (array_key_exists('id',$person) && $person['id'])
                                    {
                                        echo '<input type="hidden" name="id" value="'.$person['id'].'" />';
                                    }
                                    ?>

                                    <input type="hidden" name="model" value="people" />
                                    <input type="hidden" name="edit_screen" value="1" />
                                </div>
                            </div>
                        </div>
                    </div>



                </div>
            </div>
            <div class="tab-pane" role="tabpanel" id="PHome" aria-labelledby="PHome-tab">
                <div class="form-group">
                    <label><?php echo Text::_('COM_JOOMCRM_PERSON_HOME'); ?></label>
                    <div id="home_info" >
                        <input class="form-control address_one mb-2" placeholder="<?php echo Text::_("COM_JOOMCRM_ADDRESS_1_NULL"); ?>" type="text" name="home_address_1" value="<?php if ( array_key_exists('home_address_1',$person)) echo $person['home_address_1']; ?>" />

                        <input class="form-control address_two mb-2" placeholder="<?php echo Text::_("COM_JOOMCRM_ADDRESS_2_NULL"); ?>" type="text" name="home_address_2" value="<?php if ( array_key_exists('home_address_2',$person)) echo $person['home_address_2']; ?>" />
                        <div class="row gx-2 mb-2">
                            <div class="col"><input class="form-control address_city" placeholder="<?php echo Text::_("COM_JOOMCRM_CITY_NULL"); ?>" type="text" name="home_city" value="<?php if ( array_key_exists('home_city',$person)) echo $person['home_city']; ?>" /></div>
                            <div class="col"><input class="form-control address_state" placeholder="<?php echo Text::_("COM_JOOMCRM_STATE_NULL"); ?>" type="text" name="home_state" value="<?php if ( array_key_exists('home_state',$person)) echo $person['home_state']; ?>" /></div>
                            <div class="col"><input class="form-control address_zip" placeholder="<?php echo Text::_("COM_JOOMCRM_ZIP_NULL"); ?>" type="text" name="home_zip" value="<?php if ( array_key_exists('home_zip',$person)) echo $person['home_zip']; ?>" /></div>
                        </div>
                        <input class="form-control address_country" placeholder="<?php echo Text::_("COM_JOOMCRM_COUNTRY_NULL"); ?>" type="text" name="home_country" value="<?php if ( array_key_exists('home_country',$person)) echo $person['home_country']; ?>" />
                    </div>
                </div>
            </div>
            <div class="tab-pane" role="tabpanel" id="PWork" aria-labelledby="PWork-tab">
                <div class="form-group">
                    <label><?php echo Text::_('COM_JOOMCRM_PERSON_WORK'); ?></label>
                    <div id="work_info" >
                        <input class="form-control address_one mb-2" placeholder="<?php echo Text::_("COM_JOOMCRM_ADDRESS_1_NULL"); ?>" type="text" name="work_address_1" value="<?php if ( array_key_exists('work_address_1',$person)) echo $person['work_address_1']; ?>" />

                        <input class="form-control address_two mb-2" placeholder="<?php echo Text::_("COM_JOOMCRM_ADDRESS_2_NULL"); ?>" type="text" name="work_address_2" value="<?php if ( array_key_exists('work_address_2',$person)) echo $person['work_address_2']; ?>" />
                        <div class="row gx-2 mb-2">
                            <div class="col">
                                <input class="form-control address_city" placeholder="<?php echo Text::_("COM_JOOMCRM_CITY_NULL"); ?>" type="text" name="work_city" value="<?php if ( array_key_exists('work_city',$person)) echo $person['work_city']; ?>" />
                            </div>
                            <div class="col">
                                <input class="form-control address_state" placeholder="<?php echo Text::_("COM_JOOMCRM_STATE_NULL"); ?>" type="text" name="work_state" value="<?php if ( array_key_exists('work_state',$person)) echo $person['work_state']; ?>" />
                            </div>
                            <div class="col">
                                <input class="form-control address_zip" placeholder="<?php echo Text::_("COM_JOOMCRM_ZIP_NULL"); ?>" type="text" name="work_zip" value="<?php if ( array_key_exists('work_zip',$person)) echo $person['work_zip']; ?>" />
                            </div>
                        </div>
                        <input class="form-control address_country" placeholder="<?php echo Text::_("COM_JOOMCRM_COUNTRY_NULL"); ?>" type="text" name="work_country" value="<?php if ( array_key_exists('work_country',$person)) echo $person['work_country']; ?>" />
                    </div>
                </div>
            </div>
            <div class="tab-pane" role="tabpanel" id="PAssignment" aria-labelledby="PAssignment-tab">
                <div id="assignment_info" >
                    <div class="form-group">
                        <?php echo LayoutHelper::render('common.edit.ownerselect',['person' => $person]) ?>
                    </div>
                    <div class="form-group">
                        <label for="assignment_note"><?php echo Text::_('COM_JOOMCRM_PERSON_ASSIGNMENT_NOTE'); ?></label>
                        <textarea id="assignment_note" class="form-control" name="assignment_note"><?php if(array_key_exists('assignment_note',$person)) echo trim((string)$person['assignment_note']); ?></textarea>
                    </div>
                </div>
            </div>
            <div class="tab-pane" role="tabpanel" id="PDetails" aria-labelledby="PHome-PDetails">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="mobile_phone"><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_MOBILE_PHONE')); ?></label>
                            <input id="mobile_phone" type="text" class="form-control" name="mobile_phone" value="<?php if(array_key_exists('mobile_phone',$person)) echo $person['mobile_phone']; ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_MOBILE_PHONE'); ?>" />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="home_phone"><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_HOME_PHONE')); ?></label>
                            <input class="form-control" id="home_phone" type="text" name="home_phone" value="<?php if(array_key_exists('home_phone',$person)) echo $person['home_phone']; ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_HOME_PHONE'); ?>"/>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="home_email"><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_HOME_EMAIL')); ?></label>
                            <input class="form-control" type="text" name="home_email" id="home_email" value="<?php if(array_key_exists('home_email',$person)) echo $person['home_email']; ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_HOME_EMAIL'); ?>" />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="other_email"><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_OTHER_EMAIL')); ?></label>
                            <input class="form-control" type="text" name="other_email" id="other_email" value="<?php if(array_key_exists('other_email',$person)) echo $person['other_email']; ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_OTHER_EMAIL'); ?>" />
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="fax"><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_FAX')); ?></label>
                            <input class="form-control" type="text" id="fax" name="fax" value="<?php if(array_key_exists('fax',$person)) echo $person['fax']; ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_FAX'); ?>" />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="website"><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_WEBSITE')); ?></label>
                            <input class="form-control" type="text" name="website" id="website" value="<?php if(array_key_exists('website',$person)) echo $person['website']; ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_WEBSITE'); ?>" />
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label><?php echo Text::_('COM_JOOMCRM_SOCIAL_MEDIA'); ?></label>
                    <div class="row mb-2">
                        <div class="col"><input class="form-control" type="text" name="facebook_url" value="<?php if(array_key_exists('facebook_url',$person)) echo $person['facebook_url']; ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_FACEBOOK_URL'); ?>" />
                        </div>
                        <div class="col"><input class="form-control" data-minlength="4" type="text" name="twitter_user" value="<?php if(array_key_exists('twitter_user',$person)) echo $person['twitter_user']; ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_TWITTER_USER'); ?>" /></div>
                    </div>
                    <div class="row">
                        <div class="col"><input class="form-control" type="text" name="linkedin_url" value="<?php if(array_key_exists('linkedin_url',$person)) echo $person['linkedin_url']; ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_LINKEDIN_URL'); ?>" /></div>
                        <div class="col"><input class="form-control" type="text" name="aim" value="<?php if(array_key_exists('aim',$person)) echo $person['aim']; ?>" placeholder="<?php echo Text::_('COM_JOOMCRM_PERSON_WHATSAPP_USER'); ?>" /></div>
                    </div>
                </div>
            </div>
            <?php if(!empty($customfields)): ?>
                <div class="tab-pane" id="PCustom" aria-labelledby="PCustom-tab">
                    <?php echo $customfields; ?>
                </div>
            <?php endif; ?>
        </div>
    </form>
    <script>


        bindDatepickers();
       // tabsFixer();

        // rebind chosen with deals select list
        jQuery("#deal_id,#owner_id").chosen();


    </script>
</div>