<?php
defined( '_JEXEC' ) or die('Restricted access');
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

// Base url
$base =Uri::base();
$person = $this->person;

// Assign null data
if (empty($person['company_name'])) {
	$person['company_name'] = Text::_('COM_JOOMCRM_NO_COMPANY');
}
if (empty($person['status_name'])) {
	$person['status_name'] = Text::_('COM_JOOMCRM_NO_STATUS');
}
if (empty($person['source_name'])) {
	$person['source_name'] = Text::_('COM_JOOMCRM_NO_SOURCE');
}
if (empty($person['avatar']))
{
	$person['avatar'] = 'images/person.png';
}
else
{
	$person['avatar'] = 'avatars/'.$person['avatar'];
}
$company_link = $person['company_id'] > 0 ? "<a href='" . Route::_('index.php?option=com_joomcrm&view=companies&layout=company&id=' . $person['company_id']) . "'>" . $person['company_name'] . "</a>" : $person['company_name'];
?>
<tr id='list_row_<?php echo $person['id']; ?>' class='joomcrm_row_<?php echo $this->k; ?>'>
	<td>
		<input type="checkbox" name="ids[]" value="<?php echo $person['id']; ?>" />
	</td>
	<td class="avatar">

        <div style="min-width:60px" class="card mb-3 border-0 bg-light p-2">
            <a
                    class="m-auto d-block"
                    href="javascript:void(0);"
                    data-bs-toggle="popover"
                    data-title="<?php echo Text::_('COM_JOOMCRM_UPLOAD_AVATAR'); ?>"
                    data-html='true'
                    data-bs-content='<div id="avatar_upload_dialog">
    <form class="m-0 avatar_upload_form" method="POST" enctype="multipart/form-data" target="avatar_frame">
        <div class="input-group">
          <div class="custom-file">
            <input
                    data-item-type="people"
                    data-item-id="<?php echo $person['id']; ?>"
                    style="cursor:pointer"
                    name="avatar"
                    type="file"
                    class="custom-file-input"
                    id="avatarUpload"
                    aria-describedby="inputGroupFileAddon01">
            <label class="custom-file-label" for="avatarUpload"><?php echo Text::_('COM_JOOMCRM_CHOOSE_IMAGE'); ?></label>
          </div>
        </div>
		<input type="hidden" name="option" value="com_joomcrm" />

    </form>
</div>'
            >
                <img style="max-width: 50px"
                     id="avatar_img_<?php echo $person['id']; ?>"
                     class="avatar rounded w-100 m-auto"
                     src="<?php echo Uri::base() ?>components/com_joomcrm/media/<?php echo $person['avatar']; ?>"
                />
            </a>
        </div>

	</td>
	<td class="first_name list_edit_button" id="list_<?php echo $person['id']; ?>" >
		<div class="title_holder">
			<a href="<?php echo Route::_('index.php?option=com_joomcrm&view=people&layout=person&id=' . $person['id']); ?>"><?php echo $person['first_name']; ?></a>
		</div>
	</td>
	<td class="last_name list_edit_button" id="list_<?php echo $person['id']; ?>">
		<div class="title_holder">
			<a href="<?php echo Route::_('index.php?option=com_joomcrm&view=people&layout=person&id=' . $person['id']); ?>"><?php echo $person['last_name']; ?></a>
		</div>
	</td>
	<td class='company text-muted'>
		<?php echo $company_link; ?>
	</td>
	<td class='owner'>
		<div class="dropdown" data-item="people" data-field="owner_id" data-item-id="<?php echo $person['id']; ?>" id="person_owner_<?php echo $person['id']; ?>">
			<a href='#' class='dropdown-toggle' data-bs-toggle='dropdown' id='person_owner_<?php echo $person['id']; ?>_link'><?php echo $person['owner_first_name'] . " " . $person['owner_last_name']; ?></a>
			<?php echo JoomcrmHelperLists::userDropdown(); ?>
		</div>
	</td>
	<td class='assigned'>
		<div class="dropdown" data-item="people" data-field="assignee_id" data-item-id="<?php echo $person['id']; ?>" id="person_assigned_<?php echo $person['id']; ?>">
			<a href='#' class='dropdown-toggle' data-bs-toggle='dropdown' id='person_assigned_<?php echo $person['id']; ?>_link'><?php echo $person['assignee_name']; ?></a>
			<?php echo JoomcrmHelperLists::userDropdown(); ?>
		</div>
	</td>
	<td class="email"><?php echo $person['email']; ?></td>
	<td class="phone"><?php echo $person['phone']; ?></td>
	<td class="mobile_phone"><?php echo $person['mobile_phone']; ?></td>
	<td class="position"><?php echo $person['position']; ?></td>
	<td class='status'>
		<div class='dropdown' data-item='people' data-field='status_id' data-item-id='<?php echo $person['id']; ?>' id='person_status_<?php echo $person['id']; ?>'>
			<a href='#' class='dropdown-toggle' data-bs-toggle='dropdown' id='person_status_<?php echo $person['id']; ?>_link'>
				<?php echo $person['status_name']; ?>
				<span class='status-dot person-status-color me-2' style='background-color:#<?php echo $person['status_color']; ?>'></span>
			</a>
			<?php echo JoomcrmHelperLists::statusDropdown(); ?>
		</div>
	</td>
	<td class='source'>
		<div class="dropdown" data-item="people" data-field="source_id" data-item-id="<?php echo $person['id']; ?>" id="person_source_<?php echo $person['id']; ?>">
			<a href='#' class='dropdown-toggle' data-bs-toggle='dropdown' id='person_source_<?php echo $person['id']; ?>_link'><?php echo $person['source_name']; ?></a>
			<?php echo JoomcrmHelperLists::sourceDropdown(); ?>
		</div>
	</td>
	<td class='type'>
		<div class="dropdown" data-item="people" data-field="type" data-item-id="<?php echo $person['id']; ?>" id="person_type_<?php echo $person['id']; ?>">
			<a href='#' class='dropdown-toggle' data-bs-toggle='dropdown' id='person_type_<?php echo $person['id']; ?>_link'><?php echo ucwords($person['type']); ?></a>
			<?php echo JoomcrmHelperLists::typeDropdown(); ?>
		</div>
	</td>
	<td class="next_task">
		<a onclick="editEvent(<?php echo $person['event_id']; ?>, '<?php echo $person['event_type']; ?>')"><?php echo $person['event_name']; ?></a>
	</td>
	<td class="next_task"><?php echo JoomcrmHelperDate::formatDate($person["event_due_date"]); ?></td>
	<td class="notes">
		<a class="btn btn-sm btn-light" href="javascript:void(0);" onclick="openNoteModal('<?php echo $person['id']; ?>', 'person')">
            <i class="fas fa-list"></i>
        </a>
	</td>
	<td class="city"><?php echo $person['work_city']; ?></td>
	<td class="state"><?php echo $person['work_state']; ?></td>
	<td class="postal_code"><?php echo $person['work_zip']; ?></td>
	<td class="country"><?php echo $person['work_country']; ?></td>
	<td class="added"><?php echo JoomcrmHelperDate::formatDate($person['created']); ?></td>
	<td class="updated"><?php echo JoomcrmHelperDate::formatDate($person['modified']); ?></td>
</tr>
