<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

$input = Factory::getApplication()->input;
$id = $input->get('id',0,'int');


?>
<?php if (!( Factory::getApplication()->input->get('id')))
{ ?>
	<thead>
	<tr>
		<th class="checkbox_column"><input type="checkbox" onclick="selectAll(this);"/></th>
		<th class="avatar"></th>
		<th class="first_name">
			<div class="sort_order">
				<a class="p.first_name" onclick="sortTable('p.first_name',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_FIRST_NAME'); ?></a>
			</div>
		</th>
		<th class="last_name">
			<div class="sort_order">
				<a class="p.last_name" onclick="sortTable('p.last_name',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_LAST_NAME'); ?></a>
			</div>
		</th>
		<th class="company">
			<div class="sort_order">
				<a class="c.name" onclick="sortTable('c.name',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_COMPANY'); ?></a>
			</div>
		</th>
		<th class="owner">
			<div class="sort_order">
				<a class="u.last_name" onclick="sortTable('u.last_name',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_OWNER'); ?></a>
			</div>
		</th>
		<th class="assigned">
			<div class="sort_order">
				<a class="u2.last_name" onclick="sortTable('u2.last_name',this)"><?php echo Text::_('COM_JOOMCRM_ASSIGNED_TO'); ?></a>
			</div>
		</th>
		<th class="email">
			<div class="sort_order">
				<a class="p.email" onclick="sortTable('p.email',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_EMAIL'); ?></a>
			</div>
		</th>
		<th class="phone">
			<div class="sort_order">
				<a class="p.phone" onclick="sortTable('p.phone',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_PHONE'); ?></a>
			</div>
		</th>
		<th class="mobile_phone">
			<div class="sort_order">
				<a class="p.mobile_phone" onclick="sortTable('p.mobile_phone',this)"><?php echo Text::_('COM_JOOMCRM_MOBILE_PHONE'); ?></a>
			</div>
		</th>
		<th class="position">
			<div class="sort_order">
				<a class="p.position" onclick="sortTable('p.position',this)"><?php echo Text::_('COM_JOOMCRM_TITLE'); ?></a>
			</div>
		</th>
		<th class="status">
			<div class="sort_order">
				<a class="stat.ordering" onclick="sortTable('stat.ordering',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_STATUS'); ?></a>
			</div>
		</th>
		<th class="source">
			<div class="sort_order">
				<a class="source.ordering" onclick="sortTable('source.ordering',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_SOURCE'); ?></a>
			</div>
		</th>
		<th class="type">
			<div class="sort_order">
				<a class="p.type" onclick="sortTable('p.type',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_TYPE'); ?></a>
			</div>
		</th>
		<th class="next_task"><?php echo Text::_('COM_JOOMCRM_PEOPLE_TASK'); ?></th>
		<th class="next_task"><?php echo Text::_('COM_JOOMCRM_PEOPLE_DUE'); ?></th>
		<th class="notes"><?php echo Text::_('COM_JOOMCRM_PEOPLE_NOTES'); ?></th>
		<th class="city"><?php echo Text::_('COM_JOOMCRM_PEOPLE_CITY'); ?></th>
		<th class="state"><?php echo Text::_('COM_JOOMCRM_PEOPLE_STATE'); ?></th>
		<th class="country">
			<div class="sort_order">
				<a class="p.work_country" onclick="sortTable('p.work_country',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_COUNTRY'); ?></a>
			</div>
		</th>
		<th class="postal_code"><?php echo Text::_('COM_JOOMCRM_PEOPLE_POSTAL_CODE'); ?></th>
		<th class="added">
			<div class="sort_order">
				<a class="p.created" onclick="sortTable('p.created',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_ADDED'); ?></a>
			</div>
		</th>
		<th class="updated">
			<div class="sort_order">
				<a class="p.modified" onclick="sortTable('p.modified',this)"><?php echo Text::_('COM_JOOMCRM_PEOPLE_UPDATED'); ?></a>
			</div>
		</th>
	</tr>
	</thead>
	<tbody id="list">
<?php }

// count rows
$n = count($this->people);
$k = 0;

if (count($this->people) > 0)
{
	foreach ($this->people as $key => $person)
	{
		$k = $key % 2;

		$personView = JoomcrmHelperView::getView('people','entry');
		$personView->person = $person;
		$personView->k = $k;
		echo $personView->display();

		// Free up php memory
		unset($person);
		unset($this->people[$key]);
	}
}
?>
<?php if (!( \Joomla\CMS\Factory::getApplication()->input->get('id')))
{ ?>
	</tbody>
	<script type="text/javascript">

        // Bind joomcrm dropdowns
        bindDropdownItems();

		// Update total people count
		jQuery("#people_matched").empty().html("<?php echo $this->total; ?>");
		window.top.window.assignFilterOrder();
	</script>
<?php } ?>

<?php echo JoomcrmPagination::ajaxPagination($this) // get new updated pagination if ajax request ?>

