<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

$person = $this->person;

if (empty($person['avatar']))
{
	$person['avatar'] = 'images/person.png';
}
else
{
	$person['avatar'] = 'avatars/'.$person['avatar'];
}

?>
<tr class="joomcrm_row_<?php echo $this->k; ?>">
    <td class="avatar">
        <div style="min-width:60px" class="card mb-3 border-0 bg-light p-2">
            <img style="max-width: 50px"
                 id="avatar_img_<?php echo $person['id']; ?>"
                 class="avatar rounded w-100 m-auto"
                 src="<?php echo Uri::base() ?>components/com_joomcrm/media/<?php echo $person['avatar']; ?>"
            />
        </div>
    </td>
    <td><a href="<?php echo Route::_('index.php?option=com_joomcrm&view=people&layout=person&id=' . $person['id']); ?>"><?php echo $person['first_name'] . ' ' . $person['last_name']; ?></a></td>
    <td><?php echo $person['position']; ?></td>
    <td><?php echo $person['phone']; ?></td>
    <td><?php echo $person['owner_first_name'] . ' ' . $person['owner_last_name']; ?></td>
    <td><?php echo ucwords($person['type']); ?></td>
    <td><?php echo JoomcrmHelperDate::formatDate($person['modified']); ?></td>
</tr>
