<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Uri\Uri;

// Define person
$person = $this->people[0];

$event = JoomcrmHelperPluginEvent::getEvents('personDisplay', $person);

$config     = ComponentHelper::getParams('com_joomcrm');
$googleMapEmbedKey = $config->get('googlemap_api','');

// get person details layout by type
$layoutType = $config->get('person_layout',1) ? 'tabs' : 'plain';
$details = LayoutHelper::render("person.$layoutType",['current' => $this]);

// get person header layout
$header = LayoutHelper::render('person.header',['current' => $this]);

// map address work
$mapAddress = str_replace(" ", "+",
    $person['work_address_1'] .
    ' ' . $person['work_address_2'] .
    ' ' . $person['work_city'] .
    ' ' . $person['work_state'] .
    ' ' . $person['work_zip'] .
    ' ' . $person['work_country'])
;
$urlString = "https://www.google.com/maps/embed/v1/place?key=".$googleMapEmbedKey.'&q='.$mapAddress;
$mapLink = "https://www.google.com/maps/place/" . $mapAddress;

$mapAddressHome = str_replace(" ", "+",
    $person['home_address_1'] .
    ' ' . $person['home_address_2'] .
    ' ' . $person['home_city'] .
    ' ' . $person['home_state'] .
    ' ' . $person['home_zip'] .
    ' ' . $person['home_country'])
    ;

$urlStringHome = "https://www.google.com/maps/embed/v1/place?key=".$googleMapEmbedKey.'&q='.$mapAddressHome;
$mapLinkHome = "https://www.google.com/maps/place/" . $mapAddress;

?>
<script type="text/javascript">
	var id = <?php echo $person['id']; ?>;
	var loc = 'person';
	var model = 'people';
	var person_id = <?php echo $person['id']; ?>;
	var association_type = 'person';
</script>

<div id='ajax_search_deal_dialog'
     class="iziModal jb_template"
     data-iziModal-title="<?php echo Text::_("COM_JOOMCRM_ASSOCIATE_TO_DEAL"); ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-link"
     data-iziModal-closebutton="true">
    <div class="modal-body h-auto mh-100 w-100">
        <form id="deal">
            <input class="form-control w-100" name="deal_name" type="text" placeholder="<?php echo Text::_('COM_JOOMCRM_BEGIN_TYPING_TO_SEARCH'); ?>" />
            <input type="hidden" name="person_id" value="<?php echo isset($person['id']) ? $person['id'] : null;  ?>" />
        </form>
    </div>
    <div class="modal-footer p-3">
        <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CANCEL')); ?></button><button class="btn btn-primary btn-sm" href="" onclick="addDealTo('person');"><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_SAVE'); ?></button>
    </div>
</div>

<div id="crmmodalPersonEdit"
     class="iziModal jb_template"
     data-remote="<?php echo Uri::base() ?>index.php?option=com_joomcrm&view=people&layout=edit&id=<?php echo $person['id']; ?>&format=raw&tmpl=component"
     data-iziModal-title="<?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_EDIT')) . ' ' . $person['first_name'] . ' ' . $person['last_name']; ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-edit"
     data-iziModal-closebutton="true"
>
    <div class="modal-body h-auto mh-100 w-100">
    </div>
    <div class="modal-footer p-3">
        <button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CANCEL')); ?></button>
        <button onclick="saveProfileItem('edit_form');" class="btn btn-primary btn-sm">
            <i class="fas fa-save"></i>
			<?php echo ucwords(Text::_('COM_JOOMCRM_SAVE')); ?></button>
    </div>
</div>




<div id="jb_template">
	<?php echo $event->onPersonBeforeDisplay; ?>
    <div class="row">
        <div class="col-md-3 order-sm-last order-md-first">
	        <?php echo $event->onPersonBeforeDisplaySidebar; ?>
			<?php $image = !empty($person['avatar']) ? '/avatars/' . $person['avatar'] : '/images/person.png'; ?>
            <div class="card mb-3 border-0 bg-light p-2">
	            <?php echo LayoutHelper::render('common.ajaxloading',[]) ?>
                <a
                   class="m-auto"
                   href="javascript:void(0);"
                   data-bs-toggle="popover"
                   data-title="<?php echo Text::_('COM_JOOMCRM_UPLOAD_AVATAR'); ?>"
                   data-html='true'
                   data-bs-content='<div id="avatar_upload_dialog">
    <form class="m-0 avatar_upload_form" method="POST" enctype="multipart/form-data" target="avatar_frame">
        <div class="input-group">
          <div class="custom-file">
            <input
                    data-item-type="people"
                    data-item-id="<?php echo $person['id']; ?>"
                    style="cursor:pointer"
                    name="avatar"
                    type="file"
                    class="custom-file-input"
                    id="avatarUpload"
                    aria-describedby="inputGroupFileAddon01">
            <label class="custom-file-label" for="avatarUpload"><?php echo Text::_('COM_JOOMCRM_CHOOSE_IMAGE'); ?></label>
          </div>
        </div>
		<input type="hidden" name="option" value="com_joomcrm" />

    </form>
</div>'>
                    <img style="max-width: 200px"
                         id="avatar_img_<?php echo $person['id']; ?>"

                         class="avatar rounded w-100 m-auto"
                         src="<?php echo Uri::base() . 'components/com_joomcrm/media' . $image; ?>"
                    />
                </a>
            </div>
            <div class="card mb-3" idavatar_img_2="details">
                <ul class="list-group list-group-flush m-0">
                    <li class="list-group-item d-flex align-items-center">
                        <strong class="me-2"><?php echo Text::_('COM_JOOMCRM_PERSON_PHONE'); ?></strong><span id="phone_<?php echo $person['id']; ?>" class="text-muted"><?php echo $person['phone']; ?></span>
                    </li>
                    <li class="list-group-item d-flex align-items-center">
	                    <strong class="me-2"><?php echo Text::_('COM_JOOMCRM_MOBILE_PHONE'); ?></strong><span id="mobile_phone_<?php echo $person['id']; ?>" class="text-muted"><?php echo $person['mobile_phone']; ?></span>
                    </li>
                    <li class="list-group-item d-flex align-items-center">
                        <strong class="me-2"><?php echo Text::_('COM_JOOMCRM_PERSON_HOME_PHONE'); ?> </strong>
                        <span id="home_phone_<?php echo $person['id']; ?>" class="text-muted"><?php echo $person['home_phone']; ?></span>
                    </li>
                    <li class="list-group-item d-flex align-items-center">
                        <strong class="me-2"><?php echo Text::_('COM_JOOMCRM_PERSON_FAX'); ?> </strong>
                        <span id="fax_<?php echo $person['id']; ?>" class="text-muted"><?php echo $person['fax']; ?></span>
                    </li>
	                <?php if (array_key_exists('email', $person)) : ?>
                    <li class="list-group-item d-flex align-items-center">
                            <strong class="me-2"><?php echo Text::_('COM_JOOMCRM_EMAIL_SHORT'); ?> </strong>
                            <a class="text-muted text-truncate" title="<?php echo $person['email']; ?>" id="email_<?php echo $person['id']; ?>" target='_blank' href="mailto:<?php echo $person['email']; ?>?bcc=<?php echo $config->get('imap_user',''); ?>">
                                            <?php echo $person['email']; ?>
                            </a>
                    </li>
	                <?php endif; ?>
	                <?php if (array_key_exists('other_email', $person)) : ?>
                    <li class="list-group-item d-flex align-items-center">
                        <strong class="me-2"><?php echo Text::_('COM_JOOMCRM_OTHER_EMAIL'); ?> </strong>
                        <a class="text-muted" id="otheremail_<?php echo $person['id']; ?>" title="<?php echo $person['other_email']; ?>" target='_blank' href="mailto:<?php echo $person['other_email']; ?>?bcc=<?php echo $config->get('imap_user',''); ?>"><?php echo $person['other_email']; ?></a>
                    </li>
                    <?php endif; ?>
	                <?php if (array_key_exists('website', $person)) : ?>
                    <li class="list-group-item d-flex align-items-center">
                        <strong class="me-2"><?php echo Text::_('COM_JOOMCRM_PERSON_WEBSITE'); ?></strong>
                        <a id="website_<?php echo $person['id']; ?>" title="<?php echo $person['website']; ?>" target='_blank' class="text-muted text-truncate" href="<?php echo JoomcrmHelperTemplate::adjustWebsiteUrl($person['website']); ?>">
                            <?php echo $person['website']; ?>
                        </a>
                    </li>
                    <?php endif; ?>
	                <?php if (array_key_exists('work_address_1', $person) && $person['work_address_1'] != "") : ?>
                    <li class="list-group-item">
	                    <?php echo LayoutHelper::render('common.item.address',['item' => $person, 'type' => 'work']) ?>
                    </li>
	                <?php endif; ?>
	                <?php if (array_key_exists('home_address_1', $person) && $person['home_address_1'] != ""): ?>
                    <li class="list-group-item">
	                    <?php echo LayoutHelper::render('common.item.address',['item' => $person, 'type' => 'home']) ?>
                    </li>
                    <?php endif; ?>
                    <li class="list-group-item">
	                    <?php
	                    echo LayoutHelper::render(
		                    'common.item.sociallinks',
		                    [
			                    'item' => $person,
			                    'fieldnames' => ['facebook_url','twitter_user','linkedin_url']
		                    ]
	                    );
	                    ?>
                    </li>
                </ul>
            </div>
			<?php if (isset($this->banter_dock))
			{
				$this->banter_dock->display();
			}?>
	        <?php if ($person['twitter_user']) : ?>
            <div class="card">
                <?php echo LayoutHelper::render('common.item.tweets',['item' => $person]) ?>
            </div>
	        <?php endif; ?>
	        <?php echo $event->onPersonAfterDisplaySidebar; ?>
        </div>
        <div class="col-md-9">
	        <?php echo $event->onPersonBeforeDisplayHeader; ?>
	        <?php echo $header ?>
	        <?php echo $event->onPersonAfterDisplayHeader; ?>
            <?php echo $details ?>
	        <?php echo $event->onPersonAfterDisplayDetails; ?>
        </div>
    </div>

	<?php echo JoomcrmHelperJoomcrm::showShareDialog(); ?>
	<?php echo $event->onPersonAfterDisplay; ?>
</div>