<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

$custom = JoomcrmHelperCustom::generateCustom($this->item_type, $this->item['id']);
$count = 0;

if (count($custom) > 0)
{
	?>

	<h2><?php echo Text::_('COM_JOOMCRM_EDIT_CUSTOM'); ?></h2>

	<div class="columncontainer">
		<div class="twocolumn">
			<table class="com_joomcrm_table">

	<?php foreach ($custom as $field => $value)
{
	$count++;
	$k = $count % 3;
	switch ($value['type'])
	{
		case "forecast":
			$custom_field_filter = array_key_exists('forecast', $this->item) ? $this->item['forecast'] : 0;
			break;
		case "text":
			$custom_field_filter = array_key_exists('selected', $value) ? $value['selected'] : "";
			break;
		case "number":
			$custom_field_filter = array_key_exists('selected', $value) ? $value['selected'] : "";
			break;
		case "currency":
			$custom_field_filter = array_key_exists('selected', $value) ? $value['selected'] : "";
			break;
		case "date":
			$custom_field_filter = array_key_exists('selected', $value) && $value['selected'] != 0 && $value['selected'] != "0000-00-00 00:00:00" ? JoomcrmHelperDate::formatDate($value['selected']) : "";
			break;
		case "picklist":
			if ($value['multiple_selections'] == 1)
			{
				$custom_field_filter = Text::_('COM_JOOMCRM_CLICK_TO_EDIT');
                $selected = is_array($value['selected']) ? $value['selected'] : unserialize($value['selected']);

				$checked             = array_key_exists('selected', $value) && !is_null($value['selected']) && $value['selected'] != "" && $value['selected'] != Text::_('COM_JOOMCRM_CLICK_TO_EDIT') ? $selected : array();
			}
			else
			{
				$custom_field_filter = (is_array($value) && array_key_exists('values', $value) && is_array($value['values']) && array_key_exists('selected', $value) && in_array($value['selected'], $value['values'])) ? $value['selected'] : Text::_('COM_JOOMCRM_CLICK_TO_EDIT');
			}
			break;
	}
	echo '<tr>';
	echo '<th class="customFieldHead">' . $value['name'] . '</th>';
	echo '<td>';
	// Determine type of input
	switch ($value['type'])
	{
		case "text":
		case "number":
		case "currency":
		case "date":
			echo '<span>' . $custom_field_filter . '</span>';
			break;
		case "picklist":
			if ($value['multiple_selections'] == 1)
			{
				echo '<ul class="unstyled">';
				if (is_array($value) && array_key_exists('values', $value) && count($value['values']) > 0)
				{
					foreach ($value['values'] as $id => $name)
					{
						$isChecked = isset($value['selected'][$id]) && $value['selected'][$id] == 1 ? "checked='checked'" : "";
						echo '<li><input ' . $isChecked . ' name="custom_' . $value['id'] . '[' . $id . ']" onclick="saveEditableModal(\'' . $value['id'] . '_form\');" type="checkbox" value="1" /> - ' . $name . '</li>';
					}
				}
				echo '</ul>';
			}
			else
			{
				echo $custom_field_filter;
			}
			break;
		case "forecast":
			echo '<span class="forecast">';
			echo JoomcrmHelperUsers::formatAmount($custom_field_filter);
			echo '</span>';
			break;
	}
	echo '</td>';
	echo '</tr>';
}
	echo '</div>';
	echo '</table>';
  	echo '</div>';
}
