<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

$deal = $this->info[0];

?>

<?php if (isset($this->contact_info) || isset($this->event_dock))
{ ?>
	<div class="rightColumn">
		<?php if (isset($this->contact_info))
		{ ?>
			<div class="infoContainer">
				<h2><?php echo ucwords(Text::_('COM_JOOMCRM_CONTACT_INFO')); ?></h2>
				<?php $this->contact_info->display(); ?>
			</div>
		<?php } ?>
		<?php if (isset($this->event_dock))
		{ ?>
			<div class="infoContainer" id='event_dock'>
				<h2><?php echo ucwords(Text::_('COM_JOOMCRM_TASKS_AND_EVENTS')); ?></h2>
				<?php $this->event_dock->display(); ?>
			</div>
		<?php } ?>
	</div>
<?php } ?>

<div class="leftColumn">

	<h1><?php echo $deal['name']; ?></h1>

	<div class="container">
		<div class="columncontainer">
			<div class="threecolumn">
				<div class="small_info first">
					<?php echo Text::_('COM_JOOMCRM_EDIT_AMOUNT'); ?>:
				<span class="amount">
					<?php echo JoomcrmHelperConfig::getCurrency(); ?>
					<div class="inline" id="editable_amount"><?php echo $deal['amount']; ?></div>
				</span>
				</div>
				<div class="joomcrmRow top">
					<div class="joomcrmField"><?php echo ucwords(Text::_('COM_JOOMCRM_EDIT_COMPANY')); ?></div>
					<div class="joomcrmValue"><?php echo $deal['company_name']; ?></div>
					<div class="clear"></div>
				</div>
				<div class="joomcrmRow">
					<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_OWNER'); ?></div>
					<div class="joomcrmValue">
						<?php echo $deal['owner_first_name'] . " " . $deal['owner_last_name']; ?>
					</div>
					<div class="clear"></div>
				</div>
			</div>
			<div class="threecolumn">
				<div class="small_info middle">
					<?php echo Text::_('COM_JOOMCRM_EDIT_AGE'); ?>:
					<?php
					echo JoomcrmHelperDate::getElapsedTime($deal['created']);
					?>
				</div>
				<div class="joomcrmRow top">
					<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_STAGE'); ?></div>
					<div class="joomcrmValue">
						<?php echo $deal['stage_name']; ?>
					</div>
					<div class="clear"></div>
				</div>
				<div class="joomcrmRow">
					<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_PROBABILITY'); ?></div>
					<div class="joomcrmValue">
						<div class="inline">
							<?php if (array_key_exists('probability', $deal) && $deal['probability'] != 0)
							{
								echo $deal['probability'] . '%';
							}
							else
							{
								echo Text::_('COM_JOOMCRM_NOT_SET');
							} ?>
						</div>
					</div>
					<div class="clear"></div>
				</div>
			</div>
			<div class="threecolumn">
				<div class="small_info last">
					<?php echo Text::_('COM_JOOMCRM_EXP_CLOSE'); ?>:
					<?php echo JoomcrmHelperDate::formatDate($deal['expected_close']); ?>
				</div>
				<div class="joomcrmRow top">
					<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_STATUS'); ?></div>
					<div class="joomcrmValue">
						<?php if (array_key_exists('status_id', $deal) && $deal['status_id'] != 0)
						{
							echo $deal['status_name'] . '<div class="status-dot" style="background-color:#' . $deal['status_color'] . ' !important;"></div>';
						}
						else
						{
							echo Text::_('COM_JOOMCRM_NOT_SET');
						} ?>
					</div>
					<div class="clear"></div>
				</div>
				<div class="joomcrmRow">
					<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_SOURCE'); ?></div>
					<div class="joomcrmValue">
						<?php if (array_key_exists('source_id', $deal) && $deal['source_id'] != 0)
						{
							echo $deal['source_name'];
						}
						else
						{
							echo Text::_('COM_JOOMCRM_NOT_SET');
						} ?>
					</div>
					<div class="clear"></div>
				</div>
			</div>

			<h2><?php echo Text::_('COM_JOOMCRM_EDIT_SUMMARY'); ?></h2>

			<div class="large_info">
				<?php if (!array_key_exists('summary', $deal) || $deal['summary'] == "" || is_null($deal['summary']))
				{
					echo Text::_('COM_JOOMCRM_NOT_SET');
				}
				else
				{
					echo $deal['summary'];
				} ?>
			</div>

			<h2><?php echo Text::_('COM_JOOMCRM_EDIT_NOTES'); ?></h2>
			<?php echo $deal['notes']->display(); ?>

			<?php echo $this->custom_fields->display(); ?>

			<h2><?php echo ucwords(Text::_('COM_JOOMCRM_EDIT_PEOPLE')); ?></h2>

			<div class="large_info">

				<table class="com_joomcrm_table" id="people_list">
					<th></th>
					<th><?php echo Text::_('COM_JOOMCRM_PEOPLE_NAME'); ?></th>
					<th><?php echo Text::_('COM_JOOMCRM_PEOPLE_PHONE'); ?></th>
					<th><?php echo Text::_('COM_JOOMCRM_PEOPLE_OWNER'); ?></th>
					<th><?php echo Text::_('COM_JOOMCRM_PEOPLE_TYPE'); ?></th>
					<th><?php echo Text::_('COM_JOOMCRM_PEOPLE_CONTACT'); ?></th>
					<?php
					$c = count($deal['people']);
					for ($i = 0; $i < $c; $i++)
					{
						$person = $deal['people'][$i];
						$k      = $i % 2;
						echo '<tr class="joomcrm_row_' . $k . '">';
						if (array_key_exists('avatar', $person) && $person['avatar'] != "")
						{
							echo '<td><img src="' . Uri::base() . 'components/com_joomcrm/media/avatars/' . $person['avatar'] . '"/></td>';
						}
						else
						{
							echo '<td><img src="' . Uri::base() . 'components/com_joomcrm/media/images/person.png' . '"/></td>';
						}
						echo '<td>' . $person['last_name'] . ', ' . $person['first_name'] . '</td>';
						echo '<td>' . $person['phone'] . '</td>';
						echo '<td>' . $person['owner_first_name'] . ' ' . $person['owner_last_name'] . '</td>';
						echo '<td>' . ucwords($person['type']) . '</td>';
						echo '<td>' . JoomcrmHelperDate::formatDate($person['modified']) . '</td>';
						echo '</tr>';
					}
					?>
				</table>

			</div>

			<h2><?php echo Text::_('COM_JOOMCRM_EDIT_CONVERSATIONS'); ?></h2>

			<div id="conversation_entries">
				<?php

				$c = count($deal['conversations']);

				for ($i = 0; $i < $c; $i++)
				{
					$convo = $deal['conversations'][$i];
					echo '<div class="conversation">';

					echo '<div class="header"><b>' . JoomcrmHelperDate::formatDate($convo['created']) . '</b></div>';
					echo '<div class="convo_info"><b>' . Text::_('COM_JOOMCRM_USER') . '</b> ' . Text::_('COM_JOOMCRM_WROTE') . ':</div>';
					echo '<div class="convo">' . $convo['conversation'] . '</div>';

					echo '</div>';

				}

				?>
			</div>
		</div>
