<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Uri\Uri;

$person = $this->info[0];
$config     = ComponentHelper::getParams('com_joomcrm');
?>

<div class="rightColumn">
	<div class="infoContainer" id="details">
		<h3><?php echo ucwords(Text::_('COM_JOOMCRM_CONTACT_INFO')); ?></h3>

		<div class="infoBlock">
			<div class="infoLabel">
				<?php
				if (array_key_exists('avatar', $person) && $person['avatar'] != "" && $person['avatar'] != null)
				{
					echo '<td class="avatar" ><img id="avatar_img_' . $person['id'] . '" data-item-type="people" data-item-id="' . $person['id'] . '" class="avatar" src="' . Uri::base() . 'components/com_joomcrm/media/avatars/' . $person['avatar'] . '"/></td>';
				}
				else
				{
					echo '<td class="avatar" ><img id="avatar_img_' . $person['id'] . '" data-item-type="people" data-item-id="' . $person['id'] . '" class="avatar" src="' . Uri::base() . 'components/com_joomcrm/media/images/person.png' . '"/></td>';
				} ?>
			</div>
			<div class="infoDetails">
				<span class="largeDetails"><?php echo $person['first_name'] . ' ' . $person['last_name']; ?></span><br/>
				<span class="smallDetails"><?php echo $person['owner_first_name'] . ' ' . $person['owner_last_name']; ?></span><br/>
				<?php if (array_key_exists('company_id', $person))
				{ ?>
					<?php echo $person['company_name']; ?>
				<?php } ?>
			</div>
		</div>
		<div class="infoBlock">
			<div class="infoLabel"><?php echo Text::_('COM_JOOMCRM_WORK_PHONE_SHORT'); ?></div>
			<div class="infoDetails"><?php echo $person['phone']; ?></div>
		</div>

		<div class="infoBlock">
			<div class="infoLabel"><?php echo Text::_('COM_JOOMCRM_EMAIL_SHORT'); ?></div>
			<div class="infoDetails">
				<?php if (array_key_exists('email', $person))
				{ ?>
					<?php echo $person['email']; ?>
				<?php } ?>
			</div>
		</div>

		<div class="infoBlock">
			<div class="infoLabel">&nbsp;</div>
			<div class="infoDetails">
				<div class="twitter_dark"></div>
				<div class="facebook_dark"></div>
				<div class="linkedin_dark"></div>
			</div>
		</div>
	</div>
	<?php if (isset($this->event_dock))
	{ ?>
		<div class="infoContainer" id='event_dock'>
			<h3><?php echo ucwords(Text::_('COM_JOOMCRM_TASKS_AND_EVENTS')); ?></h3>
			<?php $this->event_dock->display(); ?>
		</div>
	<?php } ?>

	<?php if (array_key_exists('twitter_user', $person))
	{ ?>
		<div class="infoContainer" id="twitter_dock">
			<h3><?php echo ucwords(Text::_('COM_JOOMCRM_RECENT_TWEETS')); ?></h3>

		</div>
	<?php } ?>
</div>

<div class="leftColumn">

	<h1><?php echo $person['first_name'] . ' ' . $person['last_name']; ?></h1>

	<div class="container">
		<div class="columncontainer">
			<div class="threecolumn">
				<div class="small_info first">
					<?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_TOTAL')); ?>
					<span class="amount"><?php echo $config->get('currency','$'); ?>0</span>
				</div>
				<div class="joomcrmRow top">
					<div class="joomcrmField"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY')); ?>:</div>
					<div class="joomcrmValue"><?php echo $person['company_name']; ?></div>
					<div class="clear"></div>
				</div>
				<div class="joomcrmRow">
					<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_OWNER'); ?>:</div>
					<div class="joomcrmValue"><?php echo $person['owner_first_name'] . ' ' . $person['owner_last_name']; ?></div>
					<div class="clear"></div>
				</div>
			</div>

			<div class="threecolumn">
				<div class="small_info middle">
					<?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_DEALS')); ?>:
					<span class="amount"><?php echo $config->get('currency','$'); ?>0</span>
				</div>
				<div class="joomcrmRow top">
					<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_TITLE'); ?>:</div>
					<div class="joomcrmValue">
						<?php echo ucwords($person['position']); ?>
					</div>
					<div class="clear"></div>
				</div>
				<div class="joomcrmRow">
					<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_TYPE'); ?>:</div>
					<div class="joomcrmValue">
						<?php echo ucwords($person['type']); ?>
					</div>
					<div class="clear"></div>
				</div>
			</div>

			<div class="threecolumn">
				<div class="small_info last">
					<?php echo Text::_('COM_JOOMCRM_PERSON_CONTACTED'); ?>:
					<?php
					echo JoomcrmHelperDate::formatDate($person['modified']);
					?>
				</div>
				<div class="joomcrmRow top">
					<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_STATUS'); ?>:</div>
					<div class="joomcrmValue"><?php echo $person['status_name']; ?></div>
					<div class="clear"></div>
				</div>
				<div class="joomcrmRow">
					<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_SOURCE'); ?>:</div>
					<div class="joomcrmValue"><?php echo $person['source_name']; ?></div>
					<div class="clear"></div>
				</div>
			</div>
		</div>

		<?php if (array_key_exists('deals', $person) && count($person['deals']) > 0)
		{ ?>
			<h3 class="dotted"><?php echo ucwords(Text::_('COM_JOOMCRM_EDIT_DEALS')); ?></h3>

			<div class="large_info">
				<table class="com_joomcrm_table" id="deal_list">
					<th><?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_NAME')); ?></th>
					<th><?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_OWNER')); ?></th>
					<th class="right"><?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_AMOUNT')); ?></th>
					<?php
					$n = count($person['deals']);
					for ($i = 0; $i < $n; $i++)
					{
						$deal = $person['deals'][$i];
						$k    = $i % 2;
						echo '<tr class="joomcrm_row_' . $k . '">';
						echo '<td><a href="' . Route::_('index.php?option=com_joomcrm&view=deals&layout=deal&id=' . $deal['id']) . '">' . $deal['name'] . '</a></td>';
						echo '<td>' . $deal['owner_first_name'] . ' ' . $deal['owner_last_name'] . '</td>';
						echo '<td><span class="amount">' . JoomcrmHelperUsers::formatAmount($deal['amount']) . '</span></td>';
						echo '</tr>';
					}
					?>
				</table>
			</div>
		<?php } ?>

		<?php echo $this->custom_fields->display(); ?>

		<h3 class="dotted"><?php echo Text::_('COM_JOOMCRM_EDIT_NOTES'); ?></h3>

		<?php echo $person['notes']->display(); ?>

	</div>
