<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;

?>

<script type="text/javascript">
	var user_id = <?php echo $this->user_id; ?>;
</script>

<div id="jb_template">
    <div class="page-header mb-3">
        <h1><?php echo Text::_('COM_JOOMCRM_PROFILE'); ?></h1>
    </div>
    <div id="profile">
        <ul class="m-0">
            <li>
                <a class="profile_slide_link" id="profile_personal">
                    <h5 class="m-0"><i class="fas fa-info-circle me-2"></i> <?php echo Text::_('COM_JOOMCRM_EDIT_PERSONAL_INFO'); ?></h5>
                </a>
            </li>
            <div class="profile_slide p-3" id="profile_personal_slide">
                <form class="m-0">
                    <fieldset>
                        <div class="form-group">
                            <label><?php echo Text::_('COM_JOOMCRM_PERSON_FIRST'); ?></label>
                            <input class="form-control" type="text" name="first_name" value="<?php echo $this->user->first_name; ?>">
                        </div>
                        <div class="form-group">
                            <label><?php echo Text::_('COM_JOOMCRM_PERSON_LAST'); ?></label>
                            <input class="form-control" type="text" name="last_name" value="<?php echo $this->user->last_name; ?>">
                        </div>
                    </fieldset>
                </form>
                <div class="button-group">
                    <button type="button" class="btn btn-success btn-sm save">
	                    <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
                    </button>
                    <button type="button" class="btn btn-danger btn-sm cancel">
                        <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_CANCEL'); ?>
                    </button>
                </div>
            </div>
            <li>
                <a class="profile_slide_link" id="profile_date">
                    <h5 class="m-0"><i class="fas fa-calendar me-2"></i> <?php echo Text::_('COM_JOOMCRM_DATE_TIME_SETTINGS'); ?></h5>
                </a>
            </li>
            <div class="profile_slide p-3" id="profile_date_slide">
                <form>
                    <fieldset>
                        <div class="form-group">
                            <label><?php echo Text::_('COM_JOOMCRM_TIMEZONE'); ?></label>
                            <select class="form-control" name="time_zone">
		                        <?php
		                        $timezone_abbreviations = JoomcrmHelperDate::getTimezones();
		                        echo HTMLHelper::_('select.options', $timezone_abbreviations, 'value', 'text', $this->user->time_zone, true);
		                        ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label><?php echo Text::_('COM_JOOMCRM_DATE_FORMAT'); ?></label>
                            <select class="form-control" name="date_format">
		                        <?php
		                        $date_formats = JoomcrmHelperDate::getDateFormats();
		                        echo HTMLHelper::_('select.options', $date_formats, 'value', 'text', $this->user->date_format, true);
		                        ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label><?php echo Text::_('COM_JOOMCRM_TIME_FORMAT'); ?></label>
                            <select class="form-control" name="time_format">
		                        <?php
		                        $time_formats = JoomcrmHelperDate::getTimeFormats();
		                        echo HTMLHelper::_('select.options', $time_formats, 'value', 'text', $this->user->time_format, true);
		                        ?>
                            </select>
                        </div>
                    </fieldset>
                </form>
                <div class="button-group">
                    <button type="button" class="btn btn-success btn-sm save">
                        <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
                    </button>
                    <button type="button" class="btn btn-danger btn-sm cancel">
                        <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_CANCEL'); ?>
                    </button>
                </div>
            </div>
            <li>
                <a class="profile_slide_link" id="profile_inbox">
                    <h5 class="m-0">
                        <i class="fas fa-inbox me-2"></i> <?php echo Text::_('COM_JOOMCRM_USER_INBOX_MULTIPLE_EMAILS'); ?>
                    </h5>
                </a>
            </li>
            <div class="profile_slide p-3" id="profile_inbox_slide">
                <form>
                    <fieldset>
                        <p class="alert alert-info">
                            <i class="fas fa-info-circle me-2"></i> <?php echo Text::_('COM_JOOMCRM_MULTIPLE_INBOX_DESC_1'); ?>
                        </p>
                        <p class="alert alert-warning">
	                        <i class="fas fa-exclamation-circle me-2"></i> <?php echo Text::_('COM_JOOMCRM_MULTIPLE_INBOX_DESC_2'); ?>
                        </p>
                        <ul id="email_input_boxes">
                            <li>
                               <div class="form-group">
                                   <label><?php echo Text::_('COM_JOOMCRM_PRIMARY_EMAIL'); ?></label>
                                   <input class="form-control" disabled="disabled" value="<?php echo $this->user->email; ?>"/>
                               </div>
                            </li>
							<?php if (count($this->user->emails))
							{
								foreach ($this->user->emails as $key => $email)
								{
									if ($email['email'] != $this->user->email)
									{
										?>
                                        <li>
                                            <div class="form-group">
                                                <label><?php echo Text::_('COM_JOOMCRM_EMAIL'); ?></label>
                                                <input class="form-control" type="text" name="email[]" value="<?php echo $email['email']; ?>">
                                                <span class="message form-text text-muted"></span>
                                            </div>
                                        </li>
										<?php
									}
								}
								$remaining = 2 - count($this->user->emails);
								for ($i = 0; $i < $remaining; $i++)
								{
									?>
                                    <li>
                                        <div class="form-group">
                                            <label><?php echo Text::_('COM_JOOMCRM_EMAIL'); ?></label>
                                            <input class="form-control" type="text" name="email[]" value="">
                                            <span class="message form-text text-muted"></span>
                                        </div>
                                    </li>
									<?php
								}
							}
							else
							{
								?>
                                <li>
                                    <div class="form-group">
                                        <label><?php echo Text::_('COM_JOOMCRM_EMAIL'); ?></label>
                                        <input class="form-control" type="text" name="email[]" value="">
                                        <span class="message form-text text-muted"></span>
                                    </div>
                                </li>
                                <li>
                                    <div class="form-group">
                                        <label><?php echo Text::_('COM_JOOMCRM_EMAIL'); ?></label>
                                        <input class="form-control" type="text" name="email[]" value="">
                                        <span class="message form-text text-muted"></span>
                                    </div>
                                </li>
							<?php } ?>
                        </ul>

                    </fieldset>
                </form>
                <div class="button-group">
                    <button class="btn btn-sm btn-light add_email_link float-end" onclick="addEmailBox();">
                        <i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_ANOTHER_EMAIL'); ?>
                    </button>
                    <button type="button" class="btn btn-success btn-sm save">
                        <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
                    </button>
                    <button type="button" class="btn btn-danger btn-sm cancel">
                        <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_CANCEL'); ?>
                    </button>
                </div>
            </div>
            <li>
                <a class="profile_slide_link" id="profile_email">
                    <h5 class="m-0">
                        <i class="fas fa-bell me-2"></i> <?php echo Text::_('COM_JOOMCRM_EMAIL_PREF_REMINDERS'); ?>
                    </h5>
                </a>
            </li>
            <div class="profile_slide p-3" id="profile_email_slide">
                <form>
                    <fieldset>
                        <div class="form-group form-check">
                            <input class="form-check-input" type="checkbox" name="morning_coffee" <?php if ($this->user->morning_coffee)
	                        {
		                        echo 'checked';
	                        } ?>>
                            <label class="form-check-label" for="exampleCheck1">
                                <strong><?php echo Text::_('COM_JOOMCRM_MORNING_COFFEE'); ?></strong><br>
	                            <span class="text-muted"><?php echo Text::_('COM_JOOMCRM_MORNING_COFFEE_DESC'); ?></span>
                            </label>
                        </div>
							<?php /**
							<li>
							<label class="small"><input type="checkbox" name="daily_agenda" <?php if ( $this->user['daily_agenda'] ) echo 'checked'; ?> ></label>
							<span class="faux_input"><b><?php echo Text::_('COM_JOOMCRM_DAILY_AGENDA'); ?></b></span>
							<span class="faux_input_details"><?php echo Text::_('COM_JOOMCRM_DAILY_AGENDA_DESC'); ?></span>
							</li>
							 **/
							?>
							<?php /**
							<?php if (JoomcrmHelperUsers::getRole()!='basic') { ?>
							<li>
							<label class="small"><input type="checkbox" name="weekly_team_report" <?php if ( $this->user['weekly_team_report'] ) echo 'checked'; ?>></label>
							<span class="faux_input"><b><?php echo Text::_('COM_JOOMCRM_TEAM_USE_REPORT'); ?></b></span>
							<span class="faux_input_details"><?php echo Text::_('COM_JOOMCRM_TEAM_USE_REPORT_DESC'); ?></span>
							</li>
							<?php } ?>
							<li>
							<label class="small"><input type="checkbox" name="weekly_personal_report" <?php if ( $this->user['weekly_personal_report'] ) echo 'checked'; ?>></label>
							<span class="faux_input"><b><?php echo Text::_('COM_JOOMCRM_TEAM_USE_REPORT'); ?></b></span>
							<span class="faux_input_details"><?php echo Text::_('COM_JOOMCRM_PERSONAL_USE_REPORT_DESC'); ?></span>
							</li>
							<?php /* TODO: ADD CRON for 15 Min Email Reminder
							<li>
							<label class="small"><input type="checkbox" name="reminder_notifications" <?php if ( $this->user['reminder_notifications'] ) echo 'checked'; ?>></label>
							<span class="faux_input"><b>Email me 15 minutes before a reminder is due</b></span>
							</li>
							 */
							?>

                    </fieldset>
                </form>
                <div class="button-group">
                    <button type="button" class="btn btn-success btn-sm save">
                        <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
                    </button>
                    <button type="button" class="btn btn-danger btn-sm cancel">
                        <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_CANCEL'); ?>
                    </button>
                </div>
            </div>
			<?php /*
		<li><a class="profile_slide_link" id="profile_sms">Set SMS Mobile Number</a></li>
		<div class="profile_slide p-3" id="profile_sms_slide">
			<form>
				<fieldset>
					<ul>
						<li>Set your mobile number in order to receive SMS reminders 15 minutes before they are due.</li>
						<li>
							<label><b>Mobile Number</b></label>
							<input type="text" name="sms_number" value="<?php if ( $this->user['sms_number'] != null ) echo $this->user['sms_number']; ?>">
						</li>
						<li>
							<label class="small"><input type="checkbox" name="text_messages" <?php if ( $this->user['text_messages'] ) echo 'checked'; ?>/></label>
							<span class="faux_input">Send me text messages</span>
						</li>
					</ul>
				</fieldset>
			</form>
			<input type="button" value="Save" class="save" ><input type="button" value="Cancel" class="cancel">
		</div>
		 */
			?>
            <li>
                <a class="profile_slide_link" id="profile_charts">
                    <h5 class="m-0">
                        <i class="fas fa-chart-line me-2"></i> <?php echo Text::_('COM_JOOMCRM_SET_HOME_CHART'); ?>
                    </h5>
                </a>
            </li>
            <div class="profile_slide p-3" id="profile_charts_slide">
                <form>
                    <fieldset>
                        <div class="form-group">
                            <label for="home_page_chart"><?php echo Text::_('COM_JOOMCRM_SET_HOME_CHART_DESC'); ?></label>
                            <select class="form-control" name="home_page_chart" id="home_page_chart">
		                        <?php
		                        $charts = JoomcrmHelperCharts::getDashboardCharts();
		                        echo HTMLHelper::_('select.options', $charts, 'value', 'text', $this->user->home_page_chart, true);
		                        ?>
                            </select>
                        </div>
                    </fieldset>
                </form>
                <div class="button-group">
                    <button type="button" class="btn btn-success btn-sm save">
                        <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
                    </button>
                    <button type="button" class="btn btn-danger btn-sm cancel">
                        <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_CANCEL'); ?>
                    </button>
                </div>
            </div>
            <li>
                <a class="profile_slide_link" id="profile_commission">
                    <h5 class="m-0">
                        <i class="fas fa-trophy me-2"></i> <?php echo Text::_('COM_JOOMCRM_SET_COMMISSION_RATE'); ?>
                    </h5>
                </a>
            </li>
            <div class="profile_slide p-3" id="profile_commission_slide">
                <form>
                    <fieldset>
                        <div class="form-group">
                            <label for="commission_rate">
		                        <?php echo Text::_('COM_JOOMCRM_SET_COMMISSION_RATE_DESC'); ?>
                            </label>
                            <div class="input-group">
                                <input class="form-control" type="text" name="commission_rate" id="commission_rate" value="<?php echo $this->user->commission_rate; ?>">
                                    <span class="input-group-text">%</span>
                            </div>

                        </div>
                    </fieldset>
                </form>
                <div class="button-group">
                    <button type="button" class="btn btn-success btn-sm save">
                        <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
                    </button>
                    <button type="button" class="btn btn-danger btn-sm cancel">
                        <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_CANCEL'); ?>
                    </button>
                </div>
            </div>
            <li>
                <a class="profile_slide_link" id="documents">
                    <h5 class="m-0">
                        <i class="fas fa-file me-2"></i> <?php echo Text::_('COM_JOOMCRM_DOCUMENT_EMAIL_SETTINGS'); ?>
                    </h5>
                </a>
            </li>
            <div class="profile_slide p-3" id="documents_slide">
                <form>
                    <fieldset>
                        <p class="alert alert-info"><i class="fas fa-info-circle"></i> <?php echo Text::_('COM_JOOMCRM_DOCUMENT_EMAIL_SETTINGS_DESC'); ?></p>
                        <ul id="document_input_boxes">

							<?php if (count((array)$this->user->document_bypass) && is_array($this->user->document_bypass))
							{
								foreach ($this->user->document_bypass as $key => $document)
								{
									?>
                                    <li>
                                        <div class="form-group">
                                            <label><?php echo Text::_('COM_JOOMCRM_FILENAME'); ?></label>
                                            <input class="form-control" type="text" name="document_bypass[]" value="<?php echo $document; ?>">
                                        </div>
                                    </li>
									<?php
								}
							}
							else
							{
								?>
                                <li>
                                    <div class="form-group">
                                        <label><?php echo Text::_('COM_JOOMCRM_FILENAME'); ?></label>
                                        <input class="form-control" type="text" name="document_bypass[]" placeholder="<?php echo Text::_('COM_JOOMCRM_DOCUMENT_EMAIL_BYPASS_NULL'); ?>">
                                    </div>
                                </li>
							<?php } ?>
                        </ul>

                    </fieldset>
                </form>
                <div class="button-group">
                    <button class="add_document_link btn btn-sm btn-light float-end" onclick="addDocumentBox();">
                        <i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_ANOTHER_FILE'); ?>
                    </button>
                    <button type="button" class="btn btn-success btn-sm save">
                        <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
                    </button>
                    <button type="button" class="btn btn-danger btn-sm cancel">
                        <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_CANCEL'); ?>
                    </button>
                </div>
            </div>
            <li>
                <a class="profile_slide_link" id="api">
                    <h5 class="m-0">
                        <i class="fas fa-code me-2"></i> <?php echo Text::_('COM_JOOMCRM_API_LINK'); ?>
                    </h5>
                </a>
            </li>
            <div class="profile_slide p-3" id="api_slide">
                <form>
                    <div class="form-group">
                        <label for="user_api_key"><?php echo Text::_('COM_JOOMCRM_API_LABEL'); ?></label>

                        <div class="input-group mb-3">
                            <input id="user_api_key" type="text" readonly class="form-control" value="<?php echo $this->user->api; ?>">
                                <button data-clipboard data-clipboard-target="#user_api_key" class="btn btn-light btn-sm" type="button">
                                    <i class="fas fa-clipboard"></i> Copy
                                </button>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="user_api_key"><?php echo Text::_('COM_JOOMCRM_CALENDAR_URL'); ?></label>
                        <div class="input-group mb-3">
                            <input id="user_calendar_url" type="text" readonly class="form-control" value="<?php echo Uri::base() . 'index.php?option=com_joomcrm&task=calendar.ical&format=raw&uid=' . $this->user->uid . '&api=' . $this->user->api; ?>">
                                <button data-clipboard data-clipboard-target="#user_calendar_url" class="btn btn-light btn-sm" type="button">
                                    <i class="fas fa-clipboard"></i> Copy
                                </button>
                        </div>

                    </div>
                </form>
            </div>
        </ul>
    </div>
</div>
