<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;
class JoomcrmViewReportsRaw extends JoomcrmView
{
	public function display($tpl = null)
	{
		// Get layout requested to load correct data and pass references
		$layout = $this->getLayout();

		// Notes report page
		if ($layout == 'notes_filter')
		{
			// Get model for reports
			$model = new JoomcrmModelNote;
			$notes = $model->getNotes(null, null, false);
			// Assign refs to view
			$this->note_entries = $notes;
		}

		// Deal_milestones page
		if ($layout == "deal_milestones_filter")
		{
			// Get deals for reports
			$model = new JoomcrmModelDeal;
			$model->set('archived', 0);
			$deals = $model->getDeals();
			// Assign refs to view
			$this->deals = $deals;
		}

		// Roi report page
		if ($layout == 'roi_report_filter')
		{
			// Get sources for reports
			$model   = new JoomcrmModelSource;
			$sources = $model->getRoiSources();

			// Assign refs to view
			$this->sources = $sources;
		}

		// Sales pipeline page
		if ($layout == 'sales_pipeline_filter')
		{
			// Get deals for reports
			$model = new JoomcrmModelDeal;
			$model->set('archived', 0);
			$model->set('limit', 0);
			$reports = $model->getReportDeals();

			// Assign refs to view
			$this->reports = $reports;
		}

		// Source report page
		if ($layout == 'source_report_filter')
		{
			// Get deals for reports
			$model = new JoomcrmModelDeal;
			$model->set('archived', 0);
			$model->set('limit', 0);
			$reports = $model->getDeals();

			// Assign refs to view
			$this->reports = $reports;
		}

		// Custom reports default page
		if ($layout == "custom_reports_filter")
		{
			// Get model
			$model   = new JoomcrmModelReport;
			$reports = $model->getCustomReports();
			$state   = $model->getState();

			// Assign refs
			$this->state = $state;
			$this->reports = $reports;
		}

		// Individual custom reports
		if ($layout == "custom_report_filter")
		{
			$id =  \Joomla\CMS\Factory::getApplication()->input->get('id');
			// Get model
			$model = new JoomcrmModelReport;
			// Get report
			$model->populateState();
			$report      = $model->getCustomReports($id);
			$report_data = $model->getCustomReportData($id);
			$state       = $model->getState();
			$this->pagination = $model->getPagination($id);
			// Assign refs
			$this->state = $state;
			$this->report = $report;
			$this->report_data = $report_data;
		}

		parent::display($tpl);
	}

}
