<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;

?>

<?php $report = $this->report[0]; ?>

<script type="text/javascript">
	order_url = "<?php echo 'index.php?option=com_joomcrm&view=reports&layout=custom_report_filter&format=raw&tmpl=component&id='.$report['id']; ?>";
	order_dir = "<?php echo $this->state->get('Report.'.$report['id'].'_'.$this->layout.'_filter_order_Dir'); ?>";
	order_col = "<?php echo $this->state->get('Report.'.$report['id'].'_'.$this->layout.'_filter_order'); ?>";
</script>

<div id="jb_template">


	<?php
	// render page header
	echo LayoutHelper::render('reports.header',[
		'title' => $report['name'],
		'hasActions' => true
	]);
	?>

    <div class="filterBlock card w-100 my-4">
        <div class="text-center">
            <span class="fa-stack fa-2x position-absolute text-secondary" style="font-size: 12px;top: -15px;">
              <i class="fas fa-circle fa-stack-2x"></i>
              <i class="fas fa-filter fa-stack-1x fa-inverse"></i>
            </span>
            <div class="row gx-2 py-3 px-3 text-start">
                <div class="col-md-2">
                    <div class="text-muted">
	                    <?php echo Text::_('COM_JOOMCRM_SHOW'); ?>
                    </div>
                    <div>
                        <select class="filter_input form-control" name="range">
		                    <?php $range = $this->state->get('Report.' . $report['id'] . '_custom_report_range'); ?>
		                    <?php echo HTMLHelper::_('select.options', $this->range_names, 'value', 'text', $range, true); ?>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <form id="list_form" class="print_form" method="POST" target="_blank" action="<?php echo Route::_('index.php?option=com_joomcrm&view=print'); ?>">
        <input type="hidden" id="list_form_layout" name="layout" value="report"/>
        <input type="hidden" name="model" value="source"/>
        <input type="hidden" name="report" value="custom_report"/>
        <input type="hidden" name="custom_report" value="<?php echo $report['id']; ?>"/>

        <div class="border rounded">
	        <?php echo $this->custom_report_header->display(); ?>
	        <?php echo $this->custom_report_list->display(); ?>
	        <?php echo $this->custom_report_footer->display(); ?>
        </div>

        <input type="hidden" name="list_type" value="custom_report"/>
        <input type="hidden" name="report_id" value="<?php echo $report['id']; ?>"/>
    </form>
	<?php if(isset($this->pagination)): ?>
        <nav class="d-flex pagination-wrapper">
            <div class="me-auto">
				<?php echo $this->pagination->getPagesLinks(); ?>
            </div>
            <div class="pagination-counter">
				<?php echo $this->pagination->getPagesCounter(); ?>
            </div>
        </nav>
	<?php endif; ?>
</div>
