<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::_('formbehavior.chosen', 'select:not(.no-chosen)');

$report = $this->report[0]; ?>
<div class="table-responsive">
<table class="com_joomcrm_table table " id="reports">
<thead>
<tr>
	<?php $fields = unserialize($report['fields']); ?>
	<?php $rows = array(); ?>
	<?php $hasQuote = JoomcrmHelperQuote::hasCRMQuote(); ?>
	<?php foreach ($fields as $id => $text)
	{ ?>
		<?php $rows[] = $id; ?>
		<?php $primary_contact = strstr($id, "primary_contact_"); ?>
		<?php $custom_field = strstr($id, "custom_field_"); ?>
		<?php $calculation_field = strstr($id, "calculate_field_"); ?>
		<?php $isQuoteField = strstr($id, "quote_"); ?>
		<?php if ($hasQuote && $isQuoteField)
	{ ?>
		<?php $alias = str_replace("quote_", "", $id); ?>
		<th class="border-0">
			<div class="sort_order">
				<a class="q.<?php echo $alias; ?>" onclick="sortTable('q.<?php echo $alias; ?>',this)"><?php echo $text; ?></a>
			</div>
		</th>
	<?php
	}
	else
	{
		if (!$primary_contact && !$custom_field && !$calculation_field)
		{
			switch ($id)
			{
				case 'company_name':
					$alias = "c";
					$col   = "name";
					break;
				case 'company_category':
					$alias = "company_category";
					$col   = "name";
					break;
				default:
					$alias = "d";
					$col   = $id;
					break;
			} ?>
			<th class="border-0">
				<div class="sort_order">
					<a class="<?php echo $alias . "." . $col; ?>" onclick="sortTable('<?php echo $alias . "." . $col; ?>',this)"><?php echo $text; ?></a>
				</div>
			</th>
		<?php
		}
	} ?>
		<?php if ($primary_contact)
	{ ?>
		<?php switch ($id)
	{
		case "primary_contact_name":
			?>
			<th class="border-0">
				<div class="sort_order">
					<a class="p.last_name" onclick="sortTable('p.last_name',this)"><?php echo $text; ?></a></div>
			</th>
			<?php break;
		case "primary_contact_email":
			?>
			<th class="border-0">
				<div class="sort_order"><a class="p.email" onclick="sortTable('p.email',this)"><?php echo $text; ?></a>
				</div>
			</th>
			<?php break;
		case "primary_contact_phone":
			?>
			<th class="border-0">
				<div class="sort_order"><a class="p.phone" onclick="sortTable('p.phone',this)"><?php echo $text; ?></a>
				</div>
			</th>
			<?php break;
		case "primary_contact_company_name":
			?>
			<th class="border-0">
				<div class="sort_order"><a class="pc.name" onclick="sortTable('pc.name',this)"><?php echo $text; ?></a>
				</div>
			</th>
			<?php break;
		case "primary_contact_city":
			?>
			<th class="border-0">
				<div class="sort_order"><a class="p.work_city" onclick="sortTable('p.work_city',this)"><?php echo $text; ?></a>
				</div>
			</th>
			<?php break;
		case "primary_contact_state":
			?>
			<th class="border-0">
				<div class="sort_order"><a class="p.work_state" onclick="sortTable('p.work_state',this)"><?php echo $text; ?></a>
				</div>
			</th>
			<?php break; ?>
		<?php
	} ?>
	<?php } ?>
		<?php if ($custom_field)
	{ ?>
		<th class="border-0">
			<div class="sort_order"><a class="<?php echo $id; ?>" onclick="sortTable('',this)"><?php echo $text; ?></a>
			</div>
		</th>
	<?php } ?>
		<?php if ($calculation_field)
	{ ?>
		<th class="border-0">
			<div class="sort_order">
				<a class="<?php echo $id; ?>" onclick="sortTable('<?php echo $id; ?>',this)"><?php echo $text['name']; ?></a>
			</div>
		</th>
	<?php } ?>
	<?php } ?>
</tr>

<?php if ( \Joomla\CMS\Factory::getApplication()->input->get('view') != "print")
{ ?>
	<tr class="bg-light">
	<?php foreach ($fields as $id => $text)
	{ ?>
		<?php $primary_contact = strstr($id, "primary_contact_"); ?>
		<?php $custom_field = strstr($id, "custom_"); ?>
		<?php $calculation_field = strstr($id, "calculate_field_"); ?>
		<?php $isQuoteField = strstr($id, "quote_"); ?>
		<?php if ($hasQuote && $isQuoteField)
	{
		echo JoomcrmHelperQuote::getCustomReportHeader($id);
	}
	else if (!$primary_contact && !$custom_field && !$calculation_field)
	{
		?>
		<?php switch ($id)
	{
		case "name":
			?>
			<?php $deal_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_' . $id); ?>
			<th><input class="filter_input form-control form-control-sm" name="deal_name" type="text" value="<?php echo $deal_filter; ?>"/></th>
			<?php break; ?>
		<?php
		case "owner_id": ?>
			<th>
				<select class="no-chosen filter_input  form-control form-control-sm" name="owner_id" id="owner_id">
					<?php $user_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_owner_id'); ?>
					<?php if (JoomcrmHelperUsers::getRole() != 'basic')
					{ ?>
						<?php   $all = array();
						$all[]       = HTMLHelper::_('select.option', 'all', Text::_('COM_JOOMCRM_ALL'));
						echo HTMLHelper::_('select.options', $all, 'value', 'text', $user_filter, true);
						?>
					<?php } ?>
					<optgroup label="<?php echo Text::_('COM_JOOMCRM_MEMBERS'); ?>" class="member" id="member">
						<?php   $member = array();
						$member[] = HTMLHelper::_('select.option', JoomcrmHelperUsers::getUserId(), Text::_('COM_JOOMCRM_ME'));
						echo HTMLHelper::_('select.options', $member, 'value', 'text', $user_filter, true);
						?>
						<?php echo HTMLHelper::_('select.options', $this->user_names, 'value', 'text', $user_filter, true); ?>
					</optgroup>
					<?php if (JoomcrmHelperUsers::getRole() == 'exec')
					{ ?>
						<optgroup label="<?php echo Text::_('COM_JOOMCRM_TEAM'); ?>" class="team" id="team">
							<?php echo HTMLHelper::_('select.options', $this->team_names, 'value', 'text', 't:' . $user_filter, true); ?>
						</optgroup>
					<?php } ?>
				</select>
			</th>
			<?php break; ?>
		<?php
		case "summary" : ?>
			<th></th>
			<?php break; ?>
		<?php
		case "amount" : ?>
			<th>
				<select class="no-chosen filter_input form-control form-control-sm" name="deal_amount">
					<option value="all"><?php echo Text::_('COM_JOOMCRM_ALL'); ?></option>
					<?php $amount_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_amount'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_amounts, 'value', 'text', $amount_filter, true); ?>
				</select>
			</th>
			<?php break; ?>
		<?php
		case "source_id" : ?>
			<th>
				<select class="no-chosen filter_input  form-control form-control-sm" name="source_id">
					<option value="all"><?php echo Text::_('COM_JOOMCRM_ALL'); ?></option>
					<?php $source_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_source_id'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_sources, 'value', 'text', $source_filter, true); ?>
				</select>
			</th>
			<?php break; ?>
		<?php
		case "stage_id" : ?>
			<th>
				<select class="no-chosen no-chosen filter_input  form-control form-control-sm" name="stage_id">
					<?php $stage_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_stage_id'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_stages, 'value', 'text', $stage_filter, true); ?>
				</select>
			</th>
			<?php break; ?>
		<?php
		case "status_id" : ?>
			<th>
				<select class="no-chosen no-chosen filter_input  form-control form-control-sm" name="status_id">
					<option value="all"><?php echo Text::_('COM_JOOMCRM_ALL'); ?></option>
					<?php $status_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_status_id'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_statuses, 'value', 'text', $status_filter, true); ?>
				</select>
			</th>
			<?php break; ?>
		<?php
		case "created" : ?>
			<th>
				<select class="no-chosen filter_input  form-control form-control-sm" name="created">
					<?php $created_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_created'); ?>
					<?php echo HTMLHelper::_('select.options', $this->created_dates, 'value', 'text', $created_filter, true); ?>
				</select>
			</th>
			<?php break; ?>
		<?php
		case "modified" : ?>
			<th>
				<select class="no-chosen filter_input  form-control form-control-sm" name="modified">
					<?php $modified_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_modified'); ?>
					<?php echo HTMLHelper::_('select.options', $this->modified_dates, 'value', 'text', $modified_filter, true); ?>
				</select>
			</th>
			<?php break; ?>
		<?php
		case "probability" : ?>
			<th></th>
			<?php break; ?>
		<?php
		case "expected_close" : ?>
			<th>
				<select class="no-chosen filter_input form-control form-control-sm" name="expected_close">
					<?php $expected_close_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_expected_close'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_expected_close_dates, 'value', 'text', $expected_close_filter, true); ?>
				</select>
			</th>
			<?php break;
		case "actual_close" :
			?>
			<th>
				<select class="no-chosen filter_input form-control form-control-sm" name="actual_close">
					<?php $actual_close_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_actual_close'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_actual_close_dates, 'value', 'text', $actual_close_filter, true); ?>
				</select>
			</th>
			<?php break;
		case "company_name" :
			?>
			<th>
				<?php $company_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_company_name'); ?>
				<input class="filter_input form-control form-control-sm" name="company_name" type="text" value="<?php echo $company_filter; ?>"/>
			</th>
			<?php break;
		case "company_category" :
			?>
			<th>
				<select class="no-chosen filter_input form-control form-control-sm" name="company_category">
					<?php $company_category_filter = $this->state->get('Report.' . $report['id'] . '_custom_report_company_category'); ?>
					<?php echo HTMLHelper::_('select.options', $this->company_categories, 'value', 'text', $company_category_filter, true); ?>
				</select>
			</th>
			<?php break; ?>
		<?php
		default: ?>
			<th></th>
		<?php break; ?>
		<?php
	} ?>
	<?php
	}
	else if ($primary_contact)
	{
		?>
		<?php switch ($id)
	{
		case "primary_contact_name":
			?>
			<?php $primary_contact_name = $this->state->get('Report.' . $report['id'] . '_custom_report_primary_contact_name'); ?>
			<th>
				<input class="no-chosen filter_input form-control form-control-sm" name="primary_contact_name" type="text" value="<?php echo $primary_contact_name; ?>"/>
			</th>
			<?php break;
		case "primary_contact_email":
			?>
			<?php $primary_contact_email = $this->state->get('Report.' . $report['id'] . '_custom_report_primary_contact_email'); ?>
			<th>
				<input class="no-chosen filter_input form-control form-control-sm" name="primary_contact_email" type="text" value="<?php echo $primary_contact_email; ?>"/>
			</th>
			<?php break;
		case "primary_contact_phone":
			?>
			<?php $primary_contact_phone = $this->state->get('Report.' . $report['id'] . '_custom_report_primary_contact_phone'); ?>
			<th>
				<input class="filter_input form-control form-control-sm" name="primary_contact_phone" type="text" value="<?php echo $primary_contact_phone; ?>"/>
			</th>
			<?php break;
		case "primary_contact_company_name":
			?>
			<?php $primary_contact_company_name = $this->state->get('Report.' . $report['id'] . '_custom_report_primary_contact_company_name'); ?>
			<th>
				<input class="filter_input form-control form-control-sm" name="primary_contact_company_name" type="text" value="<?php echo $primary_contact_company_name; ?>"/>
			</th>
			<?php break;
		case "primary_contact_city":
			?>
			<?php $primary_contact_city = $this->state->get('Report.' . $report['id'] . '_custom_report_primary_contact_city'); ?>
			<th>
				<input class="filter_input form-control form-control-sm" name="primary_contact_city" type="text" value="<?php echo $primary_contact_city; ?>"/>
			</th>
			<?php break;
		case "primary_contact_state":
			?>
			<?php $primary_contact_state = $this->state->get('Report.' . $report['id'] . '_custom_report_primary_contact_state'); ?>
			<th>
				<input class="filter_input form-control form-control-sm" name="primary_contact_state" type="text" value="<?php echo $primary_contact_state; ?>"/>
			</th>
			<?php break; ?>
		<?php
		default: ?>
			<th></th>
		<?php break; ?>
		<?php
	} ?>
	<?php
	}
	else
	{
		if ($custom_field)
		{
			?>
			<?php
			// Get the custom field type
			$customId            = str_replace('custom_', '', $id);
			$custom_field_info   = JoomcrmHelperDeal::getUserCustomFields($customId);
			$info                = $custom_field_info[0];
			$custom_field_filter = $this->state->get("Report." . $report['id'] . "_custom_report_" . $customId);

			// Determine type of input
			switch ($info['type'])
			{
				case "text":
					?>
					<th>
						<input class="filter_input form-control form-control-sm" name="custom_<?php echo $info['id']; ?>" type="text" value="<?php echo $custom_field_filter; ?>"/>
					</th>
					<?php break;
				case "picklist":
					?>
					<th>
						<select class="filter_input form-control form-control-sm" name="custom_<?php echo $info['id']; ?>">
							<?php $all = array('all' => HTMLHelper::_('select.option', 'all', Text::_('COM_JOOMCRM_ALL'))); ?>
							<?php echo HTMLHelper::_('select.options', $all + json_decode($info['values']), 'value', 'text', $custom_field_filter, true); ?>
						</select>
					</th>
					<?php break;
				case "number":
					?>
					<th>
						<input class="filter_input form-control form-control-sm" name="custom_<?php echo $info['id']; ?>" type="text" value="<?php echo $custom_field_filter; ?>"/>
					</th>
					<?php break;
				case "currency":
					?>
					<th>
						<input class="filter_input form-control form-control-sm" name="custom_<?php echo $info['id']; ?>" type="text" value="<?php echo $custom_field_filter; ?>"/>
					</th>
					<?php break;
                case "forecast": ?>
					<th>
						<input class="filter_input form-control form-control-sm" name="custom_<?php echo $info['id']; ?>" type="text" value="<?php echo $custom_field_filter; ?>"/>
					</th>
					<?php break;
				case "date":
					?>
					<!-- make this a custom date picker -->
					<?php $custom_dates = JoomcrmHelperDeal::getDealFilters(); ?>
					<th>
						<select class="no-chosen filter_input form-control form-control-sm" name="custom_<?php echo $info['id']; ?>">
							<?php echo HTMLHelper::_('select.options', $custom_dates, 'value', 'text', $custom_field_filter, true); ?>
						</select>
					</th>
					<?php break; ?>
				<?php
				default:
					?>
						<th></th>
					<?php break; ?>
					<?php
			} ?>
		<?php
		}
		else
		{
			if ($calculation_field)
			{
				?>
				<th></th>
			<?php
			}
			else
			{
				?>
				<th></th>
			<?php
			}
		}
	} ?>
	<?php } ?>
	</tr>
<?php } ?>
</thead>
<tbody class="results">
