<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

$dealsCount = count($this->deals);


for ($i = 0; $i < $dealsCount; $i++)
{
	$deal = $this->deals[$i]; ?>
	<div class="deal_milestone_report card mb-3 p-0">
		<div class="card-header bg-light">
            <ul class="list-group list-group-horizontal m-0 float-end">
                <li class="list-group-item py-1 px-2"><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_AMOUNT') . ": " . JoomcrmHelperUsers::formatAmount($deal['amount']); ?></li>
                <li class="list-group-item py-1 px-2"><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_DEAL_STAGE') . ": " . $deal['stage_name']; ?></li>
                <li class="list-group-item py-1 px-2"><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_OWNER') . ": " . $deal['owner_first_name'] . " " . $deal['owner_last_name']; ?></li>
            </ul>
            <h3 class="m-0">
                <a href="<?php echo Route::_('index.php?option=com_joomcrm&view=deals&layout=deal&id=' . $deal['id']); ?>"><?php echo $deal['name']; ?></a>
            </h3>
        </div>
        <div class="card-body">
            <div class="events">
                <table class="com_joomcrm_table table">
                    <thead>
                    <th class="logo"><?php echo Text::_('COM_JOOMCRM_MILESTONE_NAME'); ?></th>
                    <th class="logo"><?php echo Text::_('COM_JOOMCRM_DUE_DATE'); ?></th>
                    <th class="logo"><?php echo Text::_('COM_JOOMCRM_COMPLETED'); ?></th>
                    </thead>
                    <tbody id="reports">
			        <?php
			        if (isset($deal['events']) && is_array($deal['events']))
			        {
				        foreach ($deal['events'] as $key => $event)
				        {
					        ?>
                            <tr>
                                <td>
							        <?php
							        if ($event['completed'] == 1)
							        {
								        $completed = "line-through";
							        }
							        else
							        {
								        $completed = "";
							        }
							        ?>
                                    <a href="javascript:void(0);" class="dropdown <?php echo $completed; ?>" id="event_menu_<?php echo $event['id']; ?>_link"><?php echo $event['name']; ?></a>
							        <?php
							        echo '<div class="joomcrm_form_wrapper">';
							        echo '<div id="event_form_' . $event['id'] . '">';
							        echo '<input type="hidden" name="event_id" value="' . $event['id'] . '" />';
							        echo '<input type="hidden" name="parent_id" value="' . $event['parent_id'] . '" />';
							        if ($event['type'] == "task")
							        {
								        echo '<input type="hidden" name="due_date" value="' . $event['due_date'] . '" />';
							        }
							        else
							        {
								        echo '<input type="hidden" name="start_time" value="' . $event['start_time'] . '" />';
								        echo '<input type="hidden" name="end_time" value="' . $event['end_time'] . '" />';
							        }
							        echo '<input type="hidden" name="event_type" value="' . $event['type'] . '" />';
							        echo '<input type="hidden" name="repeats" value="' . $event['repeats'] . '" />';
							        echo '<input type="hidden" name="type" value="single" />';
							        echo '</div>';
							        echo '<div class="filters" id="event_menu_' . $event['id'] . '">';
							        echo '<ul>';
							        if ($event['completed'] == 1)
							        {
								        echo '<li><a href="javascript:void(0);" onclick="markEventIncomplete(this)" >' . Text::_('COM_JOOMCRM_MARK_INCOMPLETE') . '</a></li>';
							        }
							        else
							        {
								        echo '<li><a href="javascript:void(0);" onclick="markEventComplete(this)" >' . Text::_('COM_JOOMCRM_MARK_COMPLETE') . '</a></li>';
								        echo '<li><a href="javascript:void(0);" onclick="postponeEvent(this,1)" >' . Text::_('COM_JOOMCRM_POSTPONE_1_DAY') . '</a></li>';
								        echo '<li><a href="javascript:void(0);" onclick="postponeEvent(this,7)" >' . Text::_('COM_JOOMCRM_POSTPONE_7_DAYS') . '</a></li>';
							        }
							        $id = (array_key_exists('parent_id', $event) && $event['parent_id']) != 0 ? $event['parent_id'] : $event['id'];
							        echo '<li><a href="javascript:void(0);" onclick="editEvent(' . $id . ',\'' . $event['type'] . '\')" >' . Text::_('COM_JOOMCRM_EDIT') . '</a></li>';
							        echo '<li><a href="javascript:void(0);" onclick="deleteEvent(this)" >' . Text::_('COM_JOOMCRM_DELETE') . '</a></li>';
							        echo '</ul>';
							        echo '</div>';
							        echo '</div>';
							        ?>
                                </td>
                                <td><?php echo JoomcrmHelperDate::formatDate($event['due_date']); ?></td>
                                <td><?php echo JoomcrmHelperDate::formatDate($event['actual_close']); ?></td>
                            </tr>
				        <?php }
			        } ?>
                    </tbody>
                </table>
            </div>
        </div>
	</div>
<?php }
