<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

$deal_filter = $this->state->get('Deal.' . str_replace('_filter', '',  Factory::getApplication()->input->get('layout')) . '_name');
$user_filter = $this->state->get('Deal.' . str_replace('_filter', '',  Factory::getApplication()->input->get('layout')) . '_owner_id');
$team_filter = $this->state->get('Deal.' . str_replace('_filter', '',  Factory::getApplication()->input->get('layout')) . '_owner_id');

?>
<div class="col-md-3">
    <div class="text-muted">
        <small><?php echo Text::_('COM_JOOMCRM_DEAL_NAME'); ?></small>
    </div>
    <div>
        <input class="form-control w-100" name="deal_name" type="text" value="<?php echo $deal_filter; ?>">
    </div>
</div>
<div class="col-md-3">
    <div class="text-muted">
        <small><?php echo Text::_('COM_JOOMCRM_OWNER'); ?></small>
    </div>
    <div>
        <select class="form-control form-control-sm filter_input" name="owner_id">

			<?php if (JoomcrmHelperUsers::getRole() != "basic") : ?>
                <option value=""><?php echo Text::_('COM_JOOMCRM_ALL'); ?></option>
			<?php endif ?>

			<?php if (JoomcrmHelperUsers::getRole() != "basic"): ?>
                <optgroup label="<?php echo Text::_('COM_JOOMCRM_TEAM'); ?>" class="team">
					<?php echo HTMLHelper::_('select.options', $this->team_names, 'value', 'text', $user_filter, true); ?>
                </optgroup>
                <optgroup label="<?php echo Text::_('COM_JOOMCRM_MEMBERS'); ?>" class="member">
                    <option value="<?php echo JoomcrmHelperUsers::getUserId(); ?>"><?php echo Text::_('COM_JOOMCRM_ME'); ?></option>
					<?php echo HTMLHelper::_('select.options', $this->user_names, 'value', 'text', $team_filter, true); ?>
                </optgroup>
			<?php endif; ?>
        </select>
    </div>
</div>

