<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

$view =  Factory::getApplication()->input->get('view');

?>
<div class="col-md-3 d-flex align-items-center">
    <div class="text-muted">
	    <?php echo Text::_("COM_JOOMCRM_SHOWING_SALES_DASHBOARD_FOR"); ?>
    </div>
</div>
<div class="col-md-3">
	<?php if ($this->member_role != 'basic'): ?>
        <select
                class="form-select" id="report_user_filter"
                onchange="
                salesDashboardFilter(
                    document.getElementById('report_user_filter').options[document.getElementById('report_user_filter').selectedIndex].value,
                    document.getElementById('report_user_filter').options[document.getElementById('report_user_filter').selectedIndex].getAttribute('data-team')
                    )"
        >

            <option
                    value="<?php echo $this->user_id; ?>" data-team="0">
				<?php echo Text::_('COM_JOOMCRM_ME'); ?>
            </option>


			<?php if ($this->member_role == 'manager') : ?>
                <option
                        value="0"
                        data-team="<?php echo $this->team_id; ?>"
                >
					<?php echo Text::_('COM_JOOMCRM_MY_TEAM'); ?>
                </option>
			<?php endif; ?>

	        <?php if ($this->member_role == 'exec') : ?>
                <option
                        value="0"
                        data-team="0"
                >
			        <?php echo Text::_('COM_JOOMCRM_THE_COMPANY'); ?>
                </option>

		        <?php foreach ($this->teams as $title => $text): ?>
                    <option
                            value="null" data-team="<?php echo $text['team_id']; ?>">
	                    <?php echo $text['team_name'] . Text::_('COM_JOOMCRM_TEAM_APPEND'); ?>
                    </option>
		        <?php endforeach; ?>
	        <?php endif; ?>


			<?php if (count($this->users)): ?>
				<?php foreach ($this->users as $title => $text): ?>
                    <option
                            value="<?php echo $text['id'] ?>" data-team="0">
						<?php echo $text['first_name'] . "  " . $text['last_name'] ?>
                    </option>
				<?php endforeach; ?>
			<?php endif; ?>
        </select>

	<?php endif; ?>
</div>
<div class="col-md-3">
    <div class="form-inline d-inline-block">
        <div class="input-group">
                <span class="input-group-text"><?php echo Text::_('COM_JOOMCRM_FROM'); ?></span>
            <input type="text" data-date-format="<?php echo $this->dateFormat; ?>" class="form-control" name="report_graph_date_start" onfocus="changeGraphDate('report_graph_date_start')" id="report_graph_date_start" value="<?php echo JoomcrmHelperUsers::getGraphDate('report_graph_date_start', true); ?>"/>
                <span class="input-group-text"><i class="fas fa-calendar-alt"></i></span>
        </div>
    </div>
</div>
<div class="col-md-3">
    <div class="form-inline d-inline-block">
        <div class="input-group">
                <span class="input-group-text"><?php echo Text::_('COM_JOOMCRM_TO'); ?></span>
            <input type="text" data-date-format="<?php echo $this->dateFormat; ?>" class="form-control" name="report_graph_date_end" onfocus="changeGraphDate('report_graph_date_end')"  id="report_graph_date_end" value="<?php echo JoomcrmHelperUsers::getGraphDate('report_graph_date_end', true); ?>" />
                <span class="input-group-text"><i class="fas fa-calendar-alt"></i></span>
        </div>
    </div>
</div>