<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;

$title = isset($this->report) ? 'COM_JOOMCRM_EDIT_CUSTOM_REPORT' : 'COM_JOOMCRM_ADD_CUSTOM_REPORT';

HTMLHelper::_('formbehavior.chosen', 'select:not(.no-chosen)');

?>

<script type="text/javascript">
    var order_url = "<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=custom_reports_filter&tmpl=component&format=raw'); ?>";
</script>

<div id="jb_template">
	<?php
	// render page header
	echo LayoutHelper::render('reports.header', [
		'title' => $title
	]);
	?>
    <label for="name"><strong><span class="">1.</span> <?php echo Text::_('COM_JOOMCRM_SELECT_CUSTOM_COLUMNS'); ?>
        </strong></label>
    <p class="text-muted"><small><?php echo Text::_('COM_JOOMCRM_CUSTOM_COLUMNS_MESSAGE'); ?></small></p>
    <div class="border rounded p-2 pt-3 mb-2">
        <div id="custom_field_columns">
            <ul class="columns row list-unstyled m-0">
				<?php

				if (isset($this->report)):
					$report_columns = unserialize($this->report[0]['fields']);

					if (is_array($report_columns)):
						$report_columns = array_intersect_key($report_columns, array_flip(preg_grep("/calculate_field/i", array_keys($report_columns), PREG_GREP_INVERT)));
						$this->columns  = isset($this->report) ? array_diff($this->columns, $report_columns) : $this->columns;
					endif;
				endif;

				foreach ($this->columns as $key => $text)
				{ ?>
                    <li class="mb-2 col-2 col-sm-2 col-md-1 data bg-light border rounded p-2 mx-1"
                        id="<?php echo $key; ?>" data-name="<?php echo $text; ?>">
                    <span class="field-label">
                        <?php echo $text; ?>
                    </span>
                    </li>
				<?php } ?>
            </ul>
        </div>
        <div id="custom_field_holders">
            <ul class="holders row list-unstyled m-0 border-top mt-2 pt-3">
				<?php $count = isset($this->report) ? count($this->report) : 0; ?>
				<?php $field_count = 0; ?>
				<?php if ($count > 0)
				{ ?>
					<?php $fields = unserialize($this->report[0]['fields']); ?>
					<?php foreach ($fields as $id => $text)
				{ ?>
					<?php $field_count++; ?>
					<?php if (strstr($id, "calculate_field_"))
				{ ?>
                    <li class="added_data mb-2 d-block col-2 col-sm-2 col-md-1 data bg-white border border-success rounded p-2 mx-1"
                        id="<?php echo $id; ?>" data-name="<?php echo $text['name']; ?>">

                        <span class="field-label"><?php echo $text['name']; ?></span>

                        <div class="remove">
                            <a href="javascript:void(0)" onclick="removeBlock(this)" class="remove">
                                <i class="fas fa-times"></i>
                            </a>
                        </div>

                        <div id="calculate_field_modal_<?php echo str_replace("calculate_field_", "", $id); ?>">

                            <a
                                    class="btn btn-sm btn-light border mt-1"
                                    id="edit_calculation_fields_link_<?php echo str_replace("calculate_field_", "", $id); ?>"
                                    href="javascript:void(0);" onclick="editCalculationFields(this);
                            ">
								<i class="fas fa-edit"></i> <?php echo Text::_('COM_JOOMCRM_EDIT'); ?>
                            </a>


                        </div>

                        <div id="edit_calculation_fields_modal_<?php echo str_replace("calculate_field_", "", $id); ?>"
                             class="iziModal jb_template calculate_field_modal" style="display: none;"
                             data-iziModal-title="<?php echo Text::_('COM_JOOMCRM_EDIT_CALCULATION_FIELD') ?>"
                             data-iziModal-fullscreen="false"
                             data-iziModal-icon="fas fa-share"
                             data-iziModal-closebutton="true"
                        >
                            <div class="modal-body" style="min-height: 500px;">

                                <div class="form-group">
                                    <label for="calculation_field_name">
										<?php echo Text::_('COM_JOOMCRM_NAME'); ?>
                                    </label>
                                    <input
                                            id="calculation_field_name"
                                            class="form-control calculation_field_name"
                                            type="text"
                                            name="calculation_field_name[]"
                                            placeholder="<?php echo Text::_('COM_JOOMCRM_NAME_YOUR_FIELD'); ?>"
                                            value="<?php echo $text['name']; ?>"
                                            data-field-id="<?php echo str_replace("calculate_field_", "", $id); ?>"
                                    />
                                </div>
                                <div class="text-center bg-light p-3 rounded">
                                    <a class="btn btn-sm btn-light border" onclick="addField(this);">
                                        <i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_FIELD'); ?>
                                    </a>
                                    <a class="btn btn-sm btn-light border" onclick="addOperator(this);">
                                        <i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_OPERATOR'); ?>
                                    </a>
                                    <a class="btn btn-sm btn-light border" onclick="addInput(this);">
                                        <i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_INPUT'); ?>
                                    </a>
                                    <a class="btn btn-sm" onclick="editFields(this);">
                                        <i class="fas fa-edit"></i> <?php echo Text::_('COM_JOOMCRM_EDIT'); ?>
                                    </a>
                                </div>
                                <div class="dropdown-operations mt-3">
                                    <ul class="sortable dropdown-operations-list list-unstyled">
										<?php $ops = JoomcrmHelperJoomcrm::splitExpr($text['operation']); ?>
										<?php foreach ($ops['expression_details'] as $exp)
										{ ?>
                                        <li class="mt-2 d-flex align-items-center">
                                            <span class="text-muted fas fa-grip-vertical me-2"
                                                  style="cursor: pointer"></span>
											<?php
											switch ($exp['type'])
											{
												case "field":
													echo JoomcrmHelperDropdown::getCustomCalculationFields($exp['value']);
													break;
												case "operation":
													echo JoomcrmHelperDropdown::getCustomOperationFields($exp['value']);
													break;
												case "parenthesis":
												case "input":
													?>
                                                    <input type="text" name="calculation_field_input"
                                                           class="calculation-field-input-small form-control"
                                                           value="<?php echo $exp['value']; ?>" /><?php
													break;
											} ?>
                                            <a class="delete ms-2 btn btn-sm btn-danger text-white"
                                               onclick="deleteField(this);">
                                                <i class="fas fa-times"></i>
                                            </a>
											<?php } ?>
                                    </ul>
                                </div>

                                <ul style="display:none;" id="dropdown-template-field">
                                    <li class="mt-2 d-flex align-items-center">
                                        <span class="text-muted fas fa-grip-vertical me-2"
                                              style="cursor: pointer"></span>
										<?php echo JoomcrmHelperDropdown::getCustomCalculationFields(); ?>
                                        <a class="delete ms-2 btn btn-sm btn-danger text-white"
                                           onclick="deleteField(this);">
                                            <i class="fas fa-times"></i>
                                        </a>
                                    </li>
                                </ul>
                                <ul style="display:none;" id="dropdown-template-operator">
                                    <li class="mt-2 d-flex align-items-center">
                                        <span class="text-muted fas fa-grip-vertical me-2"
                                              style="cursor: pointer"></span>
										<?php echo JoomcrmHelperDropdown::getCustomOperationFields(); ?>
                                        <a class="delete ms-2 btn btn-sm btn-danger text-white"
                                           onclick="deleteField(this);">
                                            <i class="fas fa-times"></i>
                                        </a>
                                    </li>
                                </ul>
                                <ul style="display:none;" id="dropdown-template-input">
                                    <li class="mt-2 d-flex align-items-center">
                                        <span class="text-muted fas fa-grip-vertical me-2"
                                              style="cursor: pointer"></span>
                                        <input type="text" name="calculation_field_input"
                                               class="calculation-field-input-small form-control"/>
                                        <a class="delete ms-2 btn btn-sm btn-danger text-white"
                                           onclick="deleteField(this);">
                                            <i class="fas fa-times"></i>
                                        </a>
                                    </li>
                                </ul>
                            </div>

                            <div class="modal-footer text-end p-3">
                                <a class="btn btn-sm btn-danger remove_calculation_fields_link me-1"
                                   href="javascript:void(0);"
                                   onclick="removeCalculationField(this);">
                                    <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_REMOVE'); ?>
                                </a>
                                <a class="btn btn-sm btn-success hide_calculation_fields_link"
                                   href="javascript:void(0);"
                                   onclick="hideCalculationFields(this);">
                                    <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_DONE_EDITING'); ?>
                                </a>
                            </div>

                        </div>


                    </li>
					<?php
				}
				else
				{
					?>
                    <li class="added_data  mb-2 col-2 col-sm-2 col-md-1 data bg-white border border-success rounded p-2 mx-1"
                        id="<?php echo $id; ?>" name="<?php echo $text; ?>"><?php echo $text; ?>
                        <div class="remove"><a href="javascript:void(0)" onclick="removeBlock(this)" class="remove"><i
                                        class="fas fa-times"></i></a></div>
                    </li>
				<?php } ?>
				<?php } ?>
				<?php } ?>
				<?php for ($i = 0; $i < 20 - $field_count; $i++)
				{ ?>
                    <li class="holder mb-2 col-2 col-sm-2 col-md-1 data bg-white border rounded p-2 mx-1 text-muted">
						<?php echo Text::_('COM_JOOMCRM_DRAG_FIELD_HERE'); ?>
                    </li>
				<?php } ?>
            </ul>
        </div>
    </div>
    <form id="customReportForm" action="<?php echo Route::_('index.php?option=com_joomcrm&task=reports.edit'); ?>"
          method="post">


        <div class="custom_report_inputs">
            <div class="form-group">
                <label for="name"><strong><span>2.</span> <?php echo Text::_('COM_JOOMCRM_NAME_REPORT'); ?>
                    </strong></label>
                <input id="name" class="required form-control" type="text" name="name"
                       value="<?php if (isset($this->report))
				       {
					       echo $this->report[0]['name'];
				       } ?>">
            </div>

        </div>
        <div class="bg-light p-3">
            <a class="btn btn-sm btn-success" href="javascript:void(0);"
               onclick="validateCustomForm('customReportForm');">
                <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
            </a>
			<?php echo Text::_('COM_JOOMCRM_OR'); ?>
            <a class="btn btn-sm btn-light border" onclick="window.history.back()">
                <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_CANCEL_BUTTON'); ?>
            </a>
        </div>
        <div id="post">
			<?php if (isset($this->report))
			{ ?>
                <input type="hidden" name="id" value="<?php echo $this->report[0]['id']; ?>">
			<?php } ?>
        </div>
    </form>


    <!-- This is template for calculate field used when calculate field is dragged, will be improved in future with better solution -->
    <div id="calculateFieldTemplate" style="display: none">
        <div class="mt-1">
            <a class="edit_calculation_fields_link btn btn-sm btn-light border" href="javascript:void(0);"
               onclick="editCalculationFields(this);">
                <i class="fas fa-edit"></i> <?php echo Text::_('COM_JOOMCRM_EDIT'); ?>
            </a>
        </div>

    </div>

    <div id="calculate_field_modal" style="display: none" class="jb_template"
         data-iziModal-title="<?php echo Text::_('COM_JOOMCRM_EDIT_CALCULATION_FIELD') ?>"
         data-iziModal-fullscreen="false"
         data-iziModal-icon="fas fa-calculator"
         data-iziModal-closebutton="true"
    >
        <div class="modal-body" style="min-height: 500px">
            <div class="form-group">
                <label for="calculation_field_name">
					<?php echo Text::_('COM_JOOMCRM_NAME'); ?>
                </label>
                <input
                        id="calculation_field_name"
                        class="form-control calculation_field_name"
                        type="text"
                        name="calculation_field_name[]"
                        placeholder="<?php echo Text::_('COM_JOOMCRM_NAME_YOUR_FIELD'); ?>"
                />
            </div>

            <div class="text-center bg-light p-3 rounded">
                <a class="btn btn-sm btn-light border" onclick="addField(this);">
                    <i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_FIELD'); ?>
                </a>
                <a class="btn btn-sm btn-light border" onclick="addOperator(this);">
                    <i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_OPERATOR'); ?>
                </a>
                <a class="btn btn-sm btn-light border" onclick="addInput(this);">
                    <i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_INPUT'); ?>
                </a>
                <a class="btn btn-sm" onclick="editFields(this);"><i
                            class="fas fa-edit"></i> <?php echo Text::_('COM_JOOMCRM_EDIT'); ?></a>
            </div>
            <div class='dropdown-operations mt-3'>
                <ul class="dropdown-operations-list sortable list-unstyled"></ul>
            </div>


            <ul style="display:none;" id="dropdown-template-field">
                <li class="mt-2 d-flex align-items-center">
                    <span class="text-muted fas fa-grip-vertical me-2" style="cursor: pointer"></span>
					<?php echo JoomcrmHelperDropdown::getCustomCalculationFields(); ?>
                    <a class="delete ms-2 btn btn-sm btn-danger text-white" onclick="deleteField(this);">
                                <i class="fas fa-times"></i>
                    </a>
                </li>
            </ul>
            <ul style="display:none;" id="dropdown-template-operator">
                <li class="mt-2 d-flex align-items-center">
                    <span class="text-muted fas fa-grip-vertical me-2" style="cursor: pointer"></span>
					<?php echo JoomcrmHelperDropdown::getCustomOperationFields(); ?>
                    <a class="delete ms-2 btn btn-sm btn-danger text-white" onclick="deleteField(this);"><i
                                class="fas fa-times"></i></a>
                </li>
            </ul>
            <ul style="display:none;" id="dropdown-template-input">
                <li class="mt-2 d-flex align-items-center">
                    <span class="text-muted fas fa-grip-vertical me-2" style="cursor: pointer"></span>
                    <input type="text" name="calculation_field_input"
                           class="calculation-field-input-small form-control"/>
                    <a class="delete ms-2 btn btn-sm btn-danger text-white" onclick="deleteField(this);"><i
                                class="fas fa-times"></i></a>
                </li>
            </ul>
        </div>
        <div class="modal-footer text-end p-3">
            <a class="btn btn-sm btn-danger remove_calculation_fields_link me-1" href="javascript:void(0);"
               onclick="removeCalculationField(this);">
                <i class="fas fa-times"></i> <?php echo Text::_('COM_JOOMCRM_REMOVE'); ?>
            </a>
            <a class="btn btn-sm btn-success hide_calculation_fields_link" href="javascript:void(0);"
               onclick="hideCalculationFields(this);">
                <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_DONE_EDITING'); ?>
            </a>
        </div>
    </div>

</div>




















