<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;


$layout = Factory::getApplication()->input->get('layout');

defined('_JEXEC') or die('Restricted access'); ?>
<script type="text/javascript">
	order_url = "<?php echo 'index.php?option=com_joomcrm&view=reports&layout=notes_filter&tmpl=component&format=raw'; ?>";
	order_dir = "<?php echo $this->state->get('Note.'.$this->view.'.'.$layout.'.filter_order_Dir'); ?>";
	order_col = "<?php echo $this->state->get('Note.'.$this->view.'.'.$layout.'.filter_order'); ?>";
</script>
<div id="jb_template">

	<?php
	// render page header
	echo LayoutHelper::render('reports.header',[
		'title' => 'COM_JOOMCRM_NOTES_REPORT',
		'hasActions' => true
	]);
	?>
    <form id="list_form" class="print_form m-0" method="POST" action="index.php?option=com_joomcrm&view=reports&layout=notes">
        <input type="hidden" name="model" value="note"/>
        <input type="hidden" name="report" value="notes"/>
        <input type="hidden" name="list_type" value="notes"/>
    </form>

    <table class="com_joomcrm_table dataTable table" datatable-model="note" datatable-view="<?php echo  \Joomla\CMS\Factory::getApplication()->input->get('view'); ?>" datatable-layout="<?php echo  \Joomla\CMS\Factory::getApplication()->input->get('layout'); ?>" datatable-id>
        <thead>

		<?php if ($this->view != "print") : ?>
            <tr datatable-filters>
				<?php
				// Get user state variables
				$company_filter = $this->state->get('company_name');
				$deal_filter = $this->state->get('deal_name');
				$person_filter = $this->state->get('person_name');
				?>
                <th></th>
                <th><input name="company_name" class="form-control form-control-sm" type="text" value="<?php echo $company_filter; ?>" placeholder="Search Company" datatable-column="1"></th>
                <th><input name="deal_name" class="form-control form-control-sm" type="text" value="<?php echo $deal_filter; ?>" placeholder="Search Deal" datatable-column="2"></th>
                <th><input name="person_name" class="form-control form-control-sm" type="text" value="<?php echo $person_filter; ?>" placeholder="Search Person" datatable-column="3"></th>
                <th>
                    <select name="owner_id" id="owner_id" datatable-column="4" class="form-control">
						<?php $user_filter = $this->state->get('owner_id'); ?>
						<?php if (JoomcrmHelperUsers::getRole() != 'basic')
						{ ?>
							<?php
							$all 	= array();
							$all[]  = HTMLHelper::_('select.option', 'all', Text::_('COM_JOOMCRM_ALL'));
							echo HTMLHelper::_('select.options', $all, 'value', 'text', $user_filter, true);
							?>
						<?php } ?>
                        <optgroup label="<?php echo Text::_('COM_JOOMCRM_MEMBERS'); ?>" class="member" id="member">
							<?php
							$member 	= array();
							$member[] 	= HTMLHelper::_('select.option', JoomcrmHelperUsers::getUserId(), Text::_('COM_JOOMCRM_ME'));
							echo HTMLHelper::_('select.options', $member, 'value', 'text', $user_filter, true);
							?>
							<?php echo HTMLHelper::_('select.options', $this->user_names, 'value', 'text', $user_filter, true); ?>
                        </optgroup>
						<?php if (JoomcrmHelperUsers::getRole() == 'exec') : ?>
                            <optgroup label="<?php echo Text::_('COM_JOOMCRM_TEAM'); ?>" class="team" id="team">
								<?php echo HTMLHelper::_('select.options', $this->team_names, 'value', 'text', $user_filter, true); ?>
                            </optgroup>
						<?php endif; ?>
                    </select>
                </th>
                <th>
                    <select name="created" datatable-column="5" class="form-control">
						<?php $created_filter = $this->state->get('created'); ?>
						<?php echo HTMLHelper::_('select.options', $this->created_dates, 'value', 'text', $created_filter, true); ?>
                    </select>
                </th>
                <th>
                    <select name="category_id" datatable-column="6" class="form-control">
						<?php $category_filter = $this->state->get('category_id'); ?>
                        <option value=""><?php echo Text::_('COM_JOOMCRM_ALL'); ?></option>
						<?php echo HTMLHelper::_('select.options', $this->categories, 'id', 'name', $category_filter, true); ?>
                    </select>
                </th>
                <th></th>
            </tr>
		<?php endif; ?>
		<?php echo $this->header->display(); ?>
        </thead>
    </table>
</div>
