<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Router\Route;

for ($i = 0; $i < count($this->reports); $i++)
{
	$report = $this->reports[$i];
	$k      = $i % 2; ?>
	<tr class="joomcrm_row_<?php echo $k; ?>">
		<?php if ( \Joomla\CMS\Factory::getApplication()->input->get('view') != "print")
		{ ?>
			<td><input class="form-control" type="checkbox" name="ids[]" value="<?php echo $report['id']; ?>"/></td>
		<?php } ?>
		<td>
			<a href="<?php echo Route::_("index.php?option=com_joomcrm&view=deals&layout=deal&id=" . $report['id']); ?>"><?php echo $report['name']; ?></a>
		</td>
		<td><?php echo $report['owner_first_name'] . " " . $report['owner_last_name']; ?></td>
		<td><?php echo $report['summary']; ?></td>
		<td><?php echo JoomcrmHelperUsers::formatAmount($report['amount']); ?></td>
		<td>
            <div class="d-flex align-items-center">
                <div class="status-dot me-1" style="background-color:#<?php echo $report['stage_color'] ?> !important;"></div>
                <span>
                    <?php echo $report['stage_name']; ?>
                </span>
            </div>
        </td>
		<td><?php echo $report['percent']; ?>%</td>
		<td>
            <div class="d-flex align-items-center">
                <div class="status-dot me-1" style="background-color:#<?php echo $report['status_color'] ?> !important;"></div>
                <span>
                    <?php echo $report['status_name']; ?>
                </span>
            </div>
		</td>
		<td><?php echo JoomcrmHelperDate::formatDate($report['expected_close']); ?></td>
		<td><?php echo JoomcrmHelperDate::formatDate($report['modified']); ?></td>
		<td><?php echo JoomcrmHelperDate::formatDate($report['created']); ?></td>
	</tr>
<?php } ?>
<?php
$filtered_amount = 0;
if (count($this->reports) > 0)
{
	foreach ($this->reports as $key => $report)
	{
		$filtered_amount += $report['amount'];
	}
}?>
<script type="text/javascript">
	var amount = "<?php echo JoomcrmHelperUsers::formatAmount($filtered_amount); ?>";
	jQuery("#filtered_amount").html(amount);
</script>
