<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

?>

<div class="table-responsive">
<table class="com_joomcrm_table table">
	<thead>
	<tr>
		<?php if ( Factory::getApplication()->input->get('view') != "print")
		{ ?>
			<th class="checkbox_column">
                <input class="form-check-input" type="checkbox" onclick="selectAll(this);"/>
            </th>
		<?php } ?>
		<th>
			<div class="sort_order">
				<a class="d.name" onclick="sortTable('d.name',this)"><?php echo Text::_('COM_JOOMCRM_DEAL_NAME'); ?></a>
			</div>
		</th>
		<th>
			<div class="sort_order">
				<a class="d.owner_id" onclick="sortTable('d.owner_id',this)"><?php echo Text::_('COM_JOOMCRM_OWNER'); ?></a>
			</div>
		</th>
		<th>
			<div class="sort_order">
				<a class="d.amount" onclick="sortTable('d.amount',this)"><?php echo Text::_('COM_JOOMCRM_AMOUNT'); ?></a>
			</div>
		</th>
		<th>
			<div class="sort_order">
				<a class="d.source_id" onclick="sortTable('d.source_id',this)"><?php echo Text::_('COM_JOOMCRM_SOURCE'); ?></a>
			</div>
		</th>
		<th>
			<div class="sort_order">
				<a class="d.stage_id" onclick="sortTable('d.stage_id',this)"><?php echo Text::_('COM_JOOMCRM_STAGE'); ?></a>
			</div>
		</th>
		<th>
			<div class="sort_order">
				<a class="stage.percent" onclick="sortTable('stage.percent',this)"><?php echo Text::_('COM_JOOMCRM_PERCENTAGE'); ?></a>
			</div>
		</th>
		<th>
			<div class="sort_order">
				<a class="d.status_id" onclick="sortTable('d.status_id',this)"><?php echo Text::_('COM_JOOMCRM_STATUS'); ?></a>
			</div>
		</th>
		<th>
			<div class="sort_order">
				<a class="d.expected_close" onclick="sortTable('d.expected_close',this)"><?php echo Text::_('COM_JOOMCRM_EXPECTED_CLOSE'); ?></a>
			</div>
		</th>
		<th>
			<div class="sort_order">
				<a class="d.modified" onclick="sortTable('d.modified',this)"><?php echo Text::_('COM_JOOMCRM_MODIFIED'); ?></a>
			</div>
		</th>
		<th>
			<div class="sort_order">
				<a class="d.created" onclick="sortTable('d.created',this)"><?php echo Text::_('COM_JOOMCRM_CREATED'); ?></a>
			</div>
		</th>
	</tr>
	<?php if ( \Joomla\CMS\Factory::getApplication()->input->get('view') != "print")
	{ ?>
		<tr>
			<?php $deal_filter = $this->state->get('Deal.source_report_name'); ?>
			<th></th>
			<th><input class="filter_input form-control form-control-sm" name="deal_name" type="text" value="<?php echo $deal_filter; ?>"/></th>
			<th>
				<select class="filter_input form-control form-control-sm" name="owner_id" id="owner_id">
					<?php $user_filter = $this->state->get('Deal.source_report_owner_id'); ?>
					<?php if (JoomcrmHelperUsers::getRole() != 'basic')
					{ ?>
						<?php   $all = array();
						$all[]       = HTMLHelper::_('select.option', 'all', Text::_('COM_JOOMCRM_ALL'));
						echo HTMLHelper::_('select.options', $all, 'value', 'text', $user_filter, true);
						?>
					<?php } ?>
					<optgroup label="<?php echo Text::_('COM_JOOMCRM_MEMBERS'); ?>" class="member" id="member">
						<?php   $member = array();
						$member[] = HTMLHelper::_('select.option', JoomcrmHelperUsers::getUserId(), Text::_('COM_JOOMCRM_ME'));
						echo HTMLHelper::_('select.options', $member, 'value', 'text', $user_filter, true);
						?>
						<?php echo HTMLHelper::_('select.options', $this->user_names, 'value', 'text', $user_filter, true); ?>
					</optgroup>
					<?php if (JoomcrmHelperUsers::getRole() == 'exec')
					{ ?>
						<optgroup label="<?php echo Text::_('COM_JOOMCRM_TEAM'); ?>" class="team" id="team">
							<?php echo HTMLHelper::_('select.options', $this->team_names, 'value', 'text', $user_filter, true); ?>
						</optgroup>
					<?php } ?>
				</select>
			</th>
			<th>
				<select class="filter_input form-control form-control-sm" name="deal_amount">
					<option value="all"><?php echo Text::_('COM_JOOMCRM_ALL'); ?></option>
					<?php $amount_filter = $this->state->get('Deal.source_report_amount'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_amounts, 'value', 'text', $amount_filter, true); ?>
				</select>
			</th>
			<th>
				<select class="filter_input form-control form-control-sm" name="source_id">
					<option value="all"><?php echo Text::_('COM_JOOMCRM_ALL'); ?></option>
					<?php $source_filter = $this->state->get('Deal.source_report_source_id'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_sources, 'value', 'text', $source_filter, true); ?>
				</select>
			</th>
			<th>
				<select class="filter_input form-control form-control-sm" name="stage_id">
					<?php $stage_filter = $this->state->get('Deal.source_report_stage_id'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_stages, 'value', 'text', $stage_filter, true); ?>
				</select>
			</th>
			<th></th>
			<th>
				<select class="filter_input form-control form-control-sm" name="status_id">
					<option value="all"><?php echo Text::_('COM_JOOMCRM_ALL'); ?></option>
					<?php $status_filter = $this->state->get('Deal.source_report_status_id'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_statuses, 'value', 'text', $status_filter, true); ?>
				</select>
			</th>
			<th>
				<select class="filter_input form-control form-control-sm" name="expected_close">
					<?php $expected_close_filter = $this->state->get('Deal.source_report_expected_close'); ?>
					<?php echo HTMLHelper::_('select.options', $this->deal_close_dates, 'value', 'text', $expected_close_filter, true); ?>
				</select>
			</th>
			<th>
				<select class="filter_input form-control form-control-sm" name="modified">
					<?php $modified_filter = $this->state->get('Deal.source_report_modified'); ?>
					<?php echo HTMLHelper::_('select.options', $this->modified_dates, 'value', 'text', $modified_filter, true); ?>
				</select>
			</th>
			<th>
				<select class="filter_input form-control form-control-sm" name="created">
					<?php $created_filter = $this->state->get('Deal.source_report_created'); ?>
					<option value="all"><?php echo Text::_('COM_JOOMCRM_ALL'); ?></option>
					<?php echo HTMLHelper::_('select.options', $this->created_dates, 'value', 'text', $created_filter, true); ?>
				</select>
			</th>
		</tr>
	<?php } ?>
	</thead>
	<tfoot>
	<tr class="table-success">
		<?php if ( \Joomla\CMS\Factory::getApplication()->input->get('view') != "print")
		{ ?>
			<td>&nbsp;</td>
		<?php } ?>
		<td><strong><?php echo Text::_('COM_JOOMCRM_FILTERED_TOTAL'); ?></strong></td>

		<td>&nbsp;</td>
		<td colspan="2">
			        <span id="filtered_amount">

                        <?php if (count($this->reports) > 0)
                        {
	                        $total = 0;
	                        foreach ($this->reports as $key => $report)
	                        {
		                        $total += $report['amount'];
	                        }
	                        echo JoomcrmHelperUsers::formatAmount($total);
                        }?>

					</span>
		</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	</tr>
	<tr class="table table-warning">
		<?php if ( \Joomla\CMS\Factory::getApplication()->input->get('view') != "print")
		{ ?>
			<td>&nbsp;</td>
		<?php } ?>
		<td>
            <strong>
				<?php echo Text::_('COM_JOOMCRM_SALES_PIPELINE'); ?>
            </strong>
        </td>
		<td>&nbsp;</td>
		<td colspan="2">
                <span id="total_amount">
					<?php if (count($this->reports) > 0)
					{
						$total = 0;
						foreach ($this->reports as $key => $report)
						{
							$total += $report['amount'];
						}
						echo JoomcrmHelperUsers::formatAmount($total);
					}?>
					</span>
            </strong>
		</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	</tr>
	</tfoot>
	<tbody class="results" id="reports">
