<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

use Joomla\CMS\MVC\View\GenericDataException;

defined('_JEXEC') or die;

class JoomcrmViewSearchHtml extends JoomcrmHelperView
{
	/**
	 * The page parameters
	 *
	 * @var    \Joomla\Registry\Registry|null
	 *
	 * @since  4.0.0
	 */
	protected $params = null;

	/**
	 * The model state
	 *
	 * @var   \Joomla\CMS\Object\CMSObject
	 */
	protected $state;

	/**
	 * The Form object
	 *
	 * @var  \Joomla\CMS\Form\Form
	 */
	protected $form;

	public function display($tpl = null)
	{
		$this->state = $this->get('State');
		$this->params = $this->state->get('params');
		$this->form        = $this->get('Form');
		$this->items = $this->get('ItemsData');

		// Check for errors.
		if ($errors = $this->getModel()->getErrors()) {
			throw new GenericDataException(implode("\n", $errors), 500);
		}


		parent::display($tpl);
	}



}
